Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] New package: dotnet-sdk-5.0.101
@ 2020-12-15  1:23 kawaiiamber
  2020-12-15  1:29 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (178 more replies)
  0 siblings, 179 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15  1:23 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 742 bytes --]

There is a new pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2112 bytes --]

From e63f249b73ed82662df655b5e83a50dab8ecc907 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/template | 45 +++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..0340507621c
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,45 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64 x84_64-musl"
+wrksrc="${pkgname}-${version}"
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	;;
+esac
+
+_target=opt/dotnet
+
+do_configure() {
+	echo "export DOTNET_ROOT=/${_target}" >> /etc/profile.d/dotnet.sh
+	echo "export PATH=$PATH:$DOTNET_ROOT" >> /etc/profile.d/dotnet.sh
+	# this seems to be needed to be able to work with LIBRESSL
+	echo "export CLR_OPENSSL_VERSION_OVERRIDE=48" >> /etc/profile.d/dotnet.sh
+}
+
+do_install() {
+	vmkdir -p ${_target}
+	vcopy -r packs ${_target}
+	vcopy -r sdk ${_target}
+	vcopy -r shared ${_target}
+	vcopy -r templates ${_target}
+	vcopy -r host ${_target}
+	vcopy dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
@ 2020-12-15  1:29 ` kawaiiamber
  2020-12-15  2:18 ` [PR REVIEW] " ericonr
                   ` (177 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15  1:29 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2112 bytes --]

From 3ab4caa5b61b58c88acadd56cf8b057b54533ae9 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/template | 45 +++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..00885fab1f9
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,45 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64 x84_64-musl"
+wrksrc="${pkgname}-${version}"
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	;;
+esac
+
+_target=opt/dotnet
+
+do_configure() {
+	echo "export DOTNET_ROOT=/${_target}" >> /etc/profile.d/dotnet.sh
+	echo "export PATH=$PATH:$DOTNET_ROOT" >> /etc/profile.d/dotnet.sh
+	# this seems to be needed to be able to work with LIBRESSL
+	echo "export CLR_OPENSSL_VERSION_OVERRIDE=48" >> /etc/profile.d/dotnet.sh
+}
+
+do_install() {
+	vmkdir -p ${_target}
+	vcopy -r packs ${_target}
+	vcopy -r sdk ${_target}
+	vcopy -r shared ${_target}
+	vcopy -r templates ${_target}
+	vcopy -r host ${_target}
+	vcopy dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
  2020-12-15  1:29 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-15  2:18 ` ericonr
  2020-12-15  2:33 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (176 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: ericonr @ 2020-12-15  2:18 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 182 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r542993964

Comment:
```suggestion
archs="x86_64*"
```

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
  2020-12-15  1:29 ` [PR PATCH] [Updated] " kawaiiamber
  2020-12-15  2:18 ` [PR REVIEW] " ericonr
@ 2020-12-15  2:33 ` kawaiiamber
  2020-12-15  2:33 ` [PR REVIEW] " kawaiiamber
                   ` (175 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15  2:33 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2101 bytes --]

From 92483a70380fb5401bc3e2c6be66dca7408d94a6 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/template | 45 +++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..42d3b0bc859
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,45 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64*"
+wrksrc="${pkgname}-${version}"
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	;;
+esac
+
+_target=opt/dotnet
+
+do_configure() {
+	echo "export DOTNET_ROOT=/${_target}" >> /etc/profile.d/dotnet.sh
+	echo "export PATH=$PATH:$DOTNET_ROOT" >> /etc/profile.d/dotnet.sh
+	# this seems to be needed to be able to work with LIBRESSL
+	echo "export CLR_OPENSSL_VERSION_OVERRIDE=48" >> /etc/profile.d/dotnet.sh
+}
+
+do_install() {
+	vmkdir -p ${_target}
+	vcopy -r packs ${_target}
+	vcopy -r sdk ${_target}
+	vcopy -r shared ${_target}
+	vcopy -r templates ${_target}
+	vcopy -r host ${_target}
+	vcopy dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (2 preceding siblings ...)
  2020-12-15  2:33 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-15  2:33 ` kawaiiamber
  2020-12-15  2:55 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (174 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15  2:33 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 155 bytes --]

New review comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r542999152

Comment:
Done

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (3 preceding siblings ...)
  2020-12-15  2:33 ` [PR REVIEW] " kawaiiamber
@ 2020-12-15  2:55 ` kawaiiamber
  2020-12-15  2:58 ` kawaiiamber
                   ` (173 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15  2:55 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2103 bytes --]

From df292f84b1a036e255bb5edf1d9d346be882c0d0 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/template | 45 +++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..a9a480c5384
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,45 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64*"
+wrksrc="${pkgname}-${version}_1"
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	;;
+esac
+
+_target=opt/dotnet
+
+do_configure() {
+	echo "export DOTNET_ROOT=/${_target}" >> /etc/profile.d/dotnet.sh
+	echo "export PATH=$PATH:$DOTNET_ROOT" >> /etc/profile.d/dotnet.sh
+	# this seems to be needed to be able to work with LIBRESSL
+	echo "export CLR_OPENSSL_VERSION_OVERRIDE=48" >> /etc/profile.d/dotnet.sh
+}
+
+do_install() {
+	vmkdir -p ${_target}
+	vcopy -r packs ${_target}
+	vcopy -r sdk ${_target}
+	vcopy -r shared ${_target}
+	vcopy -r templates ${_target}
+	vcopy -r host ${_target}
+	vcopy dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (4 preceding siblings ...)
  2020-12-15  2:55 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-15  2:58 ` kawaiiamber
  2020-12-15  3:03 ` kawaiiamber
                   ` (172 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15  2:58 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2069 bytes --]

From 60613ce678fc37aa97f5e20489b9cddd13fea7d8 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/template | 44 +++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..6a03fbe53e7
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,44 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64*"
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	;;
+esac
+
+_target=opt/dotnet
+
+do_configure() {
+	echo "export DOTNET_ROOT=/${_target}" >> /etc/profile.d/dotnet.sh
+	echo "export PATH=$PATH:$DOTNET_ROOT" >> /etc/profile.d/dotnet.sh
+	# this seems to be needed to be able to work with LIBRESSL
+	echo "export CLR_OPENSSL_VERSION_OVERRIDE=48" >> /etc/profile.d/dotnet.sh
+}
+
+do_install() {
+	vmkdir -p ${_target}
+	vcopy -r packs ${_target}
+	vcopy -r sdk ${_target}
+	vcopy -r shared ${_target}
+	vcopy -r templates ${_target}
+	vcopy -r host ${_target}
+	vcopy dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (5 preceding siblings ...)
  2020-12-15  2:58 ` kawaiiamber
@ 2020-12-15  3:03 ` kawaiiamber
  2020-12-15  3:08 ` kawaiiamber
                   ` (171 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15  3:03 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2101 bytes --]

From 4ac0f7861abee0ebfca507efb388419ab273f3d3 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/template | 45 +++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..1c3cbc9c473
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,45 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64*"
+wrksrc=${pkgname}-${version}_1
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	;;
+esac
+
+_target=opt/dotnet
+
+do_configure() {
+	echo "export DOTNET_ROOT=/${_target}" >> /etc/profile.d/dotnet.sh
+	echo "export PATH=$PATH:$DOTNET_ROOT" >> /etc/profile.d/dotnet.sh
+	# this seems to be needed to be able to work with LIBRESSL
+	echo "export CLR_OPENSSL_VERSION_OVERRIDE=48" >> /etc/profile.d/dotnet.sh
+}
+
+do_install() {
+	vmkdir -p ${_target}
+	vcopy -r packs ${_target}
+	vcopy -r sdk ${_target}
+	vcopy -r shared ${_target}
+	vcopy -r templates ${_target}
+	vcopy -r host ${_target}
+	vcopy dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (6 preceding siblings ...)
  2020-12-15  3:03 ` kawaiiamber
@ 2020-12-15  3:08 ` kawaiiamber
  2020-12-15  4:09 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (170 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15  3:08 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 755 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-745022584

Comment:
According to the checks:
```
=> dotnet-sdk-5.0.101_1: verifying checksum for distfile 'dotnet-sdk-5.0.101-linux-x64.tar.gz'... OK.
=> dotnet-sdk-5.0.101_1: running do-extract hook: 00-distfiles ...
=> dotnet-sdk-5.0.101_1: extracting distfile(s), please wait...
/void-packages/common/xbps-src/shutils/common.sh: line 31: cd: /builddir/dotnet-sdk-5.0.101_1: No such file or directory
=> ERROR: dotnet-sdk-5.0.101_1: cannot access wrksrc directory [/builddir/dotnet-sdk-5.0.101_1]
Error: Process completed with exit code 1.
```
I tried some different values of setting wrksrc, yet the same error occurs.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (7 preceding siblings ...)
  2020-12-15  3:08 ` kawaiiamber
@ 2020-12-15  4:09 ` kawaiiamber
  2020-12-15  9:20 ` ev-ermakov
                   ` (169 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15  4:09 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2099 bytes --]

From 1cac4560bf98def235c2c9c0dc9a418500c619a9 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/template | 45 +++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..a2307bd3f40
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,45 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64*"
+wrksrc=${pkgname}-${version}
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	;;
+esac
+
+_target=opt/dotnet
+
+do_configure() {
+	echo "export DOTNET_ROOT=/${_target}" >> /etc/profile.d/dotnet.sh
+	echo "export PATH=$PATH:$DOTNET_ROOT" >> /etc/profile.d/dotnet.sh
+	# this seems to be needed to be able to work with LIBRESSL
+	echo "export CLR_OPENSSL_VERSION_OVERRIDE=48" >> /etc/profile.d/dotnet.sh
+}
+
+do_install() {
+	vmkdir -p ${_target}
+	vcopy -r packs ${_target}
+	vcopy -r sdk ${_target}
+	vcopy -r shared ${_target}
+	vcopy -r templates ${_target}
+	vcopy -r host ${_target}
+	vcopy dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (8 preceding siblings ...)
  2020-12-15  4:09 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-15  9:20 ` ev-ermakov
  2020-12-15 11:08 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (168 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: ev-ermakov @ 2020-12-15  9:20 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 307 bytes --]

New comment by ev-ermakov on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-745161213

Comment:
> export CLR_OPENSSL_VERSION_OVERRIDE=48

This is a little sad to see.

A better alternative would be to build from source, however, this is a bit tricky... 


^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (9 preceding siblings ...)
  2020-12-15  9:20 ` ev-ermakov
@ 2020-12-15 11:08 ` kawaiiamber
  2020-12-15 11:19 ` kawaiiamber
                   ` (167 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15 11:08 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2203 bytes --]

From eabb57d08a1c107060267ecd025ab5c0a0537cc3 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/template | 47 +++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..0fcba1630ac
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,47 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64*"
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	wrksrc=${pkgname}-${version}-linux-${_arch}
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	wrksrc=${pkgname}-${version}-linux-${_arch}
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	;;
+esac
+
+_target=${DESTDIR}/opt/dotnet
+_prof=${DESTDIR}/profile.d/dotnet.sh
+
+do_configure() {
+	echo "export DOTNET_ROOT=${_target}" >> ${_prof}
+	echo "export PATH=$PATH:$DOTNET_ROOT" >> ${_prof}
+	# this seems to be needed to be able to work with LIBRESSL
+	echo "export CLR_OPENSSL_VERSION_OVERRIDE=48" >> ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy ${wrksrc}/packs ${_target}
+	vcopy ${wrksrc}/sdk ${_target}
+	vcopy ${wrksrc}/shared ${_target}
+	vcopy ${wrksrc}/templates ${_target}
+	vcopy ${wrksrc}/host ${_target}
+	vcopy ${wrksrc}/dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (10 preceding siblings ...)
  2020-12-15 11:08 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-15 11:19 ` kawaiiamber
  2020-12-15 11:28 ` kawaiiamber
                   ` (166 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15 11:19 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2486 bytes --]

From d67ea61b8a204e7105fc0d50da0dd502c8c5d83d Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/template | 52 +++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..13cd5afa6a4
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,52 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64 aarch64 x86_64-musl"
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+_target=${DESTDIR}/opt/dotnet
+_prof=${DESTDIR}/profile.d/dotnet.sh
+wrksrc=${pkgname}-${version}-linux-${_arch}
+
+do_configure() {
+	echo "export DOTNET_ROOT=${_target}" >> ${_prof}
+	echo "export PATH=$PATH:$DOTNET_ROOT" >> ${_prof}
+	# this seems to be needed to be able to work with LIBRESSL
+	echo "export CLR_OPENSSL_VERSION_OVERRIDE=48" >> ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy ${wrksrc}/packs ${_target}
+	vcopy ${wrksrc}/sdk ${_target}
+	vcopy ${wrksrc}/shared ${_target}
+	vcopy ${wrksrc}/templates ${_target}
+	vcopy ${wrksrc}/host ${_target}
+	vcopy ${wrksrc}/dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (11 preceding siblings ...)
  2020-12-15 11:19 ` kawaiiamber
@ 2020-12-15 11:28 ` kawaiiamber
  2020-12-15 13:12 ` Anachron
                   ` (165 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15 11:28 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 375 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-745229784

Comment:
I think I see the issue. dotnet doesn't put stuff in it's own directory when downloading. I tried doing things like `wrksrc=${XBPS_BUILDDIR}`, but that just seems to literally put `/builddir` twice. I'm still a noob at xbps-src...

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (12 preceding siblings ...)
  2020-12-15 11:28 ` kawaiiamber
@ 2020-12-15 13:12 ` Anachron
  2020-12-15 21:06 ` kawaiiamber
                   ` (164 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: Anachron @ 2020-12-15 13:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 168 bytes --]

New comment by Anachron on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-745278179

Comment:
You can use create_wrksrc.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (13 preceding siblings ...)
  2020-12-15 13:12 ` Anachron
@ 2020-12-15 21:06 ` kawaiiamber
  2020-12-15 21:08 ` kawaiiamber
                   ` (163 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15 21:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 166 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-745567366

Comment:
`create_wrksrc=true`?

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (14 preceding siblings ...)
  2020-12-15 21:06 ` kawaiiamber
@ 2020-12-15 21:08 ` kawaiiamber
  2020-12-15 21:23 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (162 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15 21:08 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 419 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-745567366

Comment:
`create_wrksrc=true`? I was reading up [here](https://github.com/void-linux/void-packages/blob/master/Manual.md#optional_vars), and that seems to be exactly what I need. It's just not clear to me what to do with this variable. I assume set it to true if one wants to use it?

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (15 preceding siblings ...)
  2020-12-15 21:08 ` kawaiiamber
@ 2020-12-15 21:23 ` kawaiiamber
  2020-12-15 21:24 ` kawaiiamber
                   ` (161 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15 21:23 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2505 bytes --]

From 6e5ae5699011ff77880322b6e9535fcb275c1e40 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/template | 53 +++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..af68bd29b9d
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,53 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+create_wrksrc=yes
+archs="x86_64 aarch64 x86_64-musl"
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+_target=${DESTDIR}/opt/dotnet
+_prof=${DESTDIR}/profile.d/dotnet.sh
+wrksrc=${pkgname}-${version}-linux-${_arch}
+
+do_configure() {
+	echo "export DOTNET_ROOT=${_target}" >> ${_prof}
+	echo "export PATH=$PATH:$DOTNET_ROOT" >> ${_prof}
+	# this seems to be needed to be able to work with LIBRESSL
+	echo "export CLR_OPENSSL_VERSION_OVERRIDE=48" >> ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy ${wrksrc}/packs ${_target}
+	vcopy ${wrksrc}/sdk ${_target}
+	vcopy ${wrksrc}/shared ${_target}
+	vcopy ${wrksrc}/templates ${_target}
+	vcopy ${wrksrc}/host ${_target}
+	vcopy ${wrksrc}/dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (16 preceding siblings ...)
  2020-12-15 21:23 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-15 21:24 ` kawaiiamber
  2020-12-15 22:11 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (160 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15 21:24 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 220 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-745576749

Comment:
It still seems to fail to access / create wrksrc after `create_wrksrc=yes`.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (17 preceding siblings ...)
  2020-12-15 21:24 ` kawaiiamber
@ 2020-12-15 22:11 ` kawaiiamber
  2020-12-15 22:16 ` kawaiiamber
                   ` (159 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15 22:11 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2505 bytes --]

From c37163cdb75cf6caf7dead817b7f9f4a62230650 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/template | 53 +++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..3d89eaddd1d
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,53 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64 aarch64 x86_64-musl"
+create_wrksrc=yes
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+_target=${DESTDIR}/opt/dotnet
+_prof=${DESTDIR}/profile.d/dotnet.sh
+wrksrc=${pkgname}-${version}-linux-${_arch}
+
+do_configure() {
+	echo "export DOTNET_ROOT=${_target}" >> ${_prof}
+	echo "export PATH=$PATH:$DOTNET_ROOT" >> ${_prof}
+	# this seems to be needed to be able to work with LIBRESSL
+	echo "export CLR_OPENSSL_VERSION_OVERRIDE=48" >> ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy ${wrksrc}/packs ${_target}
+	vcopy ${wrksrc}/sdk ${_target}
+	vcopy ${wrksrc}/shared ${_target}
+	vcopy ${wrksrc}/templates ${_target}
+	vcopy ${wrksrc}/host ${_target}
+	vcopy ${wrksrc}/dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (18 preceding siblings ...)
  2020-12-15 22:11 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-15 22:16 ` kawaiiamber
  2020-12-15 23:19 ` kawaiiamber
                   ` (158 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15 22:16 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2509 bytes --]

From 0147c9b9048e042d982960574a23fdf55a266f3a Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/template | 53 +++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..e0ca650a09f
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,53 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64 aarch64 x86_64-musl"
+create_wrksrc=yes
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+_target=${DESTDIR}/opt/dotnet
+_prof=${DESTDIR}/etc/profile.d/dotnet.sh
+wrksrc=${pkgname}-${version}-linux-${_arch}
+
+do_configure() {
+	echo "export DOTNET_ROOT=${_target}" >> ${_prof}
+	echo "export PATH=$PATH:$DOTNET_ROOT" >> ${_prof}
+	# this seems to be needed to be able to work with LIBRESSL
+	echo "export CLR_OPENSSL_VERSION_OVERRIDE=48" >> ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy ${wrksrc}/packs ${_target}
+	vcopy ${wrksrc}/sdk ${_target}
+	vcopy ${wrksrc}/shared ${_target}
+	vcopy ${wrksrc}/templates ${_target}
+	vcopy ${wrksrc}/host ${_target}
+	vcopy ${wrksrc}/dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (19 preceding siblings ...)
  2020-12-15 22:16 ` kawaiiamber
@ 2020-12-15 23:19 ` kawaiiamber
  2020-12-15 23:34 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (157 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15 23:19 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1021 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-745627716

Comment:
```
=> dotnet-sdk-5.0.101_1: running post-install hook: 99-pkglint-warn-cross-cruft ...
=> dotnet-sdk-5.0.101_1: running pre-pkg hook: 03-rewrite-python-shebang ...
=> dotnet-sdk-5.0.101_1: running pre-pkg hook: 04-generate-runtime-deps ...
   SONAME: libstdc++.so.6 <-> libstdc++>=4.4.0_1
   SONAME: libgcc_s.so.1 <-> libgcc>=4.4.0_1
   SONAME: libc.musl-x86_64.so.1 <-> UNKNOWN PKG PLEASE FIX!
   SONAME: libmscordaccore.so <-> dotnet-sdk (ignored)
   SONAME: liblttng-ust.so.0 <-> lttng-ust>=2.7.2_1
   SONAME: libz.so.1 <-> zlib>=1.2.3_1
   SONAME: libgssapi_krb5.so.2 <-> mit-krb5-libs>=1.8_1
=> ERROR: dotnet-sdk-5.0.101_1: cannot guess required shlibs, aborting!
Error: Process completed with exit code 1.
```
Looking at the error, it seems like `SONAME: libc.musl-x86_64.so.1 <-> UNKNOWN PKG PLEASE FIX!` is what I need to fix. I wonder why it's unknown?

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (20 preceding siblings ...)
  2020-12-15 23:19 ` kawaiiamber
@ 2020-12-15 23:34 ` kawaiiamber
  2020-12-16  2:01 ` kawaiiamber
                   ` (156 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-15 23:34 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2818 bytes --]

From 6c2a46835d12cf811f29207137ed64fcd60cc287 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/files/dotnet.sh |  6 ++++
 srcpkgs/dotnet-sdk/template        | 51 ++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/files/dotnet.sh b/srcpkgs/dotnet-sdk/files/dotnet.sh
new file mode 100644
index 00000000000..75d844fab94
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/files/dotnet.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+export DOTNET_ROOT=${_target}
+export PATH=$PATH:$DOTNET_ROOT
+# This seems to be needed to be able to work with LibreSSL
+export CLR_OPENSSL_VERSION_OVERRIDE=48
diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..5465972a992
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,51 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64 aarch64 x86_64-musl"
+create_wrksrc=yes
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+_target=${DESTDIR}/opt/dotnet
+_prof=${DESTDIR}/etc/profile.d
+wrksrc=${pkgname}-${version}-linux-${_arch}
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy ${wrksrc}/packs ${_target}
+	vcopy ${wrksrc}/sdk ${_target}
+	vcopy ${wrksrc}/shared ${_target}
+	vcopy ${wrksrc}/templates ${_target}
+	vcopy ${wrksrc}/host ${_target}
+	vcopy ${wrksrc}/dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (21 preceding siblings ...)
  2020-12-15 23:34 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-16  2:01 ` kawaiiamber
  2020-12-16  2:17 ` kawaiiamber
                   ` (155 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-16  2:01 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2573 bytes --]

From f3fa594c9a7213979bac5267e64be6cffcf9bb0b Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/files/dotnet.sh |  6 ++++
 srcpkgs/dotnet-sdk/template        | 50 ++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/files/dotnet.sh b/srcpkgs/dotnet-sdk/files/dotnet.sh
new file mode 100644
index 00000000000..75d844fab94
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/files/dotnet.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+export DOTNET_ROOT=${_target}
+export PATH=$PATH:$DOTNET_ROOT
+# This seems to be needed to be able to work with LibreSSL
+export CLR_OPENSSL_VERSION_OVERRIDE=48
diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..261ab3e1ccd
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,50 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64 aarch64 x86_64-musl"
+create_wrksrc=yes
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+
+_target=${DESTDIR}/opt/dotnet
+_prof=${DESTDIR}/etc/profile.d
+wrksrc=${pkgname}-${version}-linux-${_arch}
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy ${wrksrc}/packs ${_target}
+	vcopy ${wrksrc}/sdk ${_target}
+	vcopy ${wrksrc}/shared ${_target}
+	vcopy ${wrksrc}/templates ${_target}
+	vcopy ${wrksrc}/host ${_target}
+	vcopy ${wrksrc}/dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (22 preceding siblings ...)
  2020-12-16  2:01 ` kawaiiamber
@ 2020-12-16  2:17 ` kawaiiamber
  2020-12-16 19:33 ` kawaiiamber
                   ` (154 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-16  2:17 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2573 bytes --]

From f3fa594c9a7213979bac5267e64be6cffcf9bb0b Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/files/dotnet.sh |  6 ++++
 srcpkgs/dotnet-sdk/template        | 50 ++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/files/dotnet.sh b/srcpkgs/dotnet-sdk/files/dotnet.sh
new file mode 100644
index 00000000000..75d844fab94
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/files/dotnet.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+export DOTNET_ROOT=${_target}
+export PATH=$PATH:$DOTNET_ROOT
+# This seems to be needed to be able to work with LibreSSL
+export CLR_OPENSSL_VERSION_OVERRIDE=48
diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..261ab3e1ccd
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,50 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64 aarch64 x86_64-musl"
+create_wrksrc=yes
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+
+_target=${DESTDIR}/opt/dotnet
+_prof=${DESTDIR}/etc/profile.d
+wrksrc=${pkgname}-${version}-linux-${_arch}
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy ${wrksrc}/packs ${_target}
+	vcopy ${wrksrc}/sdk ${_target}
+	vcopy ${wrksrc}/shared ${_target}
+	vcopy ${wrksrc}/templates ${_target}
+	vcopy ${wrksrc}/host ${_target}
+	vcopy ${wrksrc}/dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (23 preceding siblings ...)
  2020-12-16  2:17 ` kawaiiamber
@ 2020-12-16 19:33 ` kawaiiamber
  2020-12-16 21:09 ` ericonr
                   ` (153 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-16 19:33 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 989 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-746887899

Comment:
I could just be doing this all wrong, but, I'm really curious why it's reporting `SONAME: libc.musl-x86_64.so.1 <-> UNKNOWN PKG PLEASE FIX!` on the musl arch. I copied the info from `/etc/dotnet.sh` to my `$HOME/.zshrc` and, after exporting the `$PATH`, everything seems to work fine on my end. I ran `ldd /etc/dotnet/dotnet` and, on my musl machine, it reports
```
[amber@otaku ~]$ ldd /opt/dotnet/dotnet
        /lib/ld-musl-x86_64.so.1 (0x7fb35c13f000)
        libstdc++.so.6 => /lib/libstdc++.so.6 (0x7fb35be94000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x7fb35be7b000)
        libc.musl-x86_64.so.1 => /lib/ld-musl-x86_64.so.1 (0x7fb35c13f000)
```
It looks like `libc.musl-x86_64.so.1` is successfully being linked to `/lib/ld-musl-x86_64.so.1` on my end, yet is failing durring the checks. I'd love to hear others thoughts ~

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (24 preceding siblings ...)
  2020-12-16 19:33 ` kawaiiamber
@ 2020-12-16 21:09 ` ericonr
  2020-12-16 21:14 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (152 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: ericonr @ 2020-12-16 21:09 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 341 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-747023006

Comment:
Somehow they encoded into the binary that libc is `libc.musl-x86-64.so`... If you can launch the application on your system, you could instead just add `skiprdeps="opt/dotnet/dotnet"` to the template.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (25 preceding siblings ...)
  2020-12-16 21:09 ` ericonr
@ 2020-12-16 21:14 ` kawaiiamber
  2020-12-16 21:16 ` kawaiiamber
                   ` (151 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-16 21:14 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2610 bytes --]

From 5b738931ce6f58647740caa96e32a312cdfd4e15 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/files/dotnet.sh |  6 ++++
 srcpkgs/dotnet-sdk/template        | 51 ++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/files/dotnet.sh b/srcpkgs/dotnet-sdk/files/dotnet.sh
new file mode 100644
index 00000000000..2769e3522cf
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/files/dotnet.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+export DOTNET_ROOT="${_target}"
+export PATH="$PATH:$DOTNET_ROOT"
+# This seems to be needed to be able to work with LibreSSL
+export CLR_OPENSSL_VERSION_OVERRIDE="48"
diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..301a1edb16c
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,51 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64 aarch64 x86_64-musl"
+create_wrksrc=yes
+skiprdeps="opt/dotnet/dotnet"
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+
+_target=${DESTDIR}/opt/dotnet
+_prof=${DESTDIR}/etc/profile.d
+wrksrc=${pkgname}-${version}-linux-${_arch}
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy ${wrksrc}/packs ${_target}
+	vcopy ${wrksrc}/sdk ${_target}
+	vcopy ${wrksrc}/shared ${_target}
+	vcopy ${wrksrc}/templates ${_target}
+	vcopy ${wrksrc}/host ${_target}
+	vcopy ${wrksrc}/dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (26 preceding siblings ...)
  2020-12-16 21:14 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-16 21:16 ` kawaiiamber
  2020-12-16 21:17 ` kawaiiamber
                   ` (150 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-16 21:16 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2610 bytes --]

From c021098f4be9c162f2434d811cdab0f9dbab4520 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/files/dotnet.sh |  6 ++++
 srcpkgs/dotnet-sdk/template        | 51 ++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/files/dotnet.sh b/srcpkgs/dotnet-sdk/files/dotnet.sh
new file mode 100644
index 00000000000..2769e3522cf
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/files/dotnet.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+export DOTNET_ROOT="${_target}"
+export PATH="$PATH:$DOTNET_ROOT"
+# This seems to be needed to be able to work with LibreSSL
+export CLR_OPENSSL_VERSION_OVERRIDE="48"
diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..16b8f4ecea9
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,51 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64 aarch64 x86_64-musl"
+create_wrksrc=yes
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+skiprdeps="opt/dotnet/dotnet"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+
+_target=${DESTDIR}/opt/dotnet
+_prof=${DESTDIR}/etc/profile.d
+wrksrc=${pkgname}-${version}-linux-${_arch}
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy ${wrksrc}/packs ${_target}
+	vcopy ${wrksrc}/sdk ${_target}
+	vcopy ${wrksrc}/shared ${_target}
+	vcopy ${wrksrc}/templates ${_target}
+	vcopy ${wrksrc}/host ${_target}
+	vcopy ${wrksrc}/dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (27 preceding siblings ...)
  2020-12-16 21:16 ` kawaiiamber
@ 2020-12-16 21:17 ` kawaiiamber
  2020-12-16 21:20 ` kawaiiamber
                   ` (149 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-16 21:17 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 285 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-747035853

Comment:
Thank you for the suggestion, I really appreciate how friendly and helpful you are. I added `skiprdeps="opt/dotnet/dotnet"` to the template.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (28 preceding siblings ...)
  2020-12-16 21:17 ` kawaiiamber
@ 2020-12-16 21:20 ` kawaiiamber
  2020-12-17 21:49 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (148 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-16 21:20 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1092 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-747039194

Comment:
Perhaps I put it in incorrectly, but the log is still reporting
```
=> dotnet-sdk-5.0.101_1: running post-install hook: 13-pkg-config-clean-xbps-cross-base-ref ...
=> dotnet-sdk-5.0.101_1: running post-install hook: 99-pkglint-warn-cross-cruft ...
=> dotnet-sdk-5.0.101_1: running pre-pkg hook: 03-rewrite-python-shebang ...
=> dotnet-sdk-5.0.101_1: running pre-pkg hook: 04-generate-runtime-deps ...
   SONAME: libstdc++.so.6 <-> libstdc++>=4.4.0_1
   SONAME: libgcc_s.so.1 <-> libgcc>=4.4.0_1
   SONAME: libc.musl-x86_64.so.1 <-> UNKNOWN PKG PLEASE FIX!
   SONAME: libz.so.1 <-> zlib>=1.2.3_1
   SONAME: libgssapi_krb5.so.2 <-> mit-krb5-libs>=1.8_1
   SONAME: libmscordaccore.so <-> dotnet-sdk (ignored)
   SONAME: liblttng-ust.so.0 <-> lttng-ust>=2.7.2_1
=> ERROR: dotnet-sdk-5.0.101_1: cannot guess required shlibs, aborting!
Error: Process completed with exit code 1.
```
I'm sorry if I'm doing this wrong / wasting your time.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (29 preceding siblings ...)
  2020-12-16 21:20 ` kawaiiamber
@ 2020-12-17 21:49 ` kawaiiamber
  2020-12-17 21:52 ` kawaiiamber
                   ` (147 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-17 21:49 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2621 bytes --]

From a70b765e22faf3bdf42b0dae2be1ca8af1bceffe Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/files/dotnet.sh |  6 ++++
 srcpkgs/dotnet-sdk/template        | 51 ++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/files/dotnet.sh b/srcpkgs/dotnet-sdk/files/dotnet.sh
new file mode 100644
index 00000000000..2769e3522cf
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/files/dotnet.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+export DOTNET_ROOT="${_target}"
+export PATH="$PATH:$DOTNET_ROOT"
+# This seems to be needed to be able to work with LibreSSL
+export CLR_OPENSSL_VERSION_OVERRIDE="48"
diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..9b5267243a2
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,51 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64 aarch64 x86_64-musl"
+create_wrksrc=yes
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+skiprdeps="${DESTDIR}/opt/dotnet/dotnet"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+
+_target=${DESTDIR}/opt/dotnet
+_prof=${DESTDIR}/etc/profile.d
+wrksrc=${pkgname}-${version}-linux-${_arch}
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy ${wrksrc}/packs ${_target}
+	vcopy ${wrksrc}/sdk ${_target}
+	vcopy ${wrksrc}/shared ${_target}
+	vcopy ${wrksrc}/templates ${_target}
+	vcopy ${wrksrc}/host ${_target}
+	vcopy ${wrksrc}/dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (30 preceding siblings ...)
  2020-12-17 21:49 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-17 21:52 ` kawaiiamber
  2020-12-17 21:57 ` idMysteries
                   ` (146 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-17 21:52 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1734 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-747724440

Comment:
I added `skiprdeps="${DESTDIR}/opt/dotnet/dotnet"` to the template. Now it's successfully saying `=> Skipping dependency scan for /opt/dotnet/dotnet`, but it looks like it's still failing to link musl libc?
```
[amber@otaku ~/projx/repos/void-packages]$ ./xbps-src pkg dotnet-sdk
=> xbps-src: updating repositories for host (x86_64-musl)...
[*] Updating repository `https://alpha.de.repo.voidlinux.org/current/musl/x86_64-musl-repodata' ...
[*] Updating repository `https://alpha.de.repo.voidlinux.org/current/musl/nonfree/x86_64-musl-repodata' ...
[*] Updating repository `https://alpha.de.repo.voidlinux.org/current/musl/debug/x86_64-musl-repodata' ...
=> xbps-src: updating software in / masterdir...
=> xbps-src: cleaning up / masterdir...
=> dotnet-sdk-5.0.101_1: removing autodeps, please wait...
=> dotnet-sdk-5.0.101_1: building for x86_64-musl...
=> dotnet-sdk-5.0.101_1: skipping check (XBPS_CHECK_PKGS is disabled) ...
=> dotnet-sdk-5.0.101_1: running pre-pkg hook: 03-rewrite-python-shebang ...
=> dotnet-sdk-5.0.101_1: running pre-pkg hook: 04-generate-runtime-deps ...
=> Skipping dependency scan for /opt/dotnet/dotnet
   SONAME: libstdc++.so.6 <-> libstdc++>=4.4.0_1
   SONAME: libgcc_s.so.1 <-> libgcc>=4.4.0_1
   SONAME: libc.musl-x86_64.so.1 <-> UNKNOWN PKG PLEASE FIX!
   SONAME: libz.so.1 <-> zlib>=1.2.3_1
   SONAME: libgssapi_krb5.so.2 <-> mit-krb5-libs>=1.8_1
   SONAME: libmscordaccore.so <-> dotnet-sdk (ignored)
   SONAME: liblttng-ust.so.0 <-> lttng-ust>=2.7.2_1
=> ERROR: dotnet-sdk-5.0.101_1: cannot guess required shlibs, aborting!
```

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (31 preceding siblings ...)
  2020-12-17 21:52 ` kawaiiamber
@ 2020-12-17 21:57 ` idMysteries
  2020-12-17 21:57 ` idMysteries
                   ` (145 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: idMysteries @ 2020-12-17 21:57 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 222 bytes --]

New comment by idMysteries on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-747726707

Comment:
Try this
ln -s /usr/lib/x86_64-linux-musl/libc.so /lib/libc.musl-x86_64.so.1

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (32 preceding siblings ...)
  2020-12-17 21:57 ` idMysteries
@ 2020-12-17 21:57 ` idMysteries
  2020-12-17 21:59 ` idMysteries
                   ` (144 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: idMysteries @ 2020-12-17 21:57 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 224 bytes --]

New comment by idMysteries on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-747726707

Comment:
Try this
`ln -s /usr/lib/x86_64-linux-musl/libc.so /lib/libc.musl-x86_64.so.1`

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (33 preceding siblings ...)
  2020-12-17 21:57 ` idMysteries
@ 2020-12-17 21:59 ` idMysteries
  2020-12-17 22:05 ` ericonr
                   ` (143 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: idMysteries @ 2020-12-17 21:59 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 224 bytes --]

New comment by idMysteries on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-747726707

Comment:
Try this
`ln -s /usr/lib/x86_64-linux-musl/libc.so /lib/libc.musl-x86_64.so.1`

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (34 preceding siblings ...)
  2020-12-17 21:59 ` idMysteries
@ 2020-12-17 22:05 ` ericonr
  2020-12-17 22:06 ` ericonr
                   ` (142 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: ericonr @ 2020-12-17 22:05 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 329 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-747730398

Comment:
Hm, maybe it should be `skiprdeps=/opt...` (I missed the `/` in the beginning).

That said, might be easier to just put `shlib_provides="libc.musl-x86_64.so.1"` in the template for musl.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (35 preceding siblings ...)
  2020-12-17 22:05 ` ericonr
@ 2020-12-17 22:06 ` ericonr
  2020-12-17 22:16 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (141 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: ericonr @ 2020-12-17 22:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 360 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-747730398

Comment:
Hm, maybe it should be `skiprdeps=/opt...` (I missed the `/` in the beginning).

That said, might be easier to just put `shlib_provides="libc.musl-x86_64.so.1"` in the template for musl, and not bother with skiprdeps.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (36 preceding siblings ...)
  2020-12-17 22:06 ` ericonr
@ 2020-12-17 22:16 ` kawaiiamber
  2020-12-17 22:17 ` kawaiiamber
                   ` (140 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-17 22:16 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2694 bytes --]

From 4a438d0efdba8284a46e575d648a7b394eeaa446 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/files/dotnet.sh |  6 ++++
 srcpkgs/dotnet-sdk/template        | 52 ++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/files/dotnet.sh b/srcpkgs/dotnet-sdk/files/dotnet.sh
new file mode 100644
index 00000000000..2769e3522cf
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/files/dotnet.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+export DOTNET_ROOT="${_target}"
+export PATH="$PATH:$DOTNET_ROOT"
+# This seems to be needed to be able to work with LibreSSL
+export CLR_OPENSSL_VERSION_OVERRIDE="48"
diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..3f95e730c20
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,52 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64 aarch64 x86_64-musl"
+create_wrksrc=yes
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	# The binary somehow has bad link, so this seems to be needed to fix it
+	shlib_provides="libc.musl-x86_64.so.1"
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+
+_target=${DESTDIR}/opt/dotnet
+_prof=${DESTDIR}/etc/profile.d
+wrksrc=${pkgname}-${version}-linux-${_arch}
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy ${wrksrc}/packs ${_target}
+	vcopy ${wrksrc}/sdk ${_target}
+	vcopy ${wrksrc}/shared ${_target}
+	vcopy ${wrksrc}/templates ${_target}
+	vcopy ${wrksrc}/host ${_target}
+	vcopy ${wrksrc}/dotnet ${_target}
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (37 preceding siblings ...)
  2020-12-17 22:16 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-17 22:17 ` kawaiiamber
  2020-12-17 22:19 ` kawaiiamber
                   ` (139 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-17 22:17 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 236 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-747735505

Comment:
I added `shlib_provides="libc.musl-x86_64.so.1"` in the case for musl, yet the same result.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (38 preceding siblings ...)
  2020-12-17 22:17 ` kawaiiamber
@ 2020-12-17 22:19 ` kawaiiamber
  2020-12-18  8:10 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (138 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-17 22:19 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 431 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-747735505

Comment:
I added `shlib_provides="libc.musl-x86_64.so.1"` in the case for musl and removed the `skiprdeps`, yet the same result. Also, I don't believe the `/` in `skiprdeps` was the problem. `=> Skipping dependency scan for /opt/dotnet/dotnet`, it successfully skipped, but still failed to link.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (39 preceding siblings ...)
  2020-12-17 22:19 ` kawaiiamber
@ 2020-12-18  8:10 ` kawaiiamber
  2020-12-18 14:42 ` unspecd
                   ` (137 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-18  8:10 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2727 bytes --]

From b051e51dffe95177bfde8bb821b356efe4be6a27 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/files/dotnet.sh |  6 ++++
 srcpkgs/dotnet-sdk/template        | 55 ++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/files/dotnet.sh b/srcpkgs/dotnet-sdk/files/dotnet.sh
new file mode 100644
index 00000000000..2769e3522cf
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/files/dotnet.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+export DOTNET_ROOT="${_target}"
+export PATH="$PATH:$DOTNET_ROOT"
+# This seems to be needed to be able to work with LibreSSL
+export CLR_OPENSSL_VERSION_OVERRIDE="48"
diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..3b109e82e76
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,55 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64 aarch64 x86_64-musl"
+create_wrksrc=yes
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	# The binary somehow has bad link, so this seems to be needed to fix it
+	shlib_provides="libc.musl-x86_64.so.1"
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+
+_target=${DESTDIR}/opt/dotnet
+_prof=${DESTDIR}/etc/profile.d
+wrksrc=${pkgname}-${version}-linux-${_arch}
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy ${wrksrc}/packs ${_target}
+	vcopy ${wrksrc}/sdk ${_target}
+	vcopy ${wrksrc}/shared ${_target}
+	vcopy ${wrksrc}/templates ${_target}
+	vcopy ${wrksrc}/host ${_target}
+	vcopy ${wrksrc}/dotnet ${_target}
+}
+
+post_install() {
+	vlicense ${wrksrc}/LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (40 preceding siblings ...)
  2020-12-18  8:10 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-18 14:42 ` unspecd
  2020-12-18 14:50 ` unspecd
                   ` (136 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: unspecd @ 2020-12-18 14:42 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1601 bytes --]

New comment by unspecd on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-748120473

Comment:
Try this:
```sh
	# The binary somehow has bad link, so this seems to be needed to fix it
        skiprdeps="
	  ${_target}/dotnet
	  ${_target}/host/fxr/5.0.1/libhostfxr.so
          ${_target}/packs/Microsoft.NETCore.App.Host.linux-musl-x64/5.0.1/runtimes/linux-musl-x64/native/apphost
          ${_target}/packs/Microsoft.NETCore.App.Host.linux-musl-x64/5.0.1/runtimes/linux-musl-x64/native/singlefilehost
	  ${_target}/packs/Microsoft.NETCore.App.Host.linux-musl-x64/5.0.1/runtimes/linux-musl-x64/native/libnethost.so
	  ${_target}/sdk/5.0.101/AppHostTemplate/apphost
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/createdump
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.IO.Compression.Native.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.Native.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.Net.Security.Native.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.Security.Cryptography.Native.OpenSsl.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libclrjit.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libcoreclr.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libcoreclrtraceptprovider.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libdbgshim.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libhostpolicy.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libmscordaccore.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libmscordbi.so
	"
```


^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (41 preceding siblings ...)
  2020-12-18 14:42 ` unspecd
@ 2020-12-18 14:50 ` unspecd
  2020-12-18 17:15 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (135 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: unspecd @ 2020-12-18 14:50 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1787 bytes --]

New comment by unspecd on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-748120473

Comment:
Try this:
```sh
	# The binary somehow has bad link, so this seems to be needed to fix it
        skiprdeps="
	  ${_target}/dotnet
	  ${_target}/host/fxr/5.0.1/libhostfxr.so
          ${_target}/packs/Microsoft.NETCore.App.Host.linux-musl-x64/5.0.1/runtimes/linux-musl-x64/native/apphost
          ${_target}/packs/Microsoft.NETCore.App.Host.linux-musl-x64/5.0.1/runtimes/linux-musl-x64/native/singlefilehost
	  ${_target}/packs/Microsoft.NETCore.App.Host.linux-musl-x64/5.0.1/runtimes/linux-musl-x64/native/libnethost.so
	  ${_target}/sdk/5.0.101/AppHostTemplate/apphost
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/createdump
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.IO.Compression.Native.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.Native.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.Net.Security.Native.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.Security.Cryptography.Native.OpenSsl.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libclrjit.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libcoreclr.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libcoreclrtraceptprovider.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libdbgshim.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libhostpolicy.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libmscordaccore.so
	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libmscordbi.so
	"
```
But don't forget to put `_target=${DESTDIR}/opt/dotnet` before `case`.

Also, you should fix dotnet.sh: replace `export DOTNET_ROOT="${_target}"` with `export DOTNET_ROOT=/opt/dotnet`.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (42 preceding siblings ...)
  2020-12-18 14:50 ` unspecd
@ 2020-12-18 17:15 ` kawaiiamber
  2020-12-18 17:16 ` kawaiiamber
                   ` (134 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-18 17:15 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 4045 bytes --]

From 38756cee8dc0e7fe83d08f988d8cc38a3f2f996e Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/files/dotnet.sh |  6 +++
 srcpkgs/dotnet-sdk/template        | 75 ++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/files/dotnet.sh b/srcpkgs/dotnet-sdk/files/dotnet.sh
new file mode 100644
index 00000000000..79658be5526
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/files/dotnet.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+export DOTNET_ROOT=/opt/dotnet
+export PATH="$PATH:$DOTNET_ROOT"
+# This seems to be needed to be able to work with LibreSSL
+export CLR_OPENSSL_VERSION_OVERRIDE=48
diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..b9d85f36955
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,75 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64 aarch64 x86_64-musl"
+create_wrksrc=yes
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+_target=${DESTDIR}/opt/dotnet
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	# The binary somehow has bad link, so this seems to be needed to fix it
+	skiprdeps="
+		  ${_target}/dotnet
+		  ${_target}/host/fxr/5.0.1/libhostfxr.so
+		  ${_target}/packs/Microsoft.NETCore.App.Host.linux-musl-x64/5.0.1/runtimes/linux-musl-x64/native/apphost
+		  ${_target}/packs/Microsoft.NETCore.App.Host.linux-musl-x64/5.0.1/runtimes/linux-musl-x64/native/singlefilehost
+		  ${_target}/packs/Microsoft.NETCore.App.Host.linux-musl-x64/5.0.1/runtimes/linux-musl-x64/native/libnethost.so
+		  ${_target}/sdk/5.0.101/AppHostTemplate/apphost
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/createdump
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.IO.Compression.Native.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.Native.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.Net.Security.Native.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.Security.Cryptography.Native.OpenSsl.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libclrjit.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libcoreclr.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libcoreclrtraceptprovider.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libdbgshim.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libhostpolicy.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libmscordaccore.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libmscordbi.so
+		"
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+
+_prof=${DESTDIR}/etc/profile.d
+wrksrc=${pkgname}-${version}-linux-${_arch}
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy ${wrksrc}/packs ${_target}
+	vcopy ${wrksrc}/sdk ${_target}
+	vcopy ${wrksrc}/shared ${_target}
+	vcopy ${wrksrc}/templates ${_target}
+	vcopy ${wrksrc}/host ${_target}
+	vcopy ${wrksrc}/dotnet ${_target}
+}
+
+post_install() {
+	vlicense ${wrksrc}/LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (43 preceding siblings ...)
  2020-12-18 17:15 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-18 17:16 ` kawaiiamber
  2020-12-19  6:34 ` kawaiiamber
                   ` (133 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-18 17:16 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 246 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-748213498

Comment:
Holy wow! Thank you so much! I feel bad that you did all of that to fix my problem, thank you x1000 ~

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (44 preceding siblings ...)
  2020-12-18 17:16 ` kawaiiamber
@ 2020-12-19  6:34 ` kawaiiamber
  2020-12-19 13:28 ` unspecd
                   ` (132 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-19  6:34 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 989 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-746887899

Comment:
I could just be doing this all wrong, but, I'm really curious why it's reporting `SONAME: libc.musl-x86_64.so.1 <-> UNKNOWN PKG PLEASE FIX!` on the musl arch. I copied the info from `/etc/dotnet.sh` to my `$HOME/.zshrc` and, after exporting the `$PATH`, everything seems to work fine on my end. I ran `ldd /opt/dotnet/dotnet` and, on my musl machine, it reports
```
[amber@otaku ~]$ ldd /opt/dotnet/dotnet
        /lib/ld-musl-x86_64.so.1 (0x7fb35c13f000)
        libstdc++.so.6 => /lib/libstdc++.so.6 (0x7fb35be94000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x7fb35be7b000)
        libc.musl-x86_64.so.1 => /lib/ld-musl-x86_64.so.1 (0x7fb35c13f000)
```
It looks like `libc.musl-x86_64.so.1` is successfully being linked to `/lib/ld-musl-x86_64.so.1` on my end, yet is failing durring the checks. I'd love to hear others thoughts ~

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (45 preceding siblings ...)
  2020-12-19  6:34 ` kawaiiamber
@ 2020-12-19 13:28 ` unspecd
  2020-12-22 10:23 ` fosslinux
                   ` (131 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: unspecd @ 2020-12-19 13:28 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 165 bytes --]

New comment by unspecd on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-748475047

Comment:
Glad to help you out :) 

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (46 preceding siblings ...)
  2020-12-19 13:28 ` unspecd
@ 2020-12-22 10:23 ` fosslinux
  2020-12-22 10:26 ` [PR REVIEW] " fosslinux
                   ` (130 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: fosslinux @ 2020-12-22 10:23 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 206 bytes --]

New comment by fosslinux on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749468124

Comment:
This is a binary package, no? It should have the suffix `-bin`.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (47 preceding siblings ...)
  2020-12-22 10:23 ` fosslinux
@ 2020-12-22 10:26 ` fosslinux
  2020-12-22 10:26 ` fosslinux
                   ` (129 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: fosslinux @ 2020-12-22 10:26 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 213 bytes --]

New review comment by fosslinux on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547194289

Comment:
As per my other comment I think this should be `dotnet-sdk-bin`.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (48 preceding siblings ...)
  2020-12-22 10:26 ` [PR REVIEW] " fosslinux
@ 2020-12-22 10:26 ` fosslinux
  2020-12-22 10:26 ` fosslinux
                   ` (128 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: fosslinux @ 2020-12-22 10:26 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 158 bytes --]

New review comment by fosslinux on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547194355

Comment:
`x86_64*`

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (49 preceding siblings ...)
  2020-12-22 10:26 ` fosslinux
@ 2020-12-22 10:26 ` fosslinux
  2020-12-22 10:26 ` fosslinux
                   ` (127 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: fosslinux @ 2020-12-22 10:26 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 276 bytes --]

New review comment by fosslinux on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547194635

Comment:
Hm, do we really want it in `/opt/dotnet`? I don't think we generally have packages in `/opt`. How about `/usr/libexec/dotnet`?

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (50 preceding siblings ...)
  2020-12-22 10:26 ` fosslinux
@ 2020-12-22 10:26 ` fosslinux
  2020-12-22 10:53 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (126 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: fosslinux @ 2020-12-22 10:26 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 190 bytes --]

New review comment by fosslinux on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547194870

Comment:
Shouldn't need `${wrksrc}/` here, I think

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (51 preceding siblings ...)
  2020-12-22 10:26 ` fosslinux
@ 2020-12-22 10:53 ` kawaiiamber
  2020-12-22 10:56 ` kawaiiamber
                   ` (125 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 10:53 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 3964 bytes --]

From 6f1f74db4ea7f8234db5fc32083b32570a262601 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-5.0.101

New package: dotnet-sdk-5.0.101
---
 srcpkgs/dotnet-sdk/files/dotnet.sh |  6 +++
 srcpkgs/dotnet-sdk/template        | 75 ++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/files/dotnet.sh b/srcpkgs/dotnet-sdk/files/dotnet.sh
new file mode 100644
index 00000000000..79658be5526
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/files/dotnet.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+export DOTNET_ROOT=/opt/dotnet
+export PATH="$PATH:$DOTNET_ROOT"
+# This seems to be needed to be able to work with LibreSSL
+export CLR_OPENSSL_VERSION_OVERRIDE=48
diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 00000000000..c111948466f
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,75 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.101
+revision=1
+archs="x86_64* aarch64"
+create_wrksrc=yes
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+_target=${DESTDIR}/opt/dotnet
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	# The binary somehow has bad link, so this seems to be needed to fix it
+	skiprdeps="
+		  ${_target}/dotnet
+		  ${_target}/host/fxr/5.0.1/libhostfxr.so
+		  ${_target}/packs/Microsoft.NETCore.App.Host.linux-musl-x64/5.0.1/runtimes/linux-musl-x64/native/apphost
+		  ${_target}/packs/Microsoft.NETCore.App.Host.linux-musl-x64/5.0.1/runtimes/linux-musl-x64/native/singlefilehost
+		  ${_target}/packs/Microsoft.NETCore.App.Host.linux-musl-x64/5.0.1/runtimes/linux-musl-x64/native/libnethost.so
+		  ${_target}/sdk/5.0.101/AppHostTemplate/apphost
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/createdump
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.IO.Compression.Native.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.Native.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.Net.Security.Native.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.Security.Cryptography.Native.OpenSsl.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libclrjit.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libcoreclr.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libcoreclrtraceptprovider.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libdbgshim.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libhostpolicy.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libmscordaccore.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libmscordbi.so
+		"
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/${pkgname}-${version}-linux-${_arch}.tar.gz"
+
+_prof=${DESTDIR}/etc/profile.d
+wrksrc=${pkgname}-${version}-linux-${_arch}
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy packs ${_target}
+	vcopy sdk ${_target}
+	vcopy shared ${_target}
+	vcopy templates ${_target}
+	vcopy host ${_target}
+	vcopy dotnet ${_target}
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (52 preceding siblings ...)
  2020-12-22 10:53 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-22 10:56 ` kawaiiamber
  2020-12-22 10:56 ` kawaiiamber
                   ` (124 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 10:56 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 590 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749481485

Comment:
Changed `archs="x86_64 aarch64 x86_64-musl"` to `archs="x86_64* aarch64"` and removed redundant `${wrksrc}` expansion. The way that dotnet is made is a little awkward. I'm still convinced `/opt` is probably the best place for it given the various things that the files do. I could be wrong though. I don't see how '/usr/libexec' is better than `/opt` in this case, though I'm probably wrong. An explanation would be greatly appreciated. Cheers ~

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (53 preceding siblings ...)
  2020-12-22 10:56 ` kawaiiamber
@ 2020-12-22 10:56 ` kawaiiamber
  2020-12-22 10:57 ` [PR REVIEW] " kawaiiamber
                   ` (123 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 10:56 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 604 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749481485

Comment:
@fosslinux, I changed `archs="x86_64 aarch64 x86_64-musl"` to `archs="x86_64* aarch64"` and removed redundant `${wrksrc}` expansion. The way that dotnet is made is a little awkward. I'm still convinced `/opt` is probably the best place for it given the various things that the files do. I could be wrong though. I don't see how '/usr/libexec' is better than `/opt` in this case, though I'm probably wrong. An explanation would be greatly appreciated. Cheers ~

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (54 preceding siblings ...)
  2020-12-22 10:56 ` kawaiiamber
@ 2020-12-22 10:57 ` kawaiiamber
  2020-12-22 10:58 ` kawaiiamber
                   ` (122 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 10:57 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 191 bytes --]

New review comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547210769

Comment:
Removed redundant `${wrksrc}` expansion.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (55 preceding siblings ...)
  2020-12-22 10:57 ` [PR REVIEW] " kawaiiamber
@ 2020-12-22 10:58 ` kawaiiamber
  2020-12-22 10:59 ` kawaiiamber
                   ` (121 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 10:58 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 274 bytes --]

New review comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547211127

Comment:
I thought I already did that... I must have accidently reverted back at some point. Thanks for pointing that out. Updated ~

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (56 preceding siblings ...)
  2020-12-22 10:58 ` kawaiiamber
@ 2020-12-22 10:59 ` kawaiiamber
  2020-12-22 11:05 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (120 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 10:59 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 421 bytes --]

New review comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547211747

Comment:
While packages generally don't go in `/opt`, given all the various things that the dotnet folder contains and does, I don't know if `/usr/libexec` is a better place. Though, I'm not very experienced and am probably wrong. I'd love to hear your thoughts on this. Thanks ~

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (57 preceding siblings ...)
  2020-12-22 10:59 ` kawaiiamber
@ 2020-12-22 11:05 ` kawaiiamber
  2020-12-22 11:06 ` [PR REVIEW] New package: dotnet-sdk-bin-5.0.101 kawaiiamber
                   ` (119 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 11:05 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 747 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 4016 bytes --]

From e9872691b702e856125787b9fdc7cef414648b5d Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-bin-5.0.101

New package: dotnet-sdk-bin-5.0.101
---
 srcpkgs/dotnet-sdk-bin/files/dotnet.sh |  6 +++
 srcpkgs/dotnet-sdk-bin/template        | 75 ++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk-bin/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk-bin/template

diff --git a/srcpkgs/dotnet-sdk-bin/files/dotnet.sh b/srcpkgs/dotnet-sdk-bin/files/dotnet.sh
new file mode 100644
index 00000000000..79658be5526
--- /dev/null
+++ b/srcpkgs/dotnet-sdk-bin/files/dotnet.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+export DOTNET_ROOT=/opt/dotnet
+export PATH="$PATH:$DOTNET_ROOT"
+# This seems to be needed to be able to work with LibreSSL
+export CLR_OPENSSL_VERSION_OVERRIDE=48
diff --git a/srcpkgs/dotnet-sdk-bin/template b/srcpkgs/dotnet-sdk-bin/template
new file mode 100644
index 00000000000..5a259ab63a4
--- /dev/null
+++ b/srcpkgs/dotnet-sdk-bin/template
@@ -0,0 +1,75 @@
+# Template file for 'dotnet-sdk-bin'
+pkgname=dotnet-sdk-bin
+version=5.0.101
+revision=1
+archs="x86_64* aarch64"
+create_wrksrc=yes
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+_target=${DESTDIR}/opt/dotnet
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	# The binary somehow has bad link, so this seems to be needed to fix it
+	skiprdeps="
+		  ${_target}/dotnet
+		  ${_target}/host/fxr/5.0.1/libhostfxr.so
+		  ${_target}/packs/Microsoft.NETCore.App.Host.linux-musl-x64/5.0.1/runtimes/linux-musl-x64/native/apphost
+		  ${_target}/packs/Microsoft.NETCore.App.Host.linux-musl-x64/5.0.1/runtimes/linux-musl-x64/native/singlefilehost
+		  ${_target}/packs/Microsoft.NETCore.App.Host.linux-musl-x64/5.0.1/runtimes/linux-musl-x64/native/libnethost.so
+		  ${_target}/sdk/5.0.101/AppHostTemplate/apphost
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/createdump
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.IO.Compression.Native.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.Native.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.Net.Security.Native.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.Security.Cryptography.Native.OpenSsl.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libclrjit.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libcoreclr.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libcoreclrtraceptprovider.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libdbgshim.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libhostpolicy.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libmscordaccore.so
+		  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libmscordbi.so
+		"
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/dotnet-sdk-${version}-linux-${_arch}.tar.gz"
+
+_prof=${DESTDIR}/etc/profile.d
+wrksrc=dotnet-sdk-${version}-linux-${_arch}
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy packs ${_target}
+	vcopy sdk ${_target}
+	vcopy shared ${_target}
+	vcopy templates ${_target}
+	vcopy host ${_target}
+	vcopy dotnet ${_target}
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (58 preceding siblings ...)
  2020-12-22 11:05 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-22 11:06 ` kawaiiamber
  2020-12-22 11:10 ` q66
                   ` (118 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 11:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 199 bytes --]

New review comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547214675

Comment:
That's a good point. Renamed to `dotnet-sdk-bin`

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (59 preceding siblings ...)
  2020-12-22 11:06 ` [PR REVIEW] New package: dotnet-sdk-bin-5.0.101 kawaiiamber
@ 2020-12-22 11:10 ` q66
  2020-12-22 11:16 ` kawaiiamber
                   ` (117 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: q66 @ 2020-12-22 11:10 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 446 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749487446

Comment:
pointing to the libc thing to ld-musl looks pretty wrong, it shouldn't really, ignoring rdeps won't magically make it work or be right

it needs to be investigated why that name is there (I don't think it exists anywhere in any form, unless it's an internal link in dotnet, in which case it's probably okay)

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (60 preceding siblings ...)
  2020-12-22 11:10 ` q66
@ 2020-12-22 11:16 ` kawaiiamber
  2020-12-22 11:17 ` kawaiiamber
                   ` (116 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 11:16 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1749 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749489489

Comment:
@q66, without `skiprdeps` on the `musl` arch, `xbps-src` and the checks here report:
```sh
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 10-pkglint-devel-paths ...
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 11-pkglint-elf-in-usrshare ...
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 12-rename-python3-c-bindings ...
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 13-pkg-config-clean-xbps-cross-base-ref ...
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 99-pkglint-warn-cross-cruft ...
=> dotnet-sdk-bin-5.0.101_1: running pre-pkg hook: 03-rewrite-python-shebang ...
=> dotnet-sdk-bin-5.0.101_1: running pre-pkg hook: 04-generate-runtime-deps ...
   SONAME: libstdc++.so.6 <-> libstdc++>=4.4.0_1
   SONAME: libgcc_s.so.1 <-> libgcc>=4.4.0_1
   SONAME: libc.musl-x86_64.so.1 <-> UNKNOWN PKG PLEASE FIX!
   SONAME: libz.so.1 <-> zlib>=1.2.3_1
   SONAME: libgssapi_krb5.so.2 <-> mit-krb5-libs>=1.8_1
   SONAME: libmscordaccore.so <-> dotnet-sdk-bin (ignored)
   SONAME: liblttng-ust.so.0 <-> lttng-ust>=2.7.2_1
=> ERROR: dotnet-sdk-bin-5.0.101_1: cannot guess required shlibs, aborting!
```
However, on my musl machine, the binaries successfully run and link:
```sh
[amber@otaku ~]$ ldd /opt/dotnet/dotnet
        /lib/ld-musl-x86_64.so.1 (0x7ff2b8419000)
        libstdc++.so.6 => /lib/libstdc++.so.6 (0x7ff2b816e000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x7ff2b8155000)
        libc.musl-x86_64.so.1 => /lib/ld-musl-x86_64.so.1 (0x7ff2b8419000)
```
Thus, I suspect that it's an internal link in dotnet us you point out.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (61 preceding siblings ...)
  2020-12-22 11:16 ` kawaiiamber
@ 2020-12-22 11:17 ` kawaiiamber
  2020-12-22 11:18 ` kawaiiamber
                   ` (115 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 11:17 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1805 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749489489

Comment:
@q66, without `skiprdeps` on the `musl` arch, `xbps-src` and the checks here report:
```sh
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 10-pkglint-devel-paths ...
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 11-pkglint-elf-in-usrshare ...
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 12-rename-python3-c-bindings ...
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 13-pkg-config-clean-xbps-cross-base-ref ...
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 99-pkglint-warn-cross-cruft ...
=> dotnet-sdk-bin-5.0.101_1: running pre-pkg hook: 03-rewrite-python-shebang ...
=> dotnet-sdk-bin-5.0.101_1: running pre-pkg hook: 04-generate-runtime-deps ...
   SONAME: libstdc++.so.6 <-> libstdc++>=4.4.0_1
   SONAME: libgcc_s.so.1 <-> libgcc>=4.4.0_1
   SONAME: libc.musl-x86_64.so.1 <-> UNKNOWN PKG PLEASE FIX!
   SONAME: libz.so.1 <-> zlib>=1.2.3_1
   SONAME: libgssapi_krb5.so.2 <-> mit-krb5-libs>=1.8_1
   SONAME: libmscordaccore.so <-> dotnet-sdk-bin (ignored)
   SONAME: liblttng-ust.so.0 <-> lttng-ust>=2.7.2_1
=> ERROR: dotnet-sdk-bin-5.0.101_1: cannot guess required shlibs, aborting!
```
However, on my musl machine, the binaries successfully run and link:
```sh
[amber@otaku ~]$ ldd /opt/dotnet/dotnet
        /lib/ld-musl-x86_64.so.1 (0x7ff2b8419000)
        libstdc++.so.6 => /lib/libstdc++.so.6 (0x7ff2b816e000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x7ff2b8155000)
        libc.musl-x86_64.so.1 => /lib/ld-musl-x86_64.so.1 (0x7ff2b8419000)
```
```sh
[amber@otaku ~]$ dotnet --version
5.0.101
```
Thus, I suspect that it's an internal link in dotnet as you point out.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (62 preceding siblings ...)
  2020-12-22 11:17 ` kawaiiamber
@ 2020-12-22 11:18 ` kawaiiamber
  2020-12-22 11:22 ` q66
                   ` (114 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 11:18 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1805 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749489489

Comment:
@q66, without `skiprdeps` on the `musl` arch, `xbps-src` and the checks here report:
```sh
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 10-pkglint-devel-paths ...
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 11-pkglint-elf-in-usrshare ...
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 12-rename-python3-c-bindings ...
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 13-pkg-config-clean-xbps-cross-base-ref ...
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 99-pkglint-warn-cross-cruft ...
=> dotnet-sdk-bin-5.0.101_1: running pre-pkg hook: 03-rewrite-python-shebang ...
=> dotnet-sdk-bin-5.0.101_1: running pre-pkg hook: 04-generate-runtime-deps ...
   SONAME: libstdc++.so.6 <-> libstdc++>=4.4.0_1
   SONAME: libgcc_s.so.1 <-> libgcc>=4.4.0_1
   SONAME: libc.musl-x86_64.so.1 <-> UNKNOWN PKG PLEASE FIX!
   SONAME: libz.so.1 <-> zlib>=1.2.3_1
   SONAME: libgssapi_krb5.so.2 <-> mit-krb5-libs>=1.8_1
   SONAME: libmscordaccore.so <-> dotnet-sdk-bin (ignored)
   SONAME: liblttng-ust.so.0 <-> lttng-ust>=2.7.2_1
=> ERROR: dotnet-sdk-bin-5.0.101_1: cannot guess required shlibs, aborting!
```
However, on my musl machine, the binaries successfully run and link:
```sh
[amber@otaku ~]$ ldd /opt/dotnet/dotnet
        /lib/ld-musl-x86_64.so.1 (0x7ff2b8419000)
        libstdc++.so.6 => /lib/libstdc++.so.6 (0x7ff2b816e000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x7ff2b8155000)
        libc.musl-x86_64.so.1 => /lib/ld-musl-x86_64.so.1 (0x7ff2b8419000)
```
```sh
[amber@otaku ~]$ dotnet --version
5.0.101
```
Thus, I suspect that it's an internal link in dotnet as you mentioned.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (63 preceding siblings ...)
  2020-12-22 11:18 ` kawaiiamber
@ 2020-12-22 11:22 ` q66
  2020-12-22 11:25 ` kawaiiamber
                   ` (113 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: q66 @ 2020-12-22 11:22 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 300 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749492130

Comment:
the output is a red herring, there is no relation between the two names and dynlinker should never be in the dependencies either

but idk what is going on there 

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (64 preceding siblings ...)
  2020-12-22 11:22 ` q66
@ 2020-12-22 11:25 ` kawaiiamber
  2020-12-22 11:26 ` kawaiiamber
                   ` (112 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 11:25 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 279 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749493331

Comment:
I'm not too sure myself. I'm following some suggestions from previous comments in this thread that seem to fix it for the `musl` arch.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (65 preceding siblings ...)
  2020-12-22 11:25 ` kawaiiamber
@ 2020-12-22 11:26 ` kawaiiamber
  2020-12-22 11:27 ` kawaiiamber
                   ` (111 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 11:26 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 304 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749493331

Comment:
I'm not too sure myself. I'm following some suggestions from previous comments in this thread by @ericonr and @unspecd that seem to fix it for the `musl` arch.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (66 preceding siblings ...)
  2020-12-22 11:26 ` kawaiiamber
@ 2020-12-22 11:27 ` kawaiiamber
  2020-12-22 11:55 ` q66
                   ` (110 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 11:27 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 2246 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749493331

Comment:
I'm not too sure myself. I'm following some suggestions from previous comments in this thread by @ericonr and @unspecd that seem to fix it for the `musl` arch.

> Somehow they encoded into the binary that libc is `libc.musl-x86-64.so`... If you can launch the application on your system, you could instead just add `skiprdeps="opt/dotnet/dotnet"` to the template.



> Try this:
> 
> ```shell
> 	# The binary somehow has bad link, so this seems to be needed to fix it
>         skiprdeps="
> 	  ${_target}/dotnet
> 	  ${_target}/host/fxr/5.0.1/libhostfxr.so
>           ${_target}/packs/Microsoft.NETCore.App.Host.linux-musl-x64/5.0.1/runtimes/linux-musl-x64/native/apphost
>           ${_target}/packs/Microsoft.NETCore.App.Host.linux-musl-x64/5.0.1/runtimes/linux-musl-x64/native/singlefilehost
> 	  ${_target}/packs/Microsoft.NETCore.App.Host.linux-musl-x64/5.0.1/runtimes/linux-musl-x64/native/libnethost.so
> 	  ${_target}/sdk/5.0.101/AppHostTemplate/apphost
> 	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/createdump
> 	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.IO.Compression.Native.so
> 	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.Native.so
> 	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.Net.Security.Native.so
> 	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libSystem.Security.Cryptography.Native.OpenSsl.so
> 	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libclrjit.so
> 	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libcoreclr.so
> 	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libcoreclrtraceptprovider.so
> 	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libdbgshim.so
> 	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libhostpolicy.so
> 	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libmscordaccore.so
> 	  ${_target}/shared/Microsoft.NETCore.App/5.0.1/libmscordbi.so
> 	"
> ```
> 
> But don't forget to put `_target=${DESTDIR}/opt/dotnet` before `case`.
> 
> Also, you should fix dotnet.sh: replace `export DOTNET_ROOT="${_target}"` with `export DOTNET_ROOT=/opt/dotnet`.

In particular

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (67 preceding siblings ...)
  2020-12-22 11:27 ` kawaiiamber
@ 2020-12-22 11:55 ` q66
  2020-12-22 11:59 ` kawaiiamber
                   ` (109 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: q66 @ 2020-12-22 11:55 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 385 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749504299

Comment:
yeah i'm not a fan of having to list them all out, it's verbose and adds lots of clutter, maybe it'd be worth it to find out what is really going on

also maybe one could do like `shlib_provides="libc.musl-x86_64.so.1"` as a workaround instead...

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (68 preceding siblings ...)
  2020-12-22 11:55 ` q66
@ 2020-12-22 11:59 ` kawaiiamber
  2020-12-22 12:04 ` q66
                   ` (108 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 11:59 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1342 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749505836

Comment:
Removing `skiprdeps` and replacing it with `shlib_provides="libc.musl-x86_64.so.1"` results in the following from `xbps-src`:
```sh
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 10-pkglint-devel-paths ...
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 11-pkglint-elf-in-usrshare ...
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 12-rename-python3-c-bindings ...
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 13-pkg-config-clean-xbps-cross-base-ref ...
=> dotnet-sdk-bin-5.0.101_1: running post-install hook: 99-pkglint-warn-cross-cruft ...
=> dotnet-sdk-bin-5.0.101_1: running pre-pkg hook: 03-rewrite-python-shebang ...
=> dotnet-sdk-bin-5.0.101_1: running pre-pkg hook: 04-generate-runtime-deps ...
   SONAME: libstdc++.so.6 <-> libstdc++>=4.4.0_1
   SONAME: libgcc_s.so.1 <-> libgcc>=4.4.0_1
   SONAME: libc.musl-x86_64.so.1 <-> UNKNOWN PKG PLEASE FIX!
   SONAME: libz.so.1 <-> zlib>=1.2.3_1
   SONAME: libgssapi_krb5.so.2 <-> mit-krb5-libs>=1.8_1
   SONAME: libmscordaccore.so <-> dotnet-sdk-bin (ignored)
   SONAME: liblttng-ust.so.0 <-> lttng-ust>=2.7.2_1
=> ERROR: dotnet-sdk-bin-5.0.101_1: cannot guess required shlibs, aborting!
```

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (69 preceding siblings ...)
  2020-12-22 11:59 ` kawaiiamber
@ 2020-12-22 12:04 ` q66
  2020-12-22 12:04 ` q66
                   ` (107 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: q66 @ 2020-12-22 12:04 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 282 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749507446

Comment:
yeah you'd also need to add it in `common/shlibs` (see how an equivalent is done for e.g. electron-using programs, e.g. `atom` and `libGLESv2.so`

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (70 preceding siblings ...)
  2020-12-22 12:04 ` q66
@ 2020-12-22 12:04 ` q66
  2020-12-22 12:09 ` kawaiiamber
                   ` (106 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: q66 @ 2020-12-22 12:04 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 283 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749507446

Comment:
yeah you'd also need to add it in `common/shlibs` (see how an equivalent is done for e.g. electron-using programs, e.g. `atom` and `libGLESv2.so`)

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (71 preceding siblings ...)
  2020-12-22 12:04 ` q66
@ 2020-12-22 12:09 ` kawaiiamber
  2020-12-22 12:11 ` q66
                   ` (105 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 12:09 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 315 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749509533

Comment:
I see. It seems that there are two entries per line in common/shlibs. I assume the line I would add would looks like:
```
libc.musl-x86_64.so.1 ld-musl-x86_64.so.1
```

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (72 preceding siblings ...)
  2020-12-22 12:09 ` kawaiiamber
@ 2020-12-22 12:11 ` q66
  2020-12-22 12:18 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (104 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: q66 @ 2020-12-22 12:11 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 322 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749510386

Comment:
the second entry is the package that provides it

so it would be like,

`libc.musl-x86_64.so.1 dotnet-sdk-bin-5.0.101_1`

the file is used to map shlib names back to package names

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (73 preceding siblings ...)
  2020-12-22 12:11 ` q66
@ 2020-12-22 12:18 ` kawaiiamber
  2020-12-22 12:20 ` kawaiiamber
                   ` (103 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 12:18 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 751 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-bin-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 3070 bytes --]

From 447eebd77ed5cd544685de1a59c95bd525eec164 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-bin-5.0.101

New package: dotnet-sdk-bin-5.0.101
---
 common/shlibs                          |  1 +
 srcpkgs/dotnet-sdk-bin/files/dotnet.sh |  6 +++
 srcpkgs/dotnet-sdk-bin/template        | 56 ++++++++++++++++++++++++++
 3 files changed, 63 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk-bin/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk-bin/template

diff --git a/common/shlibs b/common/shlibs
index 76b3f458b15..471193ad082 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3998,3 +3998,4 @@ libevemu.so.3 evemu-2.7.0_1
 libantilib.so.1 libantimicrox-3.1.2_1
 libinih.so.0 inih-52_1
 libpcaudio.so.0 pcaudiolib-1.1_1
+libc.musl-x86_64.so.1 dotnet-sdk-bin-5.0.101_1
diff --git a/srcpkgs/dotnet-sdk-bin/files/dotnet.sh b/srcpkgs/dotnet-sdk-bin/files/dotnet.sh
new file mode 100644
index 00000000000..79658be5526
--- /dev/null
+++ b/srcpkgs/dotnet-sdk-bin/files/dotnet.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+export DOTNET_ROOT=/opt/dotnet
+export PATH="$PATH:$DOTNET_ROOT"
+# This seems to be needed to be able to work with LibreSSL
+export CLR_OPENSSL_VERSION_OVERRIDE=48
diff --git a/srcpkgs/dotnet-sdk-bin/template b/srcpkgs/dotnet-sdk-bin/template
new file mode 100644
index 00000000000..c65c7bf9574
--- /dev/null
+++ b/srcpkgs/dotnet-sdk-bin/template
@@ -0,0 +1,56 @@
+# Template file for 'dotnet-sdk-bin'
+pkgname=dotnet-sdk-bin
+version=5.0.101
+revision=1
+archs="x86_64* aarch64"
+create_wrksrc=yes
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+_target=${DESTDIR}/opt/dotnet
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	# The binary somehow has bad link in the binary, so this is added to common/shlibs
+	shlib_provides="libc.musl-x86_64.so.1"
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/dotnet-sdk-${version}-linux-${_arch}.tar.gz"
+
+_prof=${DESTDIR}/etc/profile.d
+wrksrc=dotnet-sdk-${version}-linux-${_arch}
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy packs ${_target}
+	vcopy sdk ${_target}
+	vcopy shared ${_target}
+	vcopy templates ${_target}
+	vcopy host ${_target}
+	vcopy dotnet ${_target}
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (74 preceding siblings ...)
  2020-12-22 12:18 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-22 12:20 ` kawaiiamber
  2020-12-22 12:29 ` kawaiiamber
                   ` (102 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 12:20 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 375 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749513453

Comment:
Oop, I appear to have done something wrong when adding `libc.musl-x86_64.so.1 dotnet-sdk-bin-5.0.101_1` to common/shlibs. It looks as though there's a conflict. It seems to pass locally with `./xbps-src pkg dotnet-sdk-bin` though.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (75 preceding siblings ...)
  2020-12-22 12:20 ` kawaiiamber
@ 2020-12-22 12:29 ` kawaiiamber
  2020-12-22 12:42 ` q66
                   ` (101 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 12:29 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 451 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749516896

Comment:
I wonder why there's a conflict on github. It reports that
>This branch has conflicts that must be resolved
>Only those with write access to this repository can merge pull requests.
>Conflicting files
>common/shlibs

I added the line to common/shlibs normally. Is there something I'm not seeing here?

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (76 preceding siblings ...)
  2020-12-22 12:29 ` kawaiiamber
@ 2020-12-22 12:42 ` q66
  2020-12-22 12:50 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (100 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: q66 @ 2020-12-22 12:42 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 292 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749521608

Comment:
probably conflicts with current master branch? that's why when modifying the file you generally add your changes somewhere in the middle and not at the end

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (77 preceding siblings ...)
  2020-12-22 12:42 ` q66
@ 2020-12-22 12:50 ` kawaiiamber
  2020-12-22 12:51 ` kawaiiamber
                   ` (99 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 12:50 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 751 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-bin-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 3157 bytes --]

From 929fc91c6528e9fbc3ed64b1a7de988b2ced5281 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-bin-5.0.101

New package: dotnet-sdk-bin-5.0.101
---
 common/shlibs                          |  1 +
 srcpkgs/dotnet-sdk-bin/files/dotnet.sh |  6 +++
 srcpkgs/dotnet-sdk-bin/template        | 56 ++++++++++++++++++++++++++
 3 files changed, 63 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk-bin/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk-bin/template

diff --git a/common/shlibs b/common/shlibs
index 76b3f458b15..38754d37f0d 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -420,6 +420,7 @@ libcdio.so.19 libcdio-2.1.0_1
 libmpcdec.so.5 libmpcdec-1.2.6_1
 libproxy.so.1 libproxy-0.4.6_1
 libmoar.so MoarVM-2015.11_1
+libc.musl-x86_64.so.1 dotnet-sdk-bin-5.0.101_1
 libFLAC.so.8 libflac-1.2.1_1
 libFLAC++.so.6 libflac-1.2.1_1
 libMAC.so.6 libMAC-5.28_1
diff --git a/srcpkgs/dotnet-sdk-bin/files/dotnet.sh b/srcpkgs/dotnet-sdk-bin/files/dotnet.sh
new file mode 100644
index 00000000000..79658be5526
--- /dev/null
+++ b/srcpkgs/dotnet-sdk-bin/files/dotnet.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+export DOTNET_ROOT=/opt/dotnet
+export PATH="$PATH:$DOTNET_ROOT"
+# This seems to be needed to be able to work with LibreSSL
+export CLR_OPENSSL_VERSION_OVERRIDE=48
diff --git a/srcpkgs/dotnet-sdk-bin/template b/srcpkgs/dotnet-sdk-bin/template
new file mode 100644
index 00000000000..c65c7bf9574
--- /dev/null
+++ b/srcpkgs/dotnet-sdk-bin/template
@@ -0,0 +1,56 @@
+# Template file for 'dotnet-sdk-bin'
+pkgname=dotnet-sdk-bin
+version=5.0.101
+revision=1
+archs="x86_64* aarch64"
+create_wrksrc=yes
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+_target=${DESTDIR}/opt/dotnet
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	# The binary somehow has bad link in the binary, so this is added to common/shlibs
+	shlib_provides="libc.musl-x86_64.so.1"
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/dotnet-sdk-${version}-linux-${_arch}.tar.gz"
+
+_prof=${DESTDIR}/etc/profile.d
+wrksrc=dotnet-sdk-${version}-linux-${_arch}
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy packs ${_target}
+	vcopy sdk ${_target}
+	vcopy shared ${_target}
+	vcopy templates ${_target}
+	vcopy host ${_target}
+	vcopy dotnet ${_target}
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (78 preceding siblings ...)
  2020-12-22 12:50 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-22 12:51 ` kawaiiamber
  2020-12-22 13:01 ` [PR REVIEW] " ericonr
                   ` (98 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 12:51 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 231 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749524941

Comment:
Moved `libc.musl-x86_64.so.1 dotnet-sdk-bin-5.0.101_1` higher up the common/shlib file

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (79 preceding siblings ...)
  2020-12-22 12:51 ` kawaiiamber
@ 2020-12-22 13:01 ` ericonr
  2020-12-22 13:01 ` ericonr
                   ` (97 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: ericonr @ 2020-12-22 13:01 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 284 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547263429

Comment:
```suggestion
	# The binary somehow has a bad link, so this is added to common/shlibs
	shlib_provides="libc.musl-x86_64.so.1"
	;;
```

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (81 preceding siblings ...)
  2020-12-22 13:01 ` ericonr
@ 2020-12-22 13:01 ` ericonr
  2020-12-22 13:01 ` ericonr
                   ` (95 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: ericonr @ 2020-12-22 13:01 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 202 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547264396

Comment:
Please put this line together with `_prof`, down below.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (82 preceding siblings ...)
  2020-12-22 13:01 ` ericonr
@ 2020-12-22 13:01 ` ericonr
  2020-12-22 13:09 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (94 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: ericonr @ 2020-12-22 13:01 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 463 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547262732

Comment:
Won't this have to be fixed anytime we update LibreSSL to a new ABI-breaking they release? That's when they increase the version number, so it would become `libssl49`.

Also, 
```suggestion
# Needed to be able to work with LibreSSL
export CLR_OPENSSL_VERSION_OVERRIDE=48
```

We know for a fact that it is :)

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (80 preceding siblings ...)
  2020-12-22 13:01 ` [PR REVIEW] " ericonr
@ 2020-12-22 13:01 ` ericonr
  2020-12-22 13:01 ` ericonr
                   ` (96 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: ericonr @ 2020-12-22 13:01 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 325 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547263995

Comment:
You don't specify `wrksrc` if you're using `create_wrksrc`. It only makes sense to specify `build_wrksrc`, in that case. Also, this should go at the top, if it remains, not here.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (83 preceding siblings ...)
  2020-12-22 13:01 ` ericonr
@ 2020-12-22 13:09 ` kawaiiamber
  2020-12-22 13:09 ` [PR REVIEW] " kawaiiamber
                   ` (93 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 13:09 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 751 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-bin-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 3081 bytes --]

From 63a7f27b6c771f03ddd7ca51887bd5a3a5ecd9d9 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-bin-5.0.101

New package: dotnet-sdk-bin-5.0.101
---
 common/shlibs                          |  1 +
 srcpkgs/dotnet-sdk-bin/files/dotnet.sh |  6 +++
 srcpkgs/dotnet-sdk-bin/template        | 54 ++++++++++++++++++++++++++
 3 files changed, 61 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk-bin/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk-bin/template

diff --git a/common/shlibs b/common/shlibs
index 76b3f458b15..38754d37f0d 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -420,6 +420,7 @@ libcdio.so.19 libcdio-2.1.0_1
 libmpcdec.so.5 libmpcdec-1.2.6_1
 libproxy.so.1 libproxy-0.4.6_1
 libmoar.so MoarVM-2015.11_1
+libc.musl-x86_64.so.1 dotnet-sdk-bin-5.0.101_1
 libFLAC.so.8 libflac-1.2.1_1
 libFLAC++.so.6 libflac-1.2.1_1
 libMAC.so.6 libMAC-5.28_1
diff --git a/srcpkgs/dotnet-sdk-bin/files/dotnet.sh b/srcpkgs/dotnet-sdk-bin/files/dotnet.sh
new file mode 100644
index 00000000000..e7dd2f0fa09
--- /dev/null
+++ b/srcpkgs/dotnet-sdk-bin/files/dotnet.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+export DOTNET_ROOT=/opt/dotnet
+export PATH="$PATH:$DOTNET_ROOT"
+# Needed to be able to work with LibreSSL
+export CLR_OPENSSL_VERSION_OVERRIDE=48
diff --git a/srcpkgs/dotnet-sdk-bin/template b/srcpkgs/dotnet-sdk-bin/template
new file mode 100644
index 00000000000..97ccfe44dfc
--- /dev/null
+++ b/srcpkgs/dotnet-sdk-bin/template
@@ -0,0 +1,54 @@
+# Template file for 'dotnet-sdk-bin'
+pkgname=dotnet-sdk-bin
+version=5.0.101
+revision=1
+archs="x86_64* aarch64"
+create_wrksrc=yes
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	# The binary somehow has a bad link, so this is added to common/shlibs
+	shlib_provides="libc.musl-x86_64.so.1"
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/dotnet-sdk-${version}-linux-${_arch}.tar.gz"
+
+_prof=${DESTDIR}/etc/profile.d
+_target=${DESTDIR}/opt/dotnet
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy packs ${_target}
+	vcopy sdk ${_target}
+	vcopy shared ${_target}
+	vcopy templates ${_target}
+	vcopy host ${_target}
+	vcopy dotnet ${_target}
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (84 preceding siblings ...)
  2020-12-22 13:09 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-22 13:09 ` kawaiiamber
  2020-12-22 13:09 ` kawaiiamber
                   ` (92 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 13:09 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 155 bytes --]

New review comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547268684

Comment:
Done

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (85 preceding siblings ...)
  2020-12-22 13:09 ` [PR REVIEW] " kawaiiamber
@ 2020-12-22 13:09 ` kawaiiamber
  2020-12-22 13:09 ` kawaiiamber
                   ` (91 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 13:09 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 155 bytes --]

New review comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547268773

Comment:
Done

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (86 preceding siblings ...)
  2020-12-22 13:09 ` kawaiiamber
@ 2020-12-22 13:09 ` kawaiiamber
  2020-12-22 13:11 ` kawaiiamber
                   ` (90 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 13:09 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 155 bytes --]

New review comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547268862

Comment:
Done

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (87 preceding siblings ...)
  2020-12-22 13:09 ` kawaiiamber
@ 2020-12-22 13:11 ` kawaiiamber
  2020-12-22 13:12 ` kawaiiamber
                   ` (89 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 13:11 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 359 bytes --]

New review comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547269643

Comment:
Indeed, it would seem as if the LibreSSL updates might break this override is the version isn't properly maintainted. I can't think of a better work around for the time being. I'd love to hear your thoughts ~

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (88 preceding siblings ...)
  2020-12-22 13:11 ` kawaiiamber
@ 2020-12-22 13:12 ` kawaiiamber
  2020-12-22 13:14 ` q66
                   ` (88 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 13:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 226 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749533524

Comment:
Thank you so much for the review and suggestions - they were all very helpful! :)

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (89 preceding siblings ...)
  2020-12-22 13:12 ` kawaiiamber
@ 2020-12-22 13:14 ` q66
  2020-12-22 13:14 ` q66
                   ` (87 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: q66 @ 2020-12-22 13:14 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 331 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749534234

Comment:
so, is there any reason not to build this from source? since it seems to be MIT licensed, i don't see one, and void generally doesn't ship third party binaries of things that are not proprietary

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (90 preceding siblings ...)
  2020-12-22 13:14 ` q66
@ 2020-12-22 13:14 ` q66
  2020-12-22 13:15 ` kawaiiamber
                   ` (86 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: q66 @ 2020-12-22 13:14 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 234 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749534410

Comment:
we also found out the source of the curious dependency - it seems alpine ships this in their musl

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (91 preceding siblings ...)
  2020-12-22 13:14 ` q66
@ 2020-12-22 13:15 ` kawaiiamber
  2020-12-22 13:19 ` kawaiiamber
                   ` (85 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 13:15 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 278 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749524941

Comment:
Moved `libc.musl-x86_64.so.1 dotnet-sdk-bin-5.0.101_1` higher up the common/shlib file. Also, thank you @q66 so much for the help! :)

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (92 preceding siblings ...)
  2020-12-22 13:15 ` kawaiiamber
@ 2020-12-22 13:19 ` kawaiiamber
  2020-12-22 13:38 ` [PR REVIEW] " ericonr
                   ` (84 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 13:19 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 464 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749536165

Comment:
I was curious about building the framework from source myself. The source is [here](https://github.com/dotnet/core) with the release for the source version `5.0.1` [here](https://github.com/dotnet/core/releases/tag/v5.0.1). This seems to be much more trickly and difficult, however. I would love to hear your thoughts ~

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (93 preceding siblings ...)
  2020-12-22 13:19 ` kawaiiamber
@ 2020-12-22 13:38 ` ericonr
  2020-12-22 13:39 ` ericonr
                   ` (83 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: ericonr @ 2020-12-22 13:38 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 194 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547282414

Comment:
I'm not sure there is a proper non hacky one :/

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (94 preceding siblings ...)
  2020-12-22 13:38 ` [PR REVIEW] " ericonr
@ 2020-12-22 13:39 ` ericonr
  2020-12-22 13:39 ` ericonr
                   ` (82 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: ericonr @ 2020-12-22 13:39 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 251 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749544652

Comment:
The issue, to my knowledge, is lack of LibreSSL support. That it works at all is pretty interesting by itself.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (95 preceding siblings ...)
  2020-12-22 13:39 ` ericonr
@ 2020-12-22 13:39 ` ericonr
  2020-12-22 13:42 ` kawaiiamber
                   ` (81 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: ericonr @ 2020-12-22 13:39 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 250 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749544652

Comment:
The issue, to my knowledge, is lack of LibreSSL support. That it works at all is pretty surprising by itself.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (96 preceding siblings ...)
  2020-12-22 13:39 ` ericonr
@ 2020-12-22 13:42 ` kawaiiamber
  2020-12-22 13:48 ` q66
                   ` (80 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 13:42 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 523 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749546081

Comment:
@ericonr, agreed. An ideal solution would be to build the framework from source, but this seems to be remarkably difficult to do. If one was able to build it from source, it would then be easier to implement LibreSSL support directly. While this solution of overriding the SSL used by dotnet binaries isn't ideal, it's the best I can think of. Thanks for sharing your thoughts ~

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (97 preceding siblings ...)
  2020-12-22 13:42 ` kawaiiamber
@ 2020-12-22 13:48 ` q66
  2020-12-22 13:53 ` kawaiiamber
                   ` (79 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: q66 @ 2020-12-22 13:48 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 364 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749548511

Comment:
it doesn't necessarily mean it actually works, it just means that it works enough that you haven't run into any ABI issues yet - but this is pretty dangerous, ABI mismatch can result in some pretty nasty and often subtle issues

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (98 preceding siblings ...)
  2020-12-22 13:48 ` q66
@ 2020-12-22 13:53 ` kawaiiamber
  2020-12-22 13:53 ` q66
                   ` (78 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 13:53 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 688 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749550524

Comment:
I see. While this is completely anecdotal, I have yet to see bugs on my musl or glibc systems using this solution. The risk of an ABI issue is pretty significant, however. If it really risks ABI issues, I wonder if the dotnet sdk binaries should even be packaged in the first place, then. To be safe, it seems like the best solution is to build the framework from source. I have no experience at ABI kinds of things - I don't know the scope / gravity when it comes to the risks of implimenting the framework this way. Thanks for the thoughts ~

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (99 preceding siblings ...)
  2020-12-22 13:53 ` kawaiiamber
@ 2020-12-22 13:53 ` q66
  2020-12-22 13:54 ` kawaiiamber
                   ` (77 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: q66 @ 2020-12-22 13:53 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 360 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749550576

Comment:
either way with concerns like this i'm reluctant to allow this ino the repository; we could possibly do `restricted=yes` on this, and maybe figure out building from source later, maybe after the move back to openssl is done

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (100 preceding siblings ...)
  2020-12-22 13:53 ` q66
@ 2020-12-22 13:54 ` kawaiiamber
  2020-12-22 13:57 ` q66
                   ` (76 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 13:54 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 204 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749551229

Comment:
Should I go ahead and add `restricted=yes` to the template?

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (101 preceding siblings ...)
  2020-12-22 13:54 ` kawaiiamber
@ 2020-12-22 13:57 ` q66
  2020-12-22 14:01 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (75 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: q66 @ 2020-12-22 13:57 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 394 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749552377

Comment:
i'd go ahead and do that, plus a comment explaining the reason

ABI issues can be subtle and can result in e.g. junk data being passed where it shouldn't, and especially with crypto/tls libraries you definitely don't want security issues arising from this

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (102 preceding siblings ...)
  2020-12-22 13:57 ` q66
@ 2020-12-22 14:01 ` kawaiiamber
  2020-12-22 14:01 ` kawaiiamber
                   ` (74 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 14:01 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 751 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-bin-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 3192 bytes --]

From e5fa3ab36410b3ddcaca57d34dde1b14ef480e7d Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-bin-5.0.101

New package: dotnet-sdk-bin-5.0.101
---
 common/shlibs                          |  1 +
 srcpkgs/dotnet-sdk-bin/files/dotnet.sh |  6 +++
 srcpkgs/dotnet-sdk-bin/template        | 56 ++++++++++++++++++++++++++
 3 files changed, 63 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk-bin/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk-bin/template

diff --git a/common/shlibs b/common/shlibs
index 76b3f458b15..38754d37f0d 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -420,6 +420,7 @@ libcdio.so.19 libcdio-2.1.0_1
 libmpcdec.so.5 libmpcdec-1.2.6_1
 libproxy.so.1 libproxy-0.4.6_1
 libmoar.so MoarVM-2015.11_1
+libc.musl-x86_64.so.1 dotnet-sdk-bin-5.0.101_1
 libFLAC.so.8 libflac-1.2.1_1
 libFLAC++.so.6 libflac-1.2.1_1
 libMAC.so.6 libMAC-5.28_1
diff --git a/srcpkgs/dotnet-sdk-bin/files/dotnet.sh b/srcpkgs/dotnet-sdk-bin/files/dotnet.sh
new file mode 100644
index 00000000000..e7dd2f0fa09
--- /dev/null
+++ b/srcpkgs/dotnet-sdk-bin/files/dotnet.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+export DOTNET_ROOT=/opt/dotnet
+export PATH="$PATH:$DOTNET_ROOT"
+# Needed to be able to work with LibreSSL
+export CLR_OPENSSL_VERSION_OVERRIDE=48
diff --git a/srcpkgs/dotnet-sdk-bin/template b/srcpkgs/dotnet-sdk-bin/template
new file mode 100644
index 00000000000..2931f3693d6
--- /dev/null
+++ b/srcpkgs/dotnet-sdk-bin/template
@@ -0,0 +1,56 @@
+# Template file for 'dotnet-sdk-bin'
+pkgname=dotnet-sdk-bin
+version=5.0.101
+revision=1
+archs="x86_64* aarch64"
+# This forces the binaries to use LibreSSL via an OpenSSL override, this may cause ABI issues
+restricted=yes
+create_wrksrc=yes
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	# The binary somehow has a bad link, so this is added to common/shlibs
+	shlib_provides="libc.musl-x86_64.so.1"
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/dotnet-sdk-${version}-linux-${_arch}.tar.gz"
+
+_prof=${DESTDIR}/etc/profile.d
+_target=${DESTDIR}/opt/dotnet
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy packs ${_target}
+	vcopy sdk ${_target}
+	vcopy shared ${_target}
+	vcopy templates ${_target}
+	vcopy host ${_target}
+	vcopy dotnet ${_target}
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (103 preceding siblings ...)
  2020-12-22 14:01 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-22 14:01 ` kawaiiamber
  2020-12-22 14:02 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (73 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 14:01 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 228 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-749554415

Comment:
Understood - added `resctricted=yes` to the template file with a comment explaning.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (104 preceding siblings ...)
  2020-12-22 14:01 ` kawaiiamber
@ 2020-12-22 14:02 ` kawaiiamber
  2020-12-22 14:04 ` [PR REVIEW] " kawaiiamber
                   ` (72 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 14:02 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 751 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-bin-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 3192 bytes --]

From 7a5efcd4bb4d9c6b23b7064bf2b1acb0f34758f5 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-bin-5.0.101

New package: dotnet-sdk-bin-5.0.101
---
 common/shlibs                          |  1 +
 srcpkgs/dotnet-sdk-bin/files/dotnet.sh |  6 +++
 srcpkgs/dotnet-sdk-bin/template        | 56 ++++++++++++++++++++++++++
 3 files changed, 63 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk-bin/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk-bin/template

diff --git a/common/shlibs b/common/shlibs
index 76b3f458b15..38754d37f0d 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -420,6 +420,7 @@ libcdio.so.19 libcdio-2.1.0_1
 libmpcdec.so.5 libmpcdec-1.2.6_1
 libproxy.so.1 libproxy-0.4.6_1
 libmoar.so MoarVM-2015.11_1
+libc.musl-x86_64.so.1 dotnet-sdk-bin-5.0.101_1
 libFLAC.so.8 libflac-1.2.1_1
 libFLAC++.so.6 libflac-1.2.1_1
 libMAC.so.6 libMAC-5.28_1
diff --git a/srcpkgs/dotnet-sdk-bin/files/dotnet.sh b/srcpkgs/dotnet-sdk-bin/files/dotnet.sh
new file mode 100644
index 00000000000..e7dd2f0fa09
--- /dev/null
+++ b/srcpkgs/dotnet-sdk-bin/files/dotnet.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+export DOTNET_ROOT=/opt/dotnet
+export PATH="$PATH:$DOTNET_ROOT"
+# Needed to be able to work with LibreSSL
+export CLR_OPENSSL_VERSION_OVERRIDE=48
diff --git a/srcpkgs/dotnet-sdk-bin/template b/srcpkgs/dotnet-sdk-bin/template
new file mode 100644
index 00000000000..19edc765bce
--- /dev/null
+++ b/srcpkgs/dotnet-sdk-bin/template
@@ -0,0 +1,56 @@
+# Template file for 'dotnet-sdk-bin'
+pkgname=dotnet-sdk-bin
+version=5.0.101
+revision=1
+archs="x86_64* aarch64"
+create_wrksrc=yes
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+# This forces the binaries to use LibreSSL via an OpenSSL override, this may cause ABI issues
+restricted=yes
+
+case "${XBPS_TARGET_MACHINE}" in
+	x86_64)
+	_arch="x64"
+	_path="a0487784-534a-4912-a4dd-017382083865/be16057043a8f7b6f08c902dc48dd677"
+	checksum=23df1eca7eb1302dfb10f4edce7edf7150e57698576f61b2dcb777c833cbd80c
+	;;
+	x86_64-musl)
+	_arch="musl-x64"
+	_path="a84c2dee-3074-4c27-9b31-af0bc9a9ebcf/a8eb9a11b81c5b7119cf1578632ed186"
+	checksum=1ecf97cab3d9d38af32ee0cbaaa41315a6896dc0980218ac227329f989a5ef51
+	# The binary somehow has a bad link, so this is added to common/shlibs
+	shlib_provides="libc.musl-x86_64.so.1"
+	;;
+	aarch64)
+	_arch="arm64"
+	_path="2add7523-39ec-413a-b8a7-24361cc4e599/30489ebd7ebcc723da48a64669860fd0"
+	checksum=86deac35700b6ab121007a1b92128f31451c2b99cc9c7584a583e516638fd4ae
+	;;
+esac
+
+distfiles="https://download.visualstudio.microsoft.com/download/pr/${_path}/dotnet-sdk-${version}-linux-${_arch}.tar.gz"
+
+_prof=${DESTDIR}/etc/profile.d
+_target=${DESTDIR}/opt/dotnet
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_install() {
+	vmkdir ${_target}
+	vcopy packs ${_target}
+	vcopy sdk ${_target}
+	vcopy shared ${_target}
+	vcopy templates ${_target}
+	vcopy host ${_target}
+	vcopy dotnet ${_target}
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (105 preceding siblings ...)
  2020-12-22 14:02 ` [PR PATCH] [Updated] " kawaiiamber
@ 2020-12-22 14:04 ` kawaiiamber
  2020-12-23  0:56 ` q66
                   ` (71 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-22 14:04 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 354 bytes --]

New review comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547295508

Comment:
That does seem to be an issue working with these binaries over building from source. Given that this is the best one probably can do with these pre-built binaries, is it okay to resolve the converstaion?

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (106 preceding siblings ...)
  2020-12-22 14:04 ` [PR REVIEW] " kawaiiamber
@ 2020-12-23  0:56 ` q66
  2020-12-23  1:12 ` kawaiiamber
                   ` (70 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: q66 @ 2020-12-23  0:56 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 226 bytes --]

New review comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547578637

Comment:
keeping `/opt` is fine given this is going to be a restricted package from binaries

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR REVIEW] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (107 preceding siblings ...)
  2020-12-23  0:56 ` q66
@ 2020-12-23  1:12 ` kawaiiamber
  2021-02-24 17:32 ` ericonr
                   ` (69 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2020-12-23  1:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 162 bytes --]

New review comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#discussion_r547586623

Comment:
Sounds good

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (108 preceding siblings ...)
  2020-12-23  1:12 ` kawaiiamber
@ 2021-02-24 17:32 ` ericonr
  2021-02-25  2:45 ` kawaiiamber
                   ` (68 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: ericonr @ 2021-02-24 17:32 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 352 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-785245834

Comment:
Now that we are definitely moving to OpenSSL and NET folks are in talks with Alpine to get it officially built there, I'd consider waiting a bit to see if we can use their work to make our own build from source.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (109 preceding siblings ...)
  2021-02-24 17:32 ` ericonr
@ 2021-02-25  2:45 ` kawaiiamber
  2021-02-25  5:30 ` fosslinux
                   ` (67 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2021-02-25  2:45 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 540 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-785535454

Comment:
> Now that we are definitely moving to OpenSSL and NET folks are in talks with Alpine to get it officially built there, I'd consider waiting a bit to see if we can use their work to make our own build from source.

I tried messing around with [this](https://github.com/dotnet/source-build) repo to see if I can't get it to build on VOID. I'm curious to see wha the Alpine build will look like.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (110 preceding siblings ...)
  2021-02-25  2:45 ` kawaiiamber
@ 2021-02-25  5:30 ` fosslinux
  2021-02-25 11:15 ` kawaiiamber
                   ` (66 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: fosslinux @ 2021-02-25  5:30 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 233 bytes --]

New comment by fosslinux on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-785623511

Comment:
I would be interested in attempting to get it to build from source once OpenSSL is merged.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (111 preceding siblings ...)
  2021-02-25  5:30 ` fosslinux
@ 2021-02-25 11:15 ` kawaiiamber
  2021-05-01  9:48 ` kawaiiamber
                   ` (65 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2021-02-25 11:15 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 541 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-785535454

Comment:
> Now that we are definitely moving to OpenSSL and NET folks are in talks with Alpine to get it officially built there, I'd consider waiting a bit to see if we can use their work to make our own build from source.

I tried messing around with [this](https://github.com/dotnet/source-build) repo to see if I can't get it to build on VOID. I'm curious to see what the Alpine build will look like.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (112 preceding siblings ...)
  2021-02-25 11:15 ` kawaiiamber
@ 2021-05-01  9:48 ` kawaiiamber
  2021-05-01 16:31 ` Anachron
                   ` (64 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2021-05-01  9:48 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 462 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-830598020

Comment:
> I would be interested in attempting to get it to build from source once OpenSSL is merged.

Now that OpenSSL is merged over LibreSSL, work can probably start on building from source. I'm curious about [this](https://github.com/dotnet/source-build) repo from building from source. There is no release tag, however.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (113 preceding siblings ...)
  2021-05-01  9:48 ` kawaiiamber
@ 2021-05-01 16:31 ` Anachron
  2021-05-01 19:09 ` kawaiiamber
                   ` (63 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: Anachron @ 2021-05-01 16:31 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 389 bytes --]

New comment by Anachron on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-830658285

Comment:
What do you mean? It has [release tags](https://github.com/dotnet/source-build/tags).
Interesting repo, I've star-ed it and I'll see how well the build-system there works. From a quick glance it's not really different than the other offical repo.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (114 preceding siblings ...)
  2021-05-01 16:31 ` Anachron
@ 2021-05-01 19:09 ` kawaiiamber
  2021-05-03  8:37 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (62 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2021-05-01 19:09 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 547 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-830680011

Comment:
> What do you mean? It has [release tags](https://github.com/dotnet/source-build/tags).
> Interesting repo, I've star-ed it and I'll see how well the build-system there works. From a quick glance it's not really different than the other offical repo.

Oops, I missed those. I must admit - I'm not too familiar with how github works. I didn't see the tags on the right and assumed they weren't there.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (115 preceding siblings ...)
  2021-05-01 19:09 ` kawaiiamber
@ 2021-05-03  8:37 ` kawaiiamber
  2021-05-03  8:38 ` kawaiiamber
                   ` (61 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2021-05-03  8:37 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 751 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-bin-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 3393 bytes --]

From fd73e03d968878d741dfd0f3f933537a9c3fd787 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 11 Jan 2021 13:42:08 -0700
Subject: [PATCH 1/2] New package: greenclip-4.0

---
 srcpkgs/greenclip/template | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)
 create mode 100644 srcpkgs/greenclip/template

diff --git a/srcpkgs/greenclip/template b/srcpkgs/greenclip/template
new file mode 100644
index 000000000000..323d5a1a8dd2
--- /dev/null
+++ b/srcpkgs/greenclip/template
@@ -0,0 +1,19 @@
+# Template file for 'greenclip'
+pkgname=greenclip
+version=4.0
+revision=1
+build_style=haskell-stack
+hostmakedepends="ghc stack pkg-config"
+makedepends="libX11-devel libXinerama-devel libXrandr-devel libXScrnSaver-devel"
+short_desc="Simple clipboard manager to be integrated with rofi"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="BSD-3-Clause"
+homepage="https://github.com/erebe/greenclip"
+distfiles="${homepage}/archive/${version}.tar.gz"
+checksum=165721d0605c95a4a7d0824b8158cc7796857f88430bc3944a826273a6c14c23
+nopie=yes
+nocross="can't yet cross compile Haskell"
+
+post_install() {
+	vlicense LICENSE
+}

From 7f804c26bcce146eff0ad17be040af62fa620c96 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH 2/2] New package: dotnet-sdk-bin-5.0.202

---
 common/shlibs               |  1 +
 srcpkgs/dotnet-sdk/template | 46 +++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/common/shlibs b/common/shlibs
index 995c9750a41f..82d98c908cb3 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -409,6 +409,7 @@ libcdio.so.19 libcdio-2.1.0_1
 libmpcdec.so.5 libmpcdec-1.2.6_1
 libproxy.so.1 libproxy-0.4.6_1
 libmoar.so MoarVM-2015.11_1
+libc.musl-x86_64.so.1 dotnet-sdk-bin-5.0.101_1
 libFLAC.so.8 libflac-1.2.1_1
 libFLAC++.so.6 libflac-1.2.1_1
 libField3D.so.1.7 Field3D-1.7.3_1
diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 000000000000..be32f8c689c8
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,46 @@
+# Template file for 'dotnet-sdk-bin'
+pkgname=dotnet-sdk
+version=5.0.202
+revision=1
+hostmakedepends="git tar"
+distfiles="https://github.com/dotnet/source-build/archive/refs/tags/v${version}-SDK.tar.gz"
+wrksrc="source-build-${version}-SDK"
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+checksum=aea8e4f3323aa95316969958585ccc7030f9be7c79d38188a9137ef789ada7cd
+
+_prof=${DESTDIR}/etc/profile.d
+_target=${DESTDIR}/usr/libexec/dotnet
+
+case "${XBPS_TARGET_MACHINE}" in
+	"x86_64*") _ARCHITECTURE="x64" ;;
+	"aarch64*") _ARCHITECTURE="arm64" ;;
+esac
+_RUNTIME_ID="void-${_ARCHITECTURE}"
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_build() {
+	DOTNET_CLI_TELEMETRY_OPTOUT="true" sh ./build.sh -b
+}
+
+post_build() {
+	tar -zxvf ./artifacts/"${_ARCHITECTURE}"/Release/dotnet-sdk-"${version}"-"${RUNTIME_ID}".tar.gz
+}
+
+do_install() {
+	vmkdir ${_target}
+	for file in artifacts/"${_ARCHITECTURE}"/Release/dotnet-sdk-"${version}"-"${RUNTIME_ID}"/*
+	do
+		vcopy ${file} ${_target}
+	done
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] New package: dotnet-sdk-bin-5.0.101
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (116 preceding siblings ...)
  2021-05-03  8:37 ` [PR PATCH] [Updated] " kawaiiamber
@ 2021-05-03  8:38 ` kawaiiamber
  2021-05-03  8:40 ` [WIP] New package: dotnet-sdk-bin-5.0.202 kawaiiamber
                   ` (60 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2021-05-03  8:38 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 751 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

New package: dotnet-sdk-bin-5.0.101
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2211 bytes --]

From 3a915d0131e494fdd3948a9a40c47355887b4809 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-bin-5.0.202

---
 common/shlibs               |  1 +
 srcpkgs/dotnet-sdk/template | 46 +++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/common/shlibs b/common/shlibs
index 995c9750a41f..82d98c908cb3 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -409,6 +409,7 @@ libcdio.so.19 libcdio-2.1.0_1
 libmpcdec.so.5 libmpcdec-1.2.6_1
 libproxy.so.1 libproxy-0.4.6_1
 libmoar.so MoarVM-2015.11_1
+libc.musl-x86_64.so.1 dotnet-sdk-bin-5.0.101_1
 libFLAC.so.8 libflac-1.2.1_1
 libFLAC++.so.6 libflac-1.2.1_1
 libField3D.so.1.7 Field3D-1.7.3_1
diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 000000000000..be32f8c689c8
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,46 @@
+# Template file for 'dotnet-sdk-bin'
+pkgname=dotnet-sdk
+version=5.0.202
+revision=1
+hostmakedepends="git tar"
+distfiles="https://github.com/dotnet/source-build/archive/refs/tags/v${version}-SDK.tar.gz"
+wrksrc="source-build-${version}-SDK"
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+checksum=aea8e4f3323aa95316969958585ccc7030f9be7c79d38188a9137ef789ada7cd
+
+_prof=${DESTDIR}/etc/profile.d
+_target=${DESTDIR}/usr/libexec/dotnet
+
+case "${XBPS_TARGET_MACHINE}" in
+	"x86_64*") _ARCHITECTURE="x64" ;;
+	"aarch64*") _ARCHITECTURE="arm64" ;;
+esac
+_RUNTIME_ID="void-${_ARCHITECTURE}"
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_build() {
+	DOTNET_CLI_TELEMETRY_OPTOUT="true" sh ./build.sh -b
+}
+
+post_build() {
+	tar -zxvf ./artifacts/"${_ARCHITECTURE}"/Release/dotnet-sdk-"${version}"-"${RUNTIME_ID}".tar.gz
+}
+
+do_install() {
+	vmkdir ${_target}
+	for file in artifacts/"${_ARCHITECTURE}"/Release/dotnet-sdk-"${version}"-"${RUNTIME_ID}"/*
+	do
+		vcopy ${file} ${_target}
+	done
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-bin-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (117 preceding siblings ...)
  2021-05-03  8:38 ` kawaiiamber
@ 2021-05-03  8:40 ` kawaiiamber
  2021-05-03  8:41 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (59 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2021-05-03  8:40 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 368 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-831115225

Comment:
Even though I'm using a release, the ./build.sh script still seems to spit an error when git is missing, but adding git to hostmakedepends, it seems to error saying it's not a git repository? Scratching my head on this one.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] [WIP] New package: dotnet-sdk-bin-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (118 preceding siblings ...)
  2021-05-03  8:40 ` [WIP] New package: dotnet-sdk-bin-5.0.202 kawaiiamber
@ 2021-05-03  8:41 ` kawaiiamber
  2021-05-03  8:46 ` kawaiiamber
                   ` (58 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2021-05-03  8:41 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 757 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

[WIP] New package: dotnet-sdk-bin-5.0.202
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2611 bytes --]

From a41ee023c3ccf682680711addfa6c12eda4a91e0 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-bin-5.0.202

---
 common/shlibs                      |  1 +
 srcpkgs/dotnet-sdk/files/dotnet.sh |  4 +++
 srcpkgs/dotnet-sdk/template        | 46 ++++++++++++++++++++++++++++++
 3 files changed, 51 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/common/shlibs b/common/shlibs
index 995c9750a41f..82d98c908cb3 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -409,6 +409,7 @@ libcdio.so.19 libcdio-2.1.0_1
 libmpcdec.so.5 libmpcdec-1.2.6_1
 libproxy.so.1 libproxy-0.4.6_1
 libmoar.so MoarVM-2015.11_1
+libc.musl-x86_64.so.1 dotnet-sdk-bin-5.0.101_1
 libFLAC.so.8 libflac-1.2.1_1
 libFLAC++.so.6 libflac-1.2.1_1
 libField3D.so.1.7 Field3D-1.7.3_1
diff --git a/srcpkgs/dotnet-sdk/files/dotnet.sh b/srcpkgs/dotnet-sdk/files/dotnet.sh
new file mode 100644
index 000000000000..05b0324de349
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/files/dotnet.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+export DOTNET_ROOT=/usr/libexec/dotnet
+export PATH="$PATH:$DOTNET_ROOT"
diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 000000000000..f77f55ae854c
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,46 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.202
+revision=1
+hostmakedepends="git tar"
+distfiles="https://github.com/dotnet/source-build/archive/refs/tags/v${version}-SDK.tar.gz"
+wrksrc="source-build-${version}-SDK"
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+checksum=aea8e4f3323aa95316969958585ccc7030f9be7c79d38188a9137ef789ada7cd
+
+_prof=${DESTDIR}/etc/profile.d
+_target=${DESTDIR}/usr/libexec/dotnet
+
+case "${XBPS_TARGET_MACHINE}" in
+	"x86_64*") _ARCHITECTURE="x64" ;;
+	"aarch64*") _ARCHITECTURE="arm64" ;;
+esac
+_RUNTIME_ID="void-${_ARCHITECTURE}"
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_build() {
+	DOTNET_CLI_TELEMETRY_OPTOUT="true" sh ./build.sh -b
+}
+
+post_build() {
+	tar -zxvf ./artifacts/"${_ARCHITECTURE}"/Release/dotnet-sdk-"${version}"-"${RUNTIME_ID}".tar.gz
+}
+
+do_install() {
+	vmkdir ${_target}
+	for file in artifacts/"${_ARCHITECTURE}"/Release/dotnet-sdk-"${version}"-"${RUNTIME_ID}"/*
+	do
+		vcopy ${file} ${_target}
+	done
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] [WIP] New package: dotnet-sdk-bin-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (119 preceding siblings ...)
  2021-05-03  8:41 ` [PR PATCH] [Updated] " kawaiiamber
@ 2021-05-03  8:46 ` kawaiiamber
  2021-05-03  8:47 ` kawaiiamber
                   ` (57 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2021-05-03  8:46 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 757 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

[WIP] New package: dotnet-sdk-bin-5.0.202
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2611 bytes --]

From 1e1eb00626c72674513d580a73e8c3f0667a9cd8 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-bin-5.0.202

---
 common/shlibs                      |  1 +
 srcpkgs/dotnet-sdk/files/dotnet.sh |  4 +++
 srcpkgs/dotnet-sdk/template        | 46 ++++++++++++++++++++++++++++++
 3 files changed, 51 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/common/shlibs b/common/shlibs
index 995c9750a41f..82d98c908cb3 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -409,6 +409,7 @@ libcdio.so.19 libcdio-2.1.0_1
 libmpcdec.so.5 libmpcdec-1.2.6_1
 libproxy.so.1 libproxy-0.4.6_1
 libmoar.so MoarVM-2015.11_1
+libc.musl-x86_64.so.1 dotnet-sdk-bin-5.0.101_1
 libFLAC.so.8 libflac-1.2.1_1
 libFLAC++.so.6 libflac-1.2.1_1
 libField3D.so.1.7 Field3D-1.7.3_1
diff --git a/srcpkgs/dotnet-sdk/files/dotnet.sh b/srcpkgs/dotnet-sdk/files/dotnet.sh
new file mode 100644
index 000000000000..05b0324de349
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/files/dotnet.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+export DOTNET_ROOT=/usr/libexec/dotnet
+export PATH="$PATH:$DOTNET_ROOT"
diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 000000000000..9f80d21fadc2
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,46 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.202
+revision=1
+hostmakedepends="git tar"
+wrksrc="source-build-${version}-SDK"
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+distfiles="https://github.com/dotnet/source-build/archive/refs/tags/v${version}-SDK.tar.gz"
+checksum=aea8e4f3323aa95316969958585ccc7030f9be7c79d38188a9137ef789ada7cd
+
+_prof=${DESTDIR}/etc/profile.d
+_target=${DESTDIR}/usr/libexec/dotnet
+
+case "${XBPS_TARGET_MACHINE}" in
+	"x86_64*") _ARCHITECTURE="x64" ;;
+	"aarch64*") _ARCHITECTURE="arm64" ;;
+esac
+_RUNTIME_ID="void-${_ARCHITECTURE}"
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_build() {
+	DOTNET_CLI_TELEMETRY_OPTOUT="true" sh ./build.sh -b
+}
+
+post_build() {
+	tar -zxvf ./artifacts/"${_ARCHITECTURE}"/Release/dotnet-sdk-"${version}"-"${RUNTIME_ID}".tar.gz
+}
+
+do_install() {
+	vmkdir ${_target}
+	for file in artifacts/"${_ARCHITECTURE}"/Release/dotnet-sdk-"${version}"-"${RUNTIME_ID}"/*
+	do
+		vcopy ${file} ${_target}
+	done
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] [WIP] New package: dotnet-sdk-bin-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (120 preceding siblings ...)
  2021-05-03  8:46 ` kawaiiamber
@ 2021-05-03  8:47 ` kawaiiamber
  2021-05-03 10:01 ` [PR PATCH] [Updated] [WIP] New package: dotnet-sdk-5.0.202 kawaiiamber
                   ` (56 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2021-05-03  8:47 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 757 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

[WIP] New package: dotnet-sdk-bin-5.0.202
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2611 bytes --]

From 1ce7f7f75a69c3063642f0b25b31d1a447e979d2 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-bin-5.0.202

---
 common/shlibs                      |  1 +
 srcpkgs/dotnet-sdk/files/dotnet.sh |  4 +++
 srcpkgs/dotnet-sdk/template        | 46 ++++++++++++++++++++++++++++++
 3 files changed, 51 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/common/shlibs b/common/shlibs
index 995c9750a41f..82d98c908cb3 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -409,6 +409,7 @@ libcdio.so.19 libcdio-2.1.0_1
 libmpcdec.so.5 libmpcdec-1.2.6_1
 libproxy.so.1 libproxy-0.4.6_1
 libmoar.so MoarVM-2015.11_1
+libc.musl-x86_64.so.1 dotnet-sdk-bin-5.0.101_1
 libFLAC.so.8 libflac-1.2.1_1
 libFLAC++.so.6 libflac-1.2.1_1
 libField3D.so.1.7 Field3D-1.7.3_1
diff --git a/srcpkgs/dotnet-sdk/files/dotnet.sh b/srcpkgs/dotnet-sdk/files/dotnet.sh
new file mode 100644
index 000000000000..05b0324de349
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/files/dotnet.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+export DOTNET_ROOT=/usr/libexec/dotnet
+export PATH="$PATH:$DOTNET_ROOT"
diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 000000000000..4178eb86219b
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,46 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.202
+revision=1
+wrksrc="source-build-${version}-SDK"
+hostmakedepends="git tar"
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+distfiles="https://github.com/dotnet/source-build/archive/refs/tags/v${version}-SDK.tar.gz"
+checksum=aea8e4f3323aa95316969958585ccc7030f9be7c79d38188a9137ef789ada7cd
+
+_prof=${DESTDIR}/etc/profile.d
+_target=${DESTDIR}/usr/libexec/dotnet
+
+case "${XBPS_TARGET_MACHINE}" in
+	"x86_64*") _ARCHITECTURE="x64" ;;
+	"aarch64*") _ARCHITECTURE="arm64" ;;
+esac
+_RUNTIME_ID="void-${_ARCHITECTURE}"
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_build() {
+	DOTNET_CLI_TELEMETRY_OPTOUT="true" sh ./build.sh -b
+}
+
+post_build() {
+	tar -zxvf ./artifacts/"${_ARCHITECTURE}"/Release/dotnet-sdk-"${version}"-"${RUNTIME_ID}".tar.gz
+}
+
+do_install() {
+	vmkdir ${_target}
+	for file in artifacts/"${_ARCHITECTURE}"/Release/dotnet-sdk-"${version}"-"${RUNTIME_ID}"/*
+	do
+		vcopy ${file} ${_target}
+	done
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (121 preceding siblings ...)
  2021-05-03  8:47 ` kawaiiamber
@ 2021-05-03 10:01 ` kawaiiamber
  2021-05-03 10:08 ` kawaiiamber
                   ` (55 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2021-05-03 10:01 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 753 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

[WIP] New package: dotnet-sdk-5.0.202
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 153097 bytes --]

From ca8394fc18eefd8b29c82cbe0e54236f64d86b2d Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-bin-5.0.202

---
 common/shlibs                      | 3931 ----------------------------
 srcpkgs/dotnet-sdk/files/dotnet.sh |    4 +
 srcpkgs/dotnet-sdk/template        |   47 +
 3 files changed, 51 insertions(+), 3931 deletions(-)
 delete mode 100644 common/shlibs
 create mode 100644 srcpkgs/dotnet-sdk/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/common/shlibs b/common/shlibs
deleted file mode 100644
index 995c9750a41f..000000000000
--- a/common/shlibs
+++ /dev/null
@@ -1,3931 +0,0 @@
-# --*-- shell --*--
-#
-# This file represents a map between shared libraries and packages
-# in XBPS. Every shared library installed by a package must be
-# listed here and mapped to a binary package.
-#
-# The first field lists the exact SONAME embedded in binaries.
-#
-# The second field lists the package/version tuple containing the SONAME.
-# The version component is used as greater than or equal to that version
-# in resulting binary package.
-#
-# The third field (optional) specifies that shared library should not be used
-# to perform checks of soname bumps.
-#
-# PLEASE NOTE: when multiple packages provide the same SONAME, the first
-# one (order top->bottom) is preferred over the next ones.
-#
-libc.so musl-1.1.21_1
-libc.so.6 glibc-2.32_1
-libm.so.6 glibc-2.32_1
-libpthread.so.0 glibc-2.32_1
-librt.so.1 glibc-2.32_1
-libdl.so.2 glibc-2.32_1
-ld-linux-x86-64.so.2 glibc-2.32_1 x86_64
-ld-linux.so.2 glibc-2.32_1 i686
-ld-linux.so.3 glibc-2.32_1 armv5tel
-ld-linux-aarch64.so.1 glibc-2.32_1 aarch64
-ld64.so.2 glibc-2.32_1 ppc64
-ld.so.1 glibc-2.32_1 mips
-ld.so.1 glibc-2.32_1 ppc
-ld-linux-armhf.so.3 glibc-2.32_1
-libresolv.so.2 glibc-2.32_1
-libanl.so.1 glibc-2.32_1
-libthread_db.so.1 glibc-2.32_1
-libutil.so.1 glibc-2.32_1
-libnsl.so.1 glibc-2.32_1
-libnss_db.so.2 glibc-2.32_1
-libnss_files.so.2 glibc-2.32_1
-libnss_compat.so.2 glibc-2.32_1
-libnss_dns.so.2 glibc-2.32_1
-libnss_hesiod.so.2 glibc-2.32_1
-libcrypt.so.1 glibc-2.32_1
-libBrokenLocale.so.1 glibc-2.32_1
-libmemusage.so glibc-2.32_1
-libSegFault.so glibc-2.32_1
-libpcprofile.so glibc-2.32_1
-libcidn.so.1 glibc-2.32_1
-libmvec.so.1 glibc-2.32_1
-libz.so.1 zlib-1.2.3_1
-libbz2.so.1 bzip2-1.0.5_1
-libarchive.so.13 libarchive-3.5.1_2
-libcc1.so.0 gcc-6.2.1_1
-libcc1plugin.so.0 gcc-6.2.1_1
-libitm.so.1 libitm-4.7.3_1
-liblto_plugin.so.0 gcc-4.7.3_1
-libgcc_s.so.1 libgcc-4.4.0_1
-libgo.so.16 libgo-10.2.0_1
-libperl.so.5.32 perl-5.32.0_1
-libgmp.so.10 gmp-5.0.1_1
-libgmpxx.so.4 gmpxx-6.0.0_2
-libmpfr.so.6 mpfr-4.0.0_1
-libppl.so.14 ppl-1.2_1
-libppl_c.so.4 ppl-0.11_1
-libstdc++.so.6 libstdc++-4.4.0_1
-libssp.so.0 libssp-4.4.0_1
-libncurses.so.6 ncurses-libs-6.0_1 ignore
-libncursesw.so.6 ncurses-libs-5.8_1 ignore
-libtinfo.so.6 ncurses-libtinfo-libs-6.2_2
-libnetcdf.so.15 netcdf-4.7.0_1
-libformw.so.6 ncurses-libs-5.8_1 ignore
-libpanelw.so.6 ncurses-libs-5.8_1 ignore
-libmenuw.so.6 ncurses-libs-5.8_1 ignore
-libobjc.so.4 libobjc-4.7.3_12
-libgomp.so.1 libgomp-4.4.0_1
-libgps.so.25 gpsd-3.20_1
-libmagic.so.1 libmagic-5.12_1
-libbluetooth.so.3 libbluetooth-4.58_1
-libwmf-0.2.so.7 libwmf-0.2.8.4_1
-libwmflite-0.2.so.7 libwmf-0.2.8.4_1
-libgthread-2.0.so.0 glib-2.68.0_1
-libglib-2.0.so.0 glib-2.68.0_1
-libgmodule-2.0.so.0 glib-2.68.0_1
-libgio-2.0.so.0 glib-2.68.0_1
-libgobject-2.0.so.0 glib-2.68.0_1
-libatk-1.0.so.0 atk-1.26.0_1
-libpangocairo-1.0.so.0 pango-1.24.0_1
-libpangoft2-1.0.so.0 pango-1.24.0_1
-libpangoxft-1.0.so.0 pango-xft-1.36.3_2
-libpango-1.0.so.0 pango-1.24.0_1
-libcairo.so.2 cairo-1.8.6_1
-libcairo-gobject.so.2 cairo-1.8.6_1
-libcairo-script-interpreter.so.2 cairo-1.8.6_1
-libgdk-x11-2.0.so.0 gtk+-2.16.0_1
-libgtk-x11-2.0.so.0 gtk+-2.16.0_1
-libgdk_pixbuf-2.0.so.0 gdk-pixbuf-2.22.0_1
-libgdk_pixbuf_xlib-2.0.so.0 gdk-pixbuf-xlib-2.30.8_1
-libgailutil.so.18 gtk+-2.16.0_1
-libfreetype.so.6 freetype-2.3.9_1
-libfontconfig.so.1 fontconfig-2.6.0_1
-libX11-xcb.so.1 libX11-1.2_1
-libX11.so.6 libX11-1.2_1
-libXpresent.so.1 libXpresent-1.0.0_1
-libexpat.so.1 expat-2.0.0_1
-libjpeg.so.8 libjpeg-turbo-1.3.0_2
-libturbojpeg.so.0 libjpeg-turbo-1.3.0_2
-libpng16.so.16 libpng-1.6.2_1
-libXrender.so.1 libXrender-0.9.4_1
-libXrandr.so.2 libXrandr-1.3.0_1
-libGLU.so.1 glu-9.0.0_1
-libGL.so.1 libGL-7.11_1
-libEGL.so.1 libEGL-7.11_1
-libGLESv1_CM.so.1 libGLES-1.0_1
-libGLESv2.so.2 libGLES-1.0_1
-libEGL.so rpi-userland-0.0.0.0.20150907_1
-libGLESv2.so rpi-userland-0.0.0.0.20150907_1
-libGLESv2.so opera-55.0.2994.37_2
-libGLESv2.so discord-0.0.7_1
-libGLESv2.so keybase-desktop-3.1.2_1
-libGLESv2.so Signal-Desktop-1.23.2_1
-libGLESv2.so slack-desktop-3.4.2_1
-libbrcmEGL.so rpi-userland-20180103_2
-libbrcmGLESv2.so rpi-userland-20180103_2
-libbrcmOpenVG.so rpi-userland-20180103_2
-libwayland-egl.so.1 wayland-1.15.0_4
-libnvidia-ml.so.1 nvidia-libs-346.47_1 ignore
-libnvidia-ml.so.1 nvidia390-libs-390.87_1 ignore
-libnvidia-tls.so.346.47 nvidia-libs-346.47_1 ignore
-libnvidia-glcore.so.346.47 nvidia-libs-346.47_1 ignore
-libnvidia-gtk2.so.346.47 nvidia-gtklibs-346.47_1 ignore
-libnvidia-gtk3.so.346.47 nvidia-gtklibs-346.47_1 ignore
-libnvidia-glcore.so.390.87 nvidia390-libs-390.87_1 ignore
-libnvidia-glsi.so.346.72 nvidia-libs-346.72_1 ignore
-libnvidia-fatbinaryloader.so.390.143 nvidia390-libs-390.143_1 ignore
-libnvidia-fatbinaryloader.so.430.40 nvidia-libs-430.40_1 ignore
-libglapi.so.0 libglapi-7.11_1
-libgbm.so.1 libgbm-9.0_1
-libOpenGL.so.0 libglvnd-1.3.0_1
-libGLX.so.0 libglvnd-1.3.0_1
-librsvg-2.so.2 librsvg-2.26.0_1
-libdbus-1.so.3 dbus-libs-1.2.10_1
-libdbus-glib-1.so.2 dbus-glib-0.80_1
-libxml2.so.2 libxml2-2.7.0_1
-libxlsxwriter.so.1 libxlsxwriter-1.0.0_1
-libfuse.so.2 fuse-2.8.1_1
-libfuse3.so.3 fuse3-3.1.0_1
-libXext.so.6 libXext-1.0.5_1
-libulockmgr.so.1 fuse-2.9.7_1
-libXcomposite.so.1 libXcomposite-0.4.0_1
-libXdamage.so.1 libXdamage-1.1.1_1
-libXfixes.so.3 libXfixes-4.0.3_1
-libXinerama.so.1 libXinerama-1.0.3_1
-libSM.so.6 libSM-1.1.0_1
-libICE.so.6 libICE-1.0.5_1
-libXau.so.6 libXau-1.0.4_1
-libexslt.so.0 libxslt-1.1.24_1
-libxslt.so.1 libxslt-1.1.24_1
-libstartup-notification-1.so.0 startup-notification-0.10_1
-libwnck-1.so.22 libwnck2-2.30_1
-libwnck-3.so.0 libwnck-2.91.90_1
-libnl.so.1 libnl-1.1_1
-libnl-3.so.200 libnl3-3.2.1_1
-libnl-route-3.so.200 libnl3-3.2.1_1
-libnl-idiag-3.so.200 libnl3-3.2.28_1
-libnl-nf-3.so.200 libnl3-3.2.1_1
-libnl-genl-3.so.200 libnl3-3.2.1_1
-libnl-cli-3.so.200 libnl3-3.2.1_1
-libreadline.so.8 libreadline8-8.0_1
-libhistory.so.8 libhistory8-8.0_1
-libxfconf-0.so.3 xfconf-4.13.7_1
-libxfce4util.so.7 libxfce4util-4.12.1_1
-libxfce4panel-1.0.so.4 libxfce4panel-4.9.2_1
-libxfce4panel-2.0.so.4 libxfce4panel-4.12.0_1
-libgdbm.so.6 gdbm-1.16_1
-libgdbm_compat.so.4 gdbm-1.10_1_1
-libintl.so.8 gettext-libs-0.19.2_1
-libgettextlib-0.21.so gettext-0.21_3
-libgettextsrc-0.21.so gettext-0.21_3
-libtextstyle.so.0 gettext-0.21_3
-libgettextpo.so.0 gettext-0.21_3
-libattr.so.1 attr-2.4.43_1
-libacl.so.1 acl-2.2.47_1
-libpython2.7.so.1.0 python-2.7.18_3
-libffi.so.7 libffi-3.3_1
-libffcall.so.0 ffcall-2.1_1
-libavcall.so.1 ffcall-2.1_1
-libtrampoline.so.1 ffcall-2.1_1
-libcallback.so.1 ffcall-2.1_1
-libcrack.so.2 libcracklib-2.8.22_2
-libpam.so.0 pam-libs-1.1.6_3
-libpamc.so.0 pam-libs-1.1.6_3
-libpam_misc.so.0 pam-libs-1.1.6_3
-libcap.so.2 libcap-2.16_1
-libpsx.so.2 libcap-2.45_1
-liblzma.so.5 liblzma-5.0.0_1
-libuuid.so.1 libuuid-2.18_1
-libblkid.so.1 libblkid-2.18_1
-libidn.so.12 libidn-1.35_1
-libusb-1.0.so.0 libusb-1.0.0_1
-libusb-0.1.so.4 libusb-compat-0.1.0_1
-libpci.so.3 pciutils-3.7.0_1
-libpcre.so.1 libpcre-8.30_1
-libpcreposix.so.0 libpcre-7.8_1
-libpcrecpp.so.0 libpcrecpp-7.8_1
-libgirepository-gimarshallingtests-1.0.so libgirepository-1.30_1
-libgirepository-everything-1.0.so libgirepository-1.30_1
-libgirepository-1.0.so.1 libgirepository-1.30_1
-libudev.so.1 eudev-libudev-1.6_1
-libgudev-1.0.so.0 libgudev-230_1
-libext2fs.so.2 e2fsprogs-libs-1.41.5_1
-libcom_err.so.2 e2fsprogs-libs-1.41.5_1
-libe2p.so.2 e2fsprogs-libs-1.41.5_1
-libss.so.2 e2fsprogs-libs-1.41.5_1
-libiw.so.29 wireless_tools-29_1
-libpopt.so.0 popt-1.15_1
-libtasn1.so.6 libtasn1-3.2_1
-libgpg-error.so.0 libgpg-error-1.6_1
-liblzo2.so.2 lzo-2.03_1
-libgcrypt.so.20 libgcrypt-1.6.1_1
-libgnutls.so.30 gnutls-3.4.13_1
-libgnutlsxx.so.28 gnutls-3.2.13_1
-libgnutls-dane.so.0 gnutls-3.6.12_1
-libdevmapper.so.1.02 device-mapper-2.02.110_1
-libdevmapper-event.so.1.02 device-mapper-2.02.110_1
-libdevmapper-event-lvm2.so.2.02 device-mapper-2.02.110_1
-liblvm2cmd.so.2.02 device-mapper-2.02.54_1
-libprop.so.0 proplib-0.1_1
-libfontenc.so.1 libfontenc-1.0.4_1
-libXfont.so.1 libXfont-1.4.0_1
-libx86.so.1 libx86-1.1_1
-libxcb-render.so.0 libxcb-1.2_1
-libxcb-glx.so.0 libxcb-1.2_1
-libxcb-composite.so.0 libxcb-1.2_1
-libxcb-randr.so.0 libxcb-1.2_1
-libxcb-shape.so.0 libxcb-1.2_1
-libxcb-sync.so.1 libxcb-1.10_1
-libxcb-shm.so.0 libxcb-1.2_1
-libxcb-screensaver.so.0 libxcb-1.2_1
-libxcb-xprint.so.0 libxcb-1.2_1
-libxcb-res.so.0 libxcb-1.2_1
-libxcb.so.1 libxcb-1.2_1
-libxcb-damage.so.0 libxcb-1.2_1
-libxcb-dpms.so.0 libxcb-1.2_1
-libxcb-record.so.0 libxcb-1.2_1
-libxcb-xtest.so.0 libxcb-1.2_1
-libxcb-xv.so.0 libxcb-1.2_1
-libxcb-xf86dri.so.0 libxcb-1.2_1
-libxcb-xinerama.so.0 libxcb-1.2_1
-libxcb-dri2.so.0 libxcb-1.2_1
-libxcb-xevie.so.0 libxcb-1.2_1
-libxcb-xfixes.so.0 libxcb-1.2_1
-libxcb-xvmc.so.0 libxcb-1.2_1
-libxcb-xkb.so.1 libxcb-1.10_1
-libxcb-xinput.so.0 libxcb-1.10_1
-libxcb-dri3.so.0 libxcb-1.10_1
-libxcb-present.so.0 libxcb-1.10_1
-libxcb-imdkit.so.1 xcb-imdkit-1.0.2_1
-libXdmcp.so.6 libXdmcp-1.0.2_1
-libpolkit-gobject-1.so.0 polkit-0.99_1
-libpolkit-agent-1.so.0 polkit-0.99_1
-libpolkit-backend-1.so.0 polkit-0.99_1
-libXt.so.6 libXt-1.0.5_1
-libXtst.so.6 libXtst-1.0.3_1
-libxkbfile.so.1 libxkbfile-1.0.5_1
-libXpm.so.4 libXpm-3.5.7_1
-libXmu.so.6 libXmu-1.0.4_1
-libXmuu.so.1 libXmu-1.0.4_1
-libdrm.so.2 libdrm-2.4.6_1
-libdrm_radeon.so.1 libdrm-2.4.6_1
-libdrm_intel.so.1 libdrm-2.4.6_1
-libdrm_nouveau.so.2 libdrm-2.4.34_1
-libdrm_amdgpu.so.1 libdrm-2.4.64_1
-libdrm_freedreno.so.1 libdrm-2.4.97_1
-libkms.so.1 libdrm-2.4.6_1
-libXxf86vm.so.1 libXxf86vm-1.0.2_1
-libXi.so.6 libXi-1.2.1_1
-libdmx.so.1 libdmx-1.0.2_1
-libXRes.so.1 libXres-1.0.3_1
-libxreaderdocument.so.3 libxreader-1.6.1_1
-libxreaderview.so.3 libxreader-1.6.1_1
-libpciaccess.so.0 libpciaccess-0.10.5_1
-libpixman-1.so.0 pixman-0.14.0_1
-libXaw.so.6 libXaw-1.0.5_1 ignore
-libXaw.so.7 libXaw-1.0.5_1 ignore
-libXaw6.so.6 libXaw-1.0.5_1
-libXaw7.so.7 libXaw-1.0.5_1
-libXft.so.2 libXft-2.1.13_1
-libXcursor.so.1 libXcursor-1.1.9_1
-libXxf86dga.so.1 libXxf86dga-1.0.2_1
-libXxf86misc.so.1 libXxf86misc-1.0.1_1
-libXp.so.6 libXp-1.0.0_1
-libXfontcache.so.1 libXfontcache-1.0.4_1
-libXv.so.1 libXv-1.0.4_1
-libXvMC.so.1 libXvMC-1.0.4_1
-libXvMCW.so.1 libXvMC-1.0.4_1
-libxcb-errors.so.0 xcb-util-errors-1.0_1
-libxcb-icccm.so.4 xcb-util-wm-0.3.9_1
-libxcb-ewmh.so.2 xcb-util-wm-0.3.9_1
-libxcb-aux.so.0 xcb-util-0.3.4_1
-libxcb-image.so.0 xcb-util-image-0.3.9_1
-libxcb-reply.so.1 xcb-util-0.3.4_1
-libxcb-keysyms.so.1 xcb-util-keysyms-0.3.9_1
-libxcb-property.so.1 xcb-util-0.3.4_1
-libxcb-atom.so.1 xcb-util-0.3.4_1
-libxcb-event.so.1 xcb-util-0.3.4_1
-libxcb-util.so.1 xcb-util-0.3.9_1
-libtiff.so.5 tiff-4.0.0_1
-libtiffxx.so.5 tiff-4.0.0_1
-libnotify.so.4 libnotify-0.7_1
-libexo-1.so.0 exo-0.7.3_1
-libexo-2.so.0 exo-0.12.0_1
-libglade-2.0.so.0 libglade-2.6.4_1
-libglademm-2.4.so.1 libglademm-2.6.7_1
-libthunarx-3.so.0 Thunar-1.8.1_1
-libexif.so.12 libexif-0.6.17_1
-liboil-0.3.so.0 liboil-0.3.16_1
-libopenmpt.so.0 libopenmpt-0.4.11_1
-libogg.so.0 libogg-1.3.0_1
-libvorbis.so.0 libvorbis-1.2.1rc1_1
-libvorbisenc.so.2 libvorbis-1.2.1rc1_1
-libvorbisfile.so.3 libvorbis-1.2.1rc1_1
-libtheora.so.0 libtheora-1.0_1
-libtheoradec.so.1 libtheora-1.0_1
-libtheoraenc.so.1 libtheora-1.0_1
-libcdda_interface.so.0 libcdparanoia-10.2_10
-libcdda_paranoia.so.0 libcdparanoia-10.2_10
-libasound.so.2 alsa-lib-1.0.20_1
-libatopology.so.2 alsa-lib-1.2.1_1
-libvisual-0.4.so.0 libvisual-0.4.0_1
-libxfsm-4.6.so.0 xfce4-session-4.9.1_1
-libxklavier.so.16 libxklavier-5.0_1
-liblcms.so.1 lcms-1.18_1
-libgd.so.3 gd-2.1.0_1
-libcroco-0.6.so.3 libcroco-0.6.2_1
-libgsf-1.so.114 libgsf-1.14.11_1
-libMagickCore-7.Q16HDRI.so.9 libmagick-7.0.11.1_1
-libMagickWand-7.Q16HDRI.so.9 libmagick-7.0.11.1_1
-libMagick++-7.Q16HDRI.so.5 libmagick-7.0.11.1_1
-libMagickCore-6.Q16.so.7 libmagick6-6.9.11.61_1
-libMagickWand-6.Q16.so.7 libmagick6-6.9.11.61_1
-libMagick++-6.Q16.so.9 libmagick6-6.9.12.1_1
-libltdl.so.7 libltdl-2.2.6_1
-libpoppler.so.102 libpoppler102-20.09.0_1
-libpoppler-glib.so.8 poppler-glib-0.18.2_1
-libpoppler-cpp.so.0 poppler-cpp-0.18.2_1
-libpoppler-qt5.so.1 poppler-qt5-0.31.0_1
-libtcl8.6.so tcl-8.6.0_1
-libtk8.6.so tk-8.6.1_3
-libsqlite3.so.0 sqlite-3.31.1_3
-libIDL-2.so.0 libIDL-0.8.13_1
-libnspr4.so nspr-4.8_1
-libplc4.so nspr-4.8_1
-libplds4.so nspr-4.8_1
-libsoftokn3.so nss-3.12.4_1
-libssl3.so nss-3.12.4_1
-libnssutil3.so nss-3.12.4_1
-libsmime3.so nss-3.12.4_1
-libfreebl3.so nss-3.12.4_1
-libnssdbm3.so nss-3.12.4_1
-libnssckbi.so nss-3.12.4_1
-libnss3.so nss-3.12.4_1
-libcurl.so.4 libcurl-7.75.0_2
-libdaemon.so.0 libdaemon-0.14_1
-libavahi-common.so.3 avahi-libs-0.6.25_1
-libavahi-core.so.7 avahi-libs-0.6.25_1
-libavahi-client.so.3 avahi-libs-0.6.25_1
-libavahi-gobject.so.0 avahi-glib-libs-0.6.25_1
-libavahi-glib.so.1 avahi-glib-libs-0.6.25_1
-libdns_sd.so.1 avahi-compat-libs-0.6.25_1
-libhowl.so.0 avahi-compat-libs-0.6.25_1
-libavahi-ui.so.0 avahi-ui-libs-0.6.25_1
-libavahi-ui-gtk3.so.0 avahi-ui-libs-gtk3-0.6.25_1
-libavahi-libevent.so.1 avahi-libevent-libs-0.8_1
-libavahi-qt5.so.1 avahi-qt5-libs-0.8_1
-libmp4v2.so.2 libmp4v2-2.0.0_1
-libfaac.so.0 faac-1.28_1
-libfaad.so.2 faad2-2.7_1
-libfaad_drm.so.2 faad2-2.8.0_1
-libid3tag.so.0 libid3tag-0.15.1b_1
-libgif.so.7 giflib-5.1.0_1
-libImlib2.so.1 imlib2-1.4.2_1
-libmp3lame.so.0 lame-3.98.2_1
-libavdevice.so.58 libavdevice-4.0_1
-libavformat.so.58 libavformat-4.0_1
-libswscale.so.5 libswscale-4.0_1
-libswresample.so.3 libswresample-4.0_1
-libavresample.so.4 libavresample-4.0_1
-libpostproc.so.55 libpostproc-4.0_1
-libavcodec.so.58 libavcodec-4.0_1
-libavutil.so.56 libavutil-4.0_1
-libavfilter.so.7 libavfilter-4.0_1
-libSDL-1.2.so.0 SDL-1.2.14_1
-libSDL_image-1.2.so.0 SDL_image-1.2.10_1
-libx264.so.157 x264-20190507.2245_1
-libxvidcore.so.4 xvidcore-1.2.2_1
-libtag.so.1 taglib-1.6.1_1
-libtag-extras.so.1 taglib-extras-1.0.1_1
-libtag_c.so.0 taglib-1.6.1_1
-libfribidi.so.0 fribidi-0.19.2_1
-liba52.so.0 liba52-0.7.4_1
-libcddb.so.2 libcddb-1.3.2_1
-libiso9660.so.11 libcdio-2.0.0_1
-libudf.so.0 libcdio-0.83_1
-libcdio_cdda.so.2 libcdio-paranoia-10.2_1
-libcdio_paranoia.so.2 libcdio-paranoia-10.2_1
-libiso9660++.so.0 libcdio-0.83_1
-libcdio++.so.1 libcdio-2.0.0_1
-libcdio.so.19 libcdio-2.1.0_1
-libmpcdec.so.5 libmpcdec-1.2.6_1
-libproxy.so.1 libproxy-0.4.6_1
-libmoar.so MoarVM-2015.11_1
-libFLAC.so.8 libflac-1.2.1_1
-libFLAC++.so.6 libflac-1.2.1_1
-libField3D.so.1.7 Field3D-1.7.3_1
-libMAC.so.6 libMAC-5.28_1
-libmad.so.0 libmad-0.15.1b_1
-libmatroska.so.7 libmatroska-1.6.0_1
-libmatrix_client.so.0.5.1 mtxclient-0.5.1_1
-libebml.so.5 libebml-1.4.0_1
-libdvdread.so.8 libdvdread-6.1.1_1
-libdvdnav.so.4 libdvdnav-4.1.3_1
-libdvbpsi.so.10 libdvbpsi-1.3.1_1
-libdca.so.0 libdca-0.0.5_1
-libmpeg2.so.0 libmpeg2-0.5.1_1
-libmpeg2convert.so.0 libmpeg2-0.5.1_1
-libmng.so.2 libmng-2.0.2_1
-libQgpsmm.so.25 gpsd-qt-3.20_1
-libsysfs.so.2 libsysfs-2.1.0_1
-libsensors.so.5 libsensors-3.5.0_1
-libcap-ng.so.0 libcap-ng-0.6.2_1
-libphysfs.so.1 physfs-2.0.0_1
-libSDL_ttf-2.0.so.0 SDL_ttf-2.0.9_1
-libKScreenLocker.so.5 kscreenlocker-5.8.4_1
-libparted.so.2 libparted-3.1_1
-libparted-fs-resize.so.0 libparted-3.1_1
-libntfs-3g.so.88 ntfs-3g-2017.3.23_1
-libruby.so.2.7 ruby-2.7.2_3
-libprocessui.so.9 libksysguard-5.18.90_1
-libksignalplotter.so.9 libksysguard-5.18.90_1
-libksgrd.so.9 libksysguard-5.18.90_1
-libprocesscore.so.9 libksysguard-5.18.90_1
-liblsofui.so.9 libksysguard-5.18.90_1
-libKSysGuardSensorFaces.so.1 libksysguard-5.18.90_1
-libKSysGuardFormatter.so.1 libksysguard-5.19.5_1
-libKWaylandServer.so.5 kwayland-server-5.18.90_1
-libxenctrl.so.4.14 xen-libs-4.14.0_1
-libxenfsimage.so.4.14 xen-libs-4.14.0_1
-libxenguest.so.4.14 xen-libs-4.14.0_1
-libxenhypfs.so.1 xen-libs-4.14.0_1
-libxlutil.so.4.14 xen-libs-4.14.0_1
-libxenlight.so.4.14 xen-libs-4.14.0_1
-libxenevtchn.so.1 xen-libs-4.10.0_1
-libxengnttab.so.1 xen-libs-4.10.0_1
-libxendevicemodel.so.1 xen-libs-4.10.0_1
-libxenforeignmemory.so.1 xen-libs-4.10.0_1
-libxentoolcore.so.1 xen-libs-4.10.0_1
-libxenstore.so.3.0 xen-libs-4.10.0_1
-libxentoollog.so.1 xen-libs-4.10.0_1
-libxencall.so.1 xen-libs-4.10.0_1
-libxenvchan.so.4.14 xen-libs-4.14.0_1
-libfsimage.so.1.0 xen-libs-4.10.0_1
-libxenstat.so.4.14 xen-libs-4.14.0_1
-libfam.so.0 gamin-0.1.10_1
-libgamin-1.so.0 gamin-0.1.10_1
-libKF5SyntaxHighlighting.so.5 syntax-highlighting-5.29.0_1
-libKF5Libkleo.so.5 libkleo-17.12.3_1
-libKF5GrantleeTheme.so.5 grantleetheme-17.12.3_1
-libKF5IMAP.so.5 kimap-17.12.3_1
-libKF5Ldap.so.5 kldap-17.12.3_1
-libKF5CalendarCore.so.5 kcalendarcore-5.63.0_1
-libKF5AkonadiSearchDebug.so.5 akonadi-search-17.12.3_1
-libKF5AkonadiSearchCore.so.5 akonadi-search-17.12.3_1
-libKF5AkonadiSearchPIM.so.5 akonadi-search-17.12.3_1
-libKF5AkonadiSearchXapian.so.5 akonadi-search-17.12.3_1
-libKF5LibkdepimAkonadi.so.5 libkdepim-17.12.3_1
-libKF5Libkdepim.so.5 libkdepim-17.12.3_1
-libKF5PimCommon.so.5 pimcommon-17.12.3_1
-libKF5PimCommonAkonadi.so.5 pimcommon-17.12.3_1
-libKF5Gravatar.so.5 libgravatar-17.12.3_1
-libKF5Sane.so.5 libksane-18.04.2_1
-libKPimSMTP.so.5 ksmtp-17.12.3_1
-libKF5MailTransport.so.5 kmailtransport-17.12.3_1
-libKF5MailTransportAkonadi.so.5 kmailtransport-17.12.3_1
-libKF5Mbox.so.5 kmbox-17.12.3_1
-libKF5MessageComposer.so.5 messagelib-17.12.3_1
-libKF5MessageList.so.5 messagelib-17.12.3_1
-libKF5TemplateParser.so.5 messagelib-17.12.3_1
-libKF5WebEngineViewer.so.5 messagelib-17.12.3_1
-libKF5MessageCore.so.5 messagelib-17.12.3_1
-libKF5MimeTreeParser.so.5 messagelib-17.12.3_1
-libKF5MessageViewer.so.5 messagelib-17.12.3_1
-libKF5CalendarUtils.so.5 kcalutils-17.12.3_1
-libKF5KontactInterface.so.5 kontactinterface-17.12.3_1
-libKF5KSieveUi.so.5 libksieve-17.12.3_1
-libKF5KManageSieve.so.5 libksieve-17.12.3_1
-libKF5KSieve.so.5 libksieve-17.12.3_1
-libKF5MailImporterAkonadi.so.5 mailimporter-17.12.3_1
-libKF5MailImporter.so.5 mailimporter-17.12.3_1
-libKF5MailCommon.so.5 mailcommon-17.12.3_1
-libKF5Tnef.so.5 ktnef-17.12.3_1
-libKF5AkonadiCalendar.so.5 akonadi-calendar-17.12.3_1
-libKF5CalendarSupport.so.5 calendarsupport-17.12.3_1
-libKF5AkonadiNotes.so.5 akonadi-notes-17.12.3_1
-libKPimKDAV.so.5 kdav-5.72.0_1
-libKF5DAV.so.5 kdav-5.72.0_1
-libKF5AlarmCalendar.so.5 kalarmcal-17.12.3_1
-libakonadi-singlefileresource.so.5 kdepim-runtime-17.12.3_1
-libkmindexreader.so.5 kdepim-runtime-17.12.3_1
-libkdexoauth2.so.3 kdepim-runtime-17.12.3_1
-libakonadi-filestore.so.5 kdepim-runtime-17.12.3_1
-libmaildir.so.5 kdepim-runtime-17.12.3_1
-libfolderarchivesettings.so.5 kdepim-runtime-17.12.3_1
-libkImageAnnotator.so.0 kImageAnnotator-0.4.1_1
-libkColorPicker.so.0 kColorPicker-0.1.5_1
-libbabl-0.1.so.0 babl-0.1.16_1
-libbamf3.so.2 bamf-0.5.1_1
-libicuio.so.67 icu-libs-67.1_1
-libicui18n.so.67 icu-libs-67.1_1
-libicudata.so.67 icu-libs-67.1_1
-libicutu.so.67 icu-libs-67.1_1
-libicuuc.so.67 icu-libs-67.1_1
-libicutest.so.67 icu-libs-67.1_1
-libaspell.so.15 libaspell-0.60.8_2
-libpspell.so.15 libaspell-0.60.8_2
-libenchant.so.1 enchant-1.4.2_1
-libenchant-2.so.2 enchant2-2.2.3_1
-libgconf-2.so.4 GConf-2.32.0_1
-libpackagekit-glib2.so.18 PackageKit-1.1.12_1
-libpsl.so.5 libpsl-0.20.2_1
-libsoup-2.4.so.1 libsoup-2.34.0_1
-libsoup-gnome-2.4.so.1 libsoup-gnome-2.34.0_1
-libgnome-panel.so.0 gnome-panel-3.37.1_1
-libuninum.so.5 libuninum-2.7_1
-libunique-3.0.so.0 libunique-2.91.4_1
-libwebkit2gtk-4.0.so.37 webkit2gtk-2.6.2_1
-libjavascriptcoregtk-4.0.so.18 webkit2gtk-2.6.2_1
-libgimp-2.0.so.0 libgimp-2.10.0_1
-libgimpwidgets-2.0.so.0 libgimp-2.10.0_1
-libgimpui-2.0.so.0 libgimp-2.10.0_1
-libgimpbase-2.0.so.0 libgimp-2.10.0_1
-libgimpthumb-2.0.so.0 libgimp-2.10.0_1
-libgimpconfig-2.0.so.0 libgimp-2.10.0_1
-libgimpmath-2.0.so.0 libgimp-2.10.0_1
-libgimpcolor-2.0.so.0 libgimp-2.10.0_1
-libgimpmodule-2.0.so.0 libgimp-2.10.0_1
-libgmic.so.2 gmic-2.1.8_1
-libcgmic.so.2 gmic-2.1.8_1
-libexiv2.so.27 exiv2-0.27_1
-libKF5Holidays.so.5 kholidays-5.47.0_1
-libPhabricatorHelpers.so.5 purpose-5.48.0_1
-libKF5PurposeWidgets.so.5 purpose-5.48.0_1
-libKF5Purpose.so.5 purpose-5.48.0_1
-libKF5PulseAudioQt.so.2 pulseaudio-qt-1.1.0_1
-libReviewboardHelpers.so.5 purpose-5.48.0_1
-libecpg_compat.so.3 postgresql-libs-13.2_2
-libecpg.so.6 postgresql-libs-13.2_2
-libpgtypes.so.3 postgresql-libs-13.2_2
-libpq.so.5 postgresql-libs-13.2_2
-libmypaint.so.0 libmypaint-1.6.1_1
-libgssapi_krb5.so.2 mit-krb5-libs-1.8_1
-libgssrpc.so.4 mit-krb5-libs-1.8_1
-libk5crypto.so.3 mit-krb5-libs-1.8_1
-libkadm5clnt_mit.so.12 mit-krb5-libs-1.18.2_1
-libkadm5srv_mit.so.12 mit-krb5-libs-1.18.2_1
-libkdb5.so.10 mit-krb5-libs-1.18.2_1
-libkrb5.so.3 mit-krb5-libs-1.8_1
-libkrad.so.0 mit-krb5-libs-1.12.1_1
-libkrb5support.so.0 mit-krb5-libs-1.8_1
-libkdb_ldap.so.1 mit-krb5-libs-1.14.2_2
-libverto.so.0 mit-krb5-libs-1.8_1
-libverto-k5ev.so.0 mit-krb5-libs-1.8_1
-libmenu-cache.so.3 menu-cache-1.0.0_1
-libupower-glib.so.3 libupower-glib3-0.99.3_1
-libcanberra.so.0 libcanberra-0.23_1
-libcanberra-gtk.so.0 libcanberra-gtk-0.30_6
-libcanberra-gtk3.so.0 libcanberra-gtk3-0.30_6
-libgtop-2.0.so.11 libgtop-2.38.0_1
-librarian.so.0 rarian-0.8.1_1
-libmusikcore.so musikcube-0.93.1_3
-libgnome-menu-3.so.0 gnome-menus-2.91.6_1
-libart_lgpl_2.so.2 libart-2.3.20_1
-libgnomecanvas-2.so.0 libgnomecanvas-2.30.1_1
-libgnomecanvasmm-2.6.so.1 libgnomecanvasmm-2.26.0_1
-libgnome-keyring.so.0 libgnome-keyring-3.0.0_1
-libical.so.3 libical-3.0.4_1
-libical_cxx.so.3 libical-3.0.4_1
-libicalss.so.3 libical-3.0.4_1
-libicalss_cxx.so.3 libical-3.0.4_1
-libicalvcal.so.3 libical-3.0.4_1
-libical-glib.so.3 libical-3.0.4_1
-libcamel-1.2.so.62 evolution-data-server-3.30.0_1
-libedataserver-1.2.so.26 evolution-data-server-3.40.0_1
-libebackend-1.2.so.10 evolution-data-server-3.17.90_1
-libedataserverui-1.2.so.3 evolution-data-server-3.40.0_1
-libebook-contacts-1.2.so.3 evolution-data-server-3.34.0_1
-libedata-book-1.2.so.26 evolution-data-server-3.34.0_1
-libebook-1.2.so.20 evolution-data-server-3.34.0_1
-libecal-2.0.so.1 evolution-data-server-3.34.0_1
-libevolution-calendar.so evolution-3.28.0_1
-libevolution-util.so evolution-3.28.0_1
-libemail-engine.so evolution-3.28.0_1
-libevolution-mail.so evolution-3.28.0_1
-libevolution-mail-formatter.so evolution-3.40.0_1
-libevolution-shell.so evolution-3.28.0_1
-libedata-cal-2.0.so.1 evolution-data-server-3.34.0_1
-libgdata.so.22 libgdata-0.17.9_1
-libpcap.so.1 libpcap-1.1.1_1
-libiptc.so.0 iptables-1.4.7_1
-libip6tc.so.2 iptables-1.8.3_1
-libxtables.so.12 iptables-1.6.1_1
-libip4tc.so.2 iptables-1.8.3_1
-libipq.so.0 iptables-1.4.7_1
-libnm.so.0 libnm-1.0.0_1
-libKF5ItemModels.so.5 kitemmodels-5.26.0_1
-libboost_context.so.1.72.0 libboost_context1.72-1.72.0_1
-libboost_coroutine.so.1.72.0 libboost_coroutine1.72-1.72.0_1
-libboost_container.so.1.72.0 libboost_container1.72-1.72.0_1
-libboost_prg_exec_monitor.so.1.72.0 libboost_prg_exec_monitor1.72-1.72.0_1
-libboost_timer.so.1.72.0 libboost_timer1.72-1.72.0_1
-libboost_random.so.1.72.0 libboost_random1.72-1.72.0_1
-libboost_filesystem.so.1.72.0 libboost_filesystem1.72-1.72.0_1
-libboost_unit_test_framework.so.1.72.0 libboost_unit_test_framework1.72-1.72.0_1
-libboost_math_c99.so.1.72.0 libboost_math_c991.72-1.72.0_1
-libboost_math_tr1.so.1.72.0 libboost_math_tr11.72-1.72.0_1
-libboost_regex.so.1.72.0 libboost_regex1.72-1.72.0_1
-libboost_serialization.so.1.72.0 libboost_serialization1.72-1.72.0_1
-libboost_chrono.so.1.72.0 libboost_chrono1.72-1.72.0_1
-libboost_wserialization.so.1.72.0 libboost_wserialization1.72-1.72.0_1
-libboost_graph.so.1.72.0 libboost_graph1.72-1.72.0_1
-libboost_log.so.1.72.0 libboost_log1.72-1.72.0_1
-libboost_locale.so.1.72.0 libboost_locale1.72-1.72.0_1
-libboost_program_options.so.1.72.0 libboost_program_options1.72-1.72.0_1
-libboost_iostreams.so.1.72.0 libboost_iostreams1.72-1.72.0_1
-libboost_system.so.1.72.0 libboost_system1.72-1.72.0_1
-libboost_thread.so.1.72.0 libboost_thread1.72-1.72.0_1
-libboost_log_setup.so.1.72.0 libboost_log_setup1.72-1.72.0_1
-libboost_date_time.so.1.72.0 libboost_date_time1.72-1.72.0_1
-libboost_wave.so.1.72.0 libboost_wave1.72-1.72.0_1
-libboost_atomic.so.1.72.0 libboost_atomic1.72-1.72.0_1
-libboost_type_erasure.so.1.72.0 libboost_type_erasure1.72-1.72.0_1
-libboost_fiber.so.1.72.0 libboost_fiber1.72-1.72.0_1
-libboost_stacktrace_noop.so.1.72.0 libboost_stacktrace_noop1.72-1.72.0_1
-libboost_stacktrace_addr2line.so.1.72.0 libboost_stacktrace_addr2line1.72-1.72.0_1
-libboost_stacktrace_basic.so.1.72.0 libboost_stacktrace_basic1.72-1.72.0_1
-libboost_python27.so.1.72.0 boost-python1.72-1.72.0_1
-libboost_python39.so.1.72.0 boost-python3-1.72-1.72.0_4
-libexempi.so.8 exempi-2.5.0_1
-libatasmart.so.4 libatasmart-0.17_1
-libsgutils2-1.45.so.2 libsgutils-1.45_1
-liblvm2app.so.2.2 liblvm2app-2.02.54_1
-libcpufreq.so.0 libcpufreq-007_1
-libcpuid.so.15 libcpuid-0.5.0_1
-libgucharmap_2_90.so.7 gucharmap-3.0.0_1
-libgphoto2.so.6 libgphoto2-2.5.7_1
-libgphoto2_port.so.12 libgphoto2-2.5.7_1
-libgvfscommon.so.0 gvfs-1.7.2_1
-libgvfscommon-dnssd.so.0 gvfs-1.7.2_1
-libgvfsdaemon.so gvfs-1.20_1
-libgvfscommon.so gvfs-1.20_1
-libnautilus-extension.so.1 libnautilus-3.2.1_1
-libmpc.so.3 libmpc-1.0.1_1
-libsigc-2.0.so.0 libsigc++-1.1_1
-libsigc-3.0.so.0 libsigc++3-3.0.3_1
-libglibmm-2.4.so.1 glibmm-2.24.0_1
-libgiomm-2.4.so.1 glibmm-2.24.0_1
-libglibmm_generate_extra_defs-2.4.so.1 glibmm-2.24.0_1
-libcairomm-1.0.so.1 cairomm-1.8.4_1
-libpangomm-1.4.so.1 pangomm-2.26.0_1
-libatkmm-1.6.so.1 atkmm-2.22.1_1
-libgtkmm-3.0.so.1 gtkmm-2.99.5_1
-libgdkmm-3.0.so.1 gtkmm-2.99.5_1
-libgnome-bluetooth.so.13 gnome-bluetooth-3.12.0_1
-libsasl2.so.3 libsasl-2.1.26_1
-liblber-2.4.so.2 libldap-2.4.21_1
-libldap-2.4.so.2 libldap-2.4.21_1
-libldap_r-2.4.so.2 libldap-2.4.21_1
-libevent-2.1.so.7 libevent-2.1.11_1
-libevent_core-2.1.so.7 libevent-2.1.11_1
-libevent_extra-2.1.so.7 libevent-2.1.11_1
-libevent_pthreads-2.1.so.7 libevent-2.1.11_1
-libevent_openssl-2.1.so.7 libevent-2.1.11_1
-libSDL_mixer-1.2.so.0 SDL_mixer-1.2.11_1
-libapr-1.so.0 apr-1.4.2_1
-libaprutil-1.so.0 apr-util-1.6.1_11
-libnetpgp.so.0 libnetpgp-20140220_19
-libmj.so.0 libmj-20140220_19
-libmca_common_sm.so.40 libopenmpi-3.0.1_1
-libmca_common_dstore.so.1 libopenmpi-4.0.1_1
-libmca_common_ompio.so.41 libopenmpi-3.0.1_1
-libmca_common_monitoring.so.50 libopenmpi-3.1.2_1
-libmpi.so.40 libopenmpi-3.0.1_1
-libompitrace.so.40 libopenmpi-3.0.1_1
-libopen-pal.so.40 libopenmpi-3.0.1_1
-libopen-rte.so.40 libopenmpi-3.0.1_1
-liboshmem.so.40 libopenmpi-3.0.1_1
-libmtp.so.9 libmtp-1.1.4_1
-libelf.so.1 libelf-0.155_1
-libdw.so.1 libelf-0.155_1
-libasm.so.1 libelf-0.155_1
-libdebuginfod.so.1 libdebuginfod-0.182_1
-libgtksourceview-3.0.so.1 gtksourceview-3.8.0_1
-libtalloc.so.2 talloc-2.0.1_1
-libpytalloc-util.so.2 libpytalloc-util-2.3.1_2
-libmount.so.1 libmount-2.18_1
-libdconf.so.1 dconf-0.13.90_1
-libassuan.so.0 libassuan-2.0.1_1
-libgpgme.so.11 libgpgme-1.12.0_2
-libgpgmepp.so.6 gpgmepp-1.7.0_3
-libqgpgme.so.7 gpgmeqt-1.7.0_3
-libgarcon-1.so.0 garcon-0.1.12_1
-libgarcon-gtk2-1.so.0 garcon-0.4.0_1
-libgarcon-gtk3-1.so.0 garcon-0.6.1_1
-libxfce4ui-1.so.0 libxfce4ui-4.9.2_1
-libxfce4ui-2.so.0 libxfce4ui-4.12.1_2
-libxfce4kbd-private-2.so.0 libxfce4ui-4.9.2_1
-libxfce4kbd-private-3.so.0 libxfce4ui-4.12.1_2
-libxml++-2.6.so.2 libxml++-2.32.0_1
-libxml++-3.0.so.1 libxml++3.0-3.0.1_1
-libftgl.so.2 ftgl-2.1.2_1
-libGLEW.so.2.2 glew-2.2.0_1
-libsndfile.so.1 libsndfile-1.0.20_1
-libspeex.so.1 libspeex-1.1_1
-libspeexdsp.so.1 speexdsp-1.2rc2_1
-libasyncns.so.0 libasyncns-0.8_1
-libpulse.so.0 libpulseaudio-14.2_2
-libpulse-mainloop-glib.so.0 libpulseaudio-14.2_2
-libpulse-simple.so.0 libpulseaudio-14.2_2
-libpulsecommon-14.2.so libpulseaudio-14.2_2
-libpulsecore-14.2.so libpulseaudio-14.2_2
-libprojectM.so.3 projectM-3.1.7_2
-liborc-0.4.so.0 orc-0.4.11_1
-liborc-test-0.4.so.0 orc-0.4.11_1
-libgmime-2.6.so.0 gmime-2.6.4_1
-libtotem-plparser.so.18 totem-pl-parser-3.26.1_1
-libtotem-plparser-mini.so.18 libtotem-plparser-mini-3.26.1_1
-libgladeui-2.so.13 libgladeui3-3.38.0_1
-libtdb.so.1 libtdb-1.2.2_1
-libgssdp-1.2.so.0 gssdp-1.2.0_1
-libgupnp-1.2.so.0 gupnp-1.2.0_1
-libsamplerate.so.0 libsamplerate-0.1.7_1
-libmms.so.0 libmms-0.6_1
-libsmbios.so.2 libsmbios-2.2.28_1
-libsmbios_c.so.2 libsmbios-2.2.28_1
-libjasper.so.4 libjasper-1.900.27_1
-librecode.so.0 librecode-3.6_1
-libenca.so.0 libenca-1.13_1
-libwavpack.so.1 libwavpack-4.60.1_1
-libSDL_net-1.2.so.0 SDL_net-1.2.7_1
-libmodplug.so.1 libmodplug-0.8.8_1
-libfetch.so.2 libfetch-2.34_23
-libneon.so.27 neon-0.31.2_2
-libsvn_subr-1.so.0 libsvn-1.7.5_1
-libsvn_diff-1.so.0 libsvn-1.7.5_1
-libsvn_client-1.so.0 libsvn-1.7.5_1
-libsvn_delta-1.so.0 libsvn-1.7.5_1
-libsvn_fs-1.so.0 libsvn-1.7.5_1
-libsvn_ra-1.so.0 libsvn-1.7.5_1
-libsvn_repos-1.so.0 libsvn-1.7.5_1
-libsvn_wc-1.so.0 libsvn-1.7.5_1
-libsvn_fs_util-1.so.0 libsvn-1.7.5_1
-libsvn_ra_svn-1.so.0 libsvn-1.7.5_1
-libsvn_fs_fs-1.so.0 libsvn-1.7.5_1
-libsvn_fs_base-1.so.0 libsvn-1.7.5_1
-libsvn_ra_local-1.so.0 libsvn-1.7.5_1
-libsvn_ra_neon-1.so.0 libsvn-1.7.5_1
-libsvn_ra_serf-1.so.0 libsvn-1.8.1_1
-libsvn_fs_x-1.so.0 libsvn-1.9.0_1
-libsvn_swig_py-1.so.0 subversion-python-1.7.5_1
-libsvn_swig_perl-1.so.0 subversion-perl-1.7.5_1
-libjson-glib-1.0.so.0 json-glib-0.12.2_1
-libcjson.so.1 cJSON-1.7.8_1
-libvirt.so.0 libvirt-0.8.7_1
-libvirt-qemu.so.0 libvirt-0.8.7_1
-libvirt-lxc.so.0 libvirt-1.0.2_1
-libgdk-3.so.0 gtk+3-3.0.0_1
-libgtk-3.so.0 gtk+3-3.0.0_1
-libgailutil-3.so.0 gtk+3-3.0.0_1
-liblightdm-gobject-1.so.0 liblightdm-gobject-1.2.2_1
-libcelt0.so.2 celt-0.11.1_1
-libspice-server.so.1 spice-0.14.3_3
-libbrasero-burn3.so.1 brasero-2.91.90_1
-libbrasero-media3.so.1 brasero-2.91.90_1
-libbrasero-utils3.so.1 brasero-2.91.90_1
-libXss.so.1 libXScrnSaver-1.1.3_1
-libyelp.so.0 yelp-3.36.0_1
-libpeas-1.0.so.0 libpeas-1.0.0_2
-libpeas-gtk-1.0.so.0 libpeas-1.0.0_2
-libtotem.so.0 libtotem-3.6.2_1
-libclutter-1.0.so.0 clutter-1.14.0_1
-libavfs.so.0 libavfs-1.0.5_1
-libgjs.so.0 gjs-1.65.2_1
-libtelepathy-glib.so.0 telepathy-glib-0.15.5_1
-libaccountsservice.so.0 accountsservice-0.6.4_1
-libfolks.so.25 folks-0.14.0_1
-libfolks-dummy.so.25 folks-0.14.0_1
-libfolks-telepathy.so.25 folks-0.14.0_1
-libfolks-eds.so.25 folks-0.14.0_1
-libnice.so.10 libnice-0.1.18_3
-libgupnp-igd-1.0.so.4 gupnp-igd-0.2.0_1
-libtelepathy-logger.so.3 telepathy-logger-0.6.0_1
-libmission-control-plugins.so.0 telepathy-mission-control-5.9.2_1
-libclutter-gtk-1.0.so.0 clutter-gtk-1.1.2_1
-libchamplain-0.12.so.0 libchamplain-0.12.5_2
-libchamplain-gtk-0.12.so.0 libchamplain-0.12.5_2
-libvpx.so.5 libvpx5-1.7.0_1
-libvpx.so.6 libvpx6-1.8.0_1
-libXevie.so.1 libXevie-1.0.2_1
-libatspi.so.0 at-spi2-core-1.91.91_1
-libatk-bridge-2.0.so.0 at-spi2-atk-2.6.0_1
-libvte-2.91.so.0 vte3-0.52.2_1
-libpipeline.so.1 libpipeline-1.2.0_1
-libosp.so.5 opensp-1.5.2_1
-libogrove.so.0 openjade-1.3.2_1
-libospgrove.so.0 openjade-1.3.2_1
-libostyle.so.0 openjade-1.3.2_1
-libtorrent.so.21 libtorrent-0.13.8_4
-libgiblib.so.1 giblib-1.2.4_1
-libgc.so.1 gc-7.6.4_1
-libcord.so.1 gc-7.4_1
-libgslcblas.so.0 gsl-1.15_1
-libgsl.so.25 gsl-2.6_1
-liblua5.1.so.5.1 lua51-5.1.5_1
-liblua5.2.so.5.2 lua52-5.2.4_2
-liblua5.3.so.5.3 lua53-5.3.5_4
-liblua5.4.so.5.4 lua54-5.4.0_1
-libsurgescript.so.0.5.5 surgescript-0.5.5_1
-libburn.so.4 libburn-0.7.2_1
-libKF5Auth.so.5 kauth-5.26.0_1
-libKF5AuthCore.so.5 kauth-5.56.0_1
-libgdkmm-2.4.so.1 gtkmm2-2.24.0_1
-libgtkmm-2.4.so.1 gtkmm2-2.24.0_1
-libquadmath.so.0 libquadmath-4.4.0_1
-libgfortran.so.5 libgfortran-8.2.0_1
-libgnarl-10.so libada-10.2.0_1
-libgnat-10.so libada-10.2.0_1
-libwebp.so.7 libwebp-0.6.0_1
-libwebpmux.so.3 libwebp-0.6.0_1
-libwebpdemux.so.2 libwebp-0.5.0_1
-libwebpdecoder.so.3 libwebp-0.6.0_1
-libva-x11.so.2 libva-2.2.0_1
-libva.so.2 libva-2.2.0_1
-libva-glx.so.2 libva-glx-2.2.0_1
-libva-drm.so.2 libva-2.2.0_1
-libva-wayland.so.2 libva-2.2.0_1
-libv4l2.so.0 v4l-utils-0.8.5_1
-libv4lconvert.so.0 v4l-utils-0.8.5_1
-libv4l1.so.0 v4l-utils-0.8.5_1
-libv4l2rds.so.0 v4l-utils-1.2.1_1
-libdvbv5.so.0 v4l-utils-1.6.2_1
-libjson-c.so.5 json-c-0.14.0_1
-libcogl.so.20 cogl-1.18.0_1
-libcogl-pango.so.20 cogl-1.18.0_1
-libcogl-gst.so.20 cogl-1.18.0_1
-libcogl-gles2.so.20 cogl-1.18.0_1
-libcogl-path.so.20 cogl-1.18.0_1
-libp11-kit.so.0 p11-kit-0.7_1
-librest-0.7.so.0 rest-0.7_1
-librest-extras-0.7.so.0 rest-0.7_1
-libgoa-1.0.so.0 gnome-online-accounts-3.2.0_1
-libgoa-backend-1.0.so.1 gnome-online-accounts-3.10.0_1
-liboauth.so.0 liboauth-0.9.4_1
-liblcms2.so.2 lcms2-2.2_1
-libcolord.so.2 libcolord-1.1.7_1
-libcolordprivate.so.2 libcolord-1.1.7_1
-libcolorhug.so.2 libcolord-1.1.7_1
-libgupnp-av-1.0.so.2 gupnp-av-0.10.0_1
-libgrilo-0.3.so.0 grilo-0.3.2_1
-libgrlnet-0.3.so.0 grilo-0.3.2_1
-libgrlpls-0.3.so.0 grilo-0.3.2_1
-libquvi.so.7 libquvi-0.4.0_1
-libepc-1.0.so.3 libepc-0.4.1_1
-libepc-ui-1.0.so.3 libepc-0.4.1_1
-libgupnp-dlna-2.0.so.3 gupnp-dlna-0.10.0_1
-libgupnp-dlna-gst-2.0.so.3 gupnp-dlna-0.10.0_1
-libgupnp-dlna-1.0.so.2 gupnp-dlna-0.6.1_1
-libtracker-common.so libtracker-2.2.0_1
-libtracker-data.so libtracker-2.2.0_1
-libfm.so.4 libfm-1.2.3_3
-libfm-gtk3.so.4 libfm-gtk+3-1.3.1_2
-libfm-extra.so.4 libfm-extra-1.2.3_3
-libunique-1.0.so.0 libunique1-1.1.6_1
-libdiscid.so.0 libdiscid-0.2.2_1
-librhythmbox-core.so.10 librhythmbox-3.4.1_1
-libdmapsharing-3.0.so.2 libdmapsharing-2.9.12_1
-libgexiv2.so.2 libgexiv2-0.6.1_1
-libraw.so.19 libraw-0.19.0_1
-libraw_r.so.19 libraw-0.19.0_1
-libkritaversion.so.20 krita-4.4.0_1
-libkritaglobal.so.20 krita-4.4.0_1
-libkritaplugin.so.20 krita-4.4.0_1
-libkritawidgetutils.so.20 krita-4.4.0_1
-libkritawidgets.so.20 krita-4.4.0_1
-libkritastore.so.20 krita-4.4.0_1
-libkritaodf.so.20 krita-4.4.0_1
-libkritaflake.so.20 krita-4.4.0_1
-libkritabasicflakes.so.20 krita-4.4.0_1
-libkritapigment.so.20 krita-4.4.0_1
-libkritacommand.so.20 krita-4.4.0_1
-libkritalibbrush.so.20 krita-4.4.0_1
-libkritapsd.so.20 krita-4.4.0_1
-libkritacolor.so.20 krita-4.4.0_1
-libkritacolord.so.20 krita-4.4.0_1
-libkritaimage.so.20 krita-4.4.0_1
-libkritaui.so.20 krita-4.4.0_1
-libkritavectorimage.so.18 krita-4.2.0_1
-libkritaimpex.so.20 krita-4.4.0_1
-libkritalibkis.so.20 krita-4.4.0_1
-libkritaqml.so.20 krita-4.4.0_1
-libkritatextlayout.so.20 krita-4.4.0_1
-libkritatext.so.20 krita-4.4.0_1
-libkritalibkra.so.20 krita-4.4.0_1
-libkritalibpaintop.so.20 krita-4.4.0_1
-libkritametadata.so.20 krita-4.4.0_1
-libdjvulibre.so.21 libdjvulibre-3.5.24_1
-libgxps.so.2 libgxps-0.2.0_1
-libt1.so.5 libt1-5.1.2_1
-libt1x.so.5 libt1-5.1.2_1
-libevdocument3.so.4 libevince-3.3.92_1
-libevview3.so.3 libevince-3.3.92_1
-libjack.so.0 libjack-1.9.7_1
-libjackserver.so.0 libjack-1.9.7_1
-libjacknet.so.0 libjack-1.9.7_1
-libfftw3_threads.so.3 libfftw-3.3_1
-libfftw3.so.3 libfftw-3.3_1
-libfftw3_omp.so.3 libfftw-3.3.5_1
-libfftw3l_threads.so.3 libfftw-3.3_1
-libfftw3l.so.3 libfftw-3.3_1
-libfftw3l_omp.so.3 libfftw-3.3.5_1
-libfftw3f_threads.so.3 libfftw-3.3_1
-libfftw3f.so.3 libfftw-3.3_1
-libfftw3f_omp.so.3 libfftw-3.3.5_1
-libfluidsynth.so.3 libfluidsynth-2.2.0_1
-liblo.so.7 liblo-0.26_1
-libvamp-sdk.so.2 libvamp-plugin-sdk-2.2_1
-librubberband.so.2 librubberband-1.6.0_1
-libaubio.so.5 libaubio-0.4.3_1
-libraptor2.so.0 libraptor-2.0.4_1
-liblrdf.so.2 liblrdf-0.4.0_1
-libserd-0.so.0 libserd-0.18.0_1
-libsord-0.so.0 libsord-0.5.0_1
-libgiggle.so.0 libgiggle-0.6.1_1
-libgiggle-git.so.0 libgiggle-0.6.1_1
-libwine.so.1 libwine-1.6_1
-libwv-1.2.so.4 libwv-1.2.9_1
-libabiword-3.0.so libabiword-3.0.0_1
-libmpg123.so.0 libmpg123-1.13.4_2
-libout123.so.0 libmpg123-1.23.0_1
-libsyn123.so.0 libmpg123-1.26.0_1
-libopenal.so.1 libopenal-1.13_1
-libalure.so.1 alure-1.2_1
-libalut.so.0 freealut-1.1.0_1
-liblilv-0.so.0 liblilv-0.14.4_1
-libsuil-0.so.0 suil-0.6.4_1
-libmcpp.so.0 libmcpp-2.7.2_1
-libjitterentropy.so.3 jitterentropy-3.0.0_1
-libkdecorations2.so.5 kdecoration-5.8.4_1
-libkdecorations2private.so.8 kdecoration-5.21.0_1
-libGlacier2.so.37 libIce-3.7.5_2
-libGlacier2CryptPermissionsVerifier.so.37 libIce-3.7.5_2
-libIce.so.37 libIce-3.7.5_2
-libIceSSL.so.37 libIce-3.7.5_2
-libIceUtil.so.37 libIce-3.7.5_2
-libIceStormService.so.37 libIce-3.7.5_2
-libIceStorm.so.37 libIce-3.7.5_2
-libFreeze.so.37 libIce-3.7.5_2
-libSlice.so.37 libIce-3.7.5_2
-libIceBox.so.37 libIce-3.7.5_2
-libIceGrid.so.37 libIce-3.7.5_2
-libIcePatch2.so.37 libIce-3.7.5_2
-libIceDB.so.37 libIce-3.7.5_2
-libIceXML.so.37 libIce-3.7.5_2
-libIceDiscovery.so.37 libIce-3.7.5_2
-libIceLocatorDiscovery.so.37 libIce-3.7.5_2
-libvdpau.so.1 libvdpau-0.4.1_1
-libgsm.so.1 libgsm-1.0.13_13
-libcgroup.so.1 libcgroup-0.37.1_1
-libxdg-basedir.so.1 libxdg-basedir-1.1.1_1
-libev.so.4 libev-4.04_1
-libell.so.0 ell-0.39_1
-libgvnc-1.0.so.0 gtk-vnc-0.4.4_1
-libgtk-vnc-2.0.so.0 gtk-vnc-0.4.4_1
-libyaml-0.so.2 libyaml-0.1.4_1
-libuchardet.so.0 uchardet-0.0.6_1
-libgtksourceviewmm-3.0.so.0 gtksourceviewmm-3.2.0_1
-libyajl.so.2 yajl-2.0.1_1
-libconfuse.so.2 confuse-3.2.1_1
-liblldb.so.11 lldb-11.0.0_1
-libclang.so.11 libclang-11.0.0_1
-libclang-cpp.so.11 libclang-cpp-11.0.0_1
-libLLVM-11.so libllvm11-11.0.0_1
-libisofs.so.6 libisofs-0.6.24_1
-libmpack.so.0 libmpack-1.0.5_1
-libGeoIP.so.1 libgeoip-1.4.8_1
-libnilfs.so.0 libnilfs-2.1.0_1
-libnilfsgc.so.0 libnilfs-2.1.0_1
-libnilfscleaner.so.0 libnilfs-2.1.0_1
-libchicken.so.11 libchicken-5.1.0_1
-libmdb.so.0 libmdb-0.5_1
-libmdbsql.so.0 libmdb-0.5_1
-libkmod.so.2 libkmod-5_1
-libestr.so.0 libestr-0.1.2_1
-libee.so.0 libee-0.3.2_1
-libobt.so.2 libopenbox-3.5.2_1
-libobrender.so.32 libopenbox-3.6.1_1
-libgssglue.so.1 libgssglue-0.3_1
-libtirpc.so.3 libtirpc-1.0.2_1
-libnfsidmap.so.1 libnfsidmap-2.4.3_2
-libbind9-9.16.15.so bind-libs-9.16.15_1
-libdns-9.16.15.so bind-libs-9.16.15_1
-libirs-9.16.15.so bind-libs-9.16.15_1
-libisc-9.16.15.so bind-libs-9.16.15_1
-libisccc-9.16.15.so bind-libs-9.16.15_1
-libisccfg-9.16.15.so bind-libs-9.16.15_1
-libns-9.16.15.so bind-libs-9.16.15_1
-libplist-2.0.so.3 libplist-2.2.0_1
-libplist++-2.0.so.3 libplist++-2.2.0_1
-libnsbmp.so.0 libnsbmp-0.0.3_1
-libnsgif.so.0 libnsgif-0.0.3_1
-libparserutils.so.0 libparserutils-0.1.1_1
-libwapcaplet.so.0 libwapcaplet-0.1.0_1
-libcss.so.0 libcss-0.1.1_1
-libhubbub.so.0 libhubbub-0.1.1_1
-liblutok.so.3 lutok-0.4_1
-libmtdev.so.1 mtdev-1.1.2_1
-libcryptsetup.so.12 libcryptsetup-2.3.4_2
-libgusb.so.2 libgusb-0.1.3_1
-libmash-0.2.so.0 mash-0.2.0_4
-libbytesize.so.1 libbytesize-1.2_1
-libblockdev.so.2 libblockdev-2.16_1
-libbd_utils.so.2 libblockdev-2.16_1
-libndctl.so.6 libndctl-60.3_1
-libdaxctl.so.1 libdaxctl-60.3_1
-libudisks2.so.0 udisks2-1.93.0_1
-libgcr-base-3.so.1 gcr-3.3.92_1
-libgck-1.so.0 gcr-3.8.0_1
-libgcr-ui-3.so.1 gcr-3.8.0_1
-libcld2.so cld2-0.0.1.20150821_1
-libcld2_full.so cld2-full-0.0.1.20150821_1
-libwacom.so.2 libwacom-0.3_1
-libfarstream-0.2.so.5 farstream-0.2.7_1
-libass.so.9 libass-0.13.6_1
-libcryptui.so.0 libcryptui-3.4.0_1
-libkeyutils.so.1 libkeyutils-1.5.5_1
-libiptcdata.so.0 libiptcdata-1.0.4_1
-libutempter.so.0 libutempter-1.1.5_1
-libxatracker.so.2 libxatracker-10.0.0_2
-libtumbler-1.so.0 tumbler-4.9.2_1
-libwebrtc_audio_processing.so.1 webrtc-audio-processing-0.3_1
-libcupsmime.so.1 libcups-1.5.3_1
-libcupsppdc.so.1 libcups-1.5.3_1
-libcupscgi.so.1 libcups-1.5.3_1
-libcups.so.2 libcups-1.5.3_1
-libcupsimage.so.2 libcups-1.5.3_1
-libijs-0.35.so libijs-0.8_1
-libgs.so.9 libgs-0.8_1
-libssh2.so.1 libssh2-1.9.0_3
-libvirt-glib-1.0.so.0 libvirt-glib-0.0.8_1
-libsnmp.so.40 libnet-snmp-5.9_2
-libnetsnmp.so.40 libnet-snmp-5.9_2
-libnetsnmpagent.so.40 libnet-snmp-5.9_2
-libnetsnmpmibs.so.40 libnet-snmp-5.9_2
-libnetsnmptrapd.so.40 libnet-snmp-5.9_2
-libnetsnmphelpers.so.40 libnet-snmp-5.9_2
-libieee1284.so.3 libieee1284-0.2.10_1
-libsane.so.1 libsane-1.0.22_1
-libfltk.so.1.3 fltk-1.3.0_1
-libfltk_forms.so.1.3 fltk-1.3.0_1
-libfltk_gl.so.1.3 fltk-1.3.0_1
-libfltk_images.so.1.3 fltk-1.3.0_1
-libspectre.so.1 libspectre-0.2.6_1
-libsratom-0.so.0 sratom-0.4.0_1
-libpwquality.so.1 libpwquality-1.1.1_1
-libisl.so.23 isl-0.23_1
-libisl.so.19 isl15-0.19_1
-libcloog-isl.so.4 cloog-0.18.1_1
-librtmp.so.1 librtmp-2.4.20161210_9
-libORBit-2.so.0 libORBit2-2.14.19_1
-libORBit-imodule-2.so.0 libORBit2-2.14.19_1
-libORBitCosNaming-2.so.0 libORBit2-2.14.19_1
-libminiupnpc.so.17 miniupnpc-2.1_1
-libxbps.so.5 libxbps-0.59.1_4
-libatf-c.so.1 atf-libs-0.21_1
-libatf-c++.so.2 atf-libs-0.21_1
-libvdeplug.so.3 libvde2-2.3.2_23
-libvdemgmt.so.0 libvde2-2.3.2_23
-libvdehist.so.0 libvde2-2.3.2_23
-libvdesnmp.so.0 libvde2-2.3.2_23
-libsbc.so.1 sbc-1.0_1
-libecryptfs.so.1 libecryptfs-111_9
-libnuma.so.1 libnuma-2.0.7_1
-libxar.so.1 xar-1.6.1_9
-libmikmod.so.3 libmikmod-3.1.12_1
-libSDL_sound-1.0.so.1 SDL_sound-1.0.3_1
-libgtksourceview-2.0.so.0 gtksourceview2-2.10.5_1
-libraul.so.10 raul-0.8.0_1
-libxdot.so.4 graphviz-libs-2.28.0_6
-libgvpr.so.2 graphviz-libs-2.28.0_6
-libcgraph.so.6 graphviz-libs-2.28.0_6
-libgvc.so.6 graphviz-libs-2.28.0_6
-libcdt.so.5 graphviz-libs-2.28.0_6
-libpathplan.so.4 graphviz-libs-2.28.0_6
-liblab_gamut.so.1 graphviz-libs-2.40.1_1
-libflowcanvas.so.5 flowcanvas-0.7.1_1
-liblash.so.1 ladish-1_1
-libmowgli-2.so.0 libmowgli-2.1.3_8
-libgts-0.7.so.5 gts-0.7.6_1
-libguess.so.1 libguess-1.1_1
-libaudcore.so.5 audacious-3.9_1
-libaudgui.so.5 audacious-3.9_1
-libaudtag.so.3 audacious-3.8_1
-libaudqt.so.2 audacious-3.10.1_2
-libgstreamer-1.0.so.0 gstreamer1-1.0.0_1
-libgstbase-1.0.so.0 gstreamer1-1.0.0_1
-libgstcontroller-1.0.so.0 gstreamer1-1.0.0_1
-libgstnet-1.0.so.0 gstreamer1-1.0.0_1
-libgstcheck-1.0.so.0 gstreamer1-1.0.0_1
-libgsttag-1.0.so.0 gst-plugins-base1-1.0.0_1
-libgstfft-1.0.so.0 gst-plugins-base1-1.0.0_1
-libgstrtp-1.0.so.0 gst-plugins-base1-1.0.0_1
-libgstsdp-1.0.so.0 gst-plugins-base1-1.0.0_1
-libgstrtsp-1.0.so.0 gst-plugins-base1-1.0.0_1
-libgstvideo-1.0.so.0 gst-plugins-base1-1.0.0_1
-libgstaudio-1.0.so.0 gst-plugins-base1-1.0.0_1
-libgstpbutils-1.0.so.0 gst-plugins-base1-1.0.0_1
-libgstriff-1.0.so.0 gst-plugins-base1-1.0.0_1
-libgstapp-1.0.so.0 gst-plugins-base1-1.0.0_1
-libgstallocators-1.0.so.0 gst-plugins-base1-1.1.1_1
-libgstphotography-1.0.so.0 gst-plugins-bad1-1.18.3_2
-libgstsignalprocessor-1.0.so.0 gst-plugins-bad1-1.18.3_2
-libgstbasevideo-1.0.so.0 gst-plugins-bad1-1.18.3_2
-libgstbasecamerabinsrc-1.0.so.0 gst-plugins-bad1-1.18.3_2
-libgstcodecparsers-1.0.so.0 gst-plugins-bad1-1.18.3_2
-libgstplayer-1.0.so.0 gst-plugins-bad1-1.18.3_2
-libgstwebrtc-1.0.so.0 gst-plugins-bad1-1.18.4_2
-libgstgl-1.0.so.0 gst-plugins-base1-1.14.0_1
-libgnome-desktop-3.so.19 gnome-desktop-3.37.90.1_1
-libsecret-1.so.0 libsecret-0.10_1
-libgweather-3.so.16 libgweather-3.34.0_1
-libgnomekbd.so.8 libgnomekbd-3.6.0_1
-libgnomekbdui.so.8 libgnomekbd-3.6.0_1
-libibus-1.0.so.5 ibus-1.4.99.20120917_1
-libxapian.so.30 libxapian-1.4.0_1
-libzeitgeist-1.0.so.1 libzeitgeist-0.3.18_1
-libcolord-gtk.so.1 colord-gtk-0.1.23_1
-libgdm.so.1 libgdm-3.6.0_1
-libclutter-gst-2.0.so.0 clutter-gst-1.9.92_1
-libcheese.so.8 libcheese-3.17.90_1
-libcheese-gtk.so.25 libcheese-3.17.90_1
-libSoundTouch.so.1 soundtouch-1.9.2_1
-libzapojit-0.0.so.0 libzapojit-0.0.2_1
-libmusicbrainz5.so.1 libmusicbrainz5-5.1.0_1
-librygel-core-2.6.so.2 librygel-0.26.0_1
-librygel-renderer-2.6.so.2 librygel-0.26.0_1
-librygel-renderer-gst-2.6.so.2 librygel-0.26.0_1
-librygel-ruih-2.0.so.1 librygel-0.26.0_1
-librygel-server-2.6.so.2 librygel-0.26.0_1
-librygel-db-2.6.so.2 librygel-0.28.0_1
-libharfbuzz.so.0 libharfbuzz-0.9.4_1
-libharfbuzz-icu.so.0 libharfbuzz-0.9.19_1
-libharfbuzz-subset.so.0 libharfbuzz-1.7.6_1
-libharfbuzz-gobject.so.0 libharfbuzz-2.7.2_2
-libosinfo-1.0.so.0 libosinfo-0.2.0_1
-libspice-client-gtk-3.0.so.5 spice-gtk-0.37_6
-libspice-client-glib-2.0.so.8 spice-gtk-0.37_6
-libspice-controller.so.0 spice-gtk-0.37_6
-libvirt-gconfig-1.0.so.0 libvirt-glib-0.1.2_1
-libvirt-gobject-1.0.so.0 libvirt-glib-0.1.2_1
-libgsasl.so.7 libgsasl-1.8.0_1
-libzmq.so.5 zeromq-4.1.2_1
-libstatgrab.so.10 libstatgrab-0.91_1
-libseccomp.so.2 libseccomp-2.0.0_1
-libqrencode.so.4 libqrencode-4.0.0_1
-libwayland-server.so.0 wayland-1.6.0_1
-libwayland-client.so.0 wayland-1.10.0_1
-libwayland-cursor.so.0 wayland-1.6.0_1
-libtomcrypt.so.1 libtomcrypt-1.18.0_1
-libHX.so.28 libHX-3.14_1
-libxkbcommon.so.0 libxkbcommon-0.2.0_1
-libxkbcommon-x11.so.0 libxkbcommon-x11-0.4.2_1
-libgee-0.8.so.2 libgee08-0.8.2_1
-libnettle.so.8 nettle-3.6_1
-libhogweed.so.6 nettle-3.6_1
-libgtkspell.so.0 gtkspell-2.0.16_1
-libgtkspell3-3.so.0 gtkspell3-3.0.9_1
-libpurple.so.0 libpurple-2.10.6_1
-libpurple-client.so.0 libpurple-2.10.6_1
-libjabber.so.0 libpurple-2.13.0_1
-libgnt.so.0 libgnt-2.10.6_1
-libao.so.4 libao-1.1.0_1
-libjansson.so.4 jansson-2.4_1
-libleveldb.so.1 leveldb-1.8.0_1
-libcprops.so.15 libcprops-0.1.12_1
-libopus.so.0 opus-1.0.2_1
-libconfig++.so.11 libconfig++-1.7.1_1
-libconfig.so.11 libconfig-1.7.1_1
-libopusfile.so.0 opusfile-0.12_2
-libopusurl.so.0 opusfile-0.12_2
-libopusenc.so.0 libopusenc-0.2_1
-libgranite.so.5 granite-0.5.0_1
-libprotobuf-vala.so.0 libprotobuf-vala-0.1.0_1
-librlog.so.5 librlog-1.4_1
-libtinyxml.so.0 tinyxml-2.6.2_1
-libtinyxml2.so.8 tinyxml2-8.0.0_1
-libbluray.so.2 libbluray-1.0.0_1
-libnfs.so.13 libnfs-4.0.0_1
-libzip.so.5 libzip-1.7.3_2
-libluajit-5.1.so.2 LuaJIT-2.0.0_1
-libOSMesa.so.8 libOSMesa-9.1_1
-libtaginfo.so.1 libtaginfo-0.1.3_1
-libtaginfo_c.so.0 libtaginfo-0.1.3_1
-libaa.so.1 aalib-1.4rc4_2
-libbsd.so.0 libbsd-0.4.2_1
-libWFC.so rpi-userland-0.0.0.0.20150907_1
-libbcm_host.so rpi-userland-0.0.0.0.20150907_1
-libopenmaxil.so rpi-userland-0.0.0.0.20150907_1
-libvchiq_arm.so rpi-userland-0.0.0.0.20150907_1
-libvcos.so rpi-userland-0.0.0.0.20150907_1
-libmmal.so rpi-userland-0.0.0.0.20150907_1
-libmmal_core.so rpi-userland-0.0.0.0.20150907_1
-libmmal_util.so rpi-userland-0.0.0.0.20150907_1
-libOpenVG.so rpi-userland-0.0.0.0.20150907_1
-libmmal_vc_client.so rpi-userland-20170427_1
-libmmal_components.so rpi-userland-20170427_1
-libvcsm.so rpi-userland-20170427_1
-libcontainers.so rpi-userland-20170427_1
-libbrcmWFC.so rpi-userland-20180103_1
-libdebug_sym.so rpi-userland-20180103_1
-libdtovl.so rpi-userland-20180103_1
-libwiringPi.so libwiringPi-0.0.20200408_1
-libwiringPiDev.so libwiringPi-0.0.20200408_1
-liblockdev.so.1 lockdev-1.0.3_1
-libcec.so.6 libcec-6.0.2_1
-librump.so.0 netbsd-rumpkernel-20140526_3
-librumpvfs.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_disk.so.0 netbsd-rumpkernel-20140526_3
-librumpdev.so.0 netbsd-rumpkernel-20140526_3
-librumpuser.so.0 netbsd-rumpkernel-20140526_3
-librumpnet_sockin.so.0 netbsd-rumpkernel-20140526_3
-librumpnet_net.so.0 netbsd-rumpkernel-20140526_3
-librumpnet.so.0 netbsd-rumpkernel-20140526_3
-librumpkern_sys_linux.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_netsmb.so.0 netbsd-rumpkernel-20140526_3
-librumpkern_crypto.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_usb.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_ulpt.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_umass.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_ugenhc.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_ucom.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_ubt.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_opencrypto.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_wscons.so.0 netbsd-rumpkernel-20140526_3
-librumpvfs_aio.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_sysmon.so.0 netbsd-rumpkernel-20140526_3
-librumpvfs_layerfs.so.0 netbsd-rumpkernel-20140526_3
-librumpvfs_fifofs.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_scsipi.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_nfsserver.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_rnd.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_v7fs.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_union.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_raidframe.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_umap.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_putter.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_udf.so.0 netbsd-rumpkernel-20140526_3
-librumphijack.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_tmpfs.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_pud.so.0 netbsd-rumpkernel-20140526_3
-librumpnet_virtif.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_sysvbfs.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_pad.so.0 netbsd-rumpkernel-20140526_3
-librumpnet_bpfjit.so.0 netbsd-rumpkernel-20140526_3
-librumpnet_shmif.so.0 netbsd-rumpkernel-20140526_3
-librumpnet_config.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_syspuffs.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_smbfs.so.0 netbsd-rumpkernel-20140526_3
-librumpnet_local.so.0 netbsd-rumpkernel-20140526_3
-librumpnet_npf.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_ptyfs.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_md.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_null.so.0 netbsd-rumpkernel-20140526_3
-librumpnet_netmpls.so.0 netbsd-rumpkernel-20140526_3
-librumpnet_netinet6.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_ntfs.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_nilfs.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_fss.so.0 netbsd-rumpkernel-20140526_3
-librumpnet_netinet.so.0 netbsd-rumpkernel-20140526_3
-librumpnet_netbt.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_msdos.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_nfs.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_drvctl.so.0 netbsd-rumpkernel-20140526_3
-librumpnet_net80211.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_mfs.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_lfs.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_dm.so.0 netbsd-rumpkernel-20140526_3
-librumpkern_time.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_kernfs.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_hfs.so.0 netbsd-rumpkernel-20140526_3
-librumpkern_sljit.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_ffs.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_fdesc.so.0 netbsd-rumpkernel-20140526_3
-librumpnet_bridge.so.0 netbsd-rumpkernel-20140526_3
-librumpkern_z.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_cgd.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_ext2fs.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_efs.so.0 netbsd-rumpkernel-20140526_3
-librumpnet_agr.so.0 netbsd-rumpkernel-20140526_3
-librumpkern_tty.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_bpf.so.0 netbsd-rumpkernel-20140526_3
-librumpfs_cd9660.so.0 netbsd-rumpkernel-20140526_3
-librumpdev_audio.so.0 netbsd-rumpkernel-20140526_3
-librumpclient.so.0 netbsd-rumpkernel-20140526_3
-libdotconf.so.0 dotconf-1.3_1
-libspeechd.so.2 speech-dispatcher-0.8_1
-libre2.so.7 re2-2020.06.01_1
-libminizip.so.1 minizip-1.2.7_1
-libsrtp2.so.1 libsrtp-2.1.0_1
-libjsoncpp.so.24 jsoncpp-1.9.4_1
-libesmtp.so.6 libesmtp-1.0.6_21
-libcaca.so.0 libcaca-0.99.beta18_3
-libcaca++.so.0 libcaca-0.99.beta18_3
-libunwind.so.8 libunwind-1.5.0_3
-libunwind-ptrace.so.0 libunwind-1.5.0_3
-libunwind-x86_64.so.8 libunwind-1.5.0_3
-libunwind-x86.so.8 libunwind-1.5.0_3
-libunwind-arm.so.8 libunwind-1.5.0_3
-libunwind-mips.so.8 libunwind-1.5.0_3
-libunwind-aarch64.so.8 libunwind-1.5.0_3
-libunwind-ppc32.so.8 libunwind-1.5.0_3
-libunwind-ppc64.so.8 libunwind-1.5.0_3
-libunwind-setjmp.so.0 libunwind-1.5.0_3
-libmicrohttpd.so.12 libmicrohttpd-0.9.48_1
-libmicrodns.so.0 libmicrodns-0.1.0_1
-libgit2.so.1.0 libgit2-1.0.1_3
-libgit2-glib-1.0.so.0 libgit2-glib-0.23.4_1
-libagg.so.2 agg-2.5_1
-libzzip-0.so.13 zziplib-0.13.62_1
-libzzipfseeko-0.so.13 zziplib-0.13.62_1
-libzzipwrap-0.so.13 zziplib-0.13.62_1
-libzzipmmapped-0.so.13 zziplib-0.13.62_1
-libkworkspace5.so.5 kworkspace-5.14.5_2
-libdb-5.3.so libdb-5.3.21_1
-libdb_cxx-5.3.so libdb-cxx-5.3.21_1
-libcares.so.2 c-ares-1.10.0_1
-libcryptopp.so.8 crypto++-8.3.0_1
-libdbusmenu-glib.so.4 libdbusmenu-glib-12.10.2_1
-libdbusmenu-gtk3.so.4 libdbusmenu-gtk3-12.10.2_1
-libGrantlee_Templates.so.5 grantlee5-5.0.0_1
-libGrantlee_TextDocument.so.5 grantlee5-5.0.0_1
-librasqal.so.3 librasqal-0.9.30_1
-librdf.so.0 librdf-1.0.16_1
-libclucene-core.so.1 clucene-2.3.3.4_1
-libclucene-shared.so.1 clucene-2.3.3.4_1
-libclucene-contribs-lib.so.1 clucene-2.3.3.4_1
-libodbcinst.so.2 libodbc-2.3.1_1
-libodbc.so.2 libodbc-2.3.1_1
-libiodbc.so.2 libiodbc-3.52.8_1
-libiodbcinst.so.2 libiodbc-3.52.8_1
-libsolarus.so.1 solarus-1.6.2_1
-libsolarus-gui.so.1 solarus-1.6.2_1
-libplank.so.1 plank-0.11.0_1
-libssh.so.4 libssh-0.9.5_2
-libxcb-render-util.so.0 xcb-util-renderutil-0.3.8_1
-libKPimGAPIContacts.so.5 libkgapi-17.12.3_1
-libKPimGAPIBlogger.so.5 libkgapi-17.12.3_1
-libKPimGAPILatitude.so.5 libkgapi-17.12.3_1
-libKPimGAPICalendar.so.5 libkgapi-17.12.3_1
-libKPimGAPICore.so.5 libkgapi-17.12.3_1
-libKPimGAPITasks.so.5 libkgapi-17.12.3_1
-libKPimGAPIMaps.so.5 libkgapi-17.12.3_1
-libKPimGAPIDrive.so.5 libkgapi-17.12.3_1
-libkgapi2.so.2 libkgapi-2.0.1_1
-libqoauth.so.2 qoauth-qt5-2.0.0_1
-libIrrlicht.so.1.8 irrlicht-1.8_1
-libsnappy.so.1 snappy-1.1.0_1
-libKF5Torrent.so.6 libktorrent-2.1_1
-libvncserver.so.1 libvncserver-0.9.13_2
-libvncclient.so.1 libvncserver-0.9.13_2
-libotr.so.5 libotr-4.0.0_1
-liballeg.so.4.4 allegro4-4.4.2_1
-liballeggl.so.4.4 allegro4-4.4.2_1
-libjpgalleg.so.4.4 allegro4-4.4.2_1
-libloadpng.so.4.4 allegro4-4.4.2_1
-liblogg.so.4.4 allegro4-4.4.2_1
-libraw1394.so.11 libraw1394-2.1.0_1
-libqmi-glib.so.5 libqmi-1.14.2_1
-libmbim-glib.so.4 libmbim-1.10.0_1
-libmm-glib.so.0 libmm-glib-1.0.0_1
-libgpm.so.2 libgpm-1.20.7_1
-libgdl-3.so.5 gdl-3.8.1_1
-libgda-5.0.so.4 libgda-5.2.9_4
-libgda-report-5.0.so.4 libgda-5.2.9_4
-libgda-ui-5.0.so.4 libgda-5.2.9_4
-libgda-xslt-5.0.so.4 libgda-5.2.9_4
-libamtk-5.so.0 amtk-5.0.0_1
-libdevhelp-3.so.6 devhelp-libs-3.30.0_1
-libunistring.so.2 libunistring-0.9.4_1
-libguile-2.2.so.1 libguile-2.2.7_1
-libopts.so.25 libopts-5.18.4_6
-libanjuta-3.so.0 anjuta-3.8.4_1
-libgmlib.so.1 gmtk-1.0.8_1
-libgmtk.so.1 gmtk-1.0.8_1
-liblrzip.so.0 liblrzip-0.614_3
-libsilcclient-1.1.so.4 silc-toolkit-1.1.11_1
-libsilc-1.1.so.4 silc-toolkit-1.1.11_1
-libphorward.so.0 libphorward-0.17_1
-libusbip.so.0 libusbip-3.10_1
-libcpupower.so.0 libcpupower-3.10_1
-librsync.so.2 librsync-1.0.0_1
-libserf-1.so.1 serf-1.3.9_13
-libmpdclient.so.2 libmpdclient-0.28_1
-libmcrypt.so.4 libmcrypt-2.5.8_1
-libgraphite2.so.3 graphite-1.2.3_1
-libFOX-1.6.so.0 fox-1.6.49_1
-libCHART-1.6.so.0 fox-1.6.49_1
-libchromaprint.so.1 chromaprint-1.5.0_1
-libedit.so.0 libedit-20130712.3.1_1
-libnet.so.9 libnet-1.2_1
-libgpaste.so.13 libgpaste-3.38.2_1
-libthreadutil.so.6 libupnp-1.6.18_1
-libupnp.so.17 libupnp-1.14.0_1
-libixml.so.11 libupnp-1.14.0_1
-libupnpp.so.11 libupnpp-0.21.0_1
-libgeocode-glib.so.0 geocode-glib-3.10.0_1
-libzeitgeist-2.0.so.0 libzeitgeist2-0.9.14_1
-libpotrace.so.0 libpotrace-1.11_1
-libSDL2-2.0.so.0 SDL2-2.0.0_1
-libcacard.so.0 libcacard-1.6.1_1
-libxcb-cursor.so.0 xcb-util-cursor-0.1.0_1
-libgldi.so.3 libgldi-3.3.1_1
-libevdev.so.2 libevdev-1.2_1
-libgdiplus.so.0 libgdiplus-2.10.9_1
-libmonosgen-2.0.so.1 mono-3.2.3_1
-libshout-idjc.so.3 libshout-idjc-2.3.1_1
-libmonoboehm-2.0.so.1 mono-3.2.3_1
-libglusterfs.so.0 libglusterfs-8.3_2
-libgfdb.so.0 libglusterfs-8.3_2
-libgfchangelog.so.0 libglusterfs-8.3_2
-libgfrpc.so.0 libglusterfs-8.3_2
-libgfxdr.so.0 libglusterfs-8.3_2
-libgfapi.so.0 libglusterfs-8.3_2
-libglusterd.so.0 libglusterfs-8.3_2
-libsnapper.so.5 libsnapper-0.4.1_1
-libtsm.so.3 libtsm-3_1
-libxine.so.2 libxine-1.2.4_1
-libjbig2dec.so.0 libjbig2dec-0.11_1
-libsource-highlight.so.4 libsource-highlight-3.1.7_1
-libvlc.so.5 libvlc-2.1.1_3
-libvlccore.so.9 libvlc-3.0.2_1
-libvlc_vdpau.so.0 libvlc-2.2.0_1
-libvlc_pulse.so.0 libvlc-3.0.2_1
-libvlc_xcb_events.so.0 libvlc-3.0.2_1
-libcmocka.so.0 cmocka-1.1.1_1
-libbtrfs.so.0 libbtrfs-3.12_1
-libbtrfsutil.so.1 libbtrfsutil-5.4_1
-libecore_audio.so.1 efl-1.25.1_2
-libecore_con.so.1 efl-1.25.1_2
-libecore_evas.so.1 efl-1.25.1_2
-libecore_file.so.1 efl-1.25.1_2
-libecore_imf_evas.so.1 efl-1.25.1_2
-libecore_imf.so.1 efl-1.25.1_2
-libecore_input_evas.so.1 efl-1.25.1_2
-libecore_input.so.1 efl-1.25.1_2
-libecore_ipc.so.1 efl-1.25.1_2
-libecore.so.1 efl-1.25.1_2
-libecore_x.so.1 efl-1.25.1_2
-libecore_wl2.so.1 efl-1.25.1_2
-libecore_drm2.so.1 efl-1.25.1_2
-libedje.so.1 efl-1.25.1_2
-libeet.so.1 efl-1.25.1_2
-libeeze.so.1 efl-1.25.1_2
-libefreet_mime.so.1 efl-1.25.1_2
-libefreet.so.1 efl-1.25.1_2
-libefreet_trash.so.1 efl-1.25.1_2
-libeina.so.1 efl-1.25.1_2
-libeio.so.1 efl-1.25.1_2
-libeldbus.so.1 efl-1.25.1_2
-libelput.so.1 efl-1.25.1_2
-libembryo.so.1 efl-1.25.1_2
-libemotion.so.1 efl-1.25.1_2
-libeo.so.1 efl-1.25.1_2
-libethumb_client.so.1 efl-1.25.1_2
-libethumb.so.1 efl-1.25.1_2
-libevas.so.1 efl-1.25.1_2
-libefl.so.1 efl-1.25.1_2
-libefl_canvas_wl.so.1 efl-1.25.1_2
-libelua.so.1 efl-1.25.1_2
-libelocation.so.1 efl-1.25.1_2
-libelementary.so.1 efl-1.25.1_2
-libector.so.1 efl-1.25.1_2
-libemile.so.1 efl-1.25.1_2
-libcjs.so.0 cjs-2.0.0_1
-libmuffin.so.0 muffin-2.0.5_1
-libmuffin-cogl-pango-0.so muffin-4.0.5_1
-libmuffin-cogl-path-0.so muffin-4.0.5_1
-libmuffin-cogl-0.so muffin-4.0.5_1
-libmuffin-clutter-0.so muffin-4.0.5_1
-libcinnamon-desktop.so.4 cinnamon-desktop-2.0.4_1
-libcinnamon-control-center.so.1 libcinnamon-control-center-2.4.2_1
-libcvc.so.0 cinnamon-desktop-3.2.0_1
-libnemo-extension.so.1 libnemo-2.0.8_1
-libtimezonemap.so.1 libtimezonemap-0.4.6_1
-libxshmfence.so.1 libxshmfence-1.1_1
-libgoffice-0.10.so.10 goffice-0.10.9_1
-libc++.so.1 libcxx-3.4_1
-libopenobex.so.2 openobex-1.7.1_1
-libnotmuch.so.5 libnotmuch-0.25_1
-libatomic_ops_gpl.so.1 libatomic_ops-7.4.2_1
-libatomic_ops.so.1 libatomic_ops-7.4.2_1
-libbfb.so.1 libbfb-0.24.2_1
-libmulticobex.so.1 libmulticobex-0.24_1
-libobexftp.so.0 libobexftp-0.24_1
-libhunspell-1.7.so.0 libhunspell1.7-1.7.0_1
-libstdlog.so.0 liblogging-1.0.0_1
-liblogging-stdlog.so.0 liblogging-1.0.2_1
-libdom.so.0 libdom-0.0.1_1
-libslang.so.2 slang-2.2.4_1
-libtre.so.5 tre-0.8.0_1
-libktoblzcheck.so.1 ktoblzcheck-1.43_2
-libgwenhywfar.so.79 gwenhywfar-5.4.0_2
-libgwengui-gtk2.so.79 gwenhywfar-gtk-5.4.0_2
-libgwengui-gtk3.so.79 gwenhywfar-gtk3-5.4.0_2
-libgwengui-cpp.so.79 gwenhywfar-5.4.0_2
-libgwengui-qt5.so.79 gwenhywfar-qt5-5.4.0_2
-libaqbanking.so.44 aqbanking-6.0.0_1
-libaqnone.so.35 aqbanking-5.6.10_1
-libaqhbci.so.24 aqbanking-5.7.8_1
-libaqofxconnect.so.7 aqbanking-5.0.25_1
-libaqebics.so.0 aqbanking-5.0.25_1
-libaqbankingpp.so.0 aqbanking-5.0.25_1
-libxmlsec1.so.1 xmlsec1-1.2.31_2
-libxmlsec1-nss.so.1 xmlsec1-1.2.31_2
-libxmlsec1-openssl.so.1 xmlsec1-1.2.31_2
-libcheck.so.0 check-0.9.12_1
-liblxc.so.1 liblxc-4.0.6_2
-libtcmalloc.so.4 gperftools-2.1_1
-libaio.so.1 libaio-0.3.109_1
-libofx.so.7 libofx-0.10.1_1
-libsigsegv.so.2 libsigsegv-2.10_2
-libfprint.so.0 libfprint0-1.0_1
-libfprint-2.so.2 libfprint-1.90.7_1
-libwx_baseu_xml-3.0.so.0 wxWidgets-common-3.0.4_1
-libwx_baseu-3.0.so.0 wxWidgets-common-3.0.4_1
-libwx_gtk2_adv-3.0.so.0 wxWidgets-3.0.0_1
-libwx_base_xml-3.0.so.0 wxWidgets-3.0.0_1
-libwx_gtk2_html-3.0.so.0 wxWidgets-3.0.0_1
-libwx_gtk2_aui-3.0.so.0 wxWidgets-3.0.0_1
-libwx_gtk2_core-3.0.so.0 wxWidgets-3.0.0_1
-libwx_base_net-3.0.so.0 wxWidgets-3.0.0_1
-libwx_base-3.0.so.0 wxWidgets-3.0.0_1
-libwx_gtk2u_gl-3.0.so.0 wxWidgets-3.0.0_1
-libwx_gtk2u_stc-3.0.so.0 wxWidgets-3.0.0_1
-libwx_gtk2u_adv-3.0.so.0 wxWidgets-3.0.0_1
-libwx_gtk2u_qa-3.0.so.0 wxWidgets-3.0.0_1
-libwx_baseu_net-3.0.so.0 wxWidgets-common-3.0.4_1
-libwx_gtk2u_core-3.0.so.0 wxWidgets-3.0.0_1
-libwx_gtk2u_richtext-3.0.so.0 wxWidgets-3.0.0_1
-libwx_gtk2u_propgrid-3.0.so.0 wxWidgets-3.0.0_1
-libwx_gtk2u_html-3.0.so.0 wxWidgets-3.0.0_1
-libwx_gtk2u_xrc-3.0.so.0 wxWidgets-3.0.0_1
-libwx_gtk2u_aui-3.0.so.0 wxWidgets-3.0.0_1
-libwx_gtk2u_ribbon-3.0.so.0 wxWidgets-3.0.0_1
-libwx_gtk2u_media-3.0.so.0 wxWidgets-3.0.1_1
-libmspack.so.0 libmspack-0.4alpha_1
-libslim.so.1.3.6 slim-1.3.6_1
-libmediaart-2.0.so.0 libmediaart-1.9.1_1
-libinput.so.10 libinput-1.2.0_1
-libuhttpmock-0.0.so.0 uhttpmock-0.2.0_1
-libgfbgraph-0.2.so.0 gfbgraph-0.2.2_1
-libgtkhex-3.so.0 libgtkhex-3.10.0_1
-libgdlmm-3.0.so.2 libgdlmm-3.7.3_1
-libdmraid.so.1 dmraid-1.0.0.rc16.3_5
-libdovecot.so.0 dovecot-2.3.13_3
-libdovecot-login.so.0 dovecot-2.3.13_3
-libdovecot-compression.so.0 dovecot-2.3.13_3
-libdovecot-sql.so.0 dovecot-2.3.13_3
-libdovecot-storage.so.0 dovecot-2.3.13_3
-libdovecot-lda.so.0 dovecot-2.3.13_3
-libwiretap.so.11 libwireshark-3.4.0_1
-libwireshark.so.14 libwireshark-3.4.0_1
-libwsutil.so.12 libwireshark-3.4.0_1
-libKF5ContactEditor.so.5 akonadi-contacts-17.12.1_1
-libKF5AkonadiContact.so.5 akonadi-contacts-17.12.1_1
-libKF5Prison.so.5 prison-5.43.0_1
-libKF5AkonadiMime.so.5 akonadi-mime-17.12.1_1
-libKF5Mime.so.5 kmime-17.12.1_1
-libKF5Kirigami2.so.5 kirigami2-5.47.0_1
-libtaskmanager.so.6 plasma-workspace-5.8.4_1
-libnotificationmanager.so.1 plasma-workspace-5.15.90_1
-libfreerdp-client2.so.2 libfreerdp-2.2.0_3
-libfreerdp2.so.2 libfreerdp-2.2.0_3
-libwinpr2.so.2 libfreerdp-2.2.0_3
-libwinpr-tools2.so.2 libfreerdp-2.2.0_3
-libfreerdp-core.so.1.0 libfreerdp-2.2.0_3
-libfreerdp-channels.so.1.0 libfreerdp-2.2.0_3
-libfreerdp-rail.so.1.0 libfreerdp-2.2.0_3
-libfreerdp-kbd.so.1.0 libfreerdp-2.2.0_3
-libfreerdp-utils.so.1.0 libfreerdp-2.2.0_3
-libfreerdp-codec.so.1.0 libfreerdp-2.2.0_3
-libfreerdp-gdi.so.1.0 libfreerdp-2.2.0_3
-libfreerdp-cache.so.1.0 libfreerdp-2.2.0_3
-libuwac0.so.0 libfreerdp-2.2.0_3
-libcppunit-1.14.so.0 libcppunit-1.14.0_1
-libcalc.so.2.12.7.1 libcalc-2.12.7.1_1
-libcustcalc.so.2.12.7.1 libcalc-2.12.7.1_1
-libOgreMain.so.1.12.9 libogre-1.12.9_1
-libOgreBites.so.1.12.9 libogre-1.12.9_1
-libOgreOverlay.so.1.12.9 libogre-1.12.9_1
-libOgreProperty.so.1.12.9 libogre-1.12.9_1
-libOgreTerrain.so.1.12.9 libogre-1.12.9_1
-libOgreVolume.so.1.12.9 libogre-1.12.9_1
-libOgreRTShaderSystem.so.1.12.9 libogre-1.12.9_1
-libOgreMeshLodGenerator.so.1.12.9 libogre-1.12.9_1
-libOgrePaging.so.1.12.9 libogre-1.12.9_1
-libglut.so.3 libfreeglut-2.8.1_1
-libogmrip-gtk.so.1 ogmrip-1.0.0_1
-libogmdvd.so.1 ogmrip-1.0.0_1
-libogmjob.so.1 ogmrip-1.0.0_1
-libogmrip-mplayer.so.1 ogmrip-1.0.0_1
-libogmrip.so.1 ogmrip-1.0.0_1
-libogmrip-lavc.so.1 ogmrip-1.0.0_1
-libogmdvd-gtk.so.1 ogmrip-1.0.0_1
-libSDL2_image-2.0.so.0 SDL2_image-2.0.0_1
-liba2ps.so.1 liba2ps-4.14_1
-libplibul.so.1 plib-1.8.5_1
-libplibjs.so.1 plib-1.8.5_1
-libplibsl.so.1 plib-1.8.5_1
-libplibsm.so.1 plib-1.8.5_1
-libplibfnt.so.1 plib-1.8.5_1
-libplibpu.so.1 plib-1.8.5_1
-libplibsg.so.1 plib-1.8.5_1
-libplibssg.so.1 plib-1.8.5_1
-libplibpuaux.so.1 plib-1.8.5_1
-libplibssgaux.so.1 plib-1.8.5_1
-libplibnet.so.1 plib-1.8.5_1
-libplibpsl.so.1 plib-1.8.5_1
-libplibpw.so.1 plib-1.8.5_1
-libode.so.8 libode-0.16_1
-libosmocore.so.12 libosmocore-1.2.0_1
-libosmovty.so.4 libosmocore-0.10.2_1
-libosmosim.so.0 libosmocore-0.8.0_1
-libosmocodec.so.0 libosmocore-0.6.6_1
-libosmogsm.so.13 libosmocore-1.2.0_1
-libosmogb.so.9 libosmocore-1.2.0_1
-libosmoctrl.so.0 libosmocore-0.7.0_1
-libgtkglext-x11-1.0.so.0 gtkglext-1.2.0_4
-libgdkglext-x11-1.0.so.0 gtkglext-1.2.0_4
-libXaw3d.so.8 libXaw3d-1.6.2_1
-libshiboken2.so.5.15 libshiboken2-5.15.0_1
-libpyside2.so.5.15 libpyside2-python3-5.15.0_1
-libupsclient.so.4 libnetwork-ups-tools-2.7.4_12
-libnutclient.so.0 libnetwork-ups-tools-2.7.4_12
-libnutscan.so.1 libnetwork-ups-tools-2.7.4_12
-libsphinxad.so.0 sphinxbase-0.8_1
-libsphinxbase.so.1 sphinxbase-0.8_1
-libpocketsphinx.so.1 libpocketsphinx-0.8_3
-libcmuclmtk.so.0 libcmuclmtk-0.7_2
-libttsmimic.so.0 mimic-1.2.0.2_1
-libttsmimic_lang_usenglish.so.0 mimic-1.2.0.2_1
-libttsmimic_lang_cmu_grapheme_lang.so.0 mimic-1.2.0.2_1
-libttsmimic_lang_cmu_indic_lang.so.0 mimic-1.2.0.2_1
-libttsmimic_lang_cmulex.so.0 mimic-1.2.0.2_1
-libttsmimic_lang_cmu_indic_lex.so.0 mimic-1.2.0.2_1
-libttsmimic_lang_cmu_grapheme_lex.so.0 mimic-1.2.0.2_1
-libttsmimic_lang_cmu_us_kal.so.0 mimic-1.2.0.2_1
-libttsmimic_lang_cmu_time_awb.so.0 mimic-1.2.0.2_1
-libttsmimic_lang_cmu_us_kal16.so.0 mimic-1.2.0.2_1
-libttsmimic_lang_cmu_us_awb.so.0 mimic-1.2.0.2_1
-libttsmimic_lang_cmu_us_rms.so.0 mimic-1.2.0.2_1
-libttsmimic_lang_cmu_us_slt.so.0 mimic-1.2.0.2_1
-libttsmimic_lang_vid_gb_ap.so.0 mimic-1.2.0.2_1
-libttsmimic_lang_all_langs.so.0 mimic-1.2.0.2_1
-libttsmimic_lang_all_voices.so.0 mimic-1.2.0.2_1
-libtcmalloc_minimal.so.4 gperftools-2.1.90_1
-libtcmalloc_minimal_debug.so.4 gperftools-2.1.90_1
-libtcmalloc_debug.so.4 gperftools-2.1.90_1
-libprofiler.so.0 gperftools-2.1.90_1
-libtcmalloc_and_profiler.so.4 gperftools-2.1.90_1
-libHalf-2_4.so.24 ilmbase-2.4.0_1
-libIex-2_4.so.24 ilmbase-2.4.0_1
-libIexMath-2_4.so.24 ilmbase-2.4.0_1
-libImath-2_4.so.24 ilmbase-2.4.0_1
-libIlmThread-2_4.so.24 ilmbase-2.4.0_1
-libIlmImf-2_4.so.24 libopenexr-2.4.0_1
-libIlmImfUtil-2_4.so.24 libopenexr-2.4.0_1
-libGraphicsMagick.so.3 libgraphicsmagick-1.3.19_1
-libGraphicsMagick++.so.12 libgraphicsmagick-1.3.22_1
-libGraphicsMagickWand.so.2 libgraphicsmagick-1.3.19_1
-liblensfun.so.1 lensfun-0.3.2_1
-libmitlm.so.1 mitlm-0.4.2_1
-libextractor.so.3 libextractor-1.1_1
-libextractor_common.so.1 libextractor-1.1_1
-libpano13.so.3 libpano13-2.9.19_1
-libubsan.so.1 libsanitizer-8.2.0_1
-libtsan.so.0 libsanitizer-6.3.0_1
-libasan.so.6 libsanitizer-10.2.0_1
-liblsan.so.0 libsanitizer-6.3.0_1
-libvtv.so.0 libvtv-6.3.0_1
-libatomic.so.1 libatomic-4.9.0_1
-libpcsclite.so.1 libpcsclite-1.8.11_1
-libpcscspy.so.0 libpcsclite-1.8.11_1
-libBulletDynamics.so.2.89 bullet-2.89_1
-libBulletCollision.so.2.89 bullet-2.89_1
-libLinearMath.so.2.89 bullet-2.89_1
-libBulletSoftBody.so.2.89 bullet-2.89_1
-libinotifytools.so.0 libinotify-tools-3.14_2
-libfswatch.so.11 libfswatch-1.13.0_1
-libopensc.so.7 libopensc-0.21.0_2
-libSDL2_ttf-2.0.so.0 SDL2_ttf-2.0.12_1
-librtlsdr.so.0 librtlsdr-0.5.3_1
-libSDL2_mixer-2.0.so.0 SDL2_mixer-2.0.0_1
-libSDL2_net-2.0.so.0 SDL2_net-2.0.0_1
-libnxml.so.0 libnxml-0.18.3_1
-libmrss.so.0 libmrss-0.19.2_1
-libuv.so.1 libuv-1.0.0_1
-libXm.so.4 motif-2.3.8_1
-libMrm.so.4 motif-2.3.8_1
-libUil.so.4 motif-2.3.8_1
-libgtest.so gtest-1.7.0_1
-libgtest_main.so gtest-1.7.0_1
-libxmlsec1-gcrypt.so.1 xmlsec1-1.2.31_2
-libxmlsec1-gnutls.so.1 xmlsec1-1.2.31_2
-libefivar.so.1 libefivar-31_1
-libefiboot.so.1 libefivar-31_1
-libportaudio.so.2 portaudio-19.20140130_1
-libportaudiocpp.so.0 portaudio-cpp-19.20140130_1
-libdar.so.6000 libdar-2.6.6_1
-libdar64.so.6000 libdar-2.6.6_1
-libpython3.so python3-3.9.2_2
-libpython3.9.so.1.0 python3-3.9.2_2
-libbrscandec2.so.1 brother-brscan3-0.2.11_2
-libpyglib-2.0-python.so.0 python-gobject2-2.28.6_11
-libxmlrpc_server_abyss.so.3 xmlrpc-c-1.51.06_2
-libxmlrpc++.so.8 xmlrpc-c-1.51.06_2
-libxmlrpc_server.so.3 xmlrpc-c-1.51.06_2
-libxmlrpc_packetsocket.so.8 xmlrpc-c-1.51.06_2
-libxmlrpc.so.3 xmlrpc-c-1.51.06_2
-libxmlrpc_util.so.4 xmlrpc-c-1.51.06_2
-libxmlrpc_abyss.so.3 xmlrpc-c-1.51.06_2
-libxmlrpc_server_abyss++.so.8 xmlrpc-c-1.51.06_2
-libxmlrpc_cpp.so.8 xmlrpc-c-1.51.06_2
-libxmlrpc_client++.so.8 xmlrpc-c-1.51.06_2
-libxmlrpc_server++.so.8 xmlrpc-c-1.51.06_2
-libxmlrpc_server_cgi++.so.8 xmlrpc-c-1.51.06_2
-libxmlrpc_server_pstream++.so.8 xmlrpc-c-1.51.06_2
-libxmlrpc_client.so.3 xmlrpc-c-1.51.06_2
-libxmlrpc_util++.so.8 xmlrpc-c-1.51.06_2
-libxmlrpc_abyss++.so.8 xmlrpc-c-1.51.06_2
-libtelepathy-farstream.so.3 telepathy-farstream-0.6.0_6
-libnetpbm.so.11 libnetpbm-10.66.03_2
-libid3.so id3lib-3.8.3_1
-libid3-3.8.so.3 id3lib-3.8.3_1
-libgirara-gtk3.so.3 girara-0.2.8_1
-libjq.so.1 jq-devel-1.4_1
-libcrypto.so.1.1 libcrypto1.1-1.1.1f_1
-libssl.so.1.1 libssl1.1-1.1.1f_1
-libvamp-hostsdk.so.3 libvamp-plugin-sdk-2.2_6
-libportmidi.so portmidi-217_1
-libWildMidi.so.2 libwildmidi-0.4.3_1
-libsox.so.3 sox-14.4.2_1
-libsoxr.so.0 libsoxr-0.1.2_1
-libsoxr-lsr.so.0 libsoxr-0.1.2_1
-libdumb.so.2 dumb-2.0.3_1
-libaldmb.so.2 aldumb-2.0.3_3
-libframe.so.6 frame-2.5.0_1
-libgrail.so.6 grail-3.1.0_1
-libgeis.so.1 geis-2.2.16_1
-libndp.so.0 libndp-1.3_1
-libepoxy.so.0 libepoxy-1.2_1
-libfakekey.so.0 libfakekey-0.1_1
-libsmartcols.so.1 libsmartcols-2.25_1
-libfdisk.so.1 libfdisk-2.26_1
-libspiro.so.1 libspiro-20190731_1
-libopenjp2.so.7 libopenjpeg2-2.1.0_1
-libcln.so.6 cln-1.3.3_1
-libchm.so.0 libchmlib-0.40_1
-libOkular5Core.so.9 libokular-18.04.1_1
-libmnl.so.0 libmnl-1.0.3_1
-libnftnl.so.11 libnftnl-1.1.2_1
-libfcgi.so.0 fcgi-2.4.0_2
-libdshconfig.so.1 libdshconfig-0.20.13_1
-libpar2.so.1 libpar2-0.4_1
-libsodium.so.23 libsodium-1.0.15_1
-libstrophe.so.0 libstrophe-0.10.1_2
-libganv-1.so.1 ganv-1.4.2_1
-libblas.so.3 blas-3.5.0_1
-libcblas.so.3 cblas-3.6.0_1
-liblapack.so.3 lapack-3.5.0_1
-libcinnamon-menu-3.so.0 cinnamon-menus-2.2.0_1
-libmate-desktop-2.so.17 mate-desktop-1.8.0_1
-libmarco-private.so.2 libmarco-1.22.2_1
-libmate-menu.so.2 mate-menus-1.8.0_1
-libcaja-extension.so.1 libcaja-1.8.1_1
-libmatekbd.so.4 libmatekbd-1.8.0_1
-libmatemixer.so.0 libmatemixer-1.10.0_1
-libmatekbdui.so.4 libmatekbd-1.8.0_1
-libmate-window-settings.so.1 libmate-control-center-1.8.1_1
-libmateweather.so.1 libmateweather-1.8.0_1
-libmate-panel-applet-4.so.1 libmate-panel-1.8.0_1
-libslab.so.0 libmate-control-center-1.8.2_1
-liblz4.so.1 liblz4-1.8.2_1
-libatrilview.so.3 libatril-1.8.0_1
-libatrildocument.so.3 libatril-1.8.0_1
-libjawt.so openjdk8-jre-8u20_2
-libawt.so openjdk8-jre-8u20_1
-libawt_xawt.so openjdk8-jre-8u20_1
-libjava.so openjdk8-jre-8u20_1
-libjli.so openjdk8-jre-8u20_1
-libjvm.so openjdk8-jre-8u20_1
-libjawt.so openjdk11-11.0.5+10_1
-libawt.so openjdk11-11.0.5+10_1
-libawt_xawt.so openjdk11-11.0.5+10_1
-libjava.so openjdk11-11.0.5+10_1
-libjli.so openjdk11-11.0.5+10_1
-libjvm.so openjdk11-11.0.5+10_1
-libjawt.so openjdk7-bootstrap-7u221b02_1
-libawt.so openjdk7-bootstrap-7u221b02_1
-libawt_xawt.so openjdk7-bootstrap-7u221b02_1
-libjava.so openjdk7-bootstrap-7u221b02_1
-libjli.so openjdk7-bootstrap-7u221b02_1
-libjvm.so openjdk7-bootstrap-7u221b02_1
-libjawt.so openjdk9-bootstrap-9.0.4p12_1
-libawt.so openjdk9-bootstrap-9.0.4p12_1
-libawt_xawt.so openjdk9-bootstrap-9.0.4p12_1
-libjava.so openjdk9-bootstrap-9.0.4p12_1
-libjli.so openjdk9-bootstrap-9.0.4p12_1
-libjvm.so openjdk9-bootstrap-9.0.4p12_1
-libjawt.so openjdk10-bootstrap-10.0.2p13_1
-libawt.so openjdk10-bootstrap-10.0.2p13_1
-libawt_xawt.so openjdk10-bootstrap-10.0.2p13_1
-libjava.so openjdk10-bootstrap-10.0.2p13_1
-libjli.so openjdk10-bootstrap-10.0.2p13_1
-libjvm.so openjdk10-bootstrap-10.0.2p13_1
-libucl.so.5 libucl-0.8.1_6
-libhandle.so.1 xfsprogs-3.2.1_1
-libnfnetlink.so.0 libnfnetlink-1.0.1_1
-libnetfilter_log.so.1 libnetfilter_log-1.0.1_1
-libnetfilter_log_libipulog.so.1 libnetfilter_log-1.0.1_1
-libnetfilter_acct.so.1 libnetfilter_acct-1.0.2_1
-libnetfilter_conntrack.so.3 libnetfilter_conntrack-1.0.4_1
-libmsgpack.so.4 msgpack-1.1.0_1
-libmsgpackc.so.2 msgpack-1.1.0_1
-libewf.so.3 libewf-20171104_1
-libcupsfilters.so.1 libcups-filters-1.0.67_3
-libfontembed.so.1 libcups-filters-1.17.5_1
-libjemalloc.so.2 jemalloc-4.0.0_1
-liblucene++.so.0 Lucene++-3.0.6_1
-liblucene++-contrib.so.0 Lucene++-3.0.6_1
-libeolian.so.1 efl-1.25.1_2
-libecore_avahi.so.1 efl-1.25.1_2
-libephysics.so.1 efl-1.25.1_2
-libgunicode.so.5 fontforge-2.0.20190317_1
-libgutils.so.3 fontforge-2.0.20190317_1
-libgioftp.so.2 fontforge-2.0.20140101_3
-libfontforge.so.4 fontforge-20200314_1
-libgdraw.so.6 fontforge-2.0.20190317_1
-libfontforgeexe.so.3 fontforge-2.0.20190317_1
-libwraster.so.6 WindowMaker-0.95.8_1
-libWUtil.so.5 WindowMaker-0.95.6_3
-libWINGs.so.3 WindowMaker-0.95.6_3
-libWMaker.so.1 WindowMaker-0.95.6_3
-librevenge-0.0.so.0 librevenge-0.0.1_1
-librevenge-generators-0.0.so.0 librevenge-0.0.1_1
-librevenge-stream-0.0.so.0 librevenge-0.0.1_1
-libepubgen-0.1.so.1 libepubgen-0.1.0_1
-libqxp-0.0.so.0 libqxp-0.0.1_1
-libetonyek-0.1.so.1 libetonyek-0.1.1_1
-libodfgen-0.1.so.1 libodfgen-0.1.1_1
-libKF5SonnetUi.so.5 sonnet-5.26.0_1
-libKF5SonnetCore.so.5 sonnet-5.26.0_1
-libcdr-0.1.so.1 libcdr-0.1.0_1
-libmspub-0.1.so.1 libmspub-0.1.1_1
-libvisio-0.1.so.1 libvisio-0.1.0_1
-libwpd-0.10.so.10 libwpd-0.10.0_1
-libwps-0.4.so.4 libwps-0.4.3_1
-libwpg-0.3.so.3 libwpg-0.3.0_1
-libvigraimpex.so.11 vigra-1.11.0_1
-libhyphen.so.0 hyphen-2.8.8_1
-libmythes-1.2.so.0 mythes-1.2.4_1
-liblpsolve55.so lpsolve-5.5.2.0_1
-liblangtag.so.1 liblangtag-0.5.4_1
-liblangtag-gobject.so.0 liblangtag-0.5.4_1
-libexttextcat-2.0.so.0 libexttextcat-3.4.3_1
-libledger.so.3 libledger-3.1_1
-libksba.so.8 libksba-1.3.1_1
-libgltf-0.0.so.0 libgltf-0.0.2_1
-libgltf-0.1.so.1 libgltf-0.1.0_1
-libabw-0.1.so.1 libabw-0.1.0_1
-libcmis-0.5.so.5 libcmis-0.5.0_1
-libcmis-c-0.5.so.5 libcmis-0.5.0_1
-libQt5Bluetooth.so.5 qt5-connectivity-5.15.2_3
-libQt53DAnimation.so.5 qt5-3d-5.15.2_3
-libQt53DCore.so.5 qt5-3d-5.15.2_3
-libQt53DInput.so.5 qt5-3d-5.15.2_3
-libQt53DLogic.so.5 qt5-3d-5.15.2_3
-libQt53DRender.so.5 qt5-3d-5.15.2_3
-libQt53DQuick.so.5 qt5-3d-5.15.2_3
-libQt53DQuickInput.so.5 qt5-3d-5.15.2_3
-libQt53DQuickRender.so.5 qt5-3d-5.15.2_3
-libQt53DQuickScene2D.so.5 qt5-3d-5.15.2_3
-libQt53DExtras.so.5 qt5-3d-5.15.2_3
-libQt53DQuickExtras.so.5 qt5-3d-5.15.2_3
-libQt53DQuickAnimation.so.5 qt5-3d-5.15.2_3
-libQt5Charts.so.5 qt5-charts-5.15.2_3
-libQt5DataVisualization.so.5 qt5-datavis3d-5.15.2_3
-libQt5Gamepad.so.5 qt5-gamepad-5.15.2_3
-libQt5Nfc.so.5 qt5-connectivity-5.15.2_3
-libQt5WebView.so.5 qt5-webview-5.15.0_1
-libQt5Qml.so.5 qt5-declarative-5.15.2_3
-libQt5QmlDevTools.so.5 qt5-declarative-5.15.2_3
-libQt5Quick.so.5 qt5-declarative-5.15.2_3
-libQt5QuickTest.so.5 qt5-declarative-5.15.2_3
-libQt5QuickWidgets.so.5 qt5-declarative-5.15.2_3
-libQt5QuickParticles.so.5 qt5-declarative-5.15.2_3
-libQt5QuickShapes.so.5 qt5-declarative-5.15.2_3
-libQt5QmlModels.so.5 qt5-declarative-5.15.2_3
-libQt5QmlWorkerScript.so.5 qt5-declarative-5.15.2_3
-libQt5QuickControls2.so.5 qt5-quickcontrols2-5.15.2_3
-libQt5QuickTemplates2.so.5 qt5-quickcontrols2-5.15.2_3
-libQt5Positioning.so.5 qt5-location-5.15.2_3
-libQt5Location.so.5 qt5-location-5.15.2_3
-libQt5PositioningQuick.so.5 qt5-location-5.15.2_3
-libQt5VirtualKeyboard.so.5 qt5-virtualkeyboard-5.15.2_3
-libQt5Multimedia.so.5 qt5-multimedia-5.15.2_3
-libQt5MultimediaGstTools.so.5 qt5-multimedia-5.15.2_3
-libQt5MultimediaQuick.so.5 qt5-multimedia-5.15.2_3
-libQt5MultimediaQuick_p.so.5 qt5-multimedia-5.15.2_3
-libQt5MultimediaWidgets.so.5 qt5-multimedia-5.15.2_3
-libQt5NetworkAuth.so.5 qt5-networkauth-5.15.2_3
-libQt5Purchasing.so.5 qt5-purchasing-5.15.2_3
-libQt5RemoteObjects.so.5 qt5-remoteobjects-5.15.2_3
-libqgsttools_p.so.1 qt5-multimedia-5.15.2_3
-libQt5LabsTemplates.so.5 qt5-quickcontrols2-5.15.2_3
-libQt5Scxml.so.5 qt5-scxml-5.15.2_3
-libQt5Script.so.5 qt5-script-5.15.2_3
-libQt5ScriptTools.so.5 qt5-script-5.15.2_3
-libQt5Sensors.so.5 qt5-sensors-5.15.2_3
-libQt5SerialBus.so.5 qt5-serialbus-5.15.2_3
-libQt5SerialPort.so.5 qt5-serialport-5.15.2_3
-libQt5Svg.so.5 qt5-svg-5.15.2_3
-libQt5CLucene.so.5 qt5-tools-5.15.2_3
-libQt5Help.so.5 qt5-tools-5.15.2_3
-libQt5Designer.so.5 qt5-tools-5.15.2_3
-libQt5DesignerComponents.so.5 qt5-tools-5.15.2_3
-libQt5WaylandClient.so.5 qt5-wayland-5.15.2_3
-libQt5WaylandCompositor.so.5 qt5-wayland-5.15.2_3
-libQt5WebChannel.so.5 qt5-webchannel-5.15.2_3
-libQt5WebEngineCore.so.5 qt5-webengine-5.15.0_1
-libQt5WebEngine.so.5 qt5-webengine-5.15.0_1
-libQt5WebEngineWidgets.so.5 qt5-webengine-5.15.0_1
-libQt5WebSockets.so.5 qt5-websockets-5.15.2_3
-libQt5X11Extras.so.5 qt5-x11extras-5.15.2_3
-libQt5XmlPatterns.so.5 qt5-xmlpatterns-5.15.2_3
-libQt5Core.so.5 qt5-core-5.15.2_3
-libQt5EglFSDeviceIntegration.so.5 qt5-gui-5.15.2_3
-libQt5Network.so.5 qt5-network-5.15.2_3
-libQt5Sql.so.5 qt5-sql-5.15.2_3
-libQt5Xml.so.5 qt5-xml-5.15.2_3
-libQt5Gui.so.5 qt5-gui-5.15.2_3
-libQt5Widgets.so.5 qt5-widgets-5.15.2_3
-libQt5Test.so.5 qt5-test-5.15.2_3
-libQt5DBus.so.5 qt5-dbus-5.15.2_3
-libQt5Concurrent.so.5 qt5-concurrent-5.15.2_3
-libQt5OpenGL.so.5 qt5-opengl-5.15.2_3
-libQt5PrintSupport.so.5 qt5-printsupport-5.15.2_3
-libQt5XcbQpa.so.5 qt5-gui-5.15.2_3
-libQt5EglDeviceIntegration.so.5 qt5-gui-5.15.2_3
-libQt5EglFsKmsSupport.so.5 qt5-gui-5.15.2_3
-libQt5TextToSpeech.so.5 qt5-speech-5.15.2_3
-libQt5Bodymovin.so.5 qt5-lottie-5.15.2_3
-libQt5WebKit.so.5 qt5-webkit-5.6.0_1
-libQt5WebKitWidgets.so.5 qt5-webkit-5.6.0_1
-libx265.so.192 x265-3.4_1
-libQt5Xdg.so.3 libqtxdg-3.1.0_1
-libQt5XdgIconLoader.so.3 libqtxdg-3.1.0_1
-libqwt.so.6 qwt-6.1.3_1
-liblxqt-qt5.so.0 liblxqt-0.8.0_1
-liblxqt-globalkeys-qt5.so.0 lxqt-globalkeys-0.8.0_1
-liblxqt-globalkeys-ui-qt5.so.0 lxqt-globalkeys-0.8.0_1
-libsysstat-qt5.so.0 libsysstat-0.3.2_1
-libpolkit-qt5-agent-1.so.1 polkit-qt5-0.112.0_1
-libpolkit-qt5-gui-1.so.1 polkit-qt5-0.112.0_1
-libpolkit-qt5-core-1.so.1 polkit-qt5-0.112.0_1
-libfm-qt.so.9 libfm-qt-0.17.0_1
-libqtermwidget5.so.0 qtermwidget-0.6.0_1
-libnpth.so.0 npth-1.1_1
-libnpupnp.so.4 libnpupnp-4.0.2_1
-libglfw.so.3 glfw-3.0.4_1
-libusbmuxd-2.0.so.6 libusbmuxd-2.0.2_1
-libimobiledevice-1.0.so.6 libimobiledevice-1.3.0_2
-libstfl.so.0 stfl-0.23_1
-libCDApplet.so cairo-dock-plugins-3.4.0_1
-libldns.so.3 libldns-1.7.1_4
-libopenjpeg.so.5 libopenjpeg-1.5.2_1
-liboping.so.0 liboping-1.8.0_1
-libloudmouth-1.so.0 loudmouth-1.5.3_12
-libtorrent-rasterbar.so.10 libtorrent-rasterbar-1.2.12_2
-libcapstone.so.4 capstone-4.0_1
-libhavege.so.2 libhaveged-1.9.11_1
-libnih.so.1 libnih-1.0.3_1
-libnih-dbus.so.1 libnih-1.0.3_1
-libopencv_ml.so.3.4 libopencv-3.4.1_1
-libopencv_objdetect.so.3.4 libopencv-3.4.1_1
-libopencv_dnn.so.3.4 libopencv-3.4.1_1
-libopencv_shape.so.3.4 libopencv-3.4.1_1
-libopencv_stitching.so.3.4 libopencv-3.4.1_1
-libopencv_photo.so.3.4 libopencv-3.4.1_1
-libopencv_video.so.3.4 libopencv-3.4.1_1
-libopencv_calib3d.so.3.4 libopencv-3.4.1_1
-libopencv_features2d.so.3.4 libopencv-3.4.1_1
-libopencv_flann.so.3.4 libopencv-3.4.1_1
-libopencv_highgui.so.3.4 libopencv-3.4.1_1
-libopencv_videoio.so.3.4 libopencv-3.4.1_1
-libopencv_imgcodecs.so.3.4 libopencv-3.4.1_1
-libopencv_imgproc.so.3.4 libopencv-3.4.1_1
-libopencv_core.so.3.4 libopencv-3.4.1_1
-libopencv_superres.so.3.4 libopencv-3.4.1_1
-libopencv_videostab.so.3.4 libopencv-3.4.1_1
-libopencv_quality.so.4.3 libopencv4-4.3.0_1
-libopencv_reg.so.4.3 libopencv4-4.3.0_1
-libopencv_surface_matching.so.4.3 libopencv4-4.3.0_1
-libopencv_xphoto.so.4.3 libopencv4-4.3.0_1
-libopencv_freetype.so.4.3 libopencv4-4.3.0_1
-libopencv_fuzzy.so.4.3 libopencv4-4.3.0_1
-libopencv_hfs.so.4.3 libopencv4-4.3.0_1
-libopencv_img_hash.so.4.3 libopencv4-4.3.0_1
-libopencv_line_descriptor.so.4.3 libopencv4-4.3.0_1
-libopencv_saliency.so.4.3 libopencv4-4.3.0_1
-libopencv_structured_light.so.4.3 libopencv4-4.3.0_1
-libopencv_aruco.so.4.3 libopencv4-4.3.0_1
-libopencv_bgsegm.so.4.3 libopencv4-4.3.0_1
-libopencv_bioinspired.so.4.3 libopencv4-4.3.0_1
-libopencv_ccalib.so.4.3 libopencv4-4.3.0_1
-libopencv_face.so.4.3 libopencv4-4.3.0_1
-libopencv_tracking.so.4.3 libopencv4-4.3.0_1
-libopencv_xfeatures2d.so.4.3 libopencv4-4.3.0_1
-libopencv_optflow.so.4.3 libopencv4-4.3.0_1
-libopencv_ximgproc.so.4.3 libopencv4-4.3.0_1
-libopencv_plot.so.4.3 libopencv4-4.3.0_1
-libopencv_text.so.4.3 libopencv4-4.3.0_1
-libopencv_ml.so.4.3 libopencv4-4.3.0_1
-libopencv_objdetect.so.4.3 libopencv4-4.3.0_1
-libopencv_dnn.so.4.3 libopencv4-4.3.0_1
-libopencv_shape.so.4.3 libopencv4-4.3.0_1
-libopencv_stitching.so.4.3 libopencv4-4.3.0_1
-libopencv_photo.so.4.3 libopencv4-4.3.0_1
-libopencv_video.so.4.3 libopencv4-4.3.0_1
-libopencv_calib3d.so.4.3 libopencv4-4.3.0_1
-libopencv_features2d.so.4.3 libopencv4-4.3.0_1
-libopencv_flann.so.4.3 libopencv4-4.3.0_1
-libopencv_highgui.so.4.3 libopencv4-4.3.0_1
-libopencv_videoio.so.4.3 libopencv4-4.3.0_1
-libopencv_imgcodecs.so.4.3 libopencv4-4.3.0_1
-libopencv_imgproc.so.4.3 libopencv4-4.3.0_1
-libopencv_core.so.4.3 libopencv4-4.3.0_1
-libopencv_superres.so.4.3 libopencv4-4.3.0_1
-libopencv_videostab.so.4.3 libopencv4-4.3.0_1
-libopencv_gapi.so.4.3 libopencv4-4.3.0_1
-libopencv_xobjdetect.so.4.3 libopencv4-4.3.0_1
-libopencv_datasets.so.4.3 libopencv4-4.3.0_1
-libopencv_dnn_objdetect.so.4.3 libopencv4-4.3.0_1
-libopencv_dnn_superres.so.4.3 libopencv4-4.3.0_1
-libopencv_dpm.so.4.3 libopencv4-4.3.0_1
-libopencv_phase_unwrapping.so.4.3 libopencv4-4.3.0_1
-libopencv_stereo.so.4.3 libopencv4-4.3.0_1
-libopencv_rapid.so.4.3 libopencv4-4.3.0_1
-libopencv_intensity_transform.so.4.3 libopencv4-4.3.0_1
-libopencv_alphamat.so.4.3 libopencv4-4.3.0_1
-libuniconf.so.4.6 wvstreams-4.6.1_20
-libwvbase.so.4.6 wvstreams-4.6.1_20
-libwvutils.so.4.6 wvstreams-4.6.1_20
-libwvstreams.so.4.6 wvstreams-4.6.1_20
-libespeak-ng.so.1 libespeak-ng-1.50_1
-libKF5Plotting.so.5 kplotting-5.26.0_1
-libpgf.so.6 libpgf-6.14.12_1
-libqhull_r.so.8.0 libqhull-2020.2_1
-libqhull.so.8.0 libqhull-2020.2_1
-libKF5NetworkManagerQt.so.6 networkmanager-qt5-5.26.0_1
-libfcitx-core.so.0 libfcitx-4.2.8_1
-libfcitx-gclient.so.1 libfcitx-4.2.9.5_1
-libfcitx-utils.so.0 libfcitx-4.2.8_1
-libfcitx-config.so.4 libfcitx-4.2.8_1
-libFcitxQt5DBusAddons.so.1 libfcitx-qt5-1.2.1_1
-libFcitxQt5WidgetsAddons.so.1 libfcitx-qt5-1.2.1_1
-libfcitx-qt5.so.0 libfcitx-qt5-0.1.3_1
-libFcitx5Utils.so.2 libfcitx5-5.0.5_1
-libFcitx5Core.so.7 libfcitx5-5.0.5_1
-libFcitx5Config.so.6 libfcitx5-5.0.5_1
-libFcitx5GClient.so.2 fcitx5-gtk-5.0.4_1
-libFcitx5Qt5DBusAddons.so.1 fcitx5-qt5-5.0.3_1
-libFcitx5Qt5WidgetsAddons.so.2 fcitx5-qt5-5.0.3_1
-libdruntime-ldc-debug-shared.so.94 ldc-runtime-1.24.0_1
-libdruntime-ldc-shared.so.94 ldc-runtime-1.24.0_1
-libphobos2-ldc-shared.so.94 ldc-runtime-1.24.0_1
-libphobos2-ldc-debug-shared.so.94 ldc-runtime-1.24.0_1
-libldc-jit.so.94 ldc-runtime-1.24.0_1
-libmarblewidget-qt5.so.28 marble5-17.12.2_1
-libastro.so.2 marble5-17.12.2_1
-libparrot.so.6.9.0 parrot-6.9.0_1
-libasr.so.0 libasr-1.0.0_1
-libssr-glinject.so ssr-0.3.1_1
-libgdict-1.0.so.10 gnome-dictionary-3.18.1_1
-libasignify.so.1 asignify-1.0_1
-libvte2_90.so.9 vte290-0.36.3_1
-libd0_blind_id.so.0 xonotic-0.8.0_1
-libuecc.so.0 libuecc-5_1
-libKF5WindowSystem.so.5 kwindowsystem-5.6.0_1
-libKF5GuiAddons.so.5 kguiaddons-5.6.0_1
-liblxqt.so.0 liblxqt-0.9.0_1
-liblxqt-globalkeys.so.0 lxqt-globalkeys-0.9.0_1
-liblxqt-globalkeys-ui.so.0 lxqt-globalkeys-0.9.0_1
-libenet.so.7 libenet-1.3.12_1
-librrd.so.8 rrdtool-1.6.0_1
-librrd_th.so.4 rrdtool-1.4.9_1
-libmosquitto.so.1 libmosquitto-1.6.3_5
-libmosquittopp.so.1 libmosquittopp-1.6.3_5
-libmpv.so.1 mpv-0.8.0_2
-libmbedtls.so.12 mbedtls-2.13.1_1
-libmbedcrypto.so.3 mbedtls-2.9.0_1
-libmbedx509.so.0 mbedtls-2.9.0_1
-libdmtx.so.0 libdmtx-0.7.4_1
-libdbus-c++-1.so.0 libdbus-c++-0.9.0_1
-libdbus-c++-glib-1.so.0 libdbus-c++-0.9.0_1
-libpagemaker-0.0.so.0 libpagemaker-0.0.2_1
-libKF5CddbWidgets.so.5 libkcddb-17.08.2_1
-libKF5Cddb.so.5 libkcddb-17.08.2_1
-libk3bdevice.so.7 k3b-17.08.2_1
-libk3blib.so.7 k3b-17.08.2_1
-libsndio.so.7 libsndio-1.7.0_1
-libopenconnect.so.5 openconnect-7.05_1
-libusbredirparser.so.1 usbredir-0.7_1
-libusbredirhost.so.1 usbredir-0.7_1
-libprotobuf-c.so.1 protobuf-c-1.1.0_1
-libutf8proc.so.2 libutf8proc-2.2.0_1
-libnsutils.so.0 libnsutils-0.0.1_1
-libtoxcore.so.2 toxcore-0.2.0_1
-libgom-1.0.so.0 gom-0.3.0_1
-libetpan.so.20 libetpan-1.9.3_4
-libxmp.so.4 libxmp-4.3.7_1
-libKF5ThreadWeaver.so.5 threadweaver-5.26.0_1
-libOpenImageIO_Util.so.2.2 openimageio-2.2.13.1_1
-libOpenImageIO.so.2.2 openimageio-2.2.13.1_1
-libOpenColorIO.so.1 opencolorio-1.0.8_1
-libyaml-cpp.so.0.6 yaml-cpp-0.6.2_1
-libpaper.so.1 libpaper-1.1.24_1
-libhtsjava.so.2 httrack-3.49.2_7
-libhttrack.so.2 httrack-3.49.2_7
-libbg.so.2 bglibs-2.03_3
-libcvm-command.so.1 cvm-0.97_1
-libcvm-local.so.1 cvm-0.97_1
-libcvm-module.so.1 cvm-0.97_1
-libcvm-qmail.so.1 cvm-0.97_1
-libcvm-sasl.so.1 cvm-0.97_1
-libcvm-sql.so.1 cvm-0.97_1
-libcvm-udp.so.1 cvm-0.97_1
-libcvm-v1client.so.1 cvm-0.97_1
-libcvm-v2client.so.1 cvm-0.97_1
-libudns.so.0 udns-0.4_1
-libcriu.so.2 criu-3.13_2
-libcompel.so.1 criu-3.13_2
-libwebsockets.so.15 libwebsockets-3.2.2_5
-libnfc.so.6 libnfc-1.8.0_1
-libfuzzy.so.2 libfuzzy-2.12_1
-libSDL_gfx.so.15 SDL_gfx-2.0.25_2
-libsfml-network.so.2.5 SFML-2.5.0_1
-libsfml-system.so.2.5 SFML-2.5.0_1
-libsfml-window.so.2.5 SFML-2.5.0_1
-libsfml-audio.so.2.5 SFML-2.5.0_1
-libsfml-graphics.so.2.5 SFML-2.5.0_1
-libclamav.so.9 clamav-0.103.1_2
-libclamunrar.so.9 clamav-0.103.1_2
-libclamunrar_iface.so.9 clamav-0.103.1_2
-libfreshclam.so.2 clamav-0.103.1_2
-libqca-qt5.so.2 qca-qt5-2.1.3_1
-libqt5keychain.so.1 qtkeychain-qt5-0.7.0_1
-libphonon4qt5.so.4 phonon-qt5-4.8.3_1
-libphonon4qt5experimental.so.4 phonon-qt5-4.8.3_1
-libtelepathy-qt5.so.0 telepathy-qt5-0.9.5_1
-libtelepathy-qt5-service.so.0 telepathy-qt5-0.9.7_1
-libtelepathy-qt5-farstream.so.0 telepathy-qt5-farstream-0.9.5_1
-libKF5Attica.so.5 attica-5.6.0_1
-libechonest5.so.2.3 libechonest-qt5-2.3.0_1
-liblastfm_fingerprint5.so.1 liblastfm-qt5-1.0.9_1
-liblastfm5.so.1 liblastfm-qt5-1.0.9_1
-libquazip5.so.1 quazip-0.7.3_2
-libjreen-qt5.so.1 jreen-1.3.0_1
-libzen.so.0 libzen-0.4.31_1
-libmediainfo.so.0 libmediainfo-0.7.75_1
-libnghttp2.so.14 nghttp2-1.43.0_2
-librom1394.so.0 libavc1394-0.5.4_1
-libavc1394.so.0 libavc1394-0.5.4_1
-libiec61883.so.0 libiec61883-1.2.0_1
-libffado.so.2 libffado-2.2.1_1
-libkomparediff2.so.5 libkomparediff2-17.08.2_1
-libkompareinterface.so.5 kompare-17.08.2_1
-libkomparedialogpages.so.5 kompare-17.08.2_1
-libfdt.so.1 dtc-1.4.1_1
-libKasten4Controllers.so.0 okteta-0.26.0_1
-libKasten4Core.so.0 okteta-0.26.0_1
-libKasten4Gui.so.0 okteta-0.26.0_1
-libKasten4Okteta2Controllers.so.0 okteta-0.26.0_1
-libKasten4Okteta2Core.so.0 okteta-0.26.0_1
-libKasten4Okteta2Gui.so.0 okteta-0.26.0_1
-libOkteta3Core.so.0 okteta-0.26.0_1
-libOkteta3Gui.so.0 okteta-0.26.0_1
-libhttp_parser.so.2.9 http-parser-2.9.0_1
-libmaa.so.4 libmaa-1.4.2_1
-libcodeblocks.so.0 codeblocks-13.12_1
-liblept.so.5 leptonica-1.73_1
-libtesseract.so.4 tesseract-ocr-4.0.0_1
-libffmpegthumbnailer.so.4 ffmpegthumbnailer-2.0.10_1
-libopenraw.so.7 libopenraw-0.1.0_1
-libopenrawgnome.so.7 libopenraw-0.1.0_1
-libgeda.so.47 geda-1.10.1_1
-libgedacairo.so.1 geda-1.10.2_1
-libxornstorage.so.0 geda-1.10.2_1
-libclutter-gst-3.0.so.0 clutter-gst3-3.0.4_1
-libgsound.so.0 gsound-1.0.1_1
-libprocps.so.8 procps-ng-3.3.16_1
-libgegl-0.4.so.0 gegl-0.4.16_1
-libgegl-npd-0.4.so gegl-0.4.16_1
-libgegl-sc-0.4.so gegl-0.4.16_1
-libgnunettransportmonitor.so.0 gnunet-0.12.2_1
-libgnunettransporttesting.so.0 gnunet-0.12.2_1
-libgnunettransporttesting2.so.0 gnunet-0.12.2_1
-libgnunetcore.so.0 gnunet-0.12.2_1
-libgnunettestbedlogger.so.0 gnunet-0.12.2_1
-libgnunettestbed.so.0 gnunet-0.12.2_1
-libgnunetatstesting.so.0 gnunet-0.12.2_1
-libgnunetnse.so.0 gnunet-0.12.2_1
-libgnunetdht.so.3 gnunet-0.12.2_1
-libgnunetfriends.so.0 gnunet-0.12.2_1
-libgnunetregexblock.so.1 gnunet-0.12.2_1
-libgnunetregex.so.3 gnunet-0.12.2_1
-libgnunetdns.so.0 gnunet-0.12.2_1
-libgnunetidentity.so.1 gnunet-0.12.2_1
-libgnunetnamecache.so.0 gnunet-0.12.2_1
-libgnunetnamestore.so.0 gnunet-0.12.2_1
-libgnunetcadet.so.7 gnunet-0.12.2_1
-libgnunetset.so.0 gnunet-0.12.2_1
-libgnunetconsensus.so.0 gnunet-0.12.2_1
-libgnunetscalarproduct.so.0 gnunet-0.12.2_1
-libgnunetrevocation.so.0 gnunet-0.12.2_1
-libgnunetvpn.so.0 gnunet-0.12.2_1
-libgnunetgns.so.0 gnunet-0.12.2_1
-libgnunetfs.so.2 gnunet-0.12.2_1
-libgnunetsecretsharing.so.0 gnunet-0.12.2_1
-libnss_gns.so.2 gnunet-0.12.2_1
-libnss_gns4.so.2 gnunet-0.12.2_1
-libnss_gns6.so.2 gnunet-0.12.2_1
-libgnunetutil.so.13 gnunet-0.12.2_1
-libgnunetnt.so.0 gnunet-0.12.2_1
-libgnunetgnsrecord.so.0 gnunet-0.12.2_1
-libgnunethello.so.0 gnunet-0.12.2_1
-libgnunetblock.so.0 gnunet-0.12.2_1
-libgnunetblockgroup.so.0 gnunet-0.12.2_1
-libgnunetstatistics.so.2 gnunet-0.12.2_1
-libgnunetarm.so.2 gnunet-0.12.2_1
-libgnunettesting.so.1 gnunet-0.12.2_1
-libgnunetpeerinfo.so.0 gnunet-0.12.2_1
-libgnunetsq.so.0 gnunet-0.12.2_1
-libgnunetdatacache.so.0 gnunet-0.12.2_1
-libgnunetdatastore.so.1 gnunet-0.12.2_1
-libgnunetpeerstore.so.0 gnunet-0.12.2_1
-libgnunetats.so.4 gnunet-0.12.2_1
-libgnunetatsapplication.so.0 gnunet-0.12.2_1
-libgnunetatstransport.so.0 gnunet-0.12.2_1
-libgnunetnatnew.so.2 gnunet-0.12.2_1
-libgnunetnatauto.so.0 gnunet-0.12.2_1
-libgnunetfragmentation.so.2 gnunet-0.12.2_1
-libgnunettransport.so.2 gnunet-0.12.2_1
-libgnunettransportapplication.so.0 gnunet-0.12.2_1
-libgnunettransportcore.so.0 gnunet-0.12.2_1
-libgnunettransportcommunicator.so.0 gnunet-0.12.2_1
-libskarnet.so.2.10 skalibs-2.10.0.1_1
-libKF5BalooWidgets.so.5 baloo-widgets5-17.04.3_1
-libtidy.so.5 libtidy5-5.1.25_1
-libSDL2_gfx-1.0.so.0 SDL2_gfx-1.0.1_1
-libQupZilla.so.2 qupzilla-2.0.0_1
-libinjeqt.so.1 injeqt-1.1.0_1
-libgadu.so.3 libgadu-1.12.1_1
-libhiredis.so.1.0.0 hiredis-1.0.0_1
-libIL.so.1 devil-1.7.8_1
-libILU.so.1 devil-1.7.8_1
-libILUT.so.1 devil-1.7.8_1
-liboath.so.0 oath-toolkit-2.6.0_2
-libanthy.so.1 libanthy-0.4_1
-libanthydic.so.1 libanthy-0.4_1
-libanthyinput.so.0 libanthy-0.4_1
-libanthy-unicode.so.0 libanthy-unicode-1.0.0.20201109_1
-libanthydic-unicode.so.0 libanthy-unicode-1.0.0.20201109_1
-libanthyinput-unicode.so.0 libanthy-unicode-1.0.0.20201109_1
-libanthygobject-1.0.so.5 ibus-anthy-1.5.6_1
-libtbbmalloc_proxy_debug.so.2 tbb-4.3_1
-libtbbmalloc_proxy.so.2 tbb-4.3_1
-libtbbmalloc.so.2 tbb-4.3_1
-libtbb_debug.so.2 tbb-4.3_1
-libtbb.so.2 tbb-4.3_1
-libtbbmalloc_debug.so.2 tbb-4.3_1
-libembree.so.2 embree-2.5.1_1
-libgtkimageview.so.0 gtkimageview-1.6.4_1
-libgoocanvas-2.0.so.9 goocanvas-2.0.4_1
-libp8-platform.so.2 p8-platform-2.1.0.1_1
-libOIS.so.1.5.0 ois-1.5_1
-libSILLY.so.1 silly-0.1.0_1
-libkeybinder-3.0.so.0 libkeybinder3-0.3.0_1
-libbrlapi.so.0.8 brltty-6.1_1
-liblouis.so.20 liblouis-3.11.0_1
-libCEGUIBase-0.7.9.so cegui07-0.7.9_1
-libCEGUIFalagardWRBase-0.7.9.so cegui07-0.7.9_1
-libCEGUIDevILImageCodec-0.7.9.so cegui07-0.7.9_1
-libCEGUIExpatParser-0.7.9.so cegui07-0.7.9_1
-libCEGUIOpenGLRenderer-0.7.9.so cegui07-0.7.9_1
-libCEGUIIrrlichtRenderer-0.7.9.so cegui07-0.7.9_1
-libCEGUILibxmlParser-0.7.9.so cegui07-0.7.9_1
-libCEGUILuaScriptModule-0.7.9.so cegui07-0.7.9_1
-libCEGUISILLYImageCodec-0.7.9.so cegui07-0.7.9_1
-libCEGUISTBImageCodec-0.7.9.so cegui07-0.7.9_1
-libCEGUIFreeImageImageCodec-0.7.9.so cegui07-0.7.9_3
-libCEGUITGAImageCodec-0.7.9.so cegui07-0.7.9_1
-libCEGUITinyXMLParser-0.7.9.so cegui07-0.7.9_1
-libCEGUItoluapp-0.7.9.so cegui07-0.7.9_1
-libCEGUIBase-0.so.2 cegui-0.8.7_1
-libCEGUIOpenGLRenderer-0.so.2 cegui-0.8.7_1
-libCEGUIOgreRenderer-0.so.2 cegui-0.8.7_1
-libCEGUIIrrlichtRenderer-0.so.2 cegui-0.8.7_1
-libCEGUICommonDialogs-0.so.2 cegui-0.8.7_1
-libCEGUICoreWindowRendererSet.so cegui-0.8.7_1
-libCEGUIDevILImageCodec.so cegui-0.8.7_1
-libCEGUIExpatParser.so cegui-0.8.7_1
-libCEGUILibXMLParser.so cegui-0.8.7_1
-libCEGUISILLYImageCodec.so cegui-0.8.7_1
-libct.so.4 freetds-0.95.19_1
-libsybdb.so.5 freetds-0.95.19_1
-libqqwing.so.2 qqwing-1.3.4_1
-libiniparser.so.1 iniparser-4.1_1
-libzita-resampler.so.1 zita-resampler-1.3.0_1
-libmlt.so.6 mlt-6.4.1_1
-libmlt++.so.3 mlt-6.4.1_1
-libunibilium.so.4 unibilium-2.0.0_1
-libtermkey.so.1 libtermkey-0.17_1
-libicu4lua.so.0 icu4lua-0.2B_1
-libKF5I18n.so.5 ki18n-5.26.0_1
-libglog.so.0 glog-0.3.4_1
-libzita-convolver.so.4 zita-convolver-4.0.3_1
-libzita-alsa-pcmi.so.0 zita-alsa-pcmi-0.2.0_1
-libpugixml.so.1 pugixml-1.6_1
-libnewt.so.0.52 newt-0.52.18_1
-libgeany.so.0 geany-1.25_1
-libctpl.so.2 ctpl-0.3.4_1
-libmuparser.so.2 muparser-2.2.5_1
-libgtkgl-2.0.so.1 gtkglarea-2.1.0_1
-libdwarf.so.1 libdwarf-20160613_1
-libmemcached.so.11 libmemcached-1.0.18_1
-libhashkit.so.2 libmemcached-1.0.18_1
-libmemcachedutil.so.2 libmemcached-1.0.18_1
-libc-client.so.1 c-client-2007f_4
-libonig.so.5 oniguruma-6.8.1_1
-liblo10k1.so.0 alsa-tools-1.0.29_1
-libgflags.so.2.2 gflags-2.1.2_1
-libgflags_nothreads.so.2.2 gflags-2.1.2_1
-libswmhack.so.0.0 spectrwm-2.7.2_1
-libchardet.so.1 libchardet-1.0.4_1
-libcollectdclient.so.1 libcollectdclient-5.12.0_3
-libpinktrace_0.9.so.9 pinktrace-0.9.1_1
-libsyd_1.0.so.0 sydbox-1.0.2_1
-libcsync.so.0 csync-0.50.0_1
-libcalligrasheetsodf.so.17 calligra-sheets-3.2.0_1
-libkokross.so.17 calligra-libs-3.2.1_3
-libkotext.so.17 calligra-libs-3.2.0_1
-libkoodf.so.17 calligra-libs-3.2.0_1
-libkarbonui.so.17 calligra-karbon-3.2.0_1
-libkomain.so.17 calligra-libs-3.2.0_1
-libkowidgets.so.17 calligra-libs-3.2.0_1
-libflake.so.17 calligra-libs-3.2.0_1
-libcalligrasheetscommon.so.17 calligra-sheets-3.2.0_1
-libkovectorimage.so.17 calligra-libs-3.2.0_1
-libwordsprivate.so.17 calligra-words-3.2.0_1
-libkotextlayout.so.17 calligra-libs-3.2.0_1
-libkowidgetutils.so.17 calligra-libs-3.2.0_1
-libkundo2.so.17 calligra-libs-3.2.0_1
-libpigmentcms.so.17 calligra-libs-3.2.0_1
-libbasicflakes.so.17 calligra-libs-3.2.0_1
-libkoplugin.so.17 calligra-libs-3.2.0_1
-libkoversion.so.17 calligra-libs-3.2.0_1
-libkopageapp.so.17 calligra-libs-3.2.0_1
-libkostore.so.17 calligra-libs-3.2.0_1
-libkomsooxml.so.17 calligra-filters-3.2.0_1
-libkoodf2.so.17 calligra-filters-3.2.0_1
-libkowv2.so.9 calligra-filters-2.9.7_1
-libRtfReader.so.17 calligra-filters-3.2.0_1
-libkoodfreader.so.17 calligra-filters-3.2.0_1
-libkoformula.so.17 calligra-plugins-3.2.0_1
-libkarboncommon.so.17 calligra-karbon-3.2.0_1
-libcalligrastageprivate.so.17 calligra-stage-3.2.0_1
-libkookularGenerator_odt.so.17 calligra-extras-3.2.0_1
-libkookularGenerator_odp.so.17 calligra-extras-3.2.0_1
-libgemini.so.17 calligra-gemini-3.2.0_1
-libarpack.so.2 arpack-ng-3.3.0_2
-libfts.so.0 musl-fts-1.2_2
-libobstack.so.1 musl-obstack-1.2.1_1
-libucontext.so.1 libucontext-1.0_1
-libucontext_posix.so.1 libucontext-1.0_1
-libgavl.so.1 gavl-1.40_1
-libmxml.so.1 mxml-2.9_1
-libKF5Pty.so.5 kpty-5.26.0_1
-libdovecot-sieve.so.0 dovecot-plugin-pigeonhole-0.4.9_2
-libi3ipc-glib-1.0.so.0 i3ipc-glib-0.6.0_1
-libcsound64.so.6.0 csound-6.05.0_1
-libcsnd6.so.6.0 csound-6.05.0_1
-libfko.so.3 libfko-2.6.9_1
-libvterm.so.0 libvterm-0.0.20151005_1
-libboinc_opencl.so.7 boinc-7.16.16_2
-libboinc_api.so.7 boinc-7.16.16_2
-libboinc_graphics2.so.7 boinc-7.16.16_2
-libsynfig.so.0 synfig-1.0.1_1
-libhidapi-hidraw.so.0 hidapi-0.8.0rc1_1
-libhidapi-libusb.so.0 hidapi-0.8.0rc1_1
-libu2f-host.so.0 libu2f-host-1.1.10_5
-libu2f-server.so.0 libu2f-server-1.1.0_9
-libsqlcipher.so.0 sqlcipher-4.3.0_3
-libgta.so.1 libgta-1.2.0_1
-libgdal.so.26 libgdal-3.0.4_9
-libosgViewer.so.131 osg-3.4.1_1
-libosgShadow.so.131 osg-3.4.1_1
-libosgParticle.so.131 osg-3.4.1_1
-libOpenThreads.so.20 osg-3.4.1_1
-libosgFX.so.131 osg-3.4.1_1
-libosgText.so.131 osg-3.4.1_1
-libosgUI.so.131 osg-3.4.1_1
-libosg.so.131 osg-3.4.1_1
-libosgAnimation.so.131 osg-3.4.1_1
-libosgDB.so.131 osg-3.4.0_1
-libosgManipulator.so.131 osg-3.4.1_1
-libosgSim.so.131 osg-3.4.1_1
-libosgTerrain.so.131 osg-3.4.1_1
-libosgWidget.so.131 osg-3.4.1_1
-libosgQt.so.131 osg-3.4.1_1
-libosgUtil.so.131 osg-3.4.1_1
-libosgVolume.so.131 osg-3.4.1_1
-libosgGA.so.131 osg-3.4.1_1
-libosgPresentation.so.131 osg-3.4.1_1
-libKF5Screen.so.7 libkscreen-5.7.5_1
-libdbusmenu-qt5.so.2 libdbusmenu-qt5-0.9.3.0_1
-libKF5Solid.so.5 libksolid-5.15.0_2
-libfreeimage.so.3 freeimage-3.17.0_1
-libfreeimageplus.so.3 freeimage-plus-3.17.0_1
-libtoluapp.so toluapp-1.0.93_1
-libmpd.so.1 libmpd-11.8.17_1
-libfa.so.1 augeas-1.4.0_1
-libaugeas.so.0 augeas-1.4.0_1
-libplot.so.2 plotutils-2.6_1
-libfloatfann.so.2 fann-2.2.0_1
-libfixedfann.so.2 fann-2.2.0_1
-libfann.so.2 fann-2.2.0_1
-libdoublefann.so.2 fann-2.2.0_1
-libxerces-c-3.2.so libxerces-c-3.2.0_1
-libunibreak.so.3 libunibreak-4.0_1
-libgconfmm-2.6.so.1 gconfmm-2.28.3_1
-libiperf.so.0 iperf3-3.1.1_1
-libKF5UnitConversion.so.5 kunitconversion-5.26.0_1
-libfdk-aac.so.2 fdk-aac-2.0.0_1
-libyubikey.so.0 libyubikey-1.13_1
-libykpers-1.so.1 libykpers-1.17.2_1
-libg7221codec.so.2 pjproject-2.8_5
-libilbccodec.so.2 pjproject-2.8_5
-libpj.so.2 pjproject-2.8_5
-libpjlib-util.so.2 pjproject-2.8_5
-libpjmedia-audiodev.so.2 pjproject-2.8_5
-libpjmedia-codec.so.2 pjproject-2.8_5
-libpjmedia-videodev.so.2 pjproject-2.8_5
-libpjmedia.so.2 pjproject-2.8_5
-libpjnath.so.2 pjproject-2.8_5
-libpjsip-simple.so.2 pjproject-2.8_5
-libpjsip-ua.so.2 pjproject-2.8_5
-libpjsip.so.2 pjproject-2.8_5
-libpjsua.so.2 pjproject-2.8_5
-libpjsua2.so.2 pjproject-2.8_5
-libhdf5_hl.so.100 hdf5-1.10.1_2
-libhdf5.so.103 hdf5-1.10.4_1
-libhdf5_hl_cpp.so.100 hdf5-1.10.1_2
-libhdf5_cpp.so.103 hdf5-1.10.4_1
-libhdf5hl_fortran.so.100 hdf5-1.10.1_2
-libhdf5_fortran.so.102 hdf5-1.10.5_1
-libcryptmount.so.0 libpam-mount-2.15_1
-libglob.so.0 libglob-1.0_1
-libepub.so.0 ebook-tools-0.2.2_1
-libosmgpsmap-1.0.so.1 libosmgpsmap-1.1.0_1
-libtspi.so.1 trousers-0.3.14_11
-libflickcurl.so.0 flickcurl-1.26_1
-libpsiconv.so.6 psiconv-0.9.9_1
-libshout.so.3 libshout-2.4.1_1
-libfirm.so.1.22 libfirm-1.22.0_1
-libaudiofile.so.1 audiofile-0.3.6_1
-libbs2b.so.0 libbs2b-3.1.0_1
-libmunge.so.2 munge-libs-0.5.14_3
-libmgba.so.0.8 libmgba-0.8.1_1
-libglabels-3.0.so.8 libglabels30-3.2.1_1
-libglbarcode-3.0.so.0 libglabels30-3.2.1_1
-libjim.so.0.80 jimtcl-0.80_1
-libftdi1.so.2 libftdi1-1.2_1
-libax25.so.0 libax25-0.0.12rc4_1
-libax25io.so.0 libax25-0.0.12rc4_1
-libmill.so.18 libmill-1.14_1
-libges-1.0.so.0 gst1-editing-services-1.6.2_1
-libykneomgr.so.0 libykneomgr-0.1.8_1
-libopenshot-audio.so.7 libopenshot-audio-0.2.0_1
-libopenshot.so.19 libopenshot-0.2.5_3
-libpqxx-6.3.so libpqxx-6.3.3_1
-libndpi.so.1 ndpi-1.6_1
-liblog.so android-studio-3.0.1_1
-libm.so android-studio-3.0.1_1
-libdl.so android-studio-3.0.1_1
-libKF5WidgetsAddons.so.5 kwidgetsaddons-5.26.0_1
-libsearpc.so.1 libsearpc-3.0.7_1
-libseafile.so.0 seafile-libclient-7.0.10_2
-libpodofo.so.0.9.7 libpodofo-0.9.7_2
-libIrcUtil.so.3 libcommuni-3.4.0_1
-libIrcCore.so.3 libcommuni-3.4.0_1
-libIrcModel.so.3 libcommuni-3.4.0_1
-libp2edrvmagick++.so.0 libpstoedit-3.70_1
-libp2edrvstd.so.0 libpstoedit-3.70_1
-libpstoedit.so.0 libpstoedit-3.70_1
-libtolua.so tolua-5.2.0_1
-libhwloc.so.15 libhwloc-2.0.4_1
-libnetfilter_cttimeout.so.1 libnetfilter_cttimeout-1.0.0_1
-libnetfilter_cthelper.so.0 libnetfilter_cthelper-1.0.0_1
-libnetfilter_queue.so.1 libnetfilter_queue-1.0.2_1
-libfilezilla.so.12 libfilezilla-0.27.1_1
-libtommath.so.1 libtommath-1.0_1
-libKF5ItemViews.so.5 kitemviews-5.26.0_1
-libunicorn.so.1 unicorn-1.0_1
-libglyphy.so.0 glyphy-0.0.20160104_1
-libSwiften.so.0 swiften-4.0.3_2
-libfreehand-0.1.so.1 libfreehand-0.1.1_1
-libe-book-0.1.so.1 libe-book-0.1.2_1
-libOsi.so.1 CoinMP-1.8.3_1
-libClp.so.1 CoinMP-1.8.3_1
-libCoinMP.so.1 CoinMP-1.8.3_1
-libOsiCbc.so.3 CoinMP-1.8.3_1
-libCoinUtils.so.3 CoinMP-1.8.3_1
-libClpSolver.so.1 CoinMP-1.8.3_1
-libCgl.so.1 CoinMP-1.8.3_1
-libOsiClp.so.1 CoinMP-1.8.3_1
-libCbc.so.3 CoinMP-1.8.3_1
-libOsiCommonTests.so.1 CoinMP-1.8.3_1
-libCbcSolver.so.3 CoinMP-1.8.3_1
-libmwaw-0.3.so.3 libmwaw-0.3.7_1
-libixion-0.16.so.0 libixion-0.16.1_1
-liborcus-parser-0.16.so.0 liborcus-0.16.1_1
-liborcus-mso-0.16.so.0 liborcus-0.16.1_1
-liborcus-0.16.so.0 liborcus-0.16.1_1
-liborcus-spreadsheet-model-0.16.so.0 liborcus-0.16.1_1
-libnumbertext-1.0.so.0 libnumbertext-1.0.4_1
-libGeneratedSaxParser.so opencollada-0.0.20160223_1
-libMathMLSolver.so opencollada-0.0.20160223_1
-libOpenCOLLADABaseUtils.so opencollada-0.0.20160223_1
-libOpenCOLLADAFramework.so opencollada-0.0.20160223_1
-libOpenCOLLADASaxFrameworkLoader.so opencollada-0.0.20160223_1
-libOpenCOLLADAStreamWriter.so opencollada-0.0.20160223_1
-leatherman_util.so.1.12.4 leatherman-1.12.4_1
-leatherman_locale.so.1.12.4 leatherman-1.12.4_1
-leatherman_logging.so.1.12.4 leatherman-1.12.4_1
-leatherman_json_container.so.1.12.4 leatherman-1.12.4_1
-leatherman_file_util.so.1.12.4 leatherman-1.12.4_1
-leatherman_curl.so.1.12.4 leatherman-1.12.4_1
-leatherman_dynamic_library.so.1.12.4 leatherman-1.12.4_1
-leatherman_execution.so.1.12.4 leatherman-1.12.4_1
-leatherman_ruby.so.1.12.4 leatherman-1.12.4_1
-libUTF.so opencollada-0.0.20160223_1
-libbuffer.so opencollada-0.0.20160223_1
-libftoa.so opencollada-0.0.20160223_1
-libzlib.so opencollada-1.6.51_1
-libfbclient.so.2 libfbclient3-3.0.4.33054_1
-libipmiutil.so.1 ipmiutil-3.1.3_4
-libqxmpp.so.3 qxmpp-1.2.0_1
-libunwind.so.1 llvm-libunwind-3.8.0_1
-libc++abi.so.1 libcxxabi-3.8.0_1
-libfastjson.so.4 libfastjson-0.99.3_1
-libdcadec.so.0 dcadec-0.2.0_1
-libcmark.so.0 cmark-0.24.1_1
-libspotify.so.12 libspotify-12.1.51_1
-libvidstab.so.1.1 libvidstab-1.1.0_1
-libxdo.so.3 xdotool-3.20150503.1_1
-libabigail.so.0 libabigail-1.0.rc3_1
-libgnome-games-support-1.so.3 libgnome-games-support-1.4.0_1
-libKDevCMakeCommon.so.34 kdevelop-5.6.0_1
-libKDevClangPrivate.so.34 kdevelop-5.6.0_1
-libKDevCompileAnalyzerCommon.so.34 kdevelop-5.6.0_1
-libKDevPlatformDebugger.so.56 kdevelop-5.6.0_1
-libKDevPlatformDocumentation.so.56 kdevelop-5.6.0_1
-libKDevPlatformInterfaces.so.56 kdevelop-5.6.0_1
-libKDevPlatformLanguage.so.56 kdevelop-5.6.0_1
-libKDevPlatformOutputView.so.56 kdevelop-5.6.0_1
-libKDevPlatformProject.so.56 kdevelop-5.6.0_1
-libKDevPlatformSerialization.so.56 kdevelop-5.6.0_1
-libKDevPlatformShell.so.56 kdevelop-5.6.0_1
-libKDevPlatformSublime.so.56 kdevelop-5.6.0_1
-libKDevPlatformTests.so.56 kdevelop-5.6.0_1
-libKDevPlatformUtil.so.56 kdevelop-5.6.0_1
-libKDevPlatformVcs.so.56 kdevelop-5.6.0_1
-libts.so.0 tslib-1.6_1
-libobs.so.0 obs-0.14.1_2
-libobsglad.so.0 obs-0.14.1_2
-libobs-opengl.so.0 obs-0.14.1_2
-libobs-frontend-api.so.0 obs-20.1.3_1
-libzimg.so.2 zimg-2.0.4_1
-libvapoursynth.so vapoursynth-R32_2
-libvapoursynth-script.so.0 vapoursynth-R32_1
-libtwolame.so.0 twolame-0.3.13_1
-libsignon-plugins.so.1 signond-8.58_1
-libsignon-qt5.so.1 signond-8.58_1
-libsignon-plugins-common.so.1 signond-8.58_1
-libsignon-extension.so.1 signond-8.58_1
-libj4status-plugin.so.0 j4status-0.1_1
-libvirglrenderer.so.1 virglrenderer-0.5.0_1
-libglpk.so.40 glpk-4.60_1
-libipmimonitoring.so.6 freeipmi-1.5.7_1
-libipmiconsole.so.2 freeipmi-1.5.1_1
-libfreeipmi.so.17 freeipmi-1.5.1_1
-libipmidetect.so.0 freeipmi-1.5.1_1
-libsmpeg-0.4.so.0 smpeg-0.4.5_3
-libsmpeg2-2.0.so.0 smpeg2-2.0.0_1
-libedac.so.1 libedac-0.18_1
-libxlsreader.so.8 libxls-1.6.1_1
-libR.so R-4.0.2_1
-libmarkdown.so.2 discount-2.2.0_3
-libkeystone.so.0 keystone-0.9_1
-libmate-slab.so.0 libmate-control-center-1.14.0_2
-libuev.so.2 libuev-2.0.0_1
-liburcu-bp.so.6 liburcu-0.10.0_1
-liburcu-cds.so.6 liburcu-0.10.0_1
-liburcu-common.so.6 liburcu-0.10.0_1
-liburcu-mb.so.6 liburcu-0.10.0_1
-liburcu-qsbr.so.6 liburcu-0.10.0_1
-liburcu-signal.so.6 liburcu-0.10.0_1
-liburcu.so.6 liburcu-0.10.0_1
-liblttng-ust.so.0 lttng-ust-2.7.2_1
-liblttng-ust-ctl.so.4 lttng-ust-2.10.0_1
-liblttng-ust-fork.so.0 lttng-ust-2.7.2_1
-liblttng-ust-fd.so.0 lttng-ust-2.10.0_1
-liblttng-ust-libc-wrapper.so.0 lttng-ust-2.7.2_1
-liblttng-ust-pthread-wrapper.so.0 lttng-ust-2.7.2_1
-liblttng-ust-cyg-profile.so.0 lttng-ust-2.7.2_1
-liblttng-ust-cyg-profile-fast.so.0 lttng-ust-2.7.2_1
-liblttng-ust-dl.so.0 lttng-ust-2.7.2_1
-liblttng-ust-tracepoint.so.0 lttng-ust-2.7.2_1
-libbabeltrace.so.1 babeltrace-1.5.3_1
-libbabeltrace-ctf.so.1 babeltrace-1.5.3_1
-libbabeltrace-ctf-text.so.1 babeltrace-1.5.3_1
-libbabeltrace-ctf-metadata.so.1 babeltrace-1.5.3_1
-libbabeltrace-dummy.so.1 babeltrace-1.5.3_1
-libbabeltrace-lttng-live.so.1 babeltrace-1.5.3_1
-liblttng-ctl.so.0 lttng-tools-2.10.1_1
-libKF5DNSSD.so.5 kdnssd-5.26.0_1
-libtwaindsm.so.2 twaindsm-2.3.0_1
-libspnav.so.0 libspnav-0.2.3_1
-libsimage.so.20 simage-1.7.0_1
-libCoin.so.80 coin3-4.0.0_1
-libgl2ps.so.1 gl2ps-1.3.9_1
-libKF5CoreAddons.so.5 kcoreaddons-5.26.0_1
-librpmatch.so.0 musl-rpmatch-1.0_1
-libmilter.so.1.0.2 libmilter-1.0.2_1
-libopendkim.so.10 opendkim-2.10.3_12
-libtevent.so.0 tevent-0.9.28_1
-libldb.so.2 ldb-2.2.0_1
-libpyldb-util.so.2 libpyldb-util-2.2.0_1
-libpath_utils.so.1 ding-libs-0.5.0_1
-libdhash.so.1 ding-libs-0.5.0_1
-libcollection.so.4 ding-libs-0.5.0_1
-libref_array.so.1 ding-libs-0.5.0_1
-libbasicobjects.so.0 ding-libs-0.5.0_1
-libini_config.so.5 ding-libs-0.5.0_1
-libipa_hbac.so.0 sssd-2.4.0_3
-libsss_idmap.so.0 sssd-2.4.0_3
-libnss_sss.so.2 sssd-2.4.0_3
-libsss_nss_idmap.so.0 sssd-2.4.0_3
-libsss_simpleifp.so.0 sssd-2.4.0_3
-libsss_certmap.so.0 sssd-2.4.0_3
-libsss_util.so sssd-2.4.0_3
-libsss_crypt.so sssd-2.4.0_3
-libsss_debug.so sssd-2.4.0_3
-libforms.so.2 xforms-1.2.4_2
-libflimage.so.2 xforms-1.2.4_2
-libutilspp.so.0 curlpp-0.7.3_2
-libcurlpp.so.1 curlpp-0.8.1_1
-libtcd.so.1 libtcd-2.2.7.r2_1
-libaccounts-glib.so.1 libaccounts-glib-1.24_1
-libaccounts-qt5.so.1 libaccounts-qt5-1.14_1
-libshotwell-plugin-dev-1.0.so.0 shotwell-0.30.0_1
-libshotwell-plugin-common.so.0 shotwell-0.30.0_1
-libshotwell-authenticator.so.0 shotwell-0.30.0_1
-liballegro.so.5.2 allegro5-5.2.1_1
-liballegro_primitives.so.5.2 allegro5-5.2.1_1
-liballegro_image.so.5.2 allegro5-5.2.1_1
-liballegro_font.so.5.2 allegro5-5.2.1_1
-liballegro_audio.so.5.2 allegro5-5.2.1_1
-liballegro_acodec.so.5.2 allegro5-5.2.1_1
-liballegro_ttf.so.5.2 allegro5-5.2.1_1
-liballegro_color.so.5.2 allegro5-5.2.1_1
-liballegro_memfile.so.5.2 allegro5-5.2.1_1
-liballegro_physfs.so.5.2 allegro5-5.2.1_1
-liballegro_video.so.5.2 allegro5-5.2.1_1
-liballegro_main.so.5.2 allegro5-5.2.1_1
-liballegro_dialog.so.5.2 allegro5-5.2.1_1
-libKF5DBusAddons.so.5 kdbusaddons-5.26.0_1
-libsystemsettingsview.so.3 systemsettings-5.11.5_2
-libmono-profiler-cov.so.0 mono-4.0.1.44_2
-libmono-profiler-aot.so.0 mono-4.0.1.44_2
-libmono-profiler-iomap.so.0 mono-4.0.1.44_2
-libmono-profiler-log.so.0 mono-4.0.1.44_2
-libikvm-native.so mono-4.0.1.44_2
-libMonoPosixHelper.so mono-4.0.1.44_2
-libMonoSupportW.so mono-4.0.1.44_2
-libmono-btls-shared.so mono-5.2.0.215_1
-libxcb-xrm.so.0 xcb-util-xrm-1.0_1
-libinchi.so.0 openbabel-2.3.2_1
-libopenbabel.so.5 openbabel-2.4.1_1
-libcourier-unicode.so.7 courier-unicode-2.2.2_1
-libzstd.so.1 libzstd-1.0.0_1
-libudis86.so.0 udis86-1.7.2_4
-libsass.so.1 libsass-3.5.0_1
-libjbig.so.0 jbigkit-libs-2.1_2
-libjbig85.so.0 jbigkit-libs-2.1_2
-libskk.so.0 libskk-1.0.2_1
-libKF5WaylandServer.so.5 kwayland-5.26.0_1
-libKF5WaylandClient.so.5 kwayland-5.26.0_1
-libKF5IdleTime.so.5 kidletime-5.26.0_1
-libKF5Archive.so.5 karchive-5.26.0_1
-libKF5Codecs.so.5 kcodecs-5.26.0_1
-libKF5ConfigCore.so.5 kconfig-5.26.0_1
-libKF5ConfigGui.so.5 kconfig-5.26.0_1
-libKF5Completion.so.5 kcompletion-5.26.0_1
-libKF5Crash.so.5 kcrash-5.26.0_1
-libKF5ConfigWidgets.so.5 kconfigwidgets-5.26.0_1
-libKF5Service.so.5 kservice-5.26.0_1
-libKF5GlobalAccel.so.5 kglobalaccel-5.26.0_1
-libKF5GlobalAccelPrivate.so.5 kglobalaccel-5.26.0_1
-libKF5Package.so.5 kpackage-5.26.0_1
-libKF5Su.so.5 kdesu-5.26.0_1
-libKF5Emoticons.so.5 kemoticons-5.26.0_1
-libKF5IconThemes.so.5 kiconthemes-5.26.0_1
-libKF5JobWidgets.so.5 kjobwidgets-5.26.0_1
-libKF5Notifications.so.5 knotifications-5.26.0_1
-libKF5TextWidgets.so.5 ktextwidgets-5.26.0_1
-libKF5Wallet.so.5 kwallet-5.26.0_1
-libkwalletbackend5.so.5 kwallet-5.36.0_1
-libKF5XmlGui.so.5 kxmlgui-5.26.0_1
-libKF5Bookmarks.so.5 kbookmarks-5.26.0_1
-libKF5KIOWidgets.so.5 kio-5.26.0_1
-libKF5KIOCore.so.5 kio-5.26.0_1
-libKF5KIOFileWidgets.so.5 kio-5.26.0_1
-libKF5KIOGui.so.5 kio-5.36.0_1
-libKF5KIONTLM.so.5 kio-5.36.0_1
-libKF5Declarative.so.5 kdeclarative-5.26.0_1
-libKF5QuickAddons.so.5 kdeclarative-5.26.0_1
-libKF5CalendarEvents.so.5 kdeclarative-5.26.0_1
-libKF5KCMUtils.so.5 kcmutils-5.26.0_1
-libKF5Style.so.5 frameworkintegration-5.26.0_1
-libkdeinit5_klauncher.so kinit-5.26.0_1
-libKF5NewStuff.so.5 knewstuff-5.26.0_1
-libKF5NewStuffCore.so.5 knewstuff-5.36.0_1
-libKF5NotifyConfig.so.5 knotifyconfig-5.26.0_1
-libKF5Parts.so.5 kparts-5.26.0_1
-libKF5Activities.so.5 kactivities5-5.26.0_1
-libkdeinit5_kded5.so kded-5.26.0_1
-libKF5WebKit.so.5 kdewebkit-5.26.0_1
-libKF5TextEditor.so.5 ktexteditor-5.26.0_1
-libKF5Plasma.so.5 plasma-framework-5.26.0_1
-libKF5PlasmaQuick.so.5 plasma-framework-5.26.0_1
-libKF5ModemManagerQt.so.6 modemmanager-qt5-5.26.0_1
-libKF5People.so.5 kpeople-5.26.0_1
-libKF5PeopleBackend.so.5 kpeople-5.36.0_1
-libKF5PeopleWidgets.so.5 kpeople-5.36.0_1
-libKF5XmlRpcClient.so.5 kxmlrpcclient-5.26.0_1
-libKF5BluezQt.so.6 bluez-qt5-5.26.0_1
-libKF5FileMetaData.so.3 kfilemetadata5-5.26.0_1
-libKF5Baloo.so.5 baloo5-5.26.0_1
-libKF5BalooEngine.so.5 baloo5-5.26.0_1
-libKF5ActivitiesStats.so.1 kactivities5-stats-5.26.0_1
-libKF5Runner.so.5 krunner-5.26.0_1
-libKF5JS.so.5 kjs-5.26.0_1
-libKF5JSApi.so.5 kjs-5.36.0_1
-libKF5KDELibs4Support.so.5 kdelibs4support-5.26.0_1
-libKF5KHtml.so.5 khtml-5.26.0_1
-libKF5JsEmbed.so.5 kjsembed-5.26.0_1
-libKF5KrossCore.so.5 kross-5.26.0_1
-libKF5KrossUi.so.5 kross-5.36.0_1
-liblmdb.so.0 lmdb-0.9.18_2
-libisns.so.0 libisns-0.101_2
-libz80ex.so.1 z80ex-1.1.21_1
-libz80ex_dasm.so.1 z80ex-1.1.21_1
-libqmmp.so.1 qmmp-1.1.4_1
-libqmmpui.so.1 qmmp-1.1.4_1
-libalkimia5.so.8 libalkimia-8.0.1_1
-libpayeeidentifier_iban_bic_widgets.so.5 kmymoney-5.0.0_1
-libkmm_plugin.so.5 kmymoney-5.0.0_1
-libkmm_widgets.so.5 kmymoney-5.0.0_1
-libkmm_mymoney.so.5 kmymoney-5.0.0_1
-libpayeeidentifier_nationalAccount.so.5 kmymoney-5.0.0_1
-libpayeeidentifier_iban_bic.so.5 kmymoney-5.0.0_1
-libkmm_payeeidentifier.so.5 kmymoney-5.0.0_1
-libKDb3.so.4 kdb-3.1.0_1
-libKPropertyWidgets3.so.4 kproperty-3.1.0_1
-libKPropertyCore3.so.4 kproperty-3.1.0_1
-libKReport3.so.4 kreport-3.1.0_1
-libbotan-2.so.16 botan-2.16.0_3
-libswipl.so.8 swi-prolog-8.2.4_2
-libpcre2-16.so.0 libpcre2-10.22_1
-libpcre2-32.so.0 libpcre2-10.22_1
-libpcre2-8.so.0 libpcre2-10.22_1
-libpcre2-posix.so.2 libpcre2-10.30_1
-libui.so.0 libui-alpha3.1_1
-libgnome-autoar-0.so.0 gnome-autoar-0.1.1_1
-libgnome-autoar-gtk-0.so.0 gnome-autoar-0.1.1_1
-libxapp.so.1 xapps-1.0.2_1
-libite.so.5 libite-2.0.1_1
-liblog4cplus-1.2.so.5 log4cplus-1.2.0_1
-liblog4cplus-2.0.so.3 log4cplus-2.0.0_1
-liblog4cplusU-2.0.so.3 log4cplus-2.0.3_1
-libpng12.so.0 libpng12-1.2.56_2
-libpng.so.3 libpng12-1.2.56_2
-libcapnpc-0.8.0.so capnproto-0.8.0_1
-libcapnp-json-0.8.0.so capnproto-0.8.0_1
-libcapnp-rpc-0.8.0.so capnproto-0.8.0_1
-libcapnp-0.8.0.so capnproto-0.8.0_1
-libkj-http-0.8.0.so capnproto-0.8.0_1
-libkj-async-0.8.0.so capnproto-0.8.0_1
-libkj-test-0.8.0.so capnproto-0.8.0_1
-libkj-0.8.0.so capnproto-0.8.0_1
-libkea-asiodns.so.12 libkea-1.9.5_2
-libkea-asiolink.so.23 libkea-1.9.5_2
-libkea-cc.so.22 libkea-1.9.5_2
-libkea-cfgclient.so.22 libkea-1.9.5_2
-libkea-cryptolink.so.16 libkea-1.9.5_2
-libkea-database.so.21 libkea-1.9.5_2
-libkea-dhcp++.so.33 libkea-1.9.5_2
-libkea-dhcp_ddns.so.15 libkea-1.9.5_2
-libkea-dhcpsrv.so.43 libkea-1.9.5_2
-libkea-dns++.so.16 libkea-1.9.5_2
-libkea-eval.so.25 libkea-1.9.5_2
-libkea-exceptions.so.0 libkea-1.9.5_2
-libkea-hooks.so.31 libkea-1.9.5_2
-libkea-http.so.23 libkea-1.9.5_2
-libkea-log.so.18 libkea-1.9.5_2
-libkea-pgsql.so.18 libkea-1.9.5_2
-libkea-process.so.26 libkea-1.9.5_2
-libkea-stats.so.18 libkea-1.9.5_2
-libkea-util-io.so.0 libkea-1.9.5_2
-libkea-util.so.32 libkea-1.9.5_2
-libytnef.so.0 ytnef-1.8_1
-libpisock.so.9 pilot-link-0.12.5_1
-libpisync.so.1 pilot-link-0.12.5_1
-libpitcl.so.0 pilot-link-0.12.5_1
-libiscsi.so.9 libiscsi-1.19.0_1
-libgme.so.0 libgme-0.6.1_1
-libzmusic.so.1 ZMusic-1.1.2_1
-libzmusiclite.so.1 ZMusic-1.1.2_1
-libsidplayfp.so.6 libsidplayfp-2.1.0_1
-libstilview.so.0 libsidplayfp-1.8.7_1
-libczmq.so.4 czmq-4.0.1_1
-liblz.so.1 lzlib-1.8_1
-libelogind.so.0 libelogind-238.1_2
-libseat.so.1 libseat-0.3.0_1
-libnma.so.0 libnma-1.8.30_1
-libgspell-1.so.2 gspell-1.8.0_1
-libotf.so.1 libotf-0.9.16_1
-libimagequant.so.0 libimagequant-2.8.2_1
-libDOtherSide.so.0.7 dotherside-0.7.1_1
-libstlink.so.1 stlink-1.5.1_1
-libopencsg.so.1 opencsg-1.4.2_1
-libCGAL.so.13 cgal-4.10_1
-libCGAL_Core.so.13 cgal-4.10_1
-libCGAL_ImageIO.so.14 cgal-4.14_1
-libqscintilla2_qt5.so.15 qscintilla-qt5-2.11_1
-libQtAVWidgets.so.1 qtav-1.12.0_1
-libQtAV.so.1 qtav-1.12.0_1
-liblxpanel.so.0 lxpanel-0.9.3_1
-libuim.so.8 uim-1.8.6_1
-libuim-scm.so.0 uim-1.8.6_1
-libuim-custom.so.2 uim-1.8.6_1
-libgcroots.so.0 libgcroots-0.3.2_1
-libdecoration.so.0 compiz-core-0.8.14_1
-libcompizconfig.so.0 libcompizconfig-0.8.14_1
-libemeraldengine.so.0 emerald-0.8.14_1
-libhangul.so.1 libhangul-0.1.0_1
-libmutter-8.so.0 mutter-40.0_1
-libmutter-clutter-8.so.0 mutter-40.0_1
-libmutter-cogl-8.so.0 mutter-40.0_1
-libmutter-cogl-pango-8.so.0 mutter-40.0_1
-libgeoclue-2.so.0 geoclue2-2.4.4_1
-libgepub.so.0 libgepub-0.4_1
-libslopy.so.7.5 slop-7.5_1
-libbcunit.so.1 bcunit-3.0_1
-libzbar.so.0 libzbar-0.10_1
-libzbargtk.so.0 libzbar-0.10_1
-libzbarqt.so.0 libzbar-qt-0.10_10
-libargtable2.so.0 argtable-2.13_1
-libomxil-bellagio.so.0 libomxil-bellagio-0.9.3_1
-libomxdynamicloader.so.0 libomxil-bellagio-0.9.3_1
-libomxaudio_effects.so.0 libomxil-bellagio-0.9.3_1
-libomxclocksrc.so.0 libomxil-bellagio-0.9.3_1
-libomxvideosched.so.0 libomxil-bellagio-0.9.3_1
-libnss_libvirt_guest.so.2 libvirt-3.1.0_1
-libvirt-admin.so.0 libvirt-3.1.0_1
-libnss_libvirt.so.2 libvirt-3.1.0_1
-libassimp.so.5 libassimp-5.0.0_1
-libdouble-conversion.so.1 double-conversion-2.0.1_1
-libspectrum.so.8 libspectrum-1.2.2_1
-libbearssl.so.0 bearssl-0.3_1
-libXfont2.so.2 libXfont2-2.0.1_1
-libqalculate.so.21 libqalculate-3.0.0_1
-libweston-9.so.0 weston-9.0.0_1
-libostree-1.so.1 libostree-2020.8_2
-librhash.so.0 rhash-1.3.4_1
-libserialport.so.0 libserialport-0.1.1_1
-libsigrok.so.4 libsigrok-0.5.0_1
-libsigrokcxx.so.4 libsigrok-0.5.0_1
-libsigrokdecode.so.4 libsigrokdecode-0.5.0_2
-libglyr.so.1 glyr-1.0.8_1
-libPocoJSON.so.64 poco-1.9.4_3
-libPocoMongoDB.so.64 poco-1.9.4_3
-libPocoZip.so.64 poco-1.9.4_3
-libPocoData.so.64 poco-1.9.4_3
-libPocoNet.so.64 poco-1.9.4_3
-libPocoDataSQLite.so.64 poco-1.9.4_3
-libPocoFoundation.so.64 poco-1.9.4_3
-libPocoXML.so.64 poco-1.9.4_3
-libPocoUtil.so.64 poco-1.9.4_3
-libPocoRedis.so.64 poco-1.9.4_3
-libPocoEncodings.so.64 poco-1.9.4_3
-libPocoNetSSL.so.64 poco-1.9.4_3
-libPocoCrypto.so.64 poco-1.9.4_3
-libPtex.so ptex-2.3.2_1
-libopenblas.so.0 openblas-0.2.19_1
-librtaudio.so.6 rtaudio-5.1.0_1
-librtmidi.so.5 rtmidi-4.0.0_1
-libbiblesync.so.2.1.0 biblesync-2.1.0_1
-libbac-9.4.2.so bacula-common-9.4.2_4
-libbaccfg-9.4.2.so bacula-common-9.4.2_4
-libbacfind-9.4.2.so bacula-common-9.4.2_4
-libbacsql-9.4.2.so bacula-common-9.4.2_4
-libbaccats-9.4.2.so bacula-common-9.4.2_4
-libbacsd-9.4.2.so bacula-common-9.4.2_4
-libbaccats-sqlite3-9.4.2.so bacula-common-9.4.2_4
-libbaccats-postgresql-9.4.2.so bacula-common-postgresql-9.4.2_4
-libbaccats-mysql-9.4.2.so bacula-common-mariadb-9.4.2_4
-bpipe-fd.so bacula-fd-9.4.2_4
-libnftables.so.1 libnftables-0.9.1_1
-libbctoolbox.so.1 bctoolbox-0.6.0_1
-libortp.so.15 ortp-4.4.0_1
-libsuperlu.so.5 superlu-5.2.1_1
-libgosu.so.0 gosu-0.12.0_1
-libyara.so.8 libyara-4.1.0_1
-libyaz_icu.so.5 yaz-5.23.1_1
-libyaz.so.5 yaz-5.23.1_1
-libyaz_server.so.5 yaz-5.23.1_1
-libgcab-1.0.so.0 gcab-0.7_1
-libwpe-1.0.so.1 libwpe-1.10.0_1
-libWPEBackend-fdo-1.0.so.1 wpebackend-fdo-1.8.3_1
-libliveMedia.so.81 live555-2020.08.11_2
-libgroupsock.so.8 live555-2020.08.11_2
-libUsageEnvironment.so.3 live555-2020.08.11_2
-libBasicUsageEnvironment.so.1 live555-2020.08.11_2
-libappstream.so.4 AppStream-0.12.2_1
-libappstream-glib.so.8 appstream-glib-0.6.13_1
-libappstream-builder.so.8 appstream-glib-0.6.13_1
-libflatpak.so.0 flatpak-0.9.3_2
-libnanomsg.so.5 nanomsg-1.1.3_1
-libindicator3.so.7 libindicator-12.10.1_1
-libappindicator3.so.1 libappindicator-12.10.0_1
-libscanmem.so.1 libscanmem-0.17_5
-libsctp.so.1 lksctp-tools-1.0.17_1
-libwithsctp.so.1 lksctp-tools-1.0.17_1
-libnss_ldap.so.2 nss-pam-ldapd-0.9.7_4
-libunshield.so.0 libunshield-0.6_1
-libMyGUIEngine.so.3.4.0 libmygui-3.4.0_1
-libproj.so.18 proj-6.3.0_1
-libnlopt.so.0 nlopt-2.4.2_1
-libeb.so.16 libeb-4.3.3_1
-libchipcard.so.6 libchipcard-5.0.4_1
-libraqm.so.0 libraqm-0.2.0_1
-liboggz.so.2 liboggz-1.1.1_1
-libfishsound.so.1 libfishsound-1.0.0_1
-libxqilla.so.2 XQilla-2.3.4_1
-libKF5DocTools.so.5 kdoctools-5.36.0_1
-libKF5MediaPlayer.so.5 kmediaplayer-5.36.0_1
-libxo.so.0 libxo-0.9.0_1
-libbrotlicommon.so.1 brotli-1.0.2_1
-libbrotlidec.so.1 brotli-1.0.2_1
-libbrotlienc.so.1 brotli-1.0.2_1
-libfilteraudio.so filter_audio-0.0.1_1
-libgstreamermm-1.0.so.1 gstreamermm-1.8.0_1
-libmovit.so.8 movit-1.6.0_1
-libduktape.so.206 duktape-2.6.0_1
-libccgnu2-1.8.so.0 commoncpp2-1.8.1_1
-libccext2-1.8.so.0 commoncpp2-1.8.1_1
-libucommon.so.8 ucommon-7.0.0_1
-libusecure.so.8 ucommon-7.0.0_1
-libcommoncpp.so.8 ucommon-7.0.0_1
-libdatrie.so.1 libdatrie-0.2.10_1
-libthai.so.0 libthai-0.1.26_1
-libm17n-flt.so.0 m17n-lib-1.7.0_1
-libm17n-gui.so.0 m17n-lib-1.7.0_1
-libm17n-core.so.0 m17n-lib-1.7.0_1
-libm17n.so.0 m17n-lib-1.7.0_1
-libprotobuf-lite.so.26 libprotobuf26-lite-3.15.0_1
-libprotoc.so.26 libprotoc26-3.15.0_1
-libprotobuf.so.26 libprotobuf26-3.15.0_1
-libsombok.so.3 sombok-2.4.0_1
-libdeviceclient.so.0 pragha-1.3.3_1
-libguile-srfi-srfi-1-v-3.so.3 guile1.8-1.8.8_1
-libguile-srfi-srfi-4-v-3.so.3 guile1.8-1.8.8_1
-libguile-srfi-srfi-60-v-2.so.2 guile1.8-1.8.8_1
-libguile.so.17 guile1.8-1.8.8_1
-libguilereadline-v-17.so.17 guile1.8-1.8.8_1
-libguile-srfi-srfi-13-14-v-3.so.3 guile1.8-1.8.8_1
-libykclient.so.3 ykclient-2.15_1
-libbooster.so.0 cppcms-1.0.5_1
-libcppcms.so.1 cppcms-1.0.5_1
-libcppdb.so.0 cppdb-0.3.1_1
-libtracker-control-2.0.so.0 libtracker-2.0.0_1
-libtracker-sparql-2.0.so.0 libtracker-2.0.0_1
-libtracker-miner-2.0.so.0 libtracker-2.0.1_1
-libtracker-sparql-3.0.so.0 libtracker3-3.0.0_1
-libdockapp.so.3 libdockapp-0.7.2_1
-libkrdccore.so.5 krdc-17.04.3_1
-libArcus.so.3 libArcus-3.1.0_1
-libgutenprint.so.9 gutenprint-5.3.3_1
-libunbound.so.8 libunbound-1.13.1_2
-libmirage.so.11 libmirage-3.1.0_1
-libwkhtmltox.so.0 libwkhtmltopdf-0.12.5_1
-libsysprof-4.so sysprof-3.37.90_1
-libsysprof-ui-4.so sysprof-3.37.90_1
-libvala-0.50.so.0 libvala-0.50.0_1
-libvaladoc-0.50.so.0 libvaladoc-0.50.0_1
-libvalaccodegen.so libvala-0.44.0_1
-libphodav-2.0.so.0 phodav-2.2_1
-libgfshare.so.2 libgfshare-2.0.0_1
-libtacacs.so.1 tacacs-4.0.4.28_1
-libffms2.so.4 libffms2-2.23.1_1
-libddcutil.so.4 ddcutil-1.0.1_1
-liblsmash.so.2 liblsmash-2.9.1_1
-libgiac.so.0 libgiac-1.4.9r17_1
-libgnustep-base.so.1.27 gnustep-base-1.27.0_1
-libtermbox.so.1 termbox-1.1.0_1
-libmysofa.so.1 libmysofa-1.2_1
-libzinnia.so.0 libzinnia-0.06_1
-libdnet.so.1 libdnet-1.12_1
-libgtkd-3.so.0 gtkd-3.7.0_2
-libgtkdsv-3.so.0 libgtkdsv-3.7.0_2
-libvted-3.so.0 libvted-3.7.0_2
-libpeasd-3.so.0 libpeasd-3.7.0_2
-libgstreamerd-3.so.0 libgstreamerd-3.7.0_2
-libgtkdgl-3.so.0 libgtkdgl-3.7.0_2
-libmega.so.30703 MEGAsdk-3.7.3c_2
-libopenglrecorder.so.0 libopenglrecorder-0.1.0_1
-libgpod.so.4 libgpod-0.8.3_1
-libi2c.so.0 i2c-tools-4.0_1
-libmarisa.so.0 marisa-0.2.5_1
-libopencc.so.1.1 opencc-1.1.1_1
-librime.so.1 librime-1.2.9_1
-libIMECore.so.0 libime-1.0.5_1
-libIMEPinyin.so.0 libime-1.0.5_1
-libIMETable.so.0 libime-1.0.5_1
-libIMEJyutping.so.1 libime-jyutping-1.0.2_1
-libairspy.so.0 libairspy-1.0.9_1
-libKF5KDcraw.so.5 libkdcraw5-17.04.3_1
-libKF5Kipi.so.32.0.0 libkipi5-17.04.3_1
-libhackrf.so.0 libhackrf-2017.02.1_1
-libtecla.so.1 libtecla-1.6.3_1
-libtecla_r.so.1 libtecla-1.6.3_1
-libzim.so.6 libzim-6.0.1_1
-libkiwix.so.9 kiwix-lib-9.0.1_1
-libaria2.so.0 libaria2-1.35.0_3
-librpm.so.9 librpm-4.15.0_1
-librpmsign.so.9 librpmsign-4.15.0_1
-librpmbuild.so.9 librpmbuild-4.15.0_1
-librpmio.so.9 librpmio-4.15.0_1
-libsquirrel.so.0 squirrel-libs-3.1_1
-libsqstdlib.so.0 squirrel-libs-3.1_1
-libexecinfo.so.1 libexecinfo-1.1_1
-libkdeconnectpluginkcm.so.2 kdeconnect-20.12.2_1
-libkdeconnectinterfaces.so.21 kdeconnect-21.03.80_1
-libkdeconnectcore.so.21 kdeconnect-21.03.80_1
-libkpmcore.so.11 kpmcore-21.03.80_1
-libpkcs11-helper.so.1 pkcs11-helper-1.25.1_6
-libr_core.so.5.0.0 radare2-5.0.0_1
-libr_config.so.5.0.0 radare2-5.0.0_1
-libr_cons.so.5.0.0 radare2-5.0.0_1
-libr_util.so.5.0.0 radare2-5.0.0_1
-libr_flag.so.5.0.0 radare2-5.0.0_1
-libr_asm.so.5.0.0 radare2-5.0.0_1
-libr_bin.so.5.0.0 radare2-5.0.0_1
-libr_anal.so.5.0.0 radare2-5.0.0_1
-libr_lang.so.5.0.0 radare2-5.0.0_1
-libr_debug.so.5.0.0 radare2-5.0.0_1
-libr_egg.so.5.0.0 radare2-5.0.0_1
-libr_bp.so.5.0.0 radare2-5.0.0_1
-libr_search.so.5.0.0 radare2-5.0.0_1
-libr_io.so.5.0.0 radare2-5.0.0_1
-libr_hash.so.5.0.0 radare2-5.0.0_1
-libr_socket.so.5.0.0 radare2-5.0.0_1
-libr_parse.so.5.0.0 radare2-5.0.0_1
-libr_syscall.so.5.0.0 radare2-5.0.0_1
-libr_crypto.so.5.0.0 radare2-5.0.0_1
-libr_fs.so.5.0.0 radare2-5.0.0_1
-libr_magic.so.5.0.0 radare2-5.0.0_1
-libr_reg.so.5.0.0 radare2-5.0.0_1
-libykpiv.so.1 libykpiv-2.1.1_2
-libykcs11.so.1 libykcs11-2.1.1_2
-libKF5KExiv2.so.15.0.0 libkexiv25-17.04.3_1
-libqmobipocket.so.2 libqmobipocket-17.04.3_1
-libgloox.so.17 gloox-1.0.20_1
-libgsmsd.so.8 gammu-smsd-1.39.0_1
-libGammu.so.8 gammu-1.39.0_1
-libz3.so z3-4.6.0_2
-libngspice.so.0 ngspice-27_2
-libvulkan.so.1 vulkan-loader-1.0.57.0_1
-libembb_mtapi_cpp.so embb-1.0.0_3
-libembb_mtapi_c.so embb-1.0.0_3
-libembb_mtapi_network_c.so embb-1.0.0_3
-libembb_base_cpp.so embb-1.0.0_3
-libembb_base_c.so embb-1.0.0_3
-libhpdf-2.3.0.so Haru-2.3.0_3
-libKF5Contacts.so.5 kcontacts-5.63.0_1
-libKF5AkonadiPrivate.so.5 akonadi5-17.12.0_1
-libKF5AkonadiCore.so.5 akonadi5-17.12.0_1
-libKF5AkonadiAgentBase.so.5 akonadi5-17.12.0_1
-libKF5AkonadiWidgets.so.5 akonadi5-17.12.0_1
-libKF5AkonadiXml.so.5 akonadi5-17.12.0_1
-libKF5PimTextEdit.so.5 kpimtextedit-17.12.0_1
-libKF5IdentityManagement.so.5 kidentitymanagement-17.12.0_1
-libKChart.so.2 kdiagram-2.6.0_1
-libKGantt.so.2 kdiagram-2.6.0_1
-libscrypt.so.0 libscrypt-1.21_1
-libzuluCryptPluginManager.so.1.0.0 zulucrypt-5.2.0_1
-libzuluCrypt-exe.so.1.2.0 zulucrypt-5.2.0_1
-libzuluCrypt.so.1.2.0 zulucrypt-5.2.0_1
-libaacs.so.0 libaacs-0.9.0_1
-libttfautohint.so.1 ttfautohint-1.8.1_1
-libcob.so.4 gnucobol-libs-2.2_1
-libkrfbprivate.so.5.0 krfb-17.08.1_1
-libarcan_shmif.so.0.13 arcan-0.6.0_1
-libarcan_shmif_ext.so.0.13 arcan-0.6.0_1
-libarcan_shmif_server.so.0.13 arcan-0.6.0_1
-libarcan_tui.so.0.13 arcan-0.6.0_1
-libarcan_a12.so.0.1 arcan-0.6.0_1
-liblwipv6.so.2 lwipv6-1.5a_1
-libpipewire-0.2.so.1 libpipewire0.2-0.2.7_1
-libpipewire-0.3.so.0 libpipewire-0.3.6_1
-libvolk.so.2.2.1 volk-2.2.1_1
-libgnuradio-runtime.so.3.8.0 gnuradio-3.8.0.0_1
-libgnuradio-pmt.so.3.8.0 gnuradio-3.8.0.0_1
-libgnuradio-blocks.so.3.8.0 gnuradio-3.8.0.0_1
-libgnuradio-audio.so.3.8.0 gnuradio-3.8.0.0_1
-libgnuradio-fec.so.3.8.0 gnuradio-3.8.0.0_1
-libgnuradio-fft.so.3.8.0 gnuradio-3.8.0.0_1
-libgnuradio-filter.so.3.8.0 gnuradio-3.8.0.0_1
-libgnuradio-analog.so.3.8.0 gnuradio-3.8.0.0_1
-libgnuradio-digital.so.3.8.0 gnuradio-3.8.0.0_1
-libgnuradio-dtv.so.3.8.0 gnuradio-3.8.0.0_1
-libgnuradio-channels.so.3.8.0 gnuradio-3.8.0.0_1
-libgnuradio-trellis.so.3.8.0 gnuradio-3.8.0.0_1
-libgnuradio-video-sdl.so.3.8.0 gnuradio-3.8.0.0_1
-libgnuradio-vocoder.so.3.8.0 gnuradio-3.8.0.0_1
-libgnuradio-wavelet.so.3.8.0 gnuradio-3.8.0.0_1
-libgnuradio-uhd.so.3.8.0 gnuradio-3.8.0.0_1
-libgnuradio-osmosdr.so.0.2.0 gnuradio-osmosdr-0.2.0_1
-libflann_cpp.so.1.9 flann-1.9.1_1
-libflann.so.1.9 flann-1.9.1_1
-libvtkChartsCore-9.0.so.1 vtk-9.0.1_1
-libvtkCommonColor-9.0.so.1 vtk-9.0.1_1
-libvtkCommonComputationalGeometry-9.0.so.1 vtk-9.0.1_1
-libvtkCommonCore-9.0.so.1 vtk-9.0.1_1
-libvtkCommonDataModel-9.0.so.1 vtk-9.0.1_1
-libvtkCommonExecutionModel-9.0.so.1 vtk-9.0.1_1
-libvtkCommonMath-9.0.so.1 vtk-9.0.1_1
-libvtkCommonMisc-9.0.so.1 vtk-9.0.1_1
-libvtkCommonSystem-9.0.so.1 vtk-9.0.1_1
-libvtkCommonTransforms-9.0.so.1 vtk-9.0.1_1
-libvtkDICOMParser-9.0.so.1 vtk-9.0.1_1
-libvtkDomainsChemistry-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersAMR-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersCore-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersExtraction-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersFlowPaths-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersGeneral-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersGeneric-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersGeometry-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersHybrid-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersHyperTree-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersImaging-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersModeling-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersParallel-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersParallelImaging-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersPoints-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersProgrammable-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersSMP-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersSelection-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersSources-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersStatistics-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersTexture-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersTopology-9.0.so.1 vtk-9.0.1_1
-libvtkFiltersVerdict-9.0.so.1 vtk-9.0.1_1
-libvtkGeovisCore-9.0.so.1 vtk-9.0.1_1
-libvtkIOAMR-9.0.so.1 vtk-9.0.1_1
-libvtkIOAsynchronous-9.0.so.1 vtk-9.0.1_1
-libvtkIOCityGML-9.0.so.1 vtk-9.0.1_1
-libvtkIOCore-9.0.so.1 vtk-9.0.1_1
-libvtkIOEnSight-9.0.so.1 vtk-9.0.1_1
-libvtkIOExodus-9.0.so.1 vtk-9.0.1_1
-libvtkIOExport-9.0.so.1 vtk-9.0.1_1
-libvtkIOExportGL2PS-9.0.so.1 vtk-9.0.1_1
-libvtkIOExportPDF-9.0.so.1 vtk-9.0.1_1
-libvtkIOGeometry-9.0.so.1 vtk-9.0.1_1
-libvtkIOImage-9.0.so.1 vtk-9.0.1_1
-libvtkIOImport-9.0.so.1 vtk-9.0.1_1
-libvtkIOInfovis-9.0.so.1 vtk-9.0.1_1
-libvtkIOLSDyna-9.0.so.1 vtk-9.0.1_1
-libvtkIOLegacy-9.0.so.1 vtk-9.0.1_1
-libvtkIOMotionFX-9.0.so.1 vtk-9.0.1_1
-libvtkIOMINC-9.0.so.1 vtk-9.0.1_1
-libvtkIOMovie-9.0.so.1 vtk-9.0.1_1
-libvtkIONetCDF-9.0.so.1 vtk-9.0.1_1
-libvtkIOOggTheora-9.0.so.1 vtk-9.0.1_1
-libvtkIOPLY-9.0.so.1 vtk-9.0.1_1
-libvtkIOParallel-9.0.so.1 vtk-9.0.1_1
-libvtkIOParallelXML-9.0.so.1 vtk-9.0.1_1
-libvtkIOSQL-9.0.so.1 vtk-9.0.1_1
-libvtkIOSegY-9.0.so.1 vtk-9.0.1_1
-libvtkIOTecplotTable-9.0.so.1 vtk-9.0.1_1
-libvtkIOVeraOut-9.0.so.1 vtk-9.0.1_1
-libvtkIOVideo-9.0.so.1 vtk-9.0.1_1
-libvtkIOXML-9.0.so.1 vtk-9.0.1_1
-libvtkIOXMLParser-9.0.so.1 vtk-9.0.1_1
-libvtkImagingColor-9.0.so.1 vtk-9.0.1_1
-libvtkImagingCore-9.0.so.1 vtk-9.0.1_1
-libvtkImagingFourier-9.0.so.1 vtk-9.0.1_1
-libvtkImagingGeneral-9.0.so.1 vtk-9.0.1_1
-libvtkImagingHybrid-9.0.so.1 vtk-9.0.1_1
-libvtkImagingMath-9.0.so.1 vtk-9.0.1_1
-libvtkImagingMorphological-9.0.so.1 vtk-9.0.1_1
-libvtkImagingSources-9.0.so.1 vtk-9.0.1_1
-libvtkImagingStatistics-9.0.so.1 vtk-9.0.1_1
-libvtkImagingStencil-9.0.so.1 vtk-9.0.1_1
-libvtkInfovisCore-9.0.so.1 vtk-9.0.1_1
-libvtkInfovisLayout-9.0.so.1 vtk-9.0.1_1
-libvtkInteractionImage-9.0.so.1 vtk-9.0.1_1
-libvtkInteractionStyle-9.0.so.1 vtk-9.0.1_1
-libvtkInteractionWidgets-9.0.so.1 vtk-9.0.1_1
-libvtkParallelCore-9.0.so.1 vtk-9.0.1_1
-libvtkRenderingAnnotation-9.0.so.1 vtk-9.0.1_1
-libvtkRenderingContext2D-9.0.so.1 vtk-9.0.1_1
-libvtkRenderingCore-9.0.so.1 vtk-9.0.1_1
-libvtkRenderingFreeType-9.0.so.1 vtk-9.0.1_1
-libvtkRenderingGL2PSOpenGL2-9.0.so.1 vtk-9.0.1_1
-libvtkRenderingImage-9.0.so.1 vtk-9.0.1_1
-libvtkRenderingLOD-9.0.so.1 vtk-9.0.1_1
-libvtkRenderingLabel-9.0.so.1 vtk-9.0.1_1
-libvtkRenderingOpenGL2-9.0.so.1 vtk-9.0.1_1
-libvtkRenderingSceneGraph-9.0.so.1 vtk-9.0.1_1
-libvtkRenderingUI-9.0.so.1 vtk-9.0.1_1
-libvtkRenderingVolume-9.0.so.1 vtk-9.0.1_1
-libvtkRenderingVolumeOpenGL2-9.0.so.1 vtk-9.0.1_1
-libvtkRenderingVtkJS-9.0.so.1 vtk-9.0.1_1
-libvtkTestingRendering-9.0.so.1 vtk-9.0.1_1
-libvtkViewsContext2D-9.0.so.1 vtk-9.0.1_1
-libvtkViewsCore-9.0.so.1 vtk-9.0.1_1
-libvtkViewsInfovis-9.0.so.1 vtk-9.0.1_1
-libvtkexodusII-9.0.so.1 vtk-9.0.1_1
-libvtklibharu-9.0.so.1 vtk-9.0.1_1
-libvtkmetaio-9.0.so.1 vtk-9.0.1_1
-libvtksys-9.0.so.1 vtk-9.0.1_1
-libvtkverdict-9.0.so.1 vtk-9.0.1_1
-libvolume_key.so.1 volume_key-0.3.9_1
-librand48_r.so.0 rand48_r-0.1_1
-libxxhash.so.0 libxxHash-0.6.5_2
-libcapnp_c.so.0 c-capnproto-0.3_1
-libTKBin.so.7 occt-7.2.0p1_1
-libTKDraw.so.7 occt-7.2.0p1_1
-libTKSTEP209.so.7 occt-7.2.0p1_1
-libTKOpenGl.so.7 occt-7.2.0p1_1
-libTKBinTObj.so.7 occt-7.2.0p1_1
-libTKSTL.so.7 occt-7.2.0p1_1
-libTKViewerTest.so.7 occt-7.2.0p1_1
-libTKCAF.so.7 occt-7.2.0p1_1
-libTKService.so.7 occt-7.2.0p1_1
-libTKV3d.so.7 occt-7.2.0p1_1
-libTKXCAF.so.7 occt-7.2.0p1_1
-libTKMesh.so.7 occt-7.2.0p1_1
-libTKSTEP.so.7 occt-7.2.0p1_1
-libTKMath.so.7 occt-7.2.0p1_1
-libTKLCAF.so.7 occt-7.2.0p1_1
-libTKShHealing.so.7 occt-7.2.0p1_1
-libTKGeomAlgo.so.7 occt-7.2.0p1_1
-libTKTObjDRAW.so.7 occt-7.2.0p1_1
-libTKTObj.so.7 occt-7.2.0p1_1
-libTKStd.so.7 occt-7.2.0p1_1
-libTKSTEPBase.so.7 occt-7.2.0p1_1
-libTKIGES.so.7 occt-7.2.0p1_1
-libTKGeomBase.so.7 occt-7.2.0p1_1
-libTKFillet.so.7 occt-7.2.0p1_1
-libTKFeat.so.7 occt-7.2.0p1_1
-libTKG2d.so.7 occt-7.2.0p1_1
-libTKXSBase.so.7 occt-7.2.0p1_1
-libTKDCAF.so.7 occt-7.2.0p1_1
-libTKXml.so.7 occt-7.2.0p1_1
-libTKTopTest.so.7 occt-7.2.0p1_1
-libTKG3d.so.7 occt-7.2.0p1_1
-libTKBRep.so.7 occt-7.2.0p1_1
-libTKVRML.so.7 occt-7.2.0p1_1
-libTKCDF.so.7 occt-7.2.0p1_1
-libTKXSDRAW.so.7 occt-7.2.0p1_1
-libTKXMesh.so.7 occt-7.2.0p1_1
-libTKernel.so.7 occt-7.2.0p1_1
-libTKTopAlgo.so.7 occt-7.2.0p1_1
-libTKHLR.so.7 occt-7.2.0p1_1
-libTKBinXCAF.so.7 occt-7.2.0p1_1
-libTKVCAF.so.7 occt-7.2.0p1_1
-libTKBinL.so.7 occt-7.2.0p1_1
-libTKXmlXCAF.so.7 occt-7.2.0p1_1
-libTKXDEIGES.so.7 occt-7.2.0p1_1
-libTKBO.so.7 occt-7.2.0p1_1
-libTKStdL.so.7 occt-7.2.0p1_1
-libTKXDEDRAW.so.7 occt-7.2.0p1_1
-libTKXmlTObj.so.7 occt-7.2.0p1_1
-libTKPrim.so.7 occt-7.2.0p1_1
-libTKMeshVS.so.7 occt-7.2.0p1_1
-libTKSTEPAttr.so.7 occt-7.2.0p1_1
-libTKBool.so.7 occt-7.2.0p1_1
-libTKOffset.so.7 occt-7.2.0p1_1
-libTKXDESTEP.so.7 occt-7.2.0p1_1
-libTKQADraw.so.7 occt-7.2.0p1_1
-libTKXmlL.so.7 occt-7.2.0p1_1
-libTKRWMesh.so.7 occt-7.4.0_1
-libargon2.so.1 libargon2-20171227_1
-libdazzle-1.0.so.0 libdazzle-3.28.0_1
-libjsonrpc-glib-1.0.so.1 jsonrpc-glib-3.28.0_1
-libtemplate_glib-1.0.so.0 template-glib-3.28.0_1
-libmedimport.so.0 libmed-3.3.1_1
-libmedC.so.11 libmed-4.0.0_1
-libmed.so.11 libmed-4.0.0_1
-libeog.so eog-3.28.0_4
-libfreexl.so.1 freexl-1.0.5_1
-libgeos-3.9.0.so geos-3.9.0_1
-libgeos_c.so.1 geos-3.9.0_1
-libpapi.so.5 papi-5.6.0_1
-libpfm.so.4 papi-5.6.0_1
-libfifechan.so.0.1.5 fifechan-0.1.5_1
-libfifechan_sdl.so.0.1.5 fifechan-0.1.5_1
-libfifechan_opengl.so.0.1.5 fifechan-0.1.5_1
-libpolyclipping.so.22 clipper-6.4.2_1
-libSoapySDR.so.0.7 SoapySDR-0.7.0_1
-libeditorconfig.so.0 editorconfig-0.12.2_1
-libcfitsio.so.9 cfitsio-3.480_1
-libapparmor.so.1 libapparmor-2.12.0_1
-libplacebo.so.72 libplacebo-2.72.0_1
-libw2xc.so waifu2x-converter-cpp-5.2_1
-libnova-0.15.so.0 libnova-0.15.0_1
-libcue.so.2 libcue-2.2.0_1
-libticonv.so.8 libticonv-1.1.5_1
-libtifiles2.so.10 libtifiles2-1.1.7_1
-libticables2.so.7 libticables2-1.3.5_1
-libticalcs2.so.12 libticalcs2-1.1.9_1
-libhtmlcxx.so.3 htmlcxx-0.86_1
-libcss_parser_pp.so.0 htmlcxx-0.86_1
-libcss_parser.so.0 htmlcxx-0.86_1
-libaom.so.2 libaom-2.0.0_1
-libre.so re-1.1.0_2
-libspandsp.so.2 spandsp-0.0.6_1
-libspa-alsa.so libspa-alsa-0.3.6_1
-libspa-audioconvert.so libspa-audioconvert-0.3.6_1
-libspa-audiomixer.so libspa-audiomixer-0.3.6_1
-libspa-bluez5.so libspa-bluetooth-0.3.6_1
-libspa-control.so libspa-control-0.3.6_1
-libspa-ffmpeg.so libspa-ffmpeg-0.3.6_1
-libspa-jack.so libspa-jack-0.3.6_1
-libspa-v4l2.so libspa-v4l2-0.3.6_1
-libspa-videoconvert.so libspa-videoconvert-0.3.6_1
-libspa-vulkan.so libspa-vulkan-0.3.6_1
-librem.so rem-0.5.3_1
-libshp.so.1 shapelib-1.4.1_1
-libantlr3c.so libantlr3c-3.4_1
-libbzrtp.so.0 bzrtp-1.0.6_1
-libbellesip.so.1 belle-sip-4.4.0_1
-libKF5EventViews.so.5 eventviews-18.04.3_1
-libKF5IncidenceEditor.so.5 incidenceeditor-18.04.3_1
-libmediastreamer.so.11 mediastreamer-4.4.0_1
-liblinphone.so.10 linphone-4.4.0_1
-liblinphone++.so.10 linphone-4.4.0_1
-libbelr.so.1 belr-0.1.3_1
-libbelcard.so.1 belcard-1.0.2_1
-libshaderc_shared.so.1 shaderc-2018.0_1
-libglslang.so glslang-6.2.2596_1
-libHLSL.so glslang-8.13.3743_1
-libSPIRV.so glslang-6.2.2596_1
-libmaxminddb.so.0 libmaxminddb-1.3.2_1
-libmysqlpp.so.3 mysql++-3.2.5_1
-libKF5Syndication.so.5 syndication-5.50.0_1
-liblqr-1.so.0 liblqr-0.4.2_1
-libmozjs-78.so.0 mozjs78-78.1.0_1
-libebur128.so.1 libebur128-1.2.4_1
-libgtksourceview-4.so.0 gtksourceview4-4.0.2_1
-libwx_gtk3u_propgrid-3.0.so.0 wxWidgets-gtk3-3.0.4_1
-libwx_gtk3u_qa-3.0.so.0 wxWidgets-gtk3-3.0.4_1
-libwx_gtk3u_core-3.0.so.0 wxWidgets-gtk3-3.0.4_1
-libwx_gtk3u_html-3.0.so.0 wxWidgets-gtk3-3.0.4_1
-libwx_gtk3u_adv-3.0.so.0 wxWidgets-gtk3-3.0.4_1
-libwx_gtk3u_richtext-3.0.so.0 wxWidgets-gtk3-3.0.4_1
-libwx_gtk3u_xrc-3.0.so.0 wxWidgets-gtk3-3.0.4_1
-libwx_gtk3u_webview-3.0.so.0 wxWidgets-gtk3-3.0.4_1
-libwx_gtk3u_aui-3.0.so.0 wxWidgets-gtk3-3.0.4_1
-libwx_gtk3u_media-3.0.so.0 wxWidgets-gtk3-3.0.4_1
-libwx_gtk3u_ribbon-3.0.so.0 wxWidgets-gtk3-3.0.4_1
-libwx_gtk3u_gl-3.0.so.0 wxWidgets-gtk3-3.0.4_1
-libwx_gtk3u_stc-3.0.so.0 wxWidgets-gtk3-3.0.4_1
-libtepl-6.so.0 tepl-6.00.0_1
-libnomacsCore.so.3 nomacs-3.10.2_4
-libaudit.so.1 libaudit-2.8.4_1
-libauparse.so.0 libauparse-2.8.4_1
-libOpenCL.so.1 ocl-icd-2.2.12_1
-liburiparser.so.1 uriparser-0.8.6_1
-libcpptest.so.1 cpptest-2.0.0_1
-libhandy-0.0.so.0 libhandy-0.0.3_1
-libhandy-1.so.0 libhandy1-0.90.0_1
-libswitchboard-2.0.so.0 switchboard-2.3.2_1
-libcodecore.so.0 libio.elementary.code-3.0_1
-libio.elementary.music-core.so.0 libio.elementary.music-5.0_1
-libpantheon-files-core.so.4 libio.elementary.files-4.1.4_1
-libpantheon-files-widgets.so.4 libio.elementary.files-4.1.4_1
-libwlroots.so.8 wlroots-0.13.0_1
-libbaseencode.so.1 libbaseencode-1.0.9_1
-libcotp.so.12 libcotp-1.2.1_1
-libunarr.so.1 libunarr-1.0.1_1
-libretro-gtk-1.so.0 retro-gtk-1.0.0_1
-libmanette-0.2.so.0 libmanette-0.2.1_1
-libfmt.so.7 fmt-7.0.3_1
-libelementary-calendar.so.0 libio.elementary.calendar-4.2.3_1
-libolm.so.3 olm-3.0.0_1
-libtls.so.20 libtls-3.2.4_1
-libxmlb.so.2 libxmlb-0.2.1_1
-libvoikko.so.1 libvoikko-4.2_1
-libfstrcmp.so.0 libfstrcmp-0.7.D001_1
-libUMP.so.3 libump-git-20181122_2
-libdri2.so.1 libdri2-git-20140317_2
-libpst.so.4 libpst-0.6.72_1
-libhamlib.so.2 hamlib-3.3_1
-libhamlib++.so.2 hamlib-3.3_1
-libnss_mdns_minimal.so.2 nss-mdns-0.14.1_1
-libnss_mdns4_minimal.so.2 nss-mdns-0.14.1_1
-libnss_mdns6_minimal.so.2 nss-mdns-0.14.1_1
-libnss_mdns.so.2 nss-mdns-0.14.1_1
-libnss_mdns4.so.2 nss-mdns-0.14.1_1
-libnss_mdns6.so.2 nss-mdns-0.14.1_1
-libSavitar.so.0 libSavitar-2.7.0_1
-libcsfml-audio.so.2.5 CSFML-2.5_1
-libcsfml-graphics.so.2.5 CSFML-2.5_1
-libcsfml-window.so.2.5 CSFML-2.5_1
-libcsfml-system.so.2.5 CSFML-2.5_1
-libcsfml-network.so.2.5 CSFML-2.5_1
-libtokyocabinet.so.9 tokyocabinet-1.4.48_1
-libdav1d.so.5 libdav1d4-0.8.1_1
-libdqlite.so.0 dqlite-0.2.1_1
-libwoff2common.so.1.0.2 libwoff2common1.0.2-1.0.2_1
-libwoff2enc.so.1.0.2 libwoff2enc1.0.2-1.0.2_1
-libwoff2dec.so.1.0.2 libwoff2dec1.0.2-1.0.2_1
-libcloudproviders.so.0 libcloudproviders-0.2.5_2
-libKF5KDEGames.so.7 libkdegames-18.08.3_1
-libKF5KDEGamesPrivate.so.7 libkdegames-21.04.0_1
-libidn2.so.0 libidn2-2.1.1_1
-libgmime-3.0.so.0 gmime3-3.2.3_1
-libgetdns.so.10 getdns-1.5.1_7
-libgetdns_ext_event.so.10 getdns-1.5.1_7
-libgetdns_ext_ev.so.10 getdns-1.5.1_7
-libgetdns_ext_uv.so.10 getdns-1.5.1_7
-libzck.so.1 zchunk-1.1.9_3
-librec.so.1 librec1-1.8_1
-libfixposix.so.3 libfixposix-0.4.3_1
-libgerv.so.1 gerbv-2.6.2_1
-libtexpdf.so.0 libtexpdf-0.9.5_1
-libupstart.so.1 libupstart-1.13.3_1
-librtas.so.2 librtas-2.0.2_1
-librtasevent.so.2 librtas-2.0.2_1
-libbroker.so.3 zeek-4.0.1_1
-libcaf_core.so.0.18.0 zeek-4.0.0_1
-libcaf_io.so.0.18.0 zeek-4.0.0_1
-libcaf_openssl.so.0.18.0 zeek-4.0.0_1
-libbinpac.so.0 zeek-3.2.4_2
-libllhttp.so.1 llhttp-1.0.1_1
-libpinyin.so.13 libpinyin-2.2.1_1
-libzhuyin.so.13 libzhuyin-2.6.0_3
-libuhd.so.4.0.0 uhd-4.0.0.0_1
-libeditline.so.1 editline-1.16.0_1
-libgnuradio-rds.so.1 gnuradio-rds-3.8.0_1
-libgnuradio-nrsc5-1.0.0git.so.0.0.0 gnuradio-nrsc5-1.0.0_1
-libvkd3d-utils.so.1 vkd3d-1.1_1
-libvkd3d.so.1 vkd3d-1.1_1
-libgaminggear.so.0 libgaminggear-0.15.1_1
-libgaminggearfx.so.0 libgaminggear-0.15.1_1
-libgaminggearwidget.so.0 libgaminggear-0.15.1_1
-libopkg.so.1 libopkg-0.4.4_2
-libkodiplatform.so.19.0 kodi-platform-20180302_1
-libQuotient.so.0.6 libQuotient-0.6.6_1
-libipset.so.13 libipset-7.9_1
-libmp3splt.so.0 libmp3splt-0.9.2_1
-libliquid.so.1 liquid-dsp-1.3.1_1
-libsnore-qt5.so.0.7 snorenotify-0.7.0_1
-libsnoresettings-qt5.so.0.7 snorenotify-0.7.0_1
-libTECkit.so.0 libteckit-2.5.8_1
-libTECkit_Compiler.so.0 libteckit-2.5.8_1
-libwf-config.so.1 wf-config-0.5.0_1
-libQt5Pas.so.1 qt5pas-2.6~beta_1
-libClp.so.1 libClp-1.16.11_1
-libCoinUtils.so.3 libClp-1.16.11_1
-libOsiClp.so.1 libClp-1.16.11_1
-libClpSolver.so.1 libClp-1.16.11_1
-libOsiCommonTests.so.1 libClp-1.16.11_1
-libOsi.so.1 libClp-1.16.11_1
-libOGDF.so libogdf-2018.03_1
-libCOIN.so libogdf-2018.03_1
-librocksdb.so.5 rocksdb-5.17.2_1
-libfrr.so.0 libfrr-6.0_1
-libkaccounts.so.2 kaccounts-integration-20.04.3_1
-libfrrospfapiclient.so.0 libfrrospfapiclient-6.0_1
-liborocos-kdl.so.1.4 orocos-kdl-1.4.0_1
-libibumad.so.3 rdma-core-22.1_1
-libibverbs.so.1 rdma-core-22.1_1
-librdmacm.so.1 rdma-core-22.1_1
-libdvdcss.so.2 libdvdcss-1.4.2_1
-libvalapanel.so.0 vala-panel-0.4.87_1
-libappmenu-gtk2-parser.so.0 appmenu-gtk-module-0.7.1_1
-libappmenu-gtk3-parser.so.0 appmenu-gtk3-module-0.7.1_1
-libqhttpengine.so.1 qhttpengine-1.0.1_1
-libqmdnsengine.so.0 qmdnsengine-0.1.0_1
-libyang.so.1 libyang-1.0r5_1
-libhtp.so.2 libhtp-0.5.30_1
-libgedit-40.0.so gedit-40.0_1
-libchewing.so.3 libchewing-0.5.1_1
-libdwarves.so.1 pahole-1.12_1
-libdwarves_emit.so.1 pahole-1.12_1
-libdwarves_reorganize.so.1 pahole-1.12_1
-libclthreads.so.2 clthreads-2.4.2_1
-libclxclient.so.3 clxclient-3.9.2_1
-libsecp256k1.so.0 libbitcoin-secp256k1-0.1.0.13_1
-libbitcoin.so.0 libbitcoin-system-3.5.0_1
-libbitcoin-protocol.so.0 libbitcoin-protocol-3.5.0_1
-libbitcoin-client.so.0 libbitcoin-client-3.5.0_1
-libbitcoin-network.so.0 libbitcoin-network-3.5.0_1
-libbitcoin-explorer.so.0 libbitcoin-explorer-3.5.0_1
-libltc.so.11 libltc-1.3.1_1
-libbitcoin-consensus.so.0 libbitcoin-consensus-3.5.0_1
-libbitcoin-database.so.0 libbitcoin-database-3.5.0_1
-libbitcoin-blockchain.so.0 libbitcoin-blockchain-3.5.0_1
-libbitcoin-node.so.0 libbitcoin-node-3.5.0_1
-libbitcoin-server.so.0 libbitcoin-server-3.5.0_1
-libvpd-2.2.so.2 libvpd-2.2.6_1
-libvpd_cxx-2.2.so.2 libvpd-2.2.6_1
-liblcf.so.0 liblcf-0.6.0_1
-liboblibs.so.0.1 oblibs-0.1.1.1_1
-libaal-1.0.so.7 libaal-1.0.7_1
-libaal-minimal.so.0 libaal-1.0.7_1
-libcli.so.1.9 libcli-1.9.8.4_1
-libaddress_sorting.so.15 grpc-1.36.0_2
-libgpr.so.15 grpc-1.36.0_2
-libgrpc++.so.1.37 grpc-1.37.1_1
-libgrpc++_alts.so.1.37 grpc-1.37.1_1
-libgrpc++_error_details.so.1.37 grpc-1.37.1_1
-libgrpc++_reflection.so.1.37 grpc-1.37.1_1
-libgrpc++_unsecure.so.1.37 grpc-1.37.1_1
-libgrpc.so.15 grpc-1.36.0_2
-libgrpc_plugin_support.so.1.37 grpc-1.37.1_1
-libgrpc_unsecure.so.15 grpc-1.36.0_2
-libgrpcpp_channelz.so.1.37 grpc-1.37.1_1
-libupb.so.15 grpc-1.36.0_2
-libircclient.so.1 libircclient-1.10_5
-libFAudio.so.0 FAudio-19.05_1
-libqaccessibilityclient-qt5.so.0 libqaccessibilityclient-0.4.0_1
-libnitrokey.so.3 libnitrokey-3.4.1_1
-libceres.so.2 ceres-solver-2.0.0_1
-libgraphene-1.0.so.0 graphene-1.8.2_1
-libflite.so.1 flite-2.1_1
-libflite_cmu_us_kal.so.1 flite-2.1_1
-libflite_usenglish.so.1 flite-2.1_1
-libflite_cmulex.so.1 flite-2.1_1
-libgtk-4.so.1 gtk4-4.0.0_1
-libmodule.so.5 libmodule-5.0.0_1
-libgnustep-gui.so.0.28 gnustep-gui-0.28.0_1
-libmhash.so.2 mhash-0.9.9.9_1
-librlottie.so.0 rlottie-0.0.20160709_1
-libfstrm.so.0 fstrm-0.5.0_1
-libfreecell-solver.so.0 libfreecell-solver-5.10.0_1
-libknot.so.11 libknot-3.0.0_1
-libdnssec.so.8 libknot-3.0.0_1
-libzscanner.so.3 libknot-2.8.2_1
-libkres.so.9 knot-resolver-4.0.0_1
-libnsl.so.2 libnsl-1.2.0_1
-libbcc.so.0 bcc-0.10.0_1
-libbcc_bpf.so.0 bcc-0.10.0_1
-libde265.so.0 libde265-1.0.3_1
-libheif.so.1 libheif-1.4.0_1
-libuninameslist.so.1 libuninameslist-20190701_1
-libgambit.so.4 gambit-4.9.3_6
-liblog4cpp.so.5 log4cpp-1.1.3_1
-libnuspell.so.4 libnuspell-4.2.0_1
-liblog4c.so.3 log4c-1.2.4_1
-libqb.so.100 libqb-2.0.0_1
-libusbguard.so.1 usbguard-1.0.0_1
-libknet.so.1 libknet1-1.11_4
-libdrumstick-file.so.1 drumstick-1.1.2_1
-libdrumstick-alsa.so.1 drumstick-1.1.2_1
-libdrumstick-rt.so.1 drumstick-1.1.2_1
-libnozzle.so.1 libnozzle1-1.11_4
-libmygpo-qt5.so.1 libmygpo-qt-1.1.0_1
-libluv.so.1 libluv-1.30.1.0_1
-libarmadillo.so.9 armadillo-9.700.2_1
-libvarnishapi.so.2 libvarnishapi-6.3.0_1
-libicns.so.1 libicns-0.8.1_1
-librabbitmq.so.4 rabbitmq-c-0.10.0_2
-libuInputPlus.so.0 libuInputPlus-0.1.3_1
-libevdevPlus.so.0 libevdevPlus-0.1.0_1
-librte_lpm.so.2 dpdk-19.08_5
-librte_sched.so.3 dpdk-19.08_5
-librte_eal.so.11 dpdk-19.08_5
-librte_pci.so.1 dpdk-19.08_5
-librte_gro.so.1 dpdk-19.08_5
-librte_jobstats.so.1 dpdk-19.08_5
-librte_bpf.so.1 dpdk-19.08_5
-librte_ip_frag.so.1 dpdk-19.08_5
-librte_port.so.3 dpdk-19.08_5
-librte_latencystats.so.1 dpdk-19.08_5
-librte_pipeline.so.3 dpdk-19.08_5
-librte_distributor.so.1 dpdk-19.08_5
-librte_pmd_vmxnet3.so.1 dpdk-19.08_5
-librte_pmd_dpaa_sec.so.1 dpdk-19.08_5
-librte_common_octeontx.so.1 dpdk-19.08_5
-librte_pmd_iavf.so.1 dpdk-19.08_5
-librte_pmd_octeontx_event.so.1 dpdk-19.08_5
-librte_pmd_ring.so.2 dpdk-19.08_5
-librte_rawdev_skeleton.so.1 dpdk-19.08_5
-librte_pmd_qat.so.1 dpdk-19.08_5
-librte_pmd_hinic.so.1 dpdk-19.08_5
-librte_bus_vmbus.so.2 dpdk-19.08_5
-librte_pmd_null.so.2 dpdk-19.08_5
-librte_pmd_bbdev_null.so.1 dpdk-19.08_5
-librte_common_dpaax.so.1 dpdk-19.08_5
-librte_pmd_dpaa2_event.so.2 dpdk-19.08_5
-librte_pmd_bnxt.so.2 dpdk-19.08_5
-librte_bus_ifpga.so.2 dpdk-19.08_5
-librte_pmd_pcap.so.1 dpdk-19.08_5
-librte_pmd_kni.so.1 dpdk-19.08_5
-librte_pmd_enetc.so.1 dpdk-19.08_5
-librte_pmd_atlantic.so.1 dpdk-19.08_5
-librte_mempool_stack.so.1 dpdk-19.08_5
-librte_pmd_opdl_event.so.1 dpdk-19.08_5
-librte_rawdev_dpaa2_cmdif.so.2 dpdk-19.08_5
-librte_pmd_avp.so.1 dpdk-19.08_5
-librte_pmd_cxgbe.so.1 dpdk-19.08_5
-librte_pmd_crypto_scheduler.so.1 dpdk-19.08_5
-librte_pmd_openssl.so.1 dpdk-19.08_5
-librte_pmd_octeontx2_event.so.1 dpdk-19.08_5
-librte_pmd_sfc.so.1 dpdk-19.08_5
-librte_pmd_i40e.so.2 dpdk-19.08_5
-librte_pmd_e1000.so.1 dpdk-19.08_5
-librte_rawdev_octeontx2_dma.so.1 dpdk-19.08_5
-librte_rawdev_ioat.so.1 dpdk-19.08_5
-librte_pmd_dpaa2.so.2 dpdk-19.08_5
-librte_pmd_sw_event.so.1 dpdk-19.08_5
-librte_mempool_octeontx2.so.1 dpdk-19.08_5
-librte_pmd_bbdev_fpga_lte_fec.so.1 dpdk-19.08_5
-librte_rawdev_ntb.so.1 dpdk-19.08_5
-librte_pmd_memif.so.1 dpdk-19.08_5
-librte_pmd_dpaa2_sec.so.2 dpdk-19.08_5
-librte_pmd_failsafe.so.1 dpdk-19.08_5
-librte_pmd_thunderx.so.1 dpdk-19.08_5
-librte_pmd_octeontx.so.1 dpdk-19.08_5
-librte_pmd_dpaa.so.1 dpdk-19.08_5
-librte_pmd_caam_jr.so.1 dpdk-19.08_5
-librte_pmd_virtio.so.1 dpdk-19.08_5
-librte_pmd_octeontx_compress.so.1 dpdk-19.08_5
-librte_pmd_zlib.so.1 dpdk-19.08_5
-librte_bus_pci.so.2 dpdk-19.08_5
-librte_pmd_bond.so.2 dpdk-19.08_5
-librte_pmd_ice.so.1 dpdk-19.08_5
-librte_pmd_skeleton_event.so.1 dpdk-19.08_5
-librte_mempool_ring.so.1 dpdk-19.08_5
-librte_pmd_octeontx2.so.1 dpdk-19.08_5
-librte_mempool_octeontx.so.1 dpdk-19.08_5
-librte_pmd_ark.so.1 dpdk-19.08_5
-librte_pmd_null_crypto.so.1 dpdk-19.08_5
-librte_pmd_ena.so.1 dpdk-19.08_5
-librte_pmd_axgbe.so.1 dpdk-19.08_5
-librte_common_cpt.so.1 dpdk-19.08_5
-librte_pmd_af_packet.so.1 dpdk-19.08_5
-librte_pmd_vhost.so.2 dpdk-19.08_5
-librte_pmd_softnic.so.1 dpdk-19.08_5
-librte_pmd_nfp.so.1 dpdk-19.08_5
-librte_bus_fslmc.so.2 dpdk-19.08_5
-librte_bus_dpaa.so.2 dpdk-19.08_5
-librte_pmd_fm10k.so.1 dpdk-19.08_5
-librte_pmd_bbdev_turbo_sw.so.1 dpdk-19.08_5
-librte_mempool_dpaa2.so.2 dpdk-19.08_5
-librte_pmd_ipn3ke.so.1 dpdk-19.08_5
-librte_pmd_vdev_netvsc.so.1 dpdk-19.08_5
-librte_mempool_dpaa.so.1 dpdk-19.08_5
-librte_pmd_bnx2x.so.1 dpdk-19.08_5
-librte_pmd_enic.so.1 dpdk-19.08_5
-librte_pmd_ixgbe.so.2 dpdk-19.08_5
-librte_common_octeontx2.so.1 dpdk-19.08_5
-librte_pmd_liquidio.so.1 dpdk-19.08_5
-librte_pmd_netvsc.so.2 dpdk-19.08_5
-librte_mempool_bucket.so.1 dpdk-19.08_5
-librte_pmd_virtio_crypto.so.1 dpdk-19.08_5
-librte_pmd_ccp.so.1 dpdk-19.08_5
-librte_bus_vdev.so.2 dpdk-19.08_5
-librte_pmd_tap.so.1 dpdk-19.08_5
-librte_pmd_octeontx_crypto.so.1 dpdk-19.08_5
-librte_rawdev_dpaa2_qdma.so.2 dpdk-19.08_5
-librte_pmd_dsw_event.so.1 dpdk-19.08_5
-librte_pmd_dpaa_event.so.1 dpdk-19.08_5
-librte_pmd_ifc.so.1 dpdk-19.08_5
-librte_stack.so.1 dpdk-19.08_5
-librte_kvargs.so.1 dpdk-19.08_5
-librte_security.so.2 dpdk-19.08_5
-librte_bitratestats.so.2 dpdk-19.08_5
-librte_rcu.so.1 dpdk-19.08_5
-librte_gso.so.1 dpdk-19.08_5
-librte_efd.so.1 dpdk-19.08_5
-librte_cmdline.so.2 dpdk-19.08_5
-librte_telemetry.so.1 dpdk-19.08_5
-librte_pdump.so.3 dpdk-19.08_5
-librte_eventdev.so.7 dpdk-19.08_5
-librte_vhost.so.4 dpdk-19.08_5
-librte_net.so.1 dpdk-19.08_5
-librte_meter.so.3 dpdk-19.08_5
-librte_acl.so.2 dpdk-19.08_5
-librte_mempool.so.5 dpdk-19.08_5
-librte_table.so.3 dpdk-19.08_5
-librte_power.so.1 dpdk-19.08_5
-librte_reorder.so.1 dpdk-19.08_5
-librte_ring.so.2 dpdk-19.08_5
-librte_ethdev.so.12 dpdk-19.08_5
-librte_bbdev.so.1 dpdk-19.08_5
-librte_ipsec.so.1 dpdk-19.08_5
-librte_timer.so.1 dpdk-19.08_5
-librte_cfgfile.so.2 dpdk-19.08_5
-librte_member.so.1 dpdk-19.08_5
-librte_compressdev.so.1 dpdk-19.08_5
-librte_mbuf.so.5 dpdk-19.08_5
-librte_hash.so.2 dpdk-19.08_5
-librte_flow_classify.so.1 dpdk-19.08_5
-librte_metrics.so.1 dpdk-19.08_5
-librte_cryptodev.so.8 dpdk-19.08_5
-librte_rawdev.so.1 dpdk-19.08_5
-librte_kni.so.2 dpdk-19.08_5
-libredwg.so.0 libredwg-0.9_1
-libgcj-tools.so.17 libgcj-6.5.0_1
-libgcj_bc.so.1 libgcj-6.5.0_1
-libgcj.so.17 libgcj-6.5.0_1
-libgij.so.17 libgcj-6.5.0_1
-libtty.so.1 libtermrec-0.18_1
-libtss2-mu.so.0 tpm2-tss-2.3.1_1
-libtss2-esys.so.0 tpm2-tss-2.3.1_1
-libtss2-sys.so.1 tpm2-tss-3.0.1_1
-libtss2-tcti-device.so.0 tpm2-tss-2.3.1_1
-libtss2-rc.so.0 tpm2-tss-2.3.1_1
-libtss2-tcti-mssim.so.0 tpm2-tss-2.3.1_1
-libtss2-tctildr.so.0 tpm2-tss-2.3.1_1
-libzfsbootenv.so.1 zfs-2.0.3_2
-libzfs.so.4 zfs-2.0.3_2
-libuutil.so.3 zfs-2.0.3_2
-libzpool.so.4 zfs-2.0.3_2
-libzfs_core.so.3 zfs-2.0.3_2
-libnvpair.so.3 zfs-2.0.3_2
-libgmio.so gmio-0.4.1_1
-libjsonnet.so.0 jsonnet-0.14.0_2
-libjsonnet++.so.0 jsonnet-0.14.0_2
-libigdgmm.so.11 intel-gmmlib-19.4.1_1
-libgtk-layer-shell.so.0 gtk-layer-shell-0.1.0_1
-librdkafka.so.1 librdkafka-1.4.4_3
-librdkafka++.so.1 librdkafka-1.4.4_3
-libco.so.0 libco-20_1
-libraft.so.0 raft-0.9.16_1
-libmdnsd.so.1 libmdnsd-0.9_1
-libosdGPU.so.3.4.3 OpenSubdiv-3.4.3_1
-libosdCPU.so.3.4.3 OpenSubdiv-3.4.3_1
-libdino.so.0 dino-0.1.0_1
-libxmpp-vala.so.0 dino-0.1.0_1
-libqlite.so.0 dino-0.1.0_1
-libmpir.so.23 mpir-3.0.0_1
-libmpirxx.so.8 mpir-3.0.0_1
-libcaribou.so.0 libcaribou-0.4.21_3
-libtinyclipboard.so.1 tinyclipboard-16.01_1
-libcbor.so.0.8 libcbor-0.8.0_1
-libfido2.so.1 libfido2-1.6.0_2
-libjanet.so.1.15 janet-1.15.1_1
-libOpenImageDenoise.so.1 openimagedenoise-1.3.0_1
-libcbang0.so cbang-1.6.0_3
-libblosc.so.1 c-blosc-1.17.1_1
-libopenvdb.so.7.0 openvdb-7.0.0_1
-libAlembic.so.1.7 alembic-1.7.13_1
-libmodsecurity.so.3 modsecurity-3.0.4_1
-libraven.so.0 budgie-desktop-10.5.1_1
-libbudgie-private.so.0 budgie-desktop-10.5.1_1
-libbudgietheme.so.0 budgie-desktop-10.5.1_1
-libbudgie-plugin.so.0 budgie-desktop-10.5.1_1
-libslirp.so.0 libslirp-4.2.0_1
-libqpdf.so.28 libqpdf-10.0.0_1
-libstk-4.6.1.so libstk-4.6.1_1
-libc++utilities.so.5 cpp-utilities-5.2.0_1
-libtagparser.so.9 tagparser-9.1.2_1
-libqtutilities.so.6 qtutilities-6.0.4_1
-libkdsoap.so.1 KDSoap-1.9.1_1
-libstoken.so.1 stoken-0.92_1
-libjpegxr.so.0 jxrlib-0.2.2_1
-libjxrglue.so.0 jxrlib-0.2.2_1
-libhidrd_util.so.0 hidrd-0.2.0_1
-libhidrd_usage.so.0 hidrd-0.2.0_1
-libhidrd_item.so.0 hidrd-0.2.0_1
-libhidrd_opt.so.0 hidrd-0.2.0_1
-libhidrd_strm.so.0 hidrd-0.2.0_1
-libhidrd_fmt.so.0 hidrd-0.2.0_1
-libjcat.so.1 libjcat-0.1.2_1
-libmatio.so.9 matio-1.5.17_2
-libportal.so.0 libportal-0.3_1
-libvips.so.42 libvips-8.9.2_1
-libvips-cpp.so.42 libvips-8.9.2_1
-libselinux.so.1 libselinux-3.0_1
-libsepol.so.1 libsepol-3.0_1
-libfrrcares.so.0 libfrr-7.3.1_1
-libhugetlbfs.so.0 libhugetlbfs-2.22_1
-libmonocypher.so.3 monocypher-3.1.1_1
-libkpathsea.so.6 texlive-20200406_1
-libtexluajit.so.2 texlive-LuaTeX-20200406_1
-libtexlua53.so.5 texlive-LuaTeX-20200406_1
-libptexenc.so.1 texlive-20200406_1
-libsynctex.so.2 libsynctex-20200406_3
-libdolphinvcs.so.5 dolphin-20.04.3_1
-libocl.so.2019.07 opencamlib-2019.07_1
-libcglm.so.0 cglm-0.7.6_1
-libfcft.so.3 fcft-2.2.2_1
-libaml.so.0 aml-0.1.0_1
-libneatvnc.so.0 neatvnc-0.3.2_1
-libtdjson.so.1.7.0 libtd-1.7.0_2
-libJudy.so.1 judy-1.0.5_1
-libsignal-protocol-c.so.2 libsignal-protocol-c-2.3.3_2
-libKSeExprUI.so.4.0.1.0 seexpr-krita-4.0.1.0_1
-libKSeExpr.so.4.0.1.0 seexpr-krita-4.0.1.0_1
-liburing.so.2 liburing-2.0_1
-libbson-1.0.so.0 libbson-1.17.4_2
-libsonic.so.0 libsonic-0.2.0_1
-libtickit.so.3 libtickit-0.4.1_1
-libnotcurses.so.2 notcurses-2.0.4_1
-libnotcurses-core.so.2 notcurses-2.1.7_1
-libnotcurses++.so.2 notcurses-2.0.4_1
-libevemu.so.3 evemu-2.7.0_1
-libantilib.so.1 libantimicrox-3.1.2_1
-libinih.so.0 inih-52_1
-libpcaudio.so.0 pcaudiolib-1.1_1
-libdcerpc-samr.so.0 samba-4.13.2_1
-libdcerpc-server-core.so.0 samba-4.13.2_1
-libnetapi.so.0 samba-4.13.2_1
-libnss_winbind.so.2 samba-4.13.2_1
-libnss_wins.so.2 samba-4.13.2_1
-libsamba-policy.so.0 samba-4.13.2_1
-libauth-unix-token-samba4.so samba-4.13.2_1
-libauth4-samba4.so samba-4.13.3_1
-libdcerpc-samba4.so samba-4.13.2_1
-libdsdb-module-samba4.so samba-4.13.2_1
-libgpext-samba4.so samba-4.13.2_1
-libnet-keytab-samba4.so samba-4.13.3_1
-libposix-eadb-samba4.so samba-4.13.2_1
-libprinting-migrate-samba4.so samba-4.13.2_1
-libsamba-net-samba4.so samba-4.13.2_1
-libsamba-python-samba4.so samba-4.13.3_1
-libshares-samba4.so samba-4.13.2_1
-libsmbd-base-samba4.so samba-4.13.2_1
-libsmbd-conn-samba4.so samba-4.13.2_1
-libsmbpasswordparser-samba4.so samba-4.13.3_1
-libxattr-tdb-samba4.so samba-4.13.2_1
-libdcerpc.so.0 samba-libs-4.13.2_1
-libdcerpc-binding.so.0 samba-libs-4.13.2_1
-libndr-krb5pac.so.0 samba-libs-4.13.2_1
-libndr-nbt.so.0 samba-libs-4.13.2_1
-libndr-standard.so.0 samba-libs-4.13.2_1
-libndr.so.1 samba-libs-4.13.2_1
-libsamba-credentials.so.0 samba-libs-4.13.2_1
-libsamba-errors.so.1 samba-libs-4.13.2_1
-libsamba-hostconfig.so.0 samba-libs-4.13.2_1
-libsamba-passdb.so.0 samba-libs-4.13.2_1
-libsamba-util.so.0 samba-libs-4.13.2_1
-libsamdb.so.0 samba-libs-4.13.2_1
-libsmbclient.so.0 samba-libs-4.13.2_1
-libsmbconf.so.0 samba-libs-4.13.2_1
-libsmbldap.so.2 samba-libs-4.13.2_1
-libwbclient.so.0 samba-libs-4.13.2_1
-libcli-ldap-samba4.so samba-libs-4.13.2_1
-libcliauth-samba4.so samba-libs-4.13.2_1
-libcluster-samba4.so samba-libs-4.13.3_1
-libcommon-auth-samba4.so samba-libs-4.13.2_1
-libdcerpc-samba-samba4.so samba-libs-4.13.2_1
-libflag-mapping-samba4.so samba-libs-4.13.3_1
-libgpo-samba4.so samba-libs-4.13.2_1
-libiov-buf-samba4.so samba-libs-4.13.3_1
-libndr-samba-samba4.so samba-libs-4.13.2_1
-libndr-samba4.so samba-libs-4.13.2_1
-libprinter-driver-samba4.so samba-libs-4.13.3_1
-libsmb-transport-samba4.so samba-libs-4.13.2_1
-libtdb-wrap-samba4.so samba-libs-4.13.3_1
-libutil-cmdline-samba4.so samba-libs-4.13.2_1
-libwinbind-client-samba4.so samba-libs-4.13.2_1
-libsixel.so.1 libsixel-1.8.6_1
-libpamtest.so.0 pam_wrapper-1.1.3_1
-libopenaptx.so.0 libopenaptx-0.2.0_1
-libsimavr.so.1 simavr-1.6_2
-libsimavrparts.so.1 simavr-1.6_2
-libsword-1.8.1.so libsword-1.8.1_6
-libpari-gmp.so.7 pari-2.13.0_1
-libtree-sitter.so.0 tree-sitter-0.19.0_1
-libgtkdatabox.so.1 gtkdatabox3-1.0.0_1
-libwayland-client++.so.0 libwaylandpp-0.2.8_1
-libwayland-cursor++.so.0 libwaylandpp-0.2.8_1
-libwayland-egl++.so.0 libwaylandpp-0.2.8_1
-libwayland-client-extra++.so.0 libwaylandpp-0.2.8_1
-libspdlog.so.1 libspdlog-1.8.2_2
-libmd.so.0 libmd-1.0.3_1
-libldacBT_abr.so.2 ldacBT-2.0.2.3_1
-libldacBT_enc.so.2 ldacBT-2.0.2.3_1
-libgumbo.so.1 gumbo-parser-0.10.1_2
-libmariadb.so.3 libmariadbclient-10.5.9_1
-libmariadbd.so.19 libmariadbclient-10.5.9_1
-libinstpatch-1.0.so.2 libinstpatch-1.1.6_1
diff --git a/srcpkgs/dotnet-sdk/files/dotnet.sh b/srcpkgs/dotnet-sdk/files/dotnet.sh
new file mode 100644
index 000000000000..05b0324de349
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/files/dotnet.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+export DOTNET_ROOT=/usr/libexec/dotnet
+export PATH="$PATH:$DOTNET_ROOT"
diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 000000000000..0a82c2992574
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,47 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.202
+revision=1
+wrksrc="source-build-${version}-SDK"
+hostmakedepends="git tar wget"
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+distfiles="https://github.com/dotnet/source-build/archive/refs/tags/v${version}-SDK.tar.gz"
+checksum=aea8e4f3323aa95316969958585ccc7030f9be7c79d38188a9137ef789ada7cd
+
+_prof=${DESTDIR}/etc/profile.d
+_target=${DESTDIR}/usr/libexec/dotnet
+
+case "${XBPS_TARGET_MACHINE}" in
+	"x86_64*") _ARCHITECTURE="x64" ;;
+	"aarch64*") _ARCHITECTURE="arm64" ;;
+esac
+_RUNTIME_ID="void-${_ARCHITECTURE}"
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_build() {
+	git init
+	DOTNET_CLI_TELEMETRY_OPTOUT="true" sh ./build.sh -b
+}
+
+post_build() {
+	tar -zxvf ./artifacts/"${_ARCHITECTURE}"/Release/dotnet-sdk-"${version}"-"${RUNTIME_ID}".tar.gz
+}
+
+do_install() {
+	vmkdir ${_target}
+	for file in artifacts/"${_ARCHITECTURE}"/Release/dotnet-sdk-"${version}"-"${RUNTIME_ID}"/*
+	do
+		vcopy ${file} ${_target}
+	done
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (122 preceding siblings ...)
  2021-05-03 10:01 ` [PR PATCH] [Updated] [WIP] New package: dotnet-sdk-5.0.202 kawaiiamber
@ 2021-05-03 10:08 ` kawaiiamber
  2021-05-03 11:32 ` ericonr
                   ` (54 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2021-05-03 10:08 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 753 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

[WIP] New package: dotnet-sdk-5.0.202
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2171 bytes --]

From 628353efa651734a2d6d17fd8a6563c14b3150c5 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-bin-5.0.202

---
 srcpkgs/dotnet-sdk/files/dotnet.sh |  4 +++
 srcpkgs/dotnet-sdk/template        | 47 ++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/files/dotnet.sh b/srcpkgs/dotnet-sdk/files/dotnet.sh
new file mode 100644
index 000000000000..05b0324de349
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/files/dotnet.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+export DOTNET_ROOT=/usr/libexec/dotnet
+export PATH="$PATH:$DOTNET_ROOT"
diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 000000000000..0a82c2992574
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,47 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.202
+revision=1
+wrksrc="source-build-${version}-SDK"
+hostmakedepends="git tar wget"
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+distfiles="https://github.com/dotnet/source-build/archive/refs/tags/v${version}-SDK.tar.gz"
+checksum=aea8e4f3323aa95316969958585ccc7030f9be7c79d38188a9137ef789ada7cd
+
+_prof=${DESTDIR}/etc/profile.d
+_target=${DESTDIR}/usr/libexec/dotnet
+
+case "${XBPS_TARGET_MACHINE}" in
+	"x86_64*") _ARCHITECTURE="x64" ;;
+	"aarch64*") _ARCHITECTURE="arm64" ;;
+esac
+_RUNTIME_ID="void-${_ARCHITECTURE}"
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_build() {
+	git init
+	DOTNET_CLI_TELEMETRY_OPTOUT="true" sh ./build.sh -b
+}
+
+post_build() {
+	tar -zxvf ./artifacts/"${_ARCHITECTURE}"/Release/dotnet-sdk-"${version}"-"${RUNTIME_ID}".tar.gz
+}
+
+do_install() {
+	vmkdir ${_target}
+	for file in artifacts/"${_ARCHITECTURE}"/Release/dotnet-sdk-"${version}"-"${RUNTIME_ID}"/*
+	do
+		vcopy ${file} ${_target}
+	done
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (123 preceding siblings ...)
  2021-05-03 10:08 ` kawaiiamber
@ 2021-05-03 11:32 ` ericonr
  2021-05-03 18:18 ` [PR PATCH] [Updated] " kawaiiamber
                   ` (53 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: ericonr @ 2021-05-03 11:32 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 220 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-831201896

Comment:
You seem to be missing `makedepends`, which would include at least `icu-devel`.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [PR PATCH] [Updated] [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (124 preceding siblings ...)
  2021-05-03 11:32 ` ericonr
@ 2021-05-03 18:18 ` kawaiiamber
  2021-05-03 18:19 ` kawaiiamber
                   ` (52 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2021-05-03 18:18 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 753 bytes --]

There is an updated pull request by kawaiiamber against master on the void-packages repository

https://github.com/kawaiiamber/void-packages dotnet-sdk
https://github.com/void-linux/void-packages/pull/27170

[WIP] New package: dotnet-sdk-5.0.202
# About
This addresses [this](https://github.com/void-linux/void-packages/pull/20147) and [this](https://github.com/void-linux/void-packages/issues/10773). I would have time to maintain this package. I would love to see it added to Void as I use dotnet everyday. I managed to get dotnet CORE on my musl system manually. I mainly just copied the template from the old PR linked, I may be doing stuff wrong. Cheers ~

A patch file from https://github.com/void-linux/void-packages/pull/27170.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-dotnet-sdk-27170.patch --]
[-- Type: text/x-diff, Size: 2196 bytes --]

From ccc13494708ac2a1cee99d69ad95ce31c115f2f9 Mon Sep 17 00:00:00 2001
From: KawaiiAmber <japaneselearning101@gmail.com>
Date: Mon, 14 Dec 2020 18:18:20 -0700
Subject: [PATCH] New package: dotnet-sdk-bin-5.0.202

---
 srcpkgs/dotnet-sdk/files/dotnet.sh |  4 +++
 srcpkgs/dotnet-sdk/template        | 48 ++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)
 create mode 100644 srcpkgs/dotnet-sdk/files/dotnet.sh
 create mode 100644 srcpkgs/dotnet-sdk/template

diff --git a/srcpkgs/dotnet-sdk/files/dotnet.sh b/srcpkgs/dotnet-sdk/files/dotnet.sh
new file mode 100644
index 000000000000..05b0324de349
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/files/dotnet.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+export DOTNET_ROOT=/usr/libexec/dotnet
+export PATH="$PATH:$DOTNET_ROOT"
diff --git a/srcpkgs/dotnet-sdk/template b/srcpkgs/dotnet-sdk/template
new file mode 100644
index 000000000000..3f6e821fc671
--- /dev/null
+++ b/srcpkgs/dotnet-sdk/template
@@ -0,0 +1,48 @@
+# Template file for 'dotnet-sdk'
+pkgname=dotnet-sdk
+version=5.0.202
+revision=1
+wrksrc="source-build-${version}-SDK"
+hostmakedepends="git tar wget"
+makedepends="icu-devel"
+short_desc="SDK for making dotnet CORE apps"
+maintainer="KawaiiAmber <japaneselearning101@gmail.com>"
+license="MIT"
+homepage="https://dotnet.microsoft.com"
+distfiles="https://github.com/dotnet/source-build/archive/refs/tags/v${version}-SDK.tar.gz"
+checksum=aea8e4f3323aa95316969958585ccc7030f9be7c79d38188a9137ef789ada7cd
+
+_prof=${DESTDIR}/etc/profile.d
+_target=${DESTDIR}/usr/libexec/dotnet
+
+case "${XBPS_TARGET_MACHINE}" in
+	"x86_64*") _ARCHITECTURE="x64" ;;
+	"aarch64*") _ARCHITECTURE="arm64" ;;
+esac
+_RUNTIME_ID="void-${_ARCHITECTURE}"
+
+do_configure() {
+	vmkdir ${_prof}
+	vcopy ${FILESDIR}/dotnet.sh ${_prof}
+}
+
+do_build() {
+	git init
+	DOTNET_CLI_TELEMETRY_OPTOUT="true" sh ./build.sh -b
+}
+
+post_build() {
+	tar -zxvf ./artifacts/"${_ARCHITECTURE}"/Release/dotnet-sdk-"${version}"-"${RUNTIME_ID}".tar.gz
+}
+
+do_install() {
+	vmkdir ${_target}
+	for file in artifacts/"${_ARCHITECTURE}"/Release/dotnet-sdk-"${version}"-"${RUNTIME_ID}"/*
+	do
+		vcopy ${file} ${_target}
+	done
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (125 preceding siblings ...)
  2021-05-03 18:18 ` [PR PATCH] [Updated] " kawaiiamber
@ 2021-05-03 18:19 ` kawaiiamber
  2021-05-03 18:31 ` ericonr
                   ` (51 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2021-05-03 18:19 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 397 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-831441091

Comment:
> You seem to be missing `makedepends`, which would include at least `icu-devel`.

Added `icu-devel` to `makedepends`. Also, possibly noob question, but - is there a way to not have it push through CI everytime since there's not a working build, yet?

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (126 preceding siblings ...)
  2021-05-03 18:19 ` kawaiiamber
@ 2021-05-03 18:31 ` ericonr
  2021-05-03 18:35 ` kawaiiamber
                   ` (50 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: ericonr @ 2021-05-03 18:31 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 195 bytes --]

New comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-831448021

Comment:
Add `[ci skip]` to the PR description (not the title).

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (127 preceding siblings ...)
  2021-05-03 18:31 ` ericonr
@ 2021-05-03 18:35 ` kawaiiamber
  2021-05-12  5:05 ` rmboggs
                   ` (49 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2021-05-03 18:35 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 228 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-831449823

Comment:
> Add `[ci skip]` to the PR description (not the title).

Okay, added `[ci skip]`

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (128 preceding siblings ...)
  2021-05-03 18:35 ` kawaiiamber
@ 2021-05-12  5:05 ` rmboggs
  2021-05-12  5:14 ` kawaiiamber
                   ` (48 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-05-12  5:05 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 615 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-839438782

Comment:
@kawaiiamber , thank you for taking the time to work on this. It's one of the few remaining items that i need in order to use void as my primary system.

I did some testing on this using an x64 glib system i setup this week.  I was able to get farther in the build by adding more needed make depends that the build was bombing on. However, im now stuck on an undefined symbol error on the zlib library.  Ill post the make depends and current error msg soon, if it will help.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (129 preceding siblings ...)
  2021-05-12  5:05 ` rmboggs
@ 2021-05-12  5:14 ` kawaiiamber
  2021-05-12  6:36 ` rmboggs
                   ` (47 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2021-05-12  5:14 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 928 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-839445105

Comment:
> @kawaiiamber , thank you for taking the time to work on this. It's one of the few remaining items that i need in order to use void as my primary system.
> 
> I did some testing on this using an x64 glib system i setup this week. I was able to get farther in the build by adding more needed make depends that the build was bombing on. However, im now stuck on an undefined symbol error on the zlib library. Ill post the make depends and current error msg soon, if it will help.

Ya - any help would be nice haha. Biggest thing at the moment is I'm not sure how to handle `RUNTIME_ID` on void - since it seems to be hard coded into the build script for dotnet? As for undefined symbols on zlib libraries, did you add `zlib-devel` package to `makedepends`? That would be my guess.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (130 preceding siblings ...)
  2021-05-12  5:14 ` kawaiiamber
@ 2021-05-12  6:36 ` rmboggs
  2021-05-12 13:02 ` rmboggs
                   ` (46 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-05-12  6:36 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1166 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-839502543

Comment:
> > @kawaiiamber , thank you for taking the time to work on this. It's one of the few remaining items that i need in order to use void as my primary system.
> > 
> > I did some testing on this using an x64 glib system i setup this week. I was able to get farther in the build by adding more needed make depends that the build was bombing on. However, im now stuck on an undefined symbol error on the zlib library. Ill post the make depends and current error msg soon, if it will help.
> 
> Ya - any help would be nice haha. Biggest thing at the moment is I'm not sure how to handle `RUNTIME_ID` on void - since it seems to be hard coded into the build script for dotnet? As for undefined symbols on zlib libraries, did you add `zlib-devel` package to `makedepends`? That would be my guess.

I did, that was the last package i added to make depends when this error came up.  I'm wondering if it is defined in a different obscure package or something.

As for the RUNTIME_ID, you can't force it to use linux-x64/linux-musl-x64?

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (131 preceding siblings ...)
  2021-05-12  6:36 ` rmboggs
@ 2021-05-12 13:02 ` rmboggs
  2021-05-12 13:04 ` rmboggs
                   ` (45 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-05-12 13:02 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1314 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-839754296

Comment:
This is what I currently have in the hostmakedepends and makedepends lines of your template file.  Again, this worked for me on my x86_64 glibc system, so I am not 100% sure if this will work on the other platforms:
```bash
hostmakedepends="git tar wget python3 cmake clang llvm"
makedepends="icu-devel libunwind-devel lttng-ust-devel zlib-devel mit-krb5-devel"
```
I'm still new to the void package process so if I have these items listed incorrectly, please let me know so I can correct and learn. :)

Regarding the error, it's a bit weird:
```
/usr/bin/x86_64-unknown-linux-gnu-ld: /builddir/source-build-5.0.202-SDK/artifacts/src/runtime.2f740adc1457e8a28c1c072993b66f515977eb51/artifacts/bin/native/net5.0-Linux-Release-x64/libSystem.IO.Compression.Native.a(pal_zlib.c.o): in function 'CompressionNative_DeflateInit2_':
/builddir/source-build-5.0.202-SDK/artifacts/src/runtime.2f740adc1457e8a28c1c072993b66f515977eb51/artifacts/bin/native/AnyOS/zlib/pal_zlib.c:120: undefined reference to 'deflateInit2_'
```
It's weird because I do see this defined in the zlib.h file when I install zlib on my system.  I must be doing something wrong here.  Any thoughts?

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (132 preceding siblings ...)
  2021-05-12 13:02 ` rmboggs
@ 2021-05-12 13:04 ` rmboggs
  2021-09-07 21:56 ` TinfoilSubmarine
                   ` (44 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-05-12 13:04 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1327 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-839754296

Comment:
This is what I currently have in the hostmakedepends and makedepends lines of your template file.  Again, this worked for me on my x86_64 glibc system, so I am not 100% sure if this will work on the other platforms:
```bash
hostmakedepends="git tar wget python3 cmake clang llvm"
makedepends="icu-devel libunwind-devel lttng-ust-devel zlib-devel mit-krb5-devel"
```
I'm still new to the void package process so if I have these items listed incorrectly, please let me know so I can correct and learn. :)

Regarding the error, it's a bit weird:
```
/usr/bin/x86_64-unknown-linux-gnu-ld: /builddir/source-build-5.0.202-SDK/artifacts/src/runtime.2f740adc1457e8a28c1c072993b66f515977eb51/artifacts/bin/native/net5.0-Linux-Release-x64/libSystem.IO.Compression.Native.a(pal_zlib.c.o): in function 'CompressionNative_DeflateInit2_':
/builddir/source-build-5.0.202-SDK/artifacts/src/runtime.2f740adc1457e8a28c1c072993b66f515977eb51/artifacts/bin/native/AnyOS/zlib/pal_zlib.c:120: undefined reference to 'deflateInit2_'
```
It's weird because I do see this defined in the /usr/include/zlib.h file when I install zlib on my system.  I must be doing something wrong here.  Any thoughts?

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (133 preceding siblings ...)
  2021-05-12 13:04 ` rmboggs
@ 2021-09-07 21:56 ` TinfoilSubmarine
  2021-09-08  1:38 ` kawaiiamber
                   ` (43 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: TinfoilSubmarine @ 2021-09-07 21:56 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 6307 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-914654473

Comment:
I saw that the Arch package had a patch for the linker errors with zlib/gss, so I created a similar one. This patch is used by the `source-build` scripts, not by Void, and needs to be placed in `patches/runtime/` in the build wrksrc. For simplicity instead of trying to verbally explain all my changes, [I pushed all these changes to my fork here](https://github.com/TinfoilSubmarine/void-packages/commit/cce7e1fd99e4015a6c79ea85153b28472ce4e9ee).

Still getting another error afterwards though:
```
  /builddir/source-build-5.0.206.1-SDK/.dotnet/sdk/5.0.205/Sdks/Microsoft.NET.Sdk/targets/Microsoft.NET.Sdk.DefaultItems.targets(257,5): error NETSDK1023: A PackageReference for 'Microsoft.NETCore.App.Runtime.linux-x64' was included in your project. This package is implicitly referenced by the .NET SDK and you do not typically need to reference it from your project. For more information, see https://aka.ms/sdkimplicitrefs [/builddir/source-build-5.0.206.1-SDK/artifacts/src/aspnetcore.c663adee8e64ba5d379fa0edfb8201984a7df7d0/src/Framework/App.Runtime/src/Microsoft.AspNetCore.App.Runtime.csproj]
  /builddir/source-build-5.0.206.1-SDK/.dotnet/sdk/5.0.205/Sdks/Microsoft.NET.Sdk/targets/Microsoft.NET.Sdk.DefaultItems.targets(257,5): error NETSDK1023: A PackageReference for 'Microsoft.NETCore.App.Runtime.linux-x64' was included in your project. This package is implicitly referenced by the .NET SDK and you do not typically need to reference it from your project. For more information, see https://aka.ms/sdkimplicitrefs [/builddir/source-build-5.0.206.1-SDK/artifacts/src/aspnetcore.c663adee8e64ba5d379fa0edfb8201984a7df7d0/src/Framework/App.Runtime/src/Microsoft.AspNetCore.App.Runtime.csproj]
  /builddir/source-build-5.0.206.1-SDK/.dotnet/sdk/5.0.205/Sdks/Microsoft.NET.Sdk/targets/Microsoft.NET.Sdk.DefaultItems.targets(257,5): error NETSDK1023: A PackageReference for 'Microsoft.NETCore.App.Runtime.linux-x64' was included in your project. This package is implicitly referenced by the .NET SDK and you do not typically need to reference it from your project. For more information, see https://aka.ms/sdkimplicitrefs [/builddir/source-build-5.0.206.1-SDK/artifacts/src/aspnetcore.c663adee8e64ba5d379fa0edfb8201984a7df7d0/src/Framework/App.Runtime/src/Microsoft.AspNetCore.App.Runtime.csproj]
  /builddir/source-build-5.0.206.1-SDK/.dotnet/sdk/5.0.205/Sdks/Microsoft.NET.Sdk/targets/Microsoft.NET.Sdk.DefaultItems.targets(257,5): error NETSDK1023: A PackageReference for 'Microsoft.NETCore.App.Runtime.linux-x64' was included in your project. This package is implicitly referenced by the .NET SDK and you do not typically need to reference it from your project. For more information, see https://aka.ms/sdkimplicitrefs [/builddir/source-build-5.0.206.1-SDK/artifacts/src/aspnetcore.c663adee8e64ba5d379fa0edfb8201984a7df7d0/src/Framework/App.Runtime/src/Microsoft.AspNetCore.App.Runtime.csproj]
  /builddir/source-build-5.0.206.1-SDK/.dotnet/sdk/5.0.205/Sdks/Microsoft.NET.Sdk/targets/Microsoft.NET.Sdk.DefaultItems.targets(257,5): error NETSDK1023: A PackageReference for 'Microsoft.NETCore.App.Runtime.linux-x64' was included in your project. This package is implicitly referenced by the .NET SDK and you do not typically need to reference it from your project. For more information, see https://aka.ms/sdkimplicitrefs [/builddir/source-build-5.0.206.1-SDK/artifacts/src/aspnetcore.c663adee8e64ba5d379fa0edfb8201984a7df7d0/src/Framework/App.Runtime/src/Microsoft.AspNetCore.App.Runtime.csproj]
  /builddir/source-build-5.0.206.1-SDK/.dotnet/sdk/5.0.205/Sdks/Microsoft.NET.Sdk/targets/Microsoft.NET.Sdk.DefaultItems.targets(257,5): error NETSDK1023: A PackageReference for 'Microsoft.NETCore.App.Runtime.linux-x64' was included in your project. This package is implicitly referenced by the .NET SDK and you do not typically need to reference it from your project. For more information, see https://aka.ms/sdkimplicitrefs [/builddir/source-build-5.0.206.1-SDK/artifacts/src/aspnetcore.c663adee8e64ba5d379fa0edfb8201984a7df7d0/src/Framework/App.Runtime/src/Microsoft.AspNetCore.App.Runtime.csproj]
  /builddir/source-build-5.0.206.1-SDK/artifacts/src/aspnetcore.c663adee8e64ba5d379fa0edfb8201984a7df7d0/src/Framework/App.Runtime/src/Microsoft.AspNetCore.App.Runtime.csproj(401,5): error : Could not find crossgen tools/crossgen
      0 Warning(s)
      7 Error(s)
  
  Time Elapsed 00:01:46.85
  ##vso[task.logissue type=error]Build failed (exit code '1').
  
  'aspnetcore' failed during build.
  See '/builddir/source-build-5.0.206.1-SDK/artifacts/logs/aspnetcore.log' for more information.
  'known-good' failed during build.

Build FAILED.

/builddir/source-build-5.0.206.1-SDK/packages/restored/microsoft.dotnet.arcade.sdk/5.0.0-beta.20426.4/tools/ProjectLayout.props(8,3): warning MSB4011: "/builddir/source-build-5.0.206.1-SDK/packages/restored/microsoft.dotnet.arcade.sdk/5.0.0-beta.20426.4/tools/RepoLayout.props" cannot be imported again. It was already imported at "/builddir/source-build-5.0.206.1-SDK/packages/restored/microsoft.dotnet.arcade.sdk/5.0.0-beta.20426.4/tools/Build.proj (49,3)". This is most likely a build authoring error. This subsequent import will be ignored. 
/builddir/source-build-5.0.206.1-SDK/repos/Directory.Build.targets(374,5): error MSB3073: The command "/builddir/source-build-5.0.206.1-SDK/artifacts/src/aspnetcore.c663adee8e64ba5d379fa0edfb8201984a7df7d0/build.sh  --restore --build --pack --configuration Release --ci -bl /v:minimal --arch x64 /p:BuildNodeJs=false /p:SourceBuildRuntimeIdentifier=linux-x64 /p:UseAppHost=false /p:PublishCompressedFilesPathPrefix=/builddir/source-build-5.0.206.1-SDK/artifacts/obj/x64/Release/blobs/aspnetcore/Runtime/ /p:MicrosoftNetFrameworkReferenceAssembliesVersion=1.0.0  /p:DotNetPackageVersionPropsPath=/builddir/source-build-5.0.206.1-SDK/artifacts/obj/x64/Release/PackageVersions.props >> /builddir/source-build-5.0.206.1-SDK/artifacts/logs/aspnetcore.log 2>&1" exited with code 1. [/builddir/source-build-5.0.206.1-SDK/repos/aspnetcore.proj]
    1 Warning(s)
    1 Error(s)

Time Elapsed 00:02:13.18
Build failed (exit code '1').
```

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (134 preceding siblings ...)
  2021-09-07 21:56 ` TinfoilSubmarine
@ 2021-09-08  1:38 ` kawaiiamber
  2021-09-08  2:25 ` rmboggs
                   ` (42 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2021-09-08  1:38 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 195 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-914790699

Comment:
Sounds neat ^-^, I'll take a look when I get home.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (135 preceding siblings ...)
  2021-09-08  1:38 ` kawaiiamber
@ 2021-09-08  2:25 ` rmboggs
  2021-09-09 21:21 ` TinfoilSubmarine
                   ` (41 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-08  2:25 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 273 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-914844608

Comment:
Ill check them out too tomorrow AM.  I just put Void back on my laptop this morning but i still need to setup my build environment. 

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (136 preceding siblings ...)
  2021-09-08  2:25 ` rmboggs
@ 2021-09-09 21:21 ` TinfoilSubmarine
  2021-09-09 21:23 ` TinfoilSubmarine
                   ` (40 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: TinfoilSubmarine @ 2021-09-09 21:21 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 446 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-916445775

Comment:
I played around a little more and came across a patch in `patches/aspnetcore` that is seemingly problematic and removing it makes the build succeed for my machine. [See latest commit on my branch.](https://github.com/TinfoilSubmarine/void-packages/commit/6aafae2af427b9bee445abf4f0873c7478a2e273)

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (137 preceding siblings ...)
  2021-09-09 21:21 ` TinfoilSubmarine
@ 2021-09-09 21:23 ` TinfoilSubmarine
  2021-09-09 21:33 ` TinfoilSubmarine
                   ` (39 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: TinfoilSubmarine @ 2021-09-09 21:23 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 564 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-916445775

Comment:
I played around a little more and came across a patch in `patches/aspnetcore` that is seemingly problematic and removing it makes the build succeed for my machine. [See latest commit on my branch.](https://github.com/TinfoilSubmarine/void-packages/commit/6aafae2af427b9bee445abf4f0873c7478a2e273)

EDIT: should also mention that I added the other patch from Arch which changes the default for telemetry to false.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (138 preceding siblings ...)
  2021-09-09 21:23 ` TinfoilSubmarine
@ 2021-09-09 21:33 ` TinfoilSubmarine
  2021-09-10 13:27 ` rmboggs
                   ` (38 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: TinfoilSubmarine @ 2021-09-09 21:33 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 418 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-916452902

Comment:
Also, I'm thinking about packaging and was comparing with the Arch PKGBUILD. Unless we want to split out into the individual components like Arch (`dotnet-host`, `dotnet-sdk`, `dotnet-runtime`, etc...), this package should probably be renamed to `dotnet` or something.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (139 preceding siblings ...)
  2021-09-09 21:33 ` TinfoilSubmarine
@ 2021-09-10 13:27 ` rmboggs
  2021-09-10 13:46 ` TinfoilSubmarine
                   ` (37 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-10 13:27 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 631 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-916904184

Comment:
Hi @TinfoilSubmarine,

I'm tried out your work on this yesterday and it bombed but after looking at the error message, i think the issue was related to internet connectivity (my internet has been spotty lately) so I am giving it another try this morning. I think it got farther than before so that is a good sign. 

As far as packaging, i am not sure what is best here. That's probably a question that should discussed further, at least when this current package can finally build on Void. 

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (140 preceding siblings ...)
  2021-09-10 13:27 ` rmboggs
@ 2021-09-10 13:46 ` TinfoilSubmarine
  2021-09-10 14:06 ` rmboggs
                   ` (36 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: TinfoilSubmarine @ 2021-09-10 13:46 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 347 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-916917276

Comment:
[Latest commit](https://github.com/TinfoilSubmarine/void-packages/commit/331ce71676460500d040aaa41965a19cd308666a) actually results in a successfully built package, all housed in `/usr/lib/dotnet`.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (141 preceding siblings ...)
  2021-09-10 13:46 ` TinfoilSubmarine
@ 2021-09-10 14:06 ` rmboggs
  2021-09-10 14:12 ` rmboggs
                   ` (35 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-10 14:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 859 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-916931205

Comment:
> [Latest commit](https://github.com/TinfoilSubmarine/void-packages/commit/331ce71676460500d040aaa41965a19cd308666a) actually results in a successfully built package, all housed in `/usr/lib/dotnet`.

I'll try this too but it just bombed again during the post build step, which is alot farther than I got previously so that's awesome.  Error I got is basically saying that it couldn't find the artifact tar.gz file.  Looks like it's because the tar.gz file that it's looking for has a slightly different name than it was expecting due to the 5.0.206 **.1** in the version variable.  I'll see if I can tweak the template a bit to exclude the revision part of the version during the post build.  I'll let you know.



^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (142 preceding siblings ...)
  2021-09-10 14:06 ` rmboggs
@ 2021-09-10 14:12 ` rmboggs
  2021-09-10 14:39 ` rmboggs
                   ` (34 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-10 14:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 242 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-916935637

Comment:
Oh, looks like I am working off an older revision of the template file.  My mistake.  I'll try again.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (143 preceding siblings ...)
  2021-09-10 14:12 ` rmboggs
@ 2021-09-10 14:39 ` rmboggs
  2021-09-10 14:49 ` TinfoilSubmarine
                   ` (33 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-10 14:39 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 614 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-916955817

Comment:
That was it.  After I grabbed the latest template file from @TinfoilSubmarine 's [dotnet-sdk repo](https://github.com/TinfoilSubmarine/void-packages/tree/dotnet-sdk), it built and installed successfully. YAY!  I'm going to try using it for my normal day-to-day workload and see how it goes.  

One thing I did notice was that it installed in /usr/lib/dotnet but there was nothing put in /usr/bin.  I get that but could a link to /usr/lib/dotnet/dotnet be put in /usr/bin?

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (144 preceding siblings ...)
  2021-09-10 14:39 ` rmboggs
@ 2021-09-10 14:49 ` TinfoilSubmarine
  2021-09-10 15:12 ` rmboggs
                   ` (32 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: TinfoilSubmarine @ 2021-09-10 14:49 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 248 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-916962590

Comment:
I think the symlink would be ideal since then it may not need the `profile.d/dotnet.sh` path hack.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (145 preceding siblings ...)
  2021-09-10 14:49 ` TinfoilSubmarine
@ 2021-09-10 15:12 ` rmboggs
  2021-09-10 17:21 ` Anachron
                   ` (31 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-10 15:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 314 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-916980594

Comment:
> I think the symlink would be ideal since then it may not need the `profile.d/dotnet.sh` path hack.

I agree.  Is that something that can be added to the template script?

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (146 preceding siblings ...)
  2021-09-10 15:12 ` rmboggs
@ 2021-09-10 17:21 ` Anachron
  2021-09-10 17:39 ` TinfoilSubmarine
                   ` (30 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: Anachron @ 2021-09-10 17:21 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 211 bytes --]

New comment by Anachron on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-917075762

Comment:
Good work, guys! I'll try building it again this weekend (hopefully).

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (147 preceding siblings ...)
  2021-09-10 17:21 ` Anachron
@ 2021-09-10 17:39 ` TinfoilSubmarine
  2021-09-10 18:56 ` rmboggs
                   ` (29 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: TinfoilSubmarine @ 2021-09-10 17:39 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 347 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-917088732

Comment:
Ok, [latest commit](https://github.com/TinfoilSubmarine/void-packages/commit/a9687054f2a88031392c80e8cef876083ae265a7) removes the `profile.d/dotnet.sh` and symlinks the executable into `/usr/bin`.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (148 preceding siblings ...)
  2021-09-10 17:39 ` TinfoilSubmarine
@ 2021-09-10 18:56 ` rmboggs
  2021-09-10 19:17 ` TinfoilSubmarine
                   ` (28 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-10 18:56 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 795 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-917137082

Comment:
> Ok, [latest commit](https://github.com/TinfoilSubmarine/void-packages/commit/a9687054f2a88031392c80e8cef876083ae265a7) removes the `profile.d/dotnet.sh` and symlinks the executable into `/usr/bin`.

This is great, thanks so much @TinfoilSubmarine.  I don't think this would have gotten this far without all your contributions here.  Much appreciated.

I have been able to build one of my projects with this and it seems to be working well with VS Code. :+1: 

Should we discuss either renaming the package and/or splitting the package up now or just worry about importing @TinfoilSubmarine's changes to the repo that this request is pulling from?

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (149 preceding siblings ...)
  2021-09-10 18:56 ` rmboggs
@ 2021-09-10 19:17 ` TinfoilSubmarine
  2021-09-10 20:12 ` TinfoilSubmarine
                   ` (27 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: TinfoilSubmarine @ 2021-09-10 19:17 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 804 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-917150423

Comment:
I don't have a strong opinion on whether this should be split or not. Doing it would be straightforward using subpackages, but I'm honestly not that familiar with the different components of dotnet and how they are used, so my (ignorant) preference would be to keep it simple and in one package.

The obvious argument for splitting is package size: currently the package file is 103MB, and 335MB installed. Breakdown on disk looks like this:
```
$ du -h --max-depth=1 /usr/lib/dotnet
4.3M	/usr/lib/dotnet/templates
85M	/usr/lib/dotnet/shared
173M	/usr/lib/dotnet/sdk
73M	/usr/lib/dotnet/packs
336K	/usr/lib/dotnet/host
335M	/usr/lib/dotnet
```

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (150 preceding siblings ...)
  2021-09-10 19:17 ` TinfoilSubmarine
@ 2021-09-10 20:12 ` TinfoilSubmarine
  2021-09-10 20:16 ` rmboggs
                   ` (26 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: TinfoilSubmarine @ 2021-09-10 20:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 560 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-917182211

Comment:
I should also mention that this is only working on x86_64* currently. I haven't been able to get cross-builds working using `./build.sh /p:Platform="${_ARCHITECTURE}"` since it tries to use "qemu-debootstrap" which I haven't seen before. [As such I removed the cross-build relevant lines and added `archs="x86_64*"`.](https://github.com/void-linux/void-packages/commit/bb9b4dded60def86853ce9d595c87695a120587f)

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (151 preceding siblings ...)
  2021-09-10 20:12 ` TinfoilSubmarine
@ 2021-09-10 20:16 ` rmboggs
  2021-09-10 21:59 ` rmboggs
                   ` (25 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-10 20:16 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 774 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-917184998

Comment:
> I should also mention that this is only working on x86_64* currently. I haven't been able to get cross-builds working using `./build.sh /p:Platform="${_ARCHITECTURE}"` since it tries to use "qemu-debootstrap" which I haven't seen before. [As such I removed the cross-build relevant lines and added `archs="x86_64*"`.](https://github.com/void-linux/void-packages/commit/bb9b4dded60def86853ce9d595c87695a120587f)

Yeah, I was going to mention that.  I have no way of checking the arm64 build either.  Probably good to only include x86_64 for the time being until someone can come in and get the arm64 build working at a later time.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (152 preceding siblings ...)
  2021-09-10 20:16 ` rmboggs
@ 2021-09-10 21:59 ` rmboggs
  2021-09-10 22:00 ` rmboggs
                   ` (24 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-10 21:59 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 255 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-917238521

Comment:
In regard to keeping the package simple, do you think we should just remove the "-sdk" from the package name then?

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (153 preceding siblings ...)
  2021-09-10 21:59 ` rmboggs
@ 2021-09-10 22:00 ` rmboggs
  2021-09-11  2:41 ` kawaiiamber
                   ` (23 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-10 22:00 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 326 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-917238521

Comment:
In regard to keeping the package simple, do you think we should just remove the "-sdk" from the package name then?  I have no problem with that, just making sure I understand correctly.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (154 preceding siblings ...)
  2021-09-10 22:00 ` rmboggs
@ 2021-09-11  2:41 ` kawaiiamber
  2021-09-11 12:35 ` TinfoilSubmarine
                   ` (22 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: kawaiiamber @ 2021-09-11  2:41 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 477 bytes --]

New comment by kawaiiamber on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-917323998

Comment:
> Also, I'm thinking about packaging and was comparing with the Arch PKGBUILD. Unless we want to split out into the individual components like Arch (`dotnet-host`, `dotnet-sdk`, `dotnet-runtime`, etc...), this package should probably be renamed to `dotnet` or something.

That's the plan - for this pacakge to remain `dotnet-sdk`.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (155 preceding siblings ...)
  2021-09-11  2:41 ` kawaiiamber
@ 2021-09-11 12:35 ` TinfoilSubmarine
  2021-09-12 17:26 ` rmboggs
                   ` (21 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: TinfoilSubmarine @ 2021-09-11 12:35 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 509 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-917400154

Comment:
Ok, that's fine if you want this to be just the sdk. 

Not sure if you're aware, but this build script also builds the other components, so if we want to have an individual package for the sdk, it would need to be a subpackage, along with subpackages for aspnet-runtime, dotnet-runtime, etc. All of them are included in the tarball generated by this script.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (156 preceding siblings ...)
  2021-09-11 12:35 ` TinfoilSubmarine
@ 2021-09-12 17:26 ` rmboggs
  2021-09-13 12:23 ` TinfoilSubmarine
                   ` (20 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-12 17:26 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 648 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-917676853

Comment:
Well, i was poking around in the repo that this new package pulls the source from and found another tag just for the dotnet runtime. If I am understanding this correctly, then it would make sense to just have 2 dotnet packages, one for sdk and 1 for runtime? No need to worry about subpackages and the like?

Also, do we need to worry about builds for musl as well?  I thought there were recent developments for dotnet on Alpine Linux which is musl based but i dont know if that can be applied here as well.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (157 preceding siblings ...)
  2021-09-12 17:26 ` rmboggs
@ 2021-09-13 12:23 ` TinfoilSubmarine
  2021-09-13 14:42 ` rmboggs
                   ` (19 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: TinfoilSubmarine @ 2021-09-13 12:23 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 929 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-918138687

Comment:
Regarding the subpackage versus separate templates for each component: my perspective is that, we currently have a package template that we could split out all of the components into subpackages instead of creating individual templates for each component. I'd prefer the subpackage approach because it saves setup time on the buildserver and also potential rebuilding of shared resources between the several components. Also, the tags for the `${version}-SDK` and `${version}-runtime` both point to the same commit. The tags are just a way for the devs to tag what version they are at for the runtime/SDK, not to let people download the source for runtime and SDK separately.

Has anyone tried building on musl yet? Just started a cross-build on my machine but wanted to check.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (158 preceding siblings ...)
  2021-09-13 12:23 ` TinfoilSubmarine
@ 2021-09-13 14:42 ` rmboggs
  2021-09-13 15:15 ` rmboggs
                   ` (18 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-13 14:42 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1244 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-918265105

Comment:
> Regarding the subpackage versus separate templates for each component: my perspective is that, we currently have a package template that we could split out all of the components into subpackages instead of creating individual templates for each component. I'd prefer the subpackage approach because it saves setup time on the buildserver and also potential rebuilding of shared resources between the several components. Also, the tags for the `${version}-SDK` and `${version}-runtime` both point to the same commit. The tags are just a way for the devs to tag what version they are at for the runtime/SDK, not to let people download the source for runtime and SDK separately.
> 
Good points.  I didn't realize that they were pointing to the same commits.  I think it would be good to have the runtime only available so users who are using Void as a server, for example, don't have to download everything.  That being said, I don't really see much reason to break it down beyond SDK and runtime packages.  Does anyone feel differently? If not, we can try to stick with just one subpackage for this.


^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (159 preceding siblings ...)
  2021-09-13 14:42 ` rmboggs
@ 2021-09-13 15:15 ` rmboggs
  2021-09-13 15:21 ` rmboggs
                   ` (17 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-13 15:15 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1266 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-918265105

Comment:
> Regarding the subpackage versus separate templates for each component: my perspective is that, we currently have a package template that we could split out all of the components into subpackages instead of creating individual templates for each component. I'd prefer the subpackage approach because it saves setup time on the buildserver and also potential rebuilding of shared resources between the several components. Also, the tags for the `${version}-SDK` and `${version}-runtime` both point to the same commit. The tags are just a way for the devs to tag what version they are at for the runtime/SDK, not to let people download the source for runtime and SDK separately.
> 
Good points.  I didn't realize that they were pointing to the same commits.  I think it would be good to have the runtime only available so users who are using Void as a server, for example, don't have to download everything.  That being said, I don't really see much reason to break it down beyond SDK, runtime and asp.net core runtime packages.  Does anyone feel differently? If not, we can try to stick with just one subpackage for this.


^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (160 preceding siblings ...)
  2021-09-13 15:15 ` rmboggs
@ 2021-09-13 15:21 ` rmboggs
  2021-09-14 14:55 ` rmboggs
                   ` (16 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-13 15:21 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1267 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-918265105

Comment:
> Regarding the subpackage versus separate templates for each component: my perspective is that, we currently have a package template that we could split out all of the components into subpackages instead of creating individual templates for each component. I'd prefer the subpackage approach because it saves setup time on the buildserver and also potential rebuilding of shared resources between the several components. Also, the tags for the `${version}-SDK` and `${version}-runtime` both point to the same commit. The tags are just a way for the devs to tag what version they are at for the runtime/SDK, not to let people download the source for runtime and SDK separately.
> 
Good points.  I didn't realize that they were pointing to the same commits.  I think it would be good to have the runtime only available so users who are using Void as a server, for example, don't have to download everything.  That being said, I don't really see much reason to break it down beyond SDK, runtime and asp.net core runtime packages.  Does anyone feel differently? If not, we can try to stick with just two subpackages for this.


^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (161 preceding siblings ...)
  2021-09-13 15:21 ` rmboggs
@ 2021-09-14 14:55 ` rmboggs
  2021-09-14 16:37 ` Anachron
                   ` (15 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-14 14:55 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1106 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-919230780

Comment:
So I looked at the runtime binaries from Microsoft that are distributed for Linux and they are pretty straight forward as to what should be included.  As @TinfoilSubmarine mentioned previously, they are all built with the SDK so having the runtime as subpackages makes sense.  I made an attempt at adding these subpackages but I do have a couple of questions here before I start testing.  If I need to ask them else where, just let me know

1. Since the main package and two subpackages will be sharing many files, I would assume that there would be conflicts if someone were to install both the SDK and runtime packages on one machine, is this correct?  If so, would I just enter the appropriate values in the conflicts variable in both the main and subpackages?
2. The version of the SDK and runtimes are technically different (5.0.206.1 vs 5.0.9).  What would be the best/preferred approach for ensuring all packages are created with the appropriate versions?

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (162 preceding siblings ...)
  2021-09-14 14:55 ` rmboggs
@ 2021-09-14 16:37 ` Anachron
  2021-09-14 16:50 ` rmboggs
                   ` (14 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: Anachron @ 2021-09-14 16:37 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 425 bytes --]

New comment by Anachron on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-919320362

Comment:
Why not make the SDK depend on the runtime? It would be bad to use conflicts when you can just depend on each other. Have both subpackages take the required files and use the SDK package to depend on those. So one can either only install the runtime or have the SDK with the runtime.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (163 preceding siblings ...)
  2021-09-14 16:37 ` Anachron
@ 2021-09-14 16:50 ` rmboggs
  2021-09-14 17:19 ` TinfoilSubmarine
                   ` (13 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-14 16:50 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 641 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-919332134

Comment:
> Why not make the SDK depend on the runtime? It would be bad to use conflicts when you can just depend on each other. Have both subpackages take the required files and use the SDK package to depend on those. So one can either only install the runtime or have the SDK with the runtime.

That makes sense.  If we go that route though, it may make more sense to rename the package from dotnet-sdk to simply dotnet, wouldn't it? or would it be dotnet-runtime?

Also, any thoughts on the second item?

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (164 preceding siblings ...)
  2021-09-14 16:50 ` rmboggs
@ 2021-09-14 17:19 ` TinfoilSubmarine
  2021-09-14 18:00 ` TinfoilSubmarine
                   ` (12 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: TinfoilSubmarine @ 2021-09-14 17:19 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 474 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-919356068

Comment:
>     2. The version of the SDK and runtimes are technically different (5.0.206.1 vs 5.0.9).  What would be the best/preferred approach for ensuring all packages are created with the appropriate versions?

I don't know if you can specify a different version for each subpackage, but that would be the best way I think.



^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (165 preceding siblings ...)
  2021-09-14 17:19 ` TinfoilSubmarine
@ 2021-09-14 18:00 ` TinfoilSubmarine
  2021-09-14 18:21 ` rmboggs
                   ` (11 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: TinfoilSubmarine @ 2021-09-14 18:00 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 301 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-919388289

Comment:
Latest commit adds subpackages with some dependencies scraped from the Arch PKGBUILD: https://github.com/TinfoilSubmarine/void-packages/tree/dotnet-sdk

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (166 preceding siblings ...)
  2021-09-14 18:00 ` TinfoilSubmarine
@ 2021-09-14 18:21 ` rmboggs
  2021-09-14 18:38 ` TinfoilSubmarine
                   ` (10 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-14 18:21 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 533 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-919404145

Comment:
> Latest commit adds subpackages with some dependencies scraped from the Arch PKGBUILD: https://github.com/TinfoilSubmarine/void-packages/tree/dotnet-sdk

Hey @TinfoilSubmarine ,
I see the updated structure, but it still looks like the main package is set to SDK and a new SDK subpackage.  Is this right?  Wouldn't it cause file conflicts this way?  With the dotnet executable, at least?


^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (167 preceding siblings ...)
  2021-09-14 18:21 ` rmboggs
@ 2021-09-14 18:38 ` TinfoilSubmarine
  2021-09-14 18:48 ` rmboggs
                   ` (9 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: TinfoilSubmarine @ 2021-09-14 18:38 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 530 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-919416843

Comment:
So how this is working:

`do_install()` initializes the destdir and puts all of the necessary files there.

Each `pkg_install()` then `vmove`s the files it wants into its own package. The `dotnet` package itself doesn't have any files. The `dotnet-host` package owns the executable and all of the other subpackages needing the executable pull `dotnet-host` in as a dependency.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (168 preceding siblings ...)
  2021-09-14 18:38 ` TinfoilSubmarine
@ 2021-09-14 18:48 ` rmboggs
  2021-09-14 19:25 ` TinfoilSubmarine
                   ` (8 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-14 18:48 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 686 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-919423784

Comment:
> So how this is working:
> 
> `do_install()` initializes the destdir and puts all of the necessary files there.
> 
> Each `pkg_install()` then `vmove`s the files it wants into its own package. The `dotnet` package itself doesn't have any files. The `dotnet-host` package owns the executable and all of the other subpackages needing the executable pull `dotnet-host` in as a dependency.

Oh, I see.  Thank you for explaining it.  I'm still trying to get used to the void package system.

I'll give it a test and see how it goes.  Thanks.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (169 preceding siblings ...)
  2021-09-14 18:48 ` rmboggs
@ 2021-09-14 19:25 ` TinfoilSubmarine
  2021-09-14 19:32 ` rmboggs
                   ` (7 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: TinfoilSubmarine @ 2021-09-14 19:25 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 407 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-919449404

Comment:
Probably we could make `dotnet-sdk` or `dotnet-host` the base package so that we don't have the empty meta package. Or add all of the subpackages as dependencies for the base package so that if you try to install `dotnet` it just installs all 7 subpackages.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (170 preceding siblings ...)
  2021-09-14 19:25 ` TinfoilSubmarine
@ 2021-09-14 19:32 ` rmboggs
  2021-09-14 20:03 ` TinfoilSubmarine
                   ` (6 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-14 19:32 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 545 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-919453977

Comment:
Actually, i was going to try to make the runtime the base package as it seems to have the basic files that every other package needs.  However, what you explained to me with the latest configuration makes sense, so maybe keep it the way you have it now.  

I'm running a build of the sdk with the new setup now to see how it goes. I'll let you know the result once it finishes but it won't be for awhile.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (171 preceding siblings ...)
  2021-09-14 19:32 ` rmboggs
@ 2021-09-14 20:03 ` TinfoilSubmarine
  2021-09-14 20:06 ` rmboggs
                   ` (5 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: TinfoilSubmarine @ 2021-09-14 20:03 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 851 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-919473027

Comment:
I think it may be useful for a user to be able to run `xbps-install dotnet` and just pull in everything instead of needing to install at least 3 packages to make the rest get pulled in as dependencies. [I just amended the latest commit on my fork](https://github.com/TinfoilSubmarine/void-packages/tree/dotnet-sdk) to have these changes, and also included descriptions for each subpackage.

Also @rmboggs, pro-tip about building packages with `xbps-src`: make sure to use `xbps-src pkg -C` to preserve the build environment. Especially useful when we are just messing with how we install the already-built files into the system.

I don't see much else to do here... pinging @kawaiiamber for input?

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (172 preceding siblings ...)
  2021-09-14 20:03 ` TinfoilSubmarine
@ 2021-09-14 20:06 ` rmboggs
  2021-09-14 20:07 ` rmboggs
                   ` (4 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-14 20:06 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 995 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-919475272

Comment:
> I think it may be useful for a user to be able to run `xbps-install dotnet` and just pull in everything instead of needing to install at least 3 packages to make the rest get pulled in as dependencies. [I just amended the latest commit on my fork](https://github.com/TinfoilSubmarine/void-packages/tree/dotnet-sdk) to have these changes, and also included descriptions for each subpackage.
> 
> Also @rmboggs, pro-tip about building packages with `xbps-src`: make sure to use `xbps-src pkg -C` to preserve the build environment. Especially useful when we are just messing with how we install the already-built files into the system.
Good to know, thank you. 
> 
> I don't see much else to do here... pinging @kawaiiamber for input?

I haven't looked at your latest changes but do we need to worry about the version differences between sdk and runtime?


^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (173 preceding siblings ...)
  2021-09-14 20:06 ` rmboggs
@ 2021-09-14 20:07 ` rmboggs
  2021-09-14 20:07 ` rmboggs
                   ` (3 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-14 20:07 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 601 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-919475272

Comment:

> Also @rmboggs, pro-tip about building packages with `xbps-src`: make sure to use `xbps-src pkg -C` to preserve the build environment. Especially useful when we are just messing with how we install the already-built files into the system.
Good to know, thank you. 
> 
> I don't see much else to do here... pinging @kawaiiamber for input?

I haven't looked at your latest changes but do we need to worry about the version differences between sdk and runtime?


^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (174 preceding siblings ...)
  2021-09-14 20:07 ` rmboggs
@ 2021-09-14 20:07 ` rmboggs
  2021-09-14 20:17 ` TinfoilSubmarine
                   ` (2 subsequent siblings)
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-14 20:07 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 602 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-919475272

Comment:

> Also @rmboggs, pro-tip about building packages with `xbps-src`: make sure to use `xbps-src pkg -C` to preserve the build environment. Especially useful when we are just messing with how we install the already-built files into the system.

Good to know, thank you. 
> 
> I don't see much else to do here... pinging @kawaiiamber for input?

I haven't looked at your latest changes but do we need to worry about the version differences between sdk and runtime?


^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (175 preceding siblings ...)
  2021-09-14 20:07 ` rmboggs
@ 2021-09-14 20:17 ` TinfoilSubmarine
  2021-09-14 20:44 ` rmboggs
  2021-09-15  1:12 ` fosslinux
  178 siblings, 0 replies; 180+ messages in thread
From: TinfoilSubmarine @ 2021-09-14 20:17 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 372 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-919482592

Comment:
I don't know that I fully understand the difference. Which components would be tied to which version? I saw that Arch versioned like 5.0.8.sdk205-1, e.g. something like `$runtime_version.sdk$sdk_version-$revision` for us. 

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (176 preceding siblings ...)
  2021-09-14 20:17 ` TinfoilSubmarine
@ 2021-09-14 20:44 ` rmboggs
  2021-09-15  1:12 ` fosslinux
  178 siblings, 0 replies; 180+ messages in thread
From: rmboggs @ 2021-09-14 20:44 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 440 bytes --]

New comment by rmboggs on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-919499053

Comment:
> I don't know that I fully understand the difference. Which components would be tied to which version? I saw that Arch versioned like 5.0.8.sdk205-1, e.g. something like `$runtime_version.sdk$sdk_version-$revision` for us.

That would make sense to me only if the powers that be are ok with that.

^ permalink raw reply	[flat|nested] 180+ messages in thread

* Re: [WIP] New package: dotnet-sdk-5.0.202
  2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
                   ` (177 preceding siblings ...)
  2021-09-14 20:44 ` rmboggs
@ 2021-09-15  1:12 ` fosslinux
  178 siblings, 0 replies; 180+ messages in thread
From: fosslinux @ 2021-09-15  1:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 205 bytes --]

New comment by fosslinux on void-packages repository

https://github.com/void-linux/void-packages/pull/27170#issuecomment-919620890

Comment:
Are you going to make a new PR so this can be better reviewed.

^ permalink raw reply	[flat|nested] 180+ messages in thread

end of thread, other threads:[~2021-09-15  1:12 UTC | newest]

Thread overview: 180+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-12-15  1:23 [PR PATCH] New package: dotnet-sdk-5.0.101 kawaiiamber
2020-12-15  1:29 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-15  2:18 ` [PR REVIEW] " ericonr
2020-12-15  2:33 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-15  2:33 ` [PR REVIEW] " kawaiiamber
2020-12-15  2:55 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-15  2:58 ` kawaiiamber
2020-12-15  3:03 ` kawaiiamber
2020-12-15  3:08 ` kawaiiamber
2020-12-15  4:09 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-15  9:20 ` ev-ermakov
2020-12-15 11:08 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-15 11:19 ` kawaiiamber
2020-12-15 11:28 ` kawaiiamber
2020-12-15 13:12 ` Anachron
2020-12-15 21:06 ` kawaiiamber
2020-12-15 21:08 ` kawaiiamber
2020-12-15 21:23 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-15 21:24 ` kawaiiamber
2020-12-15 22:11 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-15 22:16 ` kawaiiamber
2020-12-15 23:19 ` kawaiiamber
2020-12-15 23:34 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-16  2:01 ` kawaiiamber
2020-12-16  2:17 ` kawaiiamber
2020-12-16 19:33 ` kawaiiamber
2020-12-16 21:09 ` ericonr
2020-12-16 21:14 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-16 21:16 ` kawaiiamber
2020-12-16 21:17 ` kawaiiamber
2020-12-16 21:20 ` kawaiiamber
2020-12-17 21:49 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-17 21:52 ` kawaiiamber
2020-12-17 21:57 ` idMysteries
2020-12-17 21:57 ` idMysteries
2020-12-17 21:59 ` idMysteries
2020-12-17 22:05 ` ericonr
2020-12-17 22:06 ` ericonr
2020-12-17 22:16 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-17 22:17 ` kawaiiamber
2020-12-17 22:19 ` kawaiiamber
2020-12-18  8:10 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-18 14:42 ` unspecd
2020-12-18 14:50 ` unspecd
2020-12-18 17:15 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-18 17:16 ` kawaiiamber
2020-12-19  6:34 ` kawaiiamber
2020-12-19 13:28 ` unspecd
2020-12-22 10:23 ` fosslinux
2020-12-22 10:26 ` [PR REVIEW] " fosslinux
2020-12-22 10:26 ` fosslinux
2020-12-22 10:26 ` fosslinux
2020-12-22 10:26 ` fosslinux
2020-12-22 10:53 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-22 10:56 ` kawaiiamber
2020-12-22 10:56 ` kawaiiamber
2020-12-22 10:57 ` [PR REVIEW] " kawaiiamber
2020-12-22 10:58 ` kawaiiamber
2020-12-22 10:59 ` kawaiiamber
2020-12-22 11:05 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-22 11:06 ` [PR REVIEW] New package: dotnet-sdk-bin-5.0.101 kawaiiamber
2020-12-22 11:10 ` q66
2020-12-22 11:16 ` kawaiiamber
2020-12-22 11:17 ` kawaiiamber
2020-12-22 11:18 ` kawaiiamber
2020-12-22 11:22 ` q66
2020-12-22 11:25 ` kawaiiamber
2020-12-22 11:26 ` kawaiiamber
2020-12-22 11:27 ` kawaiiamber
2020-12-22 11:55 ` q66
2020-12-22 11:59 ` kawaiiamber
2020-12-22 12:04 ` q66
2020-12-22 12:04 ` q66
2020-12-22 12:09 ` kawaiiamber
2020-12-22 12:11 ` q66
2020-12-22 12:18 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-22 12:20 ` kawaiiamber
2020-12-22 12:29 ` kawaiiamber
2020-12-22 12:42 ` q66
2020-12-22 12:50 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-22 12:51 ` kawaiiamber
2020-12-22 13:01 ` [PR REVIEW] " ericonr
2020-12-22 13:01 ` ericonr
2020-12-22 13:01 ` ericonr
2020-12-22 13:01 ` ericonr
2020-12-22 13:09 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-22 13:09 ` [PR REVIEW] " kawaiiamber
2020-12-22 13:09 ` kawaiiamber
2020-12-22 13:09 ` kawaiiamber
2020-12-22 13:11 ` kawaiiamber
2020-12-22 13:12 ` kawaiiamber
2020-12-22 13:14 ` q66
2020-12-22 13:14 ` q66
2020-12-22 13:15 ` kawaiiamber
2020-12-22 13:19 ` kawaiiamber
2020-12-22 13:38 ` [PR REVIEW] " ericonr
2020-12-22 13:39 ` ericonr
2020-12-22 13:39 ` ericonr
2020-12-22 13:42 ` kawaiiamber
2020-12-22 13:48 ` q66
2020-12-22 13:53 ` kawaiiamber
2020-12-22 13:53 ` q66
2020-12-22 13:54 ` kawaiiamber
2020-12-22 13:57 ` q66
2020-12-22 14:01 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-22 14:01 ` kawaiiamber
2020-12-22 14:02 ` [PR PATCH] [Updated] " kawaiiamber
2020-12-22 14:04 ` [PR REVIEW] " kawaiiamber
2020-12-23  0:56 ` q66
2020-12-23  1:12 ` kawaiiamber
2021-02-24 17:32 ` ericonr
2021-02-25  2:45 ` kawaiiamber
2021-02-25  5:30 ` fosslinux
2021-02-25 11:15 ` kawaiiamber
2021-05-01  9:48 ` kawaiiamber
2021-05-01 16:31 ` Anachron
2021-05-01 19:09 ` kawaiiamber
2021-05-03  8:37 ` [PR PATCH] [Updated] " kawaiiamber
2021-05-03  8:38 ` kawaiiamber
2021-05-03  8:40 ` [WIP] New package: dotnet-sdk-bin-5.0.202 kawaiiamber
2021-05-03  8:41 ` [PR PATCH] [Updated] " kawaiiamber
2021-05-03  8:46 ` kawaiiamber
2021-05-03  8:47 ` kawaiiamber
2021-05-03 10:01 ` [PR PATCH] [Updated] [WIP] New package: dotnet-sdk-5.0.202 kawaiiamber
2021-05-03 10:08 ` kawaiiamber
2021-05-03 11:32 ` ericonr
2021-05-03 18:18 ` [PR PATCH] [Updated] " kawaiiamber
2021-05-03 18:19 ` kawaiiamber
2021-05-03 18:31 ` ericonr
2021-05-03 18:35 ` kawaiiamber
2021-05-12  5:05 ` rmboggs
2021-05-12  5:14 ` kawaiiamber
2021-05-12  6:36 ` rmboggs
2021-05-12 13:02 ` rmboggs
2021-05-12 13:04 ` rmboggs
2021-09-07 21:56 ` TinfoilSubmarine
2021-09-08  1:38 ` kawaiiamber
2021-09-08  2:25 ` rmboggs
2021-09-09 21:21 ` TinfoilSubmarine
2021-09-09 21:23 ` TinfoilSubmarine
2021-09-09 21:33 ` TinfoilSubmarine
2021-09-10 13:27 ` rmboggs
2021-09-10 13:46 ` TinfoilSubmarine
2021-09-10 14:06 ` rmboggs
2021-09-10 14:12 ` rmboggs
2021-09-10 14:39 ` rmboggs
2021-09-10 14:49 ` TinfoilSubmarine
2021-09-10 15:12 ` rmboggs
2021-09-10 17:21 ` Anachron
2021-09-10 17:39 ` TinfoilSubmarine
2021-09-10 18:56 ` rmboggs
2021-09-10 19:17 ` TinfoilSubmarine
2021-09-10 20:12 ` TinfoilSubmarine
2021-09-10 20:16 ` rmboggs
2021-09-10 21:59 ` rmboggs
2021-09-10 22:00 ` rmboggs
2021-09-11  2:41 ` kawaiiamber
2021-09-11 12:35 ` TinfoilSubmarine
2021-09-12 17:26 ` rmboggs
2021-09-13 12:23 ` TinfoilSubmarine
2021-09-13 14:42 ` rmboggs
2021-09-13 15:15 ` rmboggs
2021-09-13 15:21 ` rmboggs
2021-09-14 14:55 ` rmboggs
2021-09-14 16:37 ` Anachron
2021-09-14 16:50 ` rmboggs
2021-09-14 17:19 ` TinfoilSubmarine
2021-09-14 18:00 ` TinfoilSubmarine
2021-09-14 18:21 ` rmboggs
2021-09-14 18:38 ` TinfoilSubmarine
2021-09-14 18:48 ` rmboggs
2021-09-14 19:25 ` TinfoilSubmarine
2021-09-14 19:32 ` rmboggs
2021-09-14 20:03 ` TinfoilSubmarine
2021-09-14 20:06 ` rmboggs
2021-09-14 20:07 ` rmboggs
2021-09-14 20:07 ` rmboggs
2021-09-14 20:17 ` TinfoilSubmarine
2021-09-14 20:44 ` rmboggs
2021-09-15  1:12 ` fosslinux

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ https://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git